


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'EtherLinkStateEnum' : _MetaInfoEnum('EtherLinkStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'state-undefined':'state_undefined',
            'unknown-state':'unknown_state',
            'available':'available',
            'not-available':'not_available',
            'remote-fault':'remote_fault',
            'invalid-signal':'invalid_signal',
            'remote-jabber':'remote_jabber',
            'link-loss':'link_loss',
            'remote-test':'remote_test',
            'offline':'offline',
            'auto-neg-error':'auto_neg_error',
            'pmd-link-fault':'pmd_link_fault',
            'frame-loss':'frame_loss',
            'signal-loss':'signal_loss',
            'link-fault':'link_fault',
            'excessive-ber':'excessive_ber',
            'dxs-link-fault':'dxs_link_fault',
            'pxs-link-fault':'pxs_link_fault',
            'security':'security',
            'phy-not-present':'phy_not_present',
            'no-optic-license':'no_optic_license',
            'unsupported-module':'unsupported_module',
            'dwdm-laser-shut':'dwdm_laser_shut',
            'wanphy-laser-shut':'wanphy_laser_shut',
            'incompatible-config':'incompatible_config',
            'system-error':'system_error',
            'wan-framing-error':'wan_framing_error',
            'otn-framing-error':'otn_framing_error',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetBertPatternEnum' : _MetaInfoEnum('EthernetBertPatternEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-test-pattern':'no_test_pattern',
            'high-frequency':'high_frequency',
            'low-frequency':'low_frequency',
            'mixed-frequency':'mixed_frequency',
            'continuous-random':'continuous_random',
            'continuous-jitter':'continuous_jitter',
            'long-continuous-random':'long_continuous_random',
            'short-continuous-random':'short_continuous_random',
            'pseudorandom-seed-a':'pseudorandom_seed_a',
            'pseudorandom-seed-b':'pseudorandom_seed_b',
            'prbs31':'prbs31',
            'square-wave':'square_wave',
            'pseudorandom':'pseudorandom',
            'ethernet-bert-pattern-types':'ethernet_bert_pattern_types',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetPortEnableEnum' : _MetaInfoEnum('EthernetPortEnableEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'disabled':'disabled',
            'rx-enabled':'rx_enabled',
            'tx-enabled':'tx_enabled',
            'enabled':'enabled',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthCtrlrAlarmStateEnum' : _MetaInfoEnum('EthCtrlrAlarmStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'alarm-not-supported':'alarm_not_supported',
            'alarm-set':'alarm_set',
            'alarm-not-set':'alarm_not_set',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetDevEnum' : _MetaInfoEnum('EthernetDevEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-device':'no_device',
            'pma-pmd':'pma_pmd',
            'wis':'wis',
            'pcs':'pcs',
            'phy-xs':'phy_xs',
            'dte-xs':'dte_xs',
            'ethernet-num-dev':'ethernet_num_dev',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherPhyPresentEnum' : _MetaInfoEnum('EtherPhyPresentEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'phy-not-present':'phy_not_present',
            'phy-present':'phy_present',
            'no-information':'no_information',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetDevIfEnum' : _MetaInfoEnum('EthernetDevIfEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-interface':'no_interface',
            'xgmii':'xgmii',
            'xaui':'xaui',
            'ethernet-num-dev-if':'ethernet_num_dev_if',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherFlowcontrolEnum' : _MetaInfoEnum('EtherFlowcontrolEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-flowcontrol':'no_flowcontrol',
            'egress':'egress',
            'ingress':'ingress',
            'bidirectional':'bidirectional',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherDomAlarmEnum' : _MetaInfoEnum('EtherDomAlarmEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-information':'no_information',
            'alarm-high':'alarm_high',
            'warning-high':'warning_high',
            'normal':'normal',
            'warning-low':'warning_low',
            'alarm-low':'alarm_low',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherPfcEnum' : _MetaInfoEnum('EtherPfcEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-pfc':'no_pfc',
            'on':'on',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetBertErrCntEnum' : _MetaInfoEnum('EthernetBertErrCntEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-count-type':'no_count_type',
            'bit-error-count':'bit_error_count',
            'frame-error-count':'frame_error_count',
            'block-error-count':'block_error_count',
            'ethernet-bert-err-cnt-types':'ethernet_bert_err_cnt_types',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetDuplexEnum' : _MetaInfoEnum('EthernetDuplexEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'ethernet-duplex-invalid':'ethernet_duplex_invalid',
            'half-duplex':'half_duplex',
            'full-duplex':'full_duplex',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetIpgEnum' : _MetaInfoEnum('EthernetIpgEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'standard':'standard',
            'non-standard':'non_standard',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetSpeedEnum' : _MetaInfoEnum('EthernetSpeedEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'ethernet-speed-invalid':'ethernet_speed_invalid',
            'ten-mbps':'ten_mbps',
            'hundred-mbps':'hundred_mbps',
            'one-gbps':'one_gbps',
            'ten-gbps':'ten_gbps',
            'twenty-five-gbps':'twenty_five_gbps',
            'forty-gbps':'forty_gbps',
            'fifty-gbps':'fifty_gbps',
            'hundred-gbps':'hundred_gbps',
            'ethernet-speed-types-count':'ethernet_speed_types_count',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherLedStateEnum' : _MetaInfoEnum('EtherLedStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'led-state-unknown':'led_state_unknown',
            'led-off':'led_off',
            'green-on':'green_on',
            'green-flashing':'green_flashing',
            'yellow-on':'yellow_on',
            'yellow-flashing':'yellow_flashing',
            'red-on':'red_on',
            'red-flashing':'red_flashing',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetFecEnum' : _MetaInfoEnum('EthernetFecEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'not-configured':'not_configured',
            'standard':'standard',
            'disabled':'disabled',
            'base-r':'base_r',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetMediaEnum' : _MetaInfoEnum('EthernetMediaEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'ethernet-other':'ethernet_other',
            'ethernet-unknown':'ethernet_unknown',
            'ethernet-aui':'ethernet_aui',
            'ethernet-10base5':'ethernet_10base5',
            'ethernet-foirl':'ethernet_foirl',
            'ethernet-10base2':'ethernet_10base2',
            'ethernet-10broad36':'ethernet_10broad36',
            'ethernet-10base':'ethernet_10base',
            'ethernet-10base-thd':'ethernet_10base_thd',
            'ethernet-10base-tfd':'ethernet_10base_tfd',
            'ethernet-10base-fp':'ethernet_10base_fp',
            'ethernet-10base-fb':'ethernet_10base_fb',
            'ethernet-10base-fl':'ethernet_10base_fl',
            'ethernet-10base-flhd':'ethernet_10base_flhd',
            'ethernet-10base-flfd':'ethernet_10base_flfd',
            'ethernet-100base-t4':'ethernet_100base_t4',
            'ethernet-100base-tx':'ethernet_100base_tx',
            'ethernet-100base-txhd':'ethernet_100base_txhd',
            'ethernet-100base-txfd':'ethernet_100base_txfd',
            'ethernet-100base-fx':'ethernet_100base_fx',
            'ethernet-100base-fxhd':'ethernet_100base_fxhd',
            'ethernet-100base-fxfd':'ethernet_100base_fxfd',
            'ethernet-100base-ex':'ethernet_100base_ex',
            'ethernet-100base-exhd':'ethernet_100base_exhd',
            'ethernet-100base-exfd':'ethernet_100base_exfd',
            'ethernet-100base-t2':'ethernet_100base_t2',
            'ethernet-100base-t2hd':'ethernet_100base_t2hd',
            'ethernet-100base-t2fd':'ethernet_100base_t2fd',
            'ethernet-1000base-x':'ethernet_1000base_x',
            'ethernet-1000base-xhd':'ethernet_1000base_xhd',
            'ethernet-1000base-xfd':'ethernet_1000base_xfd',
            'ethernet-1000base-lx':'ethernet_1000base_lx',
            'ethernet-1000base-lxhd':'ethernet_1000base_lxhd',
            'ethernet-1000base-lxfd':'ethernet_1000base_lxfd',
            'ethernet-1000base-sx':'ethernet_1000base_sx',
            'ethernet-1000base-sxhd':'ethernet_1000base_sxhd',
            'ethernet-1000base-sxfd':'ethernet_1000base_sxfd',
            'ethernet-1000base-cx':'ethernet_1000base_cx',
            'ethernet-1000base-cxhd':'ethernet_1000base_cxhd',
            'ethernet-1000base-cxfd':'ethernet_1000base_cxfd',
            'ethernet-1000base':'ethernet_1000base',
            'ethernet-1000base-thd':'ethernet_1000base_thd',
            'ethernet-1000base-tfd':'ethernet_1000base_tfd',
            'ethernet-10gbase-x':'ethernet_10gbase_x',
            'ethernet-10gbase-lx4':'ethernet_10gbase_lx4',
            'ethernet-10gbase-r':'ethernet_10gbase_r',
            'ethernet-10gbase-er':'ethernet_10gbase_er',
            'ethernet-10gbase-lr':'ethernet_10gbase_lr',
            'ethernet-10gbase-sr':'ethernet_10gbase_sr',
            'ethernet-10gbase-w':'ethernet_10gbase_w',
            'ethernet-10gbase-ew':'ethernet_10gbase_ew',
            'ethernet-10gbase-lw':'ethernet_10gbase_lw',
            'ethernet-10gbase-sw':'ethernet_10gbase_sw',
            'ethernet-1000base-zx':'ethernet_1000base_zx',
            'ethernet-1000base-cwdm':'ethernet_1000base_cwdm',
            'ethernet-1000base-cwdm-1470':'ethernet_1000base_cwdm_1470',
            'ethernet-1000base-cwdm-1490':'ethernet_1000base_cwdm_1490',
            'ethernet-1000base-cwdm-1510':'ethernet_1000base_cwdm_1510',
            'ethernet-1000base-cwdm-1530':'ethernet_1000base_cwdm_1530',
            'ethernet-1000base-cwdm-1550':'ethernet_1000base_cwdm_1550',
            'ethernet-1000base-cwdm-1570':'ethernet_1000base_cwdm_1570',
            'ethernet-1000base-cwdm-1590':'ethernet_1000base_cwdm_1590',
            'ethernet-1000base-cwdm-1610':'ethernet_1000base_cwdm_1610',
            'ethernet-10gbase-zr':'ethernet_10gbase_zr',
            'ethernet-10gbase-dwdm':'ethernet_10gbase_dwdm',
            'ethernet-100gbase-lr4':'ethernet_100gbase_lr4',
            'ethernet-1000base-dwdm':'ethernet_1000base_dwdm',
            'ethernet-1000base-dwdm-1533':'ethernet_1000base_dwdm_1533',
            'ethernet-1000base-dwdm-1537':'ethernet_1000base_dwdm_1537',
            'ethernet-1000base-dwdm-1541':'ethernet_1000base_dwdm_1541',
            'ethernet-1000base-dwdm-1545':'ethernet_1000base_dwdm_1545',
            'ethernet-1000base-dwdm-1549':'ethernet_1000base_dwdm_1549',
            'ethernet-1000base-dwdm-1553':'ethernet_1000base_dwdm_1553',
            'ethernet-1000base-dwdm-1557':'ethernet_1000base_dwdm_1557',
            'ethernet-1000base-dwdm-1561':'ethernet_1000base_dwdm_1561',
            'ethernet-40gbase-lr4':'ethernet_40gbase_lr4',
            'ethernet-40gbase-er4':'ethernet_40gbase_er4',
            'ethernet-100gbase-er4':'ethernet_100gbase_er4',
            'ethernet-1000base-ex':'ethernet_1000base_ex',
            'ethernet-1000base-bx10-d':'ethernet_1000base_bx10_d',
            'ethernet-1000base-bx10-u':'ethernet_1000base_bx10_u',
            'ethernet-1000base-dwdm-1561-42':'ethernet_1000base_dwdm_1561_42',
            'ethernet-1000base-dwdm-1560-61':'ethernet_1000base_dwdm_1560_61',
            'ethernet-1000base-dwdm-1559-79':'ethernet_1000base_dwdm_1559_79',
            'ethernet-1000base-dwdm-1558-98':'ethernet_1000base_dwdm_1558_98',
            'ethernet-1000base-dwdm-1558-17':'ethernet_1000base_dwdm_1558_17',
            'ethernet-1000base-dwdm-1557-36':'ethernet_1000base_dwdm_1557_36',
            'ethernet-1000base-dwdm-1556-55':'ethernet_1000base_dwdm_1556_55',
            'ethernet-1000base-dwdm-1555-75':'ethernet_1000base_dwdm_1555_75',
            'ethernet-1000base-dwdm-1554-94':'ethernet_1000base_dwdm_1554_94',
            'ethernet-1000base-dwdm-1554-13':'ethernet_1000base_dwdm_1554_13',
            'ethernet-1000base-dwdm-1553-33':'ethernet_1000base_dwdm_1553_33',
            'ethernet-1000base-dwdm-1552-52':'ethernet_1000base_dwdm_1552_52',
            'ethernet-1000base-dwdm-1551-72':'ethernet_1000base_dwdm_1551_72',
            'ethernet-1000base-dwdm-1550-92':'ethernet_1000base_dwdm_1550_92',
            'ethernet-1000base-dwdm-1550-12':'ethernet_1000base_dwdm_1550_12',
            'ethernet-1000base-dwdm-1549-32':'ethernet_1000base_dwdm_1549_32',
            'ethernet-1000base-dwdm-1548-51':'ethernet_1000base_dwdm_1548_51',
            'ethernet-1000base-dwdm-1547-72':'ethernet_1000base_dwdm_1547_72',
            'ethernet-1000base-dwdm-1546-92':'ethernet_1000base_dwdm_1546_92',
            'ethernet-1000base-dwdm-1546-12':'ethernet_1000base_dwdm_1546_12',
            'ethernet-1000base-dwdm-1545-32':'ethernet_1000base_dwdm_1545_32',
            'ethernet-1000base-dwdm-1544-53':'ethernet_1000base_dwdm_1544_53',
            'ethernet-1000base-dwdm-1543-73':'ethernet_1000base_dwdm_1543_73',
            'ethernet-1000base-dwdm-1542-94':'ethernet_1000base_dwdm_1542_94',
            'ethernet-1000base-dwdm-1542-14':'ethernet_1000base_dwdm_1542_14',
            'ethernet-1000base-dwdm-1541-35':'ethernet_1000base_dwdm_1541_35',
            'ethernet-1000base-dwdm-1540-56':'ethernet_1000base_dwdm_1540_56',
            'ethernet-1000base-dwdm-1539-77':'ethernet_1000base_dwdm_1539_77',
            'ethernet-1000base-dwdm-1538-98':'ethernet_1000base_dwdm_1538_98',
            'ethernet-1000base-dwdm-1538-19':'ethernet_1000base_dwdm_1538_19',
            'ethernet-1000base-dwdm-1537-40':'ethernet_1000base_dwdm_1537_40',
            'ethernet-1000base-dwdm-1536-61':'ethernet_1000base_dwdm_1536_61',
            'ethernet-1000base-dwdm-1535-82':'ethernet_1000base_dwdm_1535_82',
            'ethernet-1000base-dwdm-1535-04':'ethernet_1000base_dwdm_1535_04',
            'ethernet-1000base-dwdm-1534-25':'ethernet_1000base_dwdm_1534_25',
            'ethernet-1000base-dwdm-1533-47':'ethernet_1000base_dwdm_1533_47',
            'ethernet-1000base-dwdm-1532-68':'ethernet_1000base_dwdm_1532_68',
            'ethernet-1000base-dwdm-1531-90':'ethernet_1000base_dwdm_1531_90',
            'ethernet-1000base-dwdm-1531-12':'ethernet_1000base_dwdm_1531_12',
            'ethernet-1000base-dwdm-1530-33':'ethernet_1000base_dwdm_1530_33',
            'ethernet-1000base-dwdm-tunable':'ethernet_1000base_dwdm_tunable',
            'ethernet-10gbase-dwdm-1561-42':'ethernet_10gbase_dwdm_1561_42',
            'ethernet-10gbase-dwdm-1560-61':'ethernet_10gbase_dwdm_1560_61',
            'ethernet-10gbase-dwdm-1559-79':'ethernet_10gbase_dwdm_1559_79',
            'ethernet-10gbase-dwdm-1558-98':'ethernet_10gbase_dwdm_1558_98',
            'ethernet-10gbase-dwdm-1558-17':'ethernet_10gbase_dwdm_1558_17',
            'ethernet-10gbase-dwdm-1557-36':'ethernet_10gbase_dwdm_1557_36',
            'ethernet-10gbase-dwdm-1556-55':'ethernet_10gbase_dwdm_1556_55',
            'ethernet-10gbase-dwdm-1555-75':'ethernet_10gbase_dwdm_1555_75',
            'ethernet-10gbase-dwdm-1554-94':'ethernet_10gbase_dwdm_1554_94',
            'ethernet-10gbase-dwdm-1554-13':'ethernet_10gbase_dwdm_1554_13',
            'ethernet-10gbase-dwdm-1553-33':'ethernet_10gbase_dwdm_1553_33',
            'ethernet-10gbase-dwdm-1552-52':'ethernet_10gbase_dwdm_1552_52',
            'ethernet-10gbase-dwdm-1551-72':'ethernet_10gbase_dwdm_1551_72',
            'ethernet-10gbase-dwdm-1550-92':'ethernet_10gbase_dwdm_1550_92',
            'ethernet-10gbase-dwdm-1550-12':'ethernet_10gbase_dwdm_1550_12',
            'ethernet-10gbase-dwdm-1549-32':'ethernet_10gbase_dwdm_1549_32',
            'ethernet-10gbase-dwdm-1548-51':'ethernet_10gbase_dwdm_1548_51',
            'ethernet-10gbase-dwdm-1547-72':'ethernet_10gbase_dwdm_1547_72',
            'ethernet-10gbase-dwdm-1546-92':'ethernet_10gbase_dwdm_1546_92',
            'ethernet-10gbase-dwdm-1546-12':'ethernet_10gbase_dwdm_1546_12',
            'ethernet-10gbase-dwdm-1545-32':'ethernet_10gbase_dwdm_1545_32',
            'ethernet-10gbase-dwdm-1544-53':'ethernet_10gbase_dwdm_1544_53',
            'ethernet-10gbase-dwdm-1543-73':'ethernet_10gbase_dwdm_1543_73',
            'ethernet-10gbase-dwdm-1542-94':'ethernet_10gbase_dwdm_1542_94',
            'ethernet-10gbase-dwdm-1542-14':'ethernet_10gbase_dwdm_1542_14',
            'ethernet-10gbase-dwdm-1541-35':'ethernet_10gbase_dwdm_1541_35',
            'ethernet-10gbase-dwdm-1540-56':'ethernet_10gbase_dwdm_1540_56',
            'ethernet-10gbase-dwdm-1539-77':'ethernet_10gbase_dwdm_1539_77',
            'ethernet-10gbase-dwdm-1538-98':'ethernet_10gbase_dwdm_1538_98',
            'ethernet-10gbase-dwdm-1538-19':'ethernet_10gbase_dwdm_1538_19',
            'ethernet-10gbase-dwdm-1537-40':'ethernet_10gbase_dwdm_1537_40',
            'ethernet-10gbase-dwdm-1536-61':'ethernet_10gbase_dwdm_1536_61',
            'ethernet-10gbase-dwdm-1535-82':'ethernet_10gbase_dwdm_1535_82',
            'ethernet-10gbase-dwdm-1535-04':'ethernet_10gbase_dwdm_1535_04',
            'ethernet-10gbase-dwdm-1534-25':'ethernet_10gbase_dwdm_1534_25',
            'ethernet-10gbase-dwdm-1533-47':'ethernet_10gbase_dwdm_1533_47',
            'ethernet-10gbase-dwdm-1532-68':'ethernet_10gbase_dwdm_1532_68',
            'ethernet-10gbase-dwdm-1531-90':'ethernet_10gbase_dwdm_1531_90',
            'ethernet-10gbase-dwdm-1531-12':'ethernet_10gbase_dwdm_1531_12',
            'ethernet-10gbase-dwdm-1530-33':'ethernet_10gbase_dwdm_1530_33',
            'ethernet-10gbase-dwdm-tunable':'ethernet_10gbase_dwdm_tunable',
            'ethernet-40gbase-dwdm-1561-42':'ethernet_40gbase_dwdm_1561_42',
            'ethernet-40gbase-dwdm-1560-61':'ethernet_40gbase_dwdm_1560_61',
            'ethernet-40gbase-dwdm-1559-79':'ethernet_40gbase_dwdm_1559_79',
            'ethernet-40gbase-dwdm-1558-98':'ethernet_40gbase_dwdm_1558_98',
            'ethernet-40gbase-dwdm-1558-17':'ethernet_40gbase_dwdm_1558_17',
            'ethernet-40gbase-dwdm-1557-36':'ethernet_40gbase_dwdm_1557_36',
            'ethernet-40gbase-dwdm-1556-55':'ethernet_40gbase_dwdm_1556_55',
            'ethernet-40gbase-dwdm-1555-75':'ethernet_40gbase_dwdm_1555_75',
            'ethernet-40gbase-dwdm-1554-94':'ethernet_40gbase_dwdm_1554_94',
            'ethernet-40gbase-dwdm-1554-13':'ethernet_40gbase_dwdm_1554_13',
            'ethernet-40gbase-dwdm-1553-33':'ethernet_40gbase_dwdm_1553_33',
            'ethernet-40gbase-dwdm-1552-52':'ethernet_40gbase_dwdm_1552_52',
            'ethernet-40gbase-dwdm-1551-72':'ethernet_40gbase_dwdm_1551_72',
            'ethernet-40gbase-dwdm-1550-92':'ethernet_40gbase_dwdm_1550_92',
            'ethernet-40gbase-dwdm-1550-12':'ethernet_40gbase_dwdm_1550_12',
            'ethernet-40gbase-dwdm-1549-32':'ethernet_40gbase_dwdm_1549_32',
            'ethernet-40gbase-dwdm-1548-51':'ethernet_40gbase_dwdm_1548_51',
            'ethernet-40gbase-dwdm-1547-72':'ethernet_40gbase_dwdm_1547_72',
            'ethernet-40gbase-dwdm-1546-92':'ethernet_40gbase_dwdm_1546_92',
            'ethernet-40gbase-dwdm-1546-12':'ethernet_40gbase_dwdm_1546_12',
            'ethernet-40gbase-dwdm-1545-32':'ethernet_40gbase_dwdm_1545_32',
            'ethernet-40gbase-dwdm-1544-53':'ethernet_40gbase_dwdm_1544_53',
            'ethernet-40gbase-dwdm-1543-73':'ethernet_40gbase_dwdm_1543_73',
            'ethernet-40gbase-dwdm-1542-94':'ethernet_40gbase_dwdm_1542_94',
            'ethernet-40gbase-dwdm-1542-14':'ethernet_40gbase_dwdm_1542_14',
            'ethernet-40gbase-dwdm-1541-35':'ethernet_40gbase_dwdm_1541_35',
            'ethernet-40gbase-dwdm-1540-56':'ethernet_40gbase_dwdm_1540_56',
            'ethernet-40gbase-dwdm-1539-77':'ethernet_40gbase_dwdm_1539_77',
            'ethernet-40gbase-dwdm-1538-98':'ethernet_40gbase_dwdm_1538_98',
            'ethernet-40gbase-dwdm-1538-19':'ethernet_40gbase_dwdm_1538_19',
            'ethernet-40gbase-dwdm-1537-40':'ethernet_40gbase_dwdm_1537_40',
            'ethernet-40gbase-dwdm-1536-61':'ethernet_40gbase_dwdm_1536_61',
            'ethernet-40gbase-dwdm-1535-82':'ethernet_40gbase_dwdm_1535_82',
            'ethernet-40gbase-dwdm-1535-04':'ethernet_40gbase_dwdm_1535_04',
            'ethernet-40gbase-dwdm-1534-25':'ethernet_40gbase_dwdm_1534_25',
            'ethernet-40gbase-dwdm-1533-47':'ethernet_40gbase_dwdm_1533_47',
            'ethernet-40gbase-dwdm-1532-68':'ethernet_40gbase_dwdm_1532_68',
            'ethernet-40gbase-dwdm-1531-90':'ethernet_40gbase_dwdm_1531_90',
            'ethernet-40gbase-dwdm-1531-12':'ethernet_40gbase_dwdm_1531_12',
            'ethernet-40gbase-dwdm-1530-33':'ethernet_40gbase_dwdm_1530_33',
            'ethernet-40gbase-dwdm-tunable':'ethernet_40gbase_dwdm_tunable',
            'ethernet-100gbase-dwdm-1561-42':'ethernet_100gbase_dwdm_1561_42',
            'ethernet-100gbase-dwdm-1560-61':'ethernet_100gbase_dwdm_1560_61',
            'ethernet-100gbase-dwdm-1559-79':'ethernet_100gbase_dwdm_1559_79',
            'ethernet-100gbase-dwdm-1558-98':'ethernet_100gbase_dwdm_1558_98',
            'ethernet-100gbase-dwdm-1558-17':'ethernet_100gbase_dwdm_1558_17',
            'ethernet-100gbase-dwdm-1557-36':'ethernet_100gbase_dwdm_1557_36',
            'ethernet-100gbase-dwdm-1556-55':'ethernet_100gbase_dwdm_1556_55',
            'ethernet-100gbase-dwdm-1555-75':'ethernet_100gbase_dwdm_1555_75',
            'ethernet-100gbase-dwdm-1554-94':'ethernet_100gbase_dwdm_1554_94',
            'ethernet-100gbase-dwdm-1554-13':'ethernet_100gbase_dwdm_1554_13',
            'ethernet-100gbase-dwdm-1553-33':'ethernet_100gbase_dwdm_1553_33',
            'ethernet-100gbase-dwdm-1552-52':'ethernet_100gbase_dwdm_1552_52',
            'ethernet-100gbase-dwdm-1551-72':'ethernet_100gbase_dwdm_1551_72',
            'ethernet-100gbase-dwdm-1550-92':'ethernet_100gbase_dwdm_1550_92',
            'ethernet-100gbase-dwdm-1550-12':'ethernet_100gbase_dwdm_1550_12',
            'ethernet-100gbase-dwdm-1549-32':'ethernet_100gbase_dwdm_1549_32',
            'ethernet-100gbase-dwdm-1548-51':'ethernet_100gbase_dwdm_1548_51',
            'ethernet-100gbase-dwdm-1547-72':'ethernet_100gbase_dwdm_1547_72',
            'ethernet-100gbase-dwdm-1546-92':'ethernet_100gbase_dwdm_1546_92',
            'ethernet-100gbase-dwdm-1546-12':'ethernet_100gbase_dwdm_1546_12',
            'ethernet-100gbase-dwdm-1545-32':'ethernet_100gbase_dwdm_1545_32',
            'ethernet-100gbase-dwdm-1544-53':'ethernet_100gbase_dwdm_1544_53',
            'ethernet-100gbase-dwdm-1543-73':'ethernet_100gbase_dwdm_1543_73',
            'ethernet-100gbase-dwdm-1542-94':'ethernet_100gbase_dwdm_1542_94',
            'ethernet-100gbase-dwdm-1542-14':'ethernet_100gbase_dwdm_1542_14',
            'ethernet-100gbase-dwdm-1541-35':'ethernet_100gbase_dwdm_1541_35',
            'ethernet-100gbase-dwdm-1540-56':'ethernet_100gbase_dwdm_1540_56',
            'ethernet-100gbase-dwdm-1539-77':'ethernet_100gbase_dwdm_1539_77',
            'ethernet-100gbase-dwdm-1538-98':'ethernet_100gbase_dwdm_1538_98',
            'ethernet-100gbase-dwdm-1538-19':'ethernet_100gbase_dwdm_1538_19',
            'ethernet-100gbase-dwdm-1537-40':'ethernet_100gbase_dwdm_1537_40',
            'ethernet-100gbase-dwdm-1536-61':'ethernet_100gbase_dwdm_1536_61',
            'ethernet-100gbase-dwdm-1535-82':'ethernet_100gbase_dwdm_1535_82',
            'ethernet-100gbase-dwdm-1535-04':'ethernet_100gbase_dwdm_1535_04',
            'ethernet-100gbase-dwdm-1534-25':'ethernet_100gbase_dwdm_1534_25',
            'ethernet-100gbase-dwdm-1533-47':'ethernet_100gbase_dwdm_1533_47',
            'ethernet-100gbase-dwdm-1532-68':'ethernet_100gbase_dwdm_1532_68',
            'ethernet-100gbase-dwdm-1531-90':'ethernet_100gbase_dwdm_1531_90',
            'ethernet-100gbase-dwdm-1531-12':'ethernet_100gbase_dwdm_1531_12',
            'ethernet-100gbase-dwdm-1530-33':'ethernet_100gbase_dwdm_1530_33',
            'ethernet-100gbase-dwdm-tunable':'ethernet_100gbase_dwdm_tunable',
            'ethernet-40gbase-kr4':'ethernet_40gbase_kr4',
            'ethernet-40gbase-cr4':'ethernet_40gbase_cr4',
            'ethernet-40gbase-sr4':'ethernet_40gbase_sr4',
            'ethernet-40gbase-fr':'ethernet_40gbase_fr',
            'ethernet-100gbase-cr10':'ethernet_100gbase_cr10',
            'ethernet-100gbase-sr10':'ethernet_100gbase_sr10',
            'ethernet-40gbase-csr4':'ethernet_40gbase_csr4',
            'ethernet-10gbase-cwdm':'ethernet_10gbase_cwdm',
            'ethernet-10gbase-cwdm-tunable':'ethernet_10gbase_cwdm_tunable',
            'ethernet-10gbase-cwdm-1470':'ethernet_10gbase_cwdm_1470',
            'ethernet-10gbase-cwdm-1490':'ethernet_10gbase_cwdm_1490',
            'ethernet-10gbase-cwdm-1510':'ethernet_10gbase_cwdm_1510',
            'ethernet-10gbase-cwdm-1530':'ethernet_10gbase_cwdm_1530',
            'ethernet-10gbase-cwdm-1550':'ethernet_10gbase_cwdm_1550',
            'ethernet-10gbase-cwdm-1570':'ethernet_10gbase_cwdm_1570',
            'ethernet-10gbase-cwdm-1590':'ethernet_10gbase_cwdm_1590',
            'ethernet-10gbase-cwdm-1610':'ethernet_10gbase_cwdm_1610',
            'ethernet-40gbase-cwdm':'ethernet_40gbase_cwdm',
            'ethernet-40gbase-cwdm-tunable':'ethernet_40gbase_cwdm_tunable',
            'ethernet-40gbase-cwdm-1470':'ethernet_40gbase_cwdm_1470',
            'ethernet-40gbase-cwdm-1490':'ethernet_40gbase_cwdm_1490',
            'ethernet-40gbase-cwdm-1510':'ethernet_40gbase_cwdm_1510',
            'ethernet-40gbase-cwdm-1530':'ethernet_40gbase_cwdm_1530',
            'ethernet-40gbase-cwdm-1550':'ethernet_40gbase_cwdm_1550',
            'ethernet-40gbase-cwdm-1570':'ethernet_40gbase_cwdm_1570',
            'ethernet-40gbase-cwdm-1590':'ethernet_40gbase_cwdm_1590',
            'ethernet-40gbase-cwdm-1610':'ethernet_40gbase_cwdm_1610',
            'ethernet-100gbase-cwdm':'ethernet_100gbase_cwdm',
            'ethernet-100gbase-cwdm-tunable':'ethernet_100gbase_cwdm_tunable',
            'ethernet-100gbase-cwdm-1470':'ethernet_100gbase_cwdm_1470',
            'ethernet-100gbase-cwdm-1490':'ethernet_100gbase_cwdm_1490',
            'ethernet-100gbase-cwdm-1510':'ethernet_100gbase_cwdm_1510',
            'ethernet-100gbase-cwdm-1530':'ethernet_100gbase_cwdm_1530',
            'ethernet-100gbase-cwdm-1550':'ethernet_100gbase_cwdm_1550',
            'ethernet-100gbase-cwdm-1570':'ethernet_100gbase_cwdm_1570',
            'ethernet-100gbase-cwdm-1590':'ethernet_100gbase_cwdm_1590',
            'ethernet-100gbase-cwdm-1610':'ethernet_100gbase_cwdm_1610',
            'ethernet-40gbase-elpb':'ethernet_40gbase_elpb',
            'ethernet-100gbase-elpb':'ethernet_100gbase_elpb',
            'ethernet-100gbase-lr10':'ethernet_100gbase_lr10',
            'ethernet-40gbase':'ethernet_40gbase',
            'ethernet-100gbase-kp4':'ethernet_100gbase_kp4',
            'ethernet-100gbase-kr4':'ethernet_100gbase_kr4',
            'ethernet-10gbase-lrm':'ethernet_10gbase_lrm',
            'ethernet-10gbase-cx4':'ethernet_10gbase_cx4',
            'ethernet-10gbase':'ethernet_10gbase',
            'ethernet-10gbase-kx4':'ethernet_10gbase_kx4',
            'ethernet-10gbase-kr':'ethernet_10gbase_kr',
            'ethernet-10gbase-pr':'ethernet_10gbase_pr',
            'ethernet-100base-lx':'ethernet_100base_lx',
            'ethernet-100base-zx':'ethernet_100base_zx',
            'ethernet-1000base-bx-d':'ethernet_1000base_bx_d',
            'ethernet-1000base-bx-u':'ethernet_1000base_bx_u',
            'ethernet-1000base-bx20-d':'ethernet_1000base_bx20_d',
            'ethernet-1000base-bx20-u':'ethernet_1000base_bx20_u',
            'ethernet-1000base-bx40-d':'ethernet_1000base_bx40_d',
            'ethernet-1000base-bx40-da':'ethernet_1000base_bx40_da',
            'ethernet-1000base-bx40-u':'ethernet_1000base_bx40_u',
            'ethernet-1000base-bx80-d':'ethernet_1000base_bx80_d',
            'ethernet-1000base-bx80-u':'ethernet_1000base_bx80_u',
            'ethernet-1000base-bx120-d':'ethernet_1000base_bx120_d',
            'ethernet-1000base-bx120-u':'ethernet_1000base_bx120_u',
            'ethernet-10gbase-bx-d':'ethernet_10gbase_bx_d',
            'ethernet-10gbase-bx-u':'ethernet_10gbase_bx_u',
            'ethernet-10gbase-bx10-d':'ethernet_10gbase_bx10_d',
            'ethernet-10gbase-bx10-u':'ethernet_10gbase_bx10_u',
            'ethernet-10gbase-bx20-d':'ethernet_10gbase_bx20_d',
            'ethernet-10gbase-bx20-u':'ethernet_10gbase_bx20_u',
            'ethernet-10gbase-bx40-d':'ethernet_10gbase_bx40_d',
            'ethernet-10gbase-bx40-u':'ethernet_10gbase_bx40_u',
            'ethernet-10gbase-bx80-d':'ethernet_10gbase_bx80_d',
            'ethernet-10gbase-bx80-u':'ethernet_10gbase_bx80_u',
            'ethernet-10gbase-bx120-d':'ethernet_10gbase_bx120_d',
            'ethernet-10gbase-bx120-u':'ethernet_10gbase_bx120_u',
            'ethernet-1000base-dr-lx':'ethernet_1000base_dr_lx',
            'ethernet-100gbase-er4l':'ethernet_100gbase_er4l',
            'ethernet-100gbase-sr4':'ethernet_100gbase_sr4',
            'ethernet-40gbase-sr-bd':'ethernet_40gbase_sr_bd',
            'ethernet-25gbase-cr':'ethernet_25gbase_cr',
            'ethernet-25gbase-cr-s':'ethernet_25gbase_cr_s',
            'ethernet-25gbase-kr':'ethernet_25gbase_kr',
            'ethernet-25gbase-kr-s':'ethernet_25gbase_kr_s',
            'ethernet-25gbase-r':'ethernet_25gbase_r',
            'ethernet-25gbase-sr':'ethernet_25gbase_sr',
            'ethernet-25gbase-dwdm':'ethernet_25gbase_dwdm',
            'ethernet-25gbase-dwdm-tunable':'ethernet_25gbase_dwdm_tunable',
            'ethernet-25gbase-cwdm':'ethernet_25gbase_cwdm',
            'ethernet-25gbase-cwdm-tunable':'ethernet_25gbase_cwdm_tunable',
            'ethernet-100gbase-psm4':'ethernet_100gbase_psm4',
            'ethernet-100gbase-er10':'ethernet_100gbase_er10',
            'ethernet-100gbase-er10l':'ethernet_100gbase_er10l',
            'ethernet-100gbase-acc':'ethernet_100gbase_acc',
            'ethernet-100gbase-aoc':'ethernet_100gbase_aoc',
            'ethernet-100gbase-cwdm4':'ethernet_100gbase_cwdm4',
            'ethernet-40gbase-psm4':'ethernet_40gbase_psm4',
            'ethernet-100gbase-cr4':'ethernet_100gbase_cr4',
            'ethernet-100gbase-act-loop':'ethernet_100gbase_act_loop',
            'ethernet-100gbase-pas-loop':'ethernet_100gbase_pas_loop',
            'ethernet-base-max':'ethernet_base_max',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherAinsStatusEnum' : _MetaInfoEnum('EtherAinsStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'ains-soak-status-none':'ains_soak_status_none',
            'ains-soak-status-pending':'ains_soak_status_pending',
            'ains-soak-status-running':'ains_soak_status_running',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetLoopbackEnum' : _MetaInfoEnum('EthernetLoopbackEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-loopback':'no_loopback',
            'internal':'internal',
            'line':'line',
            'external':'external',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetInterface.Statistics.Statistic' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Statistics.Statistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                The name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-drivers-media-eth-oper', True),
            _MetaInfoClassMember('aborted-packet-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Drops due to packet abort
                ''',
                'aborted_packet_drops',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('buffer-underrun-packet-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Drops due to buffer underrun
                ''',
                'buffer_underrun_packet_drops',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-ether-stats-fragments', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bad Frames < 64 Octet, dropped
                ''',
                'dropped_ether_stats_fragments',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-ether-stats-undersize-pkts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Good frames < 64 Octet, dropped
                ''',
                'dropped_ether_stats_undersize_pkts',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-giant-packets-greaterthan-mru', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Good frames > MRU, dropped
                ''',
                'dropped_giant_packets_greaterthan_mru',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-jabbers-packets-greaterthan-mru', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bad Frames > MRU, dropped
                ''',
                'dropped_jabbers_packets_greaterthan_mru',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-miscellaneous-error-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Any other errors not counted
                ''',
                'dropped_miscellaneous_error_packets',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-packets-with-crc-align-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Frames 64 - MRU with CRC error
                ''',
                'dropped_packets_with_crc_align_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('ether-stats-collisions', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All collision events
                ''',
                'ether_stats_collisions',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('invalid-dest-mac-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Drops due to the destination MAC not matching
                ''',
                'invalid_dest_mac_drop_packets',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('invalid-encap-drop-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Drops due to the encapsulation or ether type not
                matching
                ''',
                'invalid_encap_drop_packets',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('miscellaneous-output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Any other errors not counted
                ''',
                'miscellaneous_output_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('number-of-aborted-packets-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Drops due to packet abort
                ''',
                'number_of_aborted_packets_dropped',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('number-of-buffer-overrun-packets-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Drops due to buffer overrun
                ''',
                'number_of_buffer_overrun_packets_dropped',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('number-of-miscellaneous-packets-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Any other drops not counted
                ''',
                'number_of_miscellaneous_packets_dropped',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('numberof-invalid-vlan-id-packets-dropped', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Drops due to invalid VLAN id
                ''',
                'numberof_invalid_vlan_id_packets_dropped',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received8021q-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 802.1Q frames
                ''',
                'received8021q_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-broadcast-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received broadcast Frames
                ''',
                'received_broadcast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-good-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total octets of all good frames
                ''',
                'received_good_bytes',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-good-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Good Frames
                ''',
                'received_good_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-multicast-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received multicast Frames
                ''',
                'received_multicast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-pause-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All pause frames
                ''',
                'received_pause_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total64-octet-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 64 Octet Frame Count
                ''',
                'received_total64_octet_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total octets of all frames
                ''',
                'received_total_bytes',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All frames, good or bad
                ''',
                'received_total_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from1024-to1518', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 1024-1518 Octet Frame Count
                ''',
                'received_total_octet_frames_from1024_to1518',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from128-to255', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 128-255 Octet Frame Count
                ''',
                'received_total_octet_frames_from128_to255',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from1519-to-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All > 1518 Octet Frame Count
                ''',
                'received_total_octet_frames_from1519_to_max',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from256-to511', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 256-511 Octet Frame Count
                ''',
                'received_total_octet_frames_from256_to511',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from512-to1023', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 512-1023 Octet Frame Count
                ''',
                'received_total_octet_frames_from512_to1023',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from65-to127', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 65-127 Octet Frame Count
                ''',
                'received_total_octet_frames_from65_to127',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-unicast-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received unicast Frames
                ''',
                'received_unicast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-unknown-opcodes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unsupported MAC Control frames
                ''',
                'received_unknown_opcodes',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rfc2819-ether-stats-crc-align-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RFC2819 etherStatsCRCAlignErrors
                ''',
                'rfc2819_ether_stats_crc_align_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rfc2819-ether-stats-jabbers', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RFC2819 etherStatsJabbers
                ''',
                'rfc2819_ether_stats_jabbers',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rfc2819-ether-stats-oversized-pkts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RFC2819 etherStatsOversizedPkts
                ''',
                'rfc2819_ether_stats_oversized_pkts',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rfc3635dot3-stats-alignment-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RFC3635 dot3StatsAlignmentErrors
                ''',
                'rfc3635dot3_stats_alignment_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('symbol-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Symbol errors
                ''',
                'symbol_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('total-bytes-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total octets of all frames
                ''',
                'total_bytes_transmitted',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('total-frames-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All frames, good or bad
                ''',
                'total_frames_transmitted',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('total-good-bytes-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total octets of all good frames
                ''',
                'total_good_bytes_transmitted',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted8021q-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 802.1Q frames
                ''',
                'transmitted8021q_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-broadcast-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted broadcast Frames
                ''',
                'transmitted_broadcast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-good-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted Good Frames
                ''',
                'transmitted_good_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-multicast-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted multicast Frames
                ''',
                'transmitted_multicast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total64-octet-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 64 Octet Frame Count
                ''',
                'transmitted_total64_octet_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from1024-to1518', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 1024-1518 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from1024_to1518',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from128-to255', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 128-255 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from128_to255',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from1518-to-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All > 1518 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from1518_to_max',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from256-to511', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 256-511 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from256_to511',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from512-to1023', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 512-1023 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from512_to1023',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from65-to127', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All 65-127 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from65_to127',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-pause-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                All pause frames
                ''',
                'transmitted_total_pause_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-unicast-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmitted unicast Frames
                ''',
                'transmitted_unicast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('uncounted-dropped-frames', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Any other drops not counted
                ''',
                'uncounted_dropped_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Statistics' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Statistics',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Statistics.Statistic', 
                [], [], 
                '''                Ethernet statistics information
                ''',
                'statistic',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.LaneFieldValidity' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.LaneFieldValidity',
            False, 
            [
            _MetaInfoClassMember('laser-bias-valid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The laser bias 'per lane' field is valid
                ''',
                'laser_bias_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('receive-power-valid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The receive power 'per lane' field is valid
                ''',
                'receive_power_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-power-valid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The transmit power 'per lane' field is valid
                ''',
                'transmit_power_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('wavelength-valid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The wavelength 'per lane' field is valid
                ''',
                'wavelength_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'lane-field-validity',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds.FieldValidity' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds.FieldValidity',
            False, 
            [
            _MetaInfoClassMember('laser-bias-valid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The laser bias fields are valid
                ''',
                'laser_bias_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('receive-power-valid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The receive power fields are valid
                ''',
                'receive_power_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('temperature-valid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The temperature fields are valid
                ''',
                'temperature_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-power-valid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The transmit power fields are valid
                ''',
                'transmit_power_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('voltage-valid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The voltage fields are valid
                ''',
                'voltage_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'field-validity',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds',
            False, 
            [
            _MetaInfoClassMember('field-validity', REFERENCE_CLASS, 'FieldValidity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds.FieldValidity', 
                [], [], 
                '''                Field validity
                ''',
                'field_validity',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Laser bias high alarm threshold (uA)
                ''',
                'laser_bias_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Laser bias low alarm threshold (uA)
                ''',
                'laser_bias_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-warning-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Laser bias high warning threshold (uA)
                ''',
                'laser_bias_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-warning-low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Laser bias low warning threshold (uA)
                ''',
                'laser_bias_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-receive-power-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High optical receive power alarm threshold (uW)
                ''',
                'optical_receive_power_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-receive-power-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low optical receive power alarm threshold (uW)
                ''',
                'optical_receive_power_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-receive-power-warning-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High optical receive power warning threshold
                (uW)
                ''',
                'optical_receive_power_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-receive-power-warning-low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low optical receive power warning threshold (uW)
                ''',
                'optical_receive_power_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-transmit-power-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High optical transmit power alarm threshold (uW)
                ''',
                'optical_transmit_power_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-transmit-power-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low optical transmit power alarm threshold (uW)
                ''',
                'optical_transmit_power_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-transmit-power-warning-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High optical transmit power warning threshold
                (uW)
                ''',
                'optical_transmit_power_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-transmit-power-warning-low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low optical transmit power warning threshold
                (uW)
                ''',
                'optical_transmit_power_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Transceiver high temperature alarm threshold
                (mDegrees C)
                ''',
                'transceiver_temperature_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Transceiver low temperature alarm threshold
                (mDegrees C)
                ''',
                'transceiver_temperature_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature-warning-high', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Transceiver high temperature warning threshold
                (mDegrees C)
                ''',
                'transceiver_temperature_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature-warning-low', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Transceiver low temperature warning threshold
                (mDegrees C)
                ''',
                'transceiver_temperature_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transceiver high voltage alarm threshold (mV)
                ''',
                'transceiver_voltage_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transceiver low voltage alarm threshold (mV)
                ''',
                'transceiver_voltage_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage-warning-high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transceiver high voltage warning threshold (mV)
                ''',
                'transceiver_voltage_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage-warning-low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transceiver low voltage warning threshold (mV)
                ''',
                'transceiver_voltage_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'dig-opt-mon-alarm-thresholds',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarms' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarms',
            False, 
            [
            _MetaInfoClassMember('laser-bias-current', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Laser Bias Current Alarm
                ''',
                'laser_bias_current',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-laser-power', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Received Optical Power Alarm
                ''',
                'received_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Transceiver Temperature Alarm
                ''',
                'transceiver_temperature',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Transceiver Voltage Alarm
                ''',
                'transceiver_voltage',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-laser-power', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Transmit Laser Power Alarm
                ''',
                'transmit_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'dig-opt-mon-alarms',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane.DigOptMonAlarm' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane.DigOptMonAlarm',
            False, 
            [
            _MetaInfoClassMember('laser-bias-current', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Laser Bias Current Alarm
                ''',
                'laser_bias_current',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-laser-power', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Received Optical Power Alarm
                ''',
                'received_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-laser-power', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Transmit Laser Power Alarm
                ''',
                'transmit_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'dig-opt-mon-alarm',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane',
            False, 
            [
            _MetaInfoClassMember('center-wavelength', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Center Wavelength (nm*1000)
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dig-opt-mon-alarm', REFERENCE_CLASS, 'DigOptMonAlarm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane.DigOptMonAlarm', 
                [], [], 
                '''                Digital Optical Monitoring alarms
                ''',
                'dig_opt_mon_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('lane-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Numerical identifier for this lane
                ''',
                'lane_id',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-current', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Laser Bias Current (uAmps)
                ''',
                'laser_bias_current',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-laser-power', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Received Optical Power (dBm*1000)
                ''',
                'received_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-laser-power', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Transmit Laser Power (dBm*1000)
                ''',
                'transmit_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'lane',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails',
            False, 
            [
            _MetaInfoClassMember('dig-opt-mon-alarm-thresholds', REFERENCE_CLASS, 'DigOptMonAlarmThresholds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds', 
                [], [], 
                '''                Digital Optical Monitoring alarm thresholds
                ''',
                'dig_opt_mon_alarm_thresholds',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dig-opt-mon-alarms', REFERENCE_CLASS, 'DigOptMonAlarms' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarms', 
                [], [], 
                '''                Digital Optical Monitoring alarms
                ''',
                'dig_opt_mon_alarms',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('lane', REFERENCE_LIST, 'Lane' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane', 
                [], [], 
                '''                Digital Optical Monitoring (per lane
                information)
                ''',
                'lane',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('lane-field-validity', REFERENCE_CLASS, 'LaneFieldValidity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.LaneFieldValidity', 
                [], [], 
                '''                Digital Optical Monitoring (per lane
                information) validity
                ''',
                'lane_field_validity',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optics-wavelength', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wavelength of the optics being used in nm * 1000
                ''',
                'optics_wavelength',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-rx-power', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The transceiver receive optical power (uW)
                ''',
                'transceiver_rx_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The temperature of the transceiver (mDegrees C)
                ''',
                'transceiver_temperature',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-tx-bias', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The laser bias of the transceiver (uA)
                ''',
                'transceiver_tx_bias',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-tx-power', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The transceiver transmit laser power (uW)
                ''',
                'transceiver_tx_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The input voltage to the transceiver (mV)
                ''',
                'transceiver_voltage',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('vendor', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the port optics manufacturer
                ''',
                'vendor',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('vendor-part-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Part number for the port optics
                ''',
                'vendor_part_number',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('vendor-serial-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial number for the port optics
                ''',
                'vendor_serial_number',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'phy-details',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.FecDetails' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.FecDetails',
            False, 
            [
            _MetaInfoClassMember('corrected-codeword-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Corrected codeword error count
                ''',
                'corrected_codeword_count',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_ENUM_CLASS, 'EthernetFecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetFecEnum', 
                [], [], 
                '''                Port operational FEC type
                ''',
                'fec',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('uncorrected-codeword-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uncorrected codeword error count
                ''',
                'uncorrected_codeword_count',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'fec-details',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo',
            False, 
            [
            _MetaInfoClassMember('fec-details', REFERENCE_CLASS, 'FecDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.FecDetails', 
                [], [], 
                '''                Forward Error Correction information
                ''',
                'fec_details',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('loopback', REFERENCE_ENUM_CLASS, 'EthernetLoopbackEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetLoopbackEnum', 
                [], [], 
                '''                Port operational loopback
                ''',
                'loopback',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_ENUM_CLASS, 'EthernetMediaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetMediaEnum', 
                [], [], 
                '''                Port media type
                ''',
                'media_type',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('phy-details', REFERENCE_CLASS, 'PhyDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails', 
                [], [], 
                '''                Details about the PHY
                ''',
                'phy_details',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('phy-present', REFERENCE_ENUM_CLASS, 'EtherPhyPresentEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherPhyPresentEnum', 
                [], [], 
                '''                Presence of PHY
                ''',
                'phy_present',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'phy-info',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.Autoneg' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.Autoneg',
            False, 
            [
            _MetaInfoClassMember('autoneg-enabled', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                TRUE if autonegotiation is enabled
                ''',
                'autoneg_enabled',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('config-override', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                If true, configuration overrides negotiated
                settings.  If false, negotiated settings in
                effect
                ''',
                'config_override',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'EthernetDuplexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetDuplexEnum', 
                [], [], 
                '''                Restricted duplex (if relevant bit is set in
                mask)
                ''',
                'duplex',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_ENUM_CLASS, 'EthernetFecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetFecEnum', 
                [], [], 
                '''                Restricted FEC (if revelevant bit is set in
                mask)
                ''',
                'fec',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_ENUM_CLASS, 'EtherFlowcontrolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherFlowcontrolEnum', 
                [], [], 
                '''                Restricted flowcontrol (if relevant bit is set
                in mask)
                ''',
                'flowcontrol',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Validity mask: 0x1 speed, 0x2 duplex, 0x4
                flowcontrol, 0x8 fec
                ''',
                'mask',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('speed', REFERENCE_ENUM_CLASS, 'EthernetSpeedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetSpeedEnum', 
                [], [], 
                '''                Restricted speed (if relevant bit is set in
                mask)
                ''',
                'speed',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'autoneg',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.CurrentAlarms' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.CurrentAlarms',
            False, 
            [
            _MetaInfoClassMember('hi-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Hi BER
                ''',
                'hi_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('local-fault-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Local Fault
                ''',
                'local_fault_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('loss-of-synchronization-data-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Loss of Synchronization Data
                ''',
                'loss_of_synchronization_data_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('pcs-loss-of-block-lock-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                PCS Loss of Block Lock
                ''',
                'pcs_loss_of_block_lock_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-loss-of-signal-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Received Loss of Signal
                ''',
                'received_loss_of_signal_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('remote-fault-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Remote Fault
                ''',
                'remote_fault_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rx-opd-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Rx OPD Alarm
                ''',
                'rx_opd_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sd-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                SD BER
                ''',
                'sd_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sf-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                SF BER
                ''',
                'sf_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('squelch-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Squelch
                ''',
                'squelch_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'current-alarms',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.PreviousAlarms' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.PreviousAlarms',
            False, 
            [
            _MetaInfoClassMember('hi-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Hi BER
                ''',
                'hi_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('local-fault-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Local Fault
                ''',
                'local_fault_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('loss-of-synchronization-data-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Loss of Synchronization Data
                ''',
                'loss_of_synchronization_data_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('pcs-loss-of-block-lock-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                PCS Loss of Block Lock
                ''',
                'pcs_loss_of_block_lock_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-loss-of-signal-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Received Loss of Signal
                ''',
                'received_loss_of_signal_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('remote-fault-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Remote Fault
                ''',
                'remote_fault_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rx-opd-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Rx OPD Alarm
                ''',
                'rx_opd_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sd-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                SD BER
                ''',
                'sd_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sf-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                SF BER
                ''',
                'sf_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('squelch-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Squelch
                ''',
                'squelch_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'previous-alarms',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.ErrorCounts' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.ErrorCounts',
            False, 
            [
            _MetaInfoClassMember('pcsbip-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                PCS BIP error count
                ''',
                'pcsbip_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sync-header-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sync-header error count
                ''',
                'sync_header_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'error-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring.Settings' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring.Settings',
            False, 
            [
            _MetaInfoClassMember('signal-degrade-alarm', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Report alarm to indicate signal degrade
                ''',
                'signal_degrade_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('signal-degrade-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BER threshold for signal to degrade
                ''',
                'signal_degrade_threshold',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('signal-fail-alarm', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Report alarm to indicate signal failure
                ''',
                'signal_fail_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('signal-fail-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BER threshold for signal to fail
                ''',
                'signal_fail_threshold',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('signal-remote-fault', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Whether drivers should signal remote faults
                ''',
                'signal_remote_fault',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'settings',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring',
            False, 
            [
            _MetaInfoClassMember('settings', REFERENCE_CLASS, 'Settings' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring.Settings', 
                [], [], 
                '''                The BER monitoring settings to be applied
                ''',
                'settings',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Whether or not BER monitoring is supported
                ''',
                'supported',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'ber-monitoring',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.OpdMonitoring.Settings' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.OpdMonitoring.Settings',
            False, 
            [
            _MetaInfoClassMember('received-optical-power-degrade-threshold', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Rx-OPD alarm threshold value
                ''',
                'received_optical_power_degrade_threshold',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-optical-power-degrade-threshold-set', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Rx-OPD alarm threshold set?
                ''',
                'received_optical_power_degrade_threshold_set',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'settings',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.OpdMonitoring' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.OpdMonitoring',
            False, 
            [
            _MetaInfoClassMember('settings', REFERENCE_CLASS, 'Settings' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.OpdMonitoring.Settings', 
                [], [], 
                '''                The OPD monitoring settings to be applied
                ''',
                'settings',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Whether or not OPD monitoring is supported
                ''',
                'supported',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'opd-monitoring',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.PfcInfo' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.PfcInfo',
            False, 
            [
            _MetaInfoClassMember('priority-enabled-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority bitmap
                ''',
                'priority_enabled_bitmap',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('priority-flowcontrol', REFERENCE_ENUM_CLASS, 'EtherPfcEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherPfcEnum', 
                [], [], 
                '''                Port operational priority flow control
                ''',
                'priority_flowcontrol',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rx-frame', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RX Frame counts
                ''',
                'rx_frame',
                'Cisco-IOS-XR-drivers-media-eth-oper', False, max_elements=8),
            _MetaInfoClassMember('tx-frame', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TX Frame counts
                ''',
                'tx_frame',
                'Cisco-IOS-XR-drivers-media-eth-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'pfc-info',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info',
            False, 
            [
            _MetaInfoClassMember('autoneg', REFERENCE_CLASS, 'Autoneg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.Autoneg', 
                [], [], 
                '''                Port autonegotiation configuration settings
                ''',
                'autoneg',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Port operational bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth utilization (hundredths of a percent)
                ''',
                'bandwidth_utilization',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('ber-monitoring', REFERENCE_CLASS, 'BerMonitoring' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring', 
                [], [], 
                '''                BER monitoring details
                ''',
                'ber_monitoring',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('current-alarms', REFERENCE_CLASS, 'CurrentAlarms' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.CurrentAlarms', 
                [], [], 
                '''                Current alarms
                ''',
                'current_alarms',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'EthernetDuplexEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetDuplexEnum', 
                [], [], 
                '''                Port operational duplexity
                ''',
                'duplex',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('error-counts', REFERENCE_CLASS, 'ErrorCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.ErrorCounts', 
                [], [], 
                '''                Statistics for detected errors
                ''',
                'error_counts',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_ENUM_CLASS, 'EtherFlowcontrolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherFlowcontrolEnum', 
                [], [], 
                '''                Port operational flow control
                ''',
                'flowcontrol',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('ipg', REFERENCE_ENUM_CLASS, 'EthernetIpgEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetIpgEnum', 
                [], [], 
                '''                Port operational inter-packet-gap
                ''',
                'ipg',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-squelch-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Laser Squelch - TRUE if enabled
                ''',
                'laser_squelch_enabled',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('led-state', REFERENCE_ENUM_CLASS, 'EtherLedStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherLedStateEnum', 
                [], [], 
                '''                State of the LED
                ''',
                'led_state',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('link-state', REFERENCE_ENUM_CLASS, 'EtherLinkStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherLinkStateEnum', 
                [], [], 
                '''                Link state
                ''',
                'link_state',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('opd-monitoring', REFERENCE_CLASS, 'OpdMonitoring' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.OpdMonitoring', 
                [], [], 
                '''                OPD monitoring details
                ''',
                'opd_monitoring',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('pfc-info', REFERENCE_CLASS, 'PfcInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.PfcInfo', 
                [], [], 
                '''                Priority flow control information
                ''',
                'pfc_info',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('previous-alarms', REFERENCE_CLASS, 'PreviousAlarms' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.PreviousAlarms', 
                [], [], 
                '''                Previous alarms
                ''',
                'previous_alarms',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('speed', REFERENCE_ENUM_CLASS, 'EthernetSpeedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetSpeedEnum', 
                [], [], 
                '''                Port operational speed
                ''',
                'speed',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'layer1-info',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.MacInfo.UnicastMacFilters' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.MacInfo.UnicastMacFilters',
            False, 
            [
            _MetaInfoClassMember('unicast-mac-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC addresses in the unicast ingress destination
                MAC filter
                ''',
                'unicast_mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'unicast-mac-filters',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters.MulticastMacAddress' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters.MulticastMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                Mask for this MAC address
                ''',
                'mask',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'multicast-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters',
            False, 
            [
            _MetaInfoClassMember('multicast-mac-address', REFERENCE_LIST, 'MulticastMacAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters.MulticastMacAddress', 
                [], [], 
                '''                MAC addresses in the multicast ingress
                destination MAC filter
                ''',
                'multicast_mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('multicast-promiscuous', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the port is in multicast promiscuous
                mode
                ''',
                'multicast_promiscuous',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'multicast-mac-filters',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.MacInfo' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.MacInfo',
            False, 
            [
            _MetaInfoClassMember('burned-in-mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                Port Burned-In MAC address
                ''',
                'burned_in_mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mru', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Port operational MRU
                ''',
                'mru',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Port operational MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('multicast-mac-filters', REFERENCE_CLASS, 'MulticastMacFilters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters', 
                [], [], 
                '''                Port multicast MAC filter information
                ''',
                'multicast_mac_filters',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('operational-mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                Port operational MAC address
                ''',
                'operational_mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('unicast-mac-filters', REFERENCE_CLASS, 'UnicastMacFilters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.MacInfo.UnicastMacFilters', 
                [], [], 
                '''                Port unicast MAC filter information
                ''',
                'unicast_mac_filters',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'mac-info',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.TransportInfo' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.TransportInfo',
            False, 
            [
            _MetaInfoClassMember('ains-status', REFERENCE_ENUM_CLASS, 'EtherAinsStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherAinsStatusEnum', 
                [], [], 
                '''                AINS Soak status
                ''',
                'ains_status',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('maintenance-mode-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Maintenance Mode - TRUE if enabled
                ''',
                'maintenance_mode_enabled',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('remaining-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining duration (seconds) of AINS soak timer
                ''',
                'remaining_duration',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('total-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total duration (seconds) of AINS soak timer
                ''',
                'total_duration',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'transport-info',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                The name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-drivers-media-eth-oper', True),
            _MetaInfoClassMember('admin-state', REFERENCE_ENUM_CLASS, 'EthernetPortEnableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetPortEnableEnum', 
                [], [], 
                '''                Port Administrative State
                ''',
                'admin_state',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('layer1-info', REFERENCE_CLASS, 'Layer1Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info', 
                [], [], 
                '''                Layer 1 information
                ''',
                'layer1_info',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mac-info', REFERENCE_CLASS, 'MacInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.MacInfo', 
                [], [], 
                '''                MAC Layer information
                ''',
                'mac_info',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('oper-state-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Port Operational state - TRUE if up
                ''',
                'oper_state_up',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('phy-info', REFERENCE_CLASS, 'PhyInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo', 
                [], [], 
                '''                PHY information
                ''',
                'phy_info',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transport-info', REFERENCE_CLASS, 'TransportInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.TransportInfo', 
                [], [], 
                '''                Transport state information
                ''',
                'transport_info',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface', 
                [], [], 
                '''                Ethernet controller information
                ''',
                'interface',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Berts.Bert.BertStatus' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Berts.Bert.BertStatus',
            False, 
            [
            _MetaInfoClassMember('bert-state-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                State
                ''',
                'bert_state_enabled',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('data-availability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flag indicating available data
                ''',
                'data_availability',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('device-under-test', REFERENCE_ENUM_CLASS, 'EthernetDevEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetDevEnum', 
                [], [], 
                '''                Device being tested
                ''',
                'device_under_test',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('error-type', REFERENCE_ENUM_CLASS, 'EthernetBertErrCntEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetBertErrCntEnum', 
                [], [], 
                '''                Bit, block or frame error
                ''',
                'error_type',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('interface-device', REFERENCE_ENUM_CLASS, 'EthernetDevIfEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetDevIfEnum', 
                [], [], 
                '''                Interface being tested
                ''',
                'interface_device',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('receive-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Receive count (if 0x1 set in flag)
                ''',
                'receive_count',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('receive-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received errors (if 0x4 set in flag)
                ''',
                'receive_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('test-pattern', REFERENCE_ENUM_CLASS, 'EthernetBertPatternEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetBertPatternEnum', 
                [], [], 
                '''                Test pattern
                ''',
                'test_pattern',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Transmit count (if 0x2 set in flag)
                ''',
                'transmit_count',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'bert-status',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Berts.Bert' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Berts.Bert',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                The name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-drivers-media-eth-oper', True),
            _MetaInfoClassMember('bert-status', REFERENCE_CLASS, 'BertStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Berts.Bert.BertStatus', 
                [], [], 
                '''                Current test status
                ''',
                'bert_status',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('port-bert-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Port BERT interval
                ''',
                'port_bert_interval',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for this test in seconds
                ''',
                'time_left',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'bert',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Berts' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Berts',
            False, 
            [
            _MetaInfoClassMember('bert', REFERENCE_LIST, 'Bert' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Berts.Bert', 
                [], [], 
                '''                Ethernet BERT information
                ''',
                'bert',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'berts',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface' : {
        'meta_info' : _MetaInfoClass('EthernetInterface',
            False, 
            [
            _MetaInfoClassMember('berts', REFERENCE_CLASS, 'Berts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Berts', 
                [], [], 
                '''                Ethernet controller BERT table
                ''',
                'berts',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces', 
                [], [], 
                '''                Ethernet controller info table
                ''',
                'interfaces',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Statistics', 
                [], [], 
                '''                Ethernet controller statistics table
                ''',
                'statistics',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'ethernet-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
}
_meta_table['EthernetInterface.Statistics.Statistic']['meta_info'].parent =_meta_table['EthernetInterface.Statistics']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds.FieldValidity']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane.DigOptMonAlarm']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.LaneFieldValidity']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarms']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.FecDetails']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring.Settings']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.OpdMonitoring.Settings']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.OpdMonitoring']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.Autoneg']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.CurrentAlarms']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.PreviousAlarms']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.ErrorCounts']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.OpdMonitoring']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.PfcInfo']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters.MulticastMacAddress']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.MacInfo.UnicastMacFilters']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.MacInfo']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.MacInfo']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.MacInfo']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.TransportInfo']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces']['meta_info']
_meta_table['EthernetInterface.Berts.Bert.BertStatus']['meta_info'].parent =_meta_table['EthernetInterface.Berts.Bert']['meta_info']
_meta_table['EthernetInterface.Berts.Bert']['meta_info'].parent =_meta_table['EthernetInterface.Berts']['meta_info']
_meta_table['EthernetInterface.Statistics']['meta_info'].parent =_meta_table['EthernetInterface']['meta_info']
_meta_table['EthernetInterface.Interfaces']['meta_info'].parent =_meta_table['EthernetInterface']['meta_info']
_meta_table['EthernetInterface.Berts']['meta_info'].parent =_meta_table['EthernetInterface']['meta_info']
