


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'InfraStatistics.Interfaces.Interface.Cache.Protocols.Protocol' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Cache.Protocols.Protocol',
            False, 
            [
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-infra-statsd-oper', True),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input data rate in 1000's of bps
                ''',
                'input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input packets per second
                ''',
                'input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output data rate in 1000's of bps
                ''',
                'output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output packets per second
                ''',
                'output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol number
                ''',
                'protocol',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Cache.Protocols' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Cache.Protocols',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LIST, 'Protocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Cache.Protocols.Protocol', 
                [], [], 
                '''                Interface counters per protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'protocols',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Cache.InterfacesMibCounters' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Cache.InterfacesMibCounters',
            False, 
            [
            _MetaInfoClassMember('applique', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applique
                ''',
                'applique',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('availability-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Availability bit mask
                ''',
                'availability_flag',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets received
                ''',
                'broadcast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets sent
                ''',
                'broadcast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('carrier-transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Carrier transitions
                ''',
                'carrier_transitions',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('crc-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input CRC errors
                ''',
                'crc_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('framing-errors-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Framing-errors received
                ''',
                'framing_errors_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('giant-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received giant packets
                ''',
                'giant_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-aborts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input aborts
                ''',
                'input_aborts',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input drops
                ''',
                'input_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input errors
                ''',
                'input_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-ignored-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input ignored packets
                ''',
                'input_ignored_packets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-overruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input overruns
                ''',
                'input_overruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input queue drops
                ''',
                'input_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-discontinuity-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SysUpTime when counters were last reset (in
                seconds)
                ''',
                'last_discontinuity_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets received
                ''',
                'multicast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets sent
                ''',
                'multicast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffer-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffer failures
                ''',
                'output_buffer_failures',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffers-swapped-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffers swapped out
                ''',
                'output_buffers_swapped_out',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output drops
                ''',
                'output_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output errors
                ''',
                'output_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output queue drops
                ''',
                'output_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-underruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output underruns
                ''',
                'output_underruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('parity-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received parity packets
                ''',
                'parity_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('resets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of board resets
                ''',
                'resets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('runt-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received runt packets
                ''',
                'runt_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-last-clear-counters', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of seconds since last clear counters
                ''',
                'seconds_since_last_clear_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet received
                ''',
                'seconds_since_packet_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet sent
                ''',
                'seconds_since_packet_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('throttled-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received throttled packets
                ''',
                'throttled_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('unknown-protocol-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown protocol packets received
                ''',
                'unknown_protocol_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'interfaces-mib-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Cache.DataRate' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Cache.DataRate',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth (in kbps)
                ''',
                'bandwidth',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input data rate in 1000's of bps
                ''',
                'input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-load', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Input load as fraction of 255
                ''',
                'input_load',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input packets per second
                ''',
                'input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of 30-sec intervals less one
                ''',
                'load_interval',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output data rate in 1000's of bps
                ''',
                'output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-load', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Output load as fraction of 255
                ''',
                'output_load',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output packets per second
                ''',
                'output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak input data rate
                ''',
                'peak_input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak input packet rate
                ''',
                'peak_input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak output data rate
                ''',
                'peak_output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak output packet rate
                ''',
                'peak_output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('reliability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reliability coefficient
                ''',
                'reliability',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'data-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Cache.GenericCounters' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Cache.GenericCounters',
            False, 
            [
            _MetaInfoClassMember('applique', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applique
                ''',
                'applique',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('availability-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Availability bit mask
                ''',
                'availability_flag',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets received
                ''',
                'broadcast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets sent
                ''',
                'broadcast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('carrier-transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Carrier transitions
                ''',
                'carrier_transitions',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('crc-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input CRC errors
                ''',
                'crc_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('framing-errors-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Framing-errors received
                ''',
                'framing_errors_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('giant-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received giant packets
                ''',
                'giant_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-aborts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input aborts
                ''',
                'input_aborts',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input drops
                ''',
                'input_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input errors
                ''',
                'input_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-ignored-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input ignored packets
                ''',
                'input_ignored_packets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-overruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input overruns
                ''',
                'input_overruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input queue drops
                ''',
                'input_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-discontinuity-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SysUpTime when counters were last reset (in
                seconds)
                ''',
                'last_discontinuity_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets received
                ''',
                'multicast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets sent
                ''',
                'multicast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffer-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffer failures
                ''',
                'output_buffer_failures',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffers-swapped-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffers swapped out
                ''',
                'output_buffers_swapped_out',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output drops
                ''',
                'output_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output errors
                ''',
                'output_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output queue drops
                ''',
                'output_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-underruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output underruns
                ''',
                'output_underruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('parity-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received parity packets
                ''',
                'parity_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('resets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of board resets
                ''',
                'resets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('runt-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received runt packets
                ''',
                'runt_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-last-clear-counters', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of seconds since last clear counters
                ''',
                'seconds_since_last_clear_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet received
                ''',
                'seconds_since_packet_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet sent
                ''',
                'seconds_since_packet_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('throttled-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received throttled packets
                ''',
                'throttled_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('unknown-protocol-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown protocol packets received
                ''',
                'unknown_protocol_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'generic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Cache' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Cache',
            False, 
            [
            _MetaInfoClassMember('data-rate', REFERENCE_CLASS, 'DataRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Cache.DataRate', 
                [], [], 
                '''                Datarate information
                ''',
                'data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('generic-counters', REFERENCE_CLASS, 'GenericCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Cache.GenericCounters', 
                [], [], 
                '''                Generic set of interface counters
                ''',
                'generic_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('interfaces-mib-counters', REFERENCE_CLASS, 'InterfacesMibCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Cache.InterfacesMibCounters', 
                [], [], 
                '''                Set of interface counters as displayed by the
                InterfacesMIB
                ''',
                'interfaces_mib_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('protocols', REFERENCE_CLASS, 'Protocols' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Cache.Protocols', 
                [], [], 
                '''                List of protocols
                ''',
                'protocols',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'cache',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Latest.Protocols.Protocol' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Latest.Protocols.Protocol',
            False, 
            [
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-infra-statsd-oper', True),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input data rate in 1000's of bps
                ''',
                'input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input packets per second
                ''',
                'input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output data rate in 1000's of bps
                ''',
                'output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output packets per second
                ''',
                'output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol number
                ''',
                'protocol',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Latest.Protocols' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Latest.Protocols',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LIST, 'Protocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Latest.Protocols.Protocol', 
                [], [], 
                '''                Interface counters per protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'protocols',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Latest.InterfacesMibCounters' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Latest.InterfacesMibCounters',
            False, 
            [
            _MetaInfoClassMember('applique', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applique
                ''',
                'applique',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('availability-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Availability bit mask
                ''',
                'availability_flag',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets received
                ''',
                'broadcast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets sent
                ''',
                'broadcast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('carrier-transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Carrier transitions
                ''',
                'carrier_transitions',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('crc-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input CRC errors
                ''',
                'crc_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('framing-errors-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Framing-errors received
                ''',
                'framing_errors_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('giant-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received giant packets
                ''',
                'giant_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-aborts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input aborts
                ''',
                'input_aborts',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input drops
                ''',
                'input_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input errors
                ''',
                'input_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-ignored-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input ignored packets
                ''',
                'input_ignored_packets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-overruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input overruns
                ''',
                'input_overruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input queue drops
                ''',
                'input_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-discontinuity-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SysUpTime when counters were last reset (in
                seconds)
                ''',
                'last_discontinuity_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets received
                ''',
                'multicast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets sent
                ''',
                'multicast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffer-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffer failures
                ''',
                'output_buffer_failures',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffers-swapped-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffers swapped out
                ''',
                'output_buffers_swapped_out',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output drops
                ''',
                'output_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output errors
                ''',
                'output_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output queue drops
                ''',
                'output_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-underruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output underruns
                ''',
                'output_underruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('parity-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received parity packets
                ''',
                'parity_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('resets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of board resets
                ''',
                'resets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('runt-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received runt packets
                ''',
                'runt_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-last-clear-counters', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of seconds since last clear counters
                ''',
                'seconds_since_last_clear_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet received
                ''',
                'seconds_since_packet_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet sent
                ''',
                'seconds_since_packet_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('throttled-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received throttled packets
                ''',
                'throttled_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('unknown-protocol-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown protocol packets received
                ''',
                'unknown_protocol_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'interfaces-mib-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Latest.DataRate' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Latest.DataRate',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth (in kbps)
                ''',
                'bandwidth',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input data rate in 1000's of bps
                ''',
                'input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-load', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Input load as fraction of 255
                ''',
                'input_load',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input packets per second
                ''',
                'input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of 30-sec intervals less one
                ''',
                'load_interval',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output data rate in 1000's of bps
                ''',
                'output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-load', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Output load as fraction of 255
                ''',
                'output_load',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output packets per second
                ''',
                'output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak input data rate
                ''',
                'peak_input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak input packet rate
                ''',
                'peak_input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak output data rate
                ''',
                'peak_output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak output packet rate
                ''',
                'peak_output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('reliability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reliability coefficient
                ''',
                'reliability',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'data-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Latest.GenericCounters' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Latest.GenericCounters',
            False, 
            [
            _MetaInfoClassMember('applique', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applique
                ''',
                'applique',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('availability-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Availability bit mask
                ''',
                'availability_flag',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets received
                ''',
                'broadcast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets sent
                ''',
                'broadcast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('carrier-transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Carrier transitions
                ''',
                'carrier_transitions',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('crc-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input CRC errors
                ''',
                'crc_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('framing-errors-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Framing-errors received
                ''',
                'framing_errors_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('giant-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received giant packets
                ''',
                'giant_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-aborts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input aborts
                ''',
                'input_aborts',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input drops
                ''',
                'input_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input errors
                ''',
                'input_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-ignored-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input ignored packets
                ''',
                'input_ignored_packets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-overruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input overruns
                ''',
                'input_overruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input queue drops
                ''',
                'input_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-discontinuity-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SysUpTime when counters were last reset (in
                seconds)
                ''',
                'last_discontinuity_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets received
                ''',
                'multicast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets sent
                ''',
                'multicast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffer-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffer failures
                ''',
                'output_buffer_failures',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffers-swapped-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffers swapped out
                ''',
                'output_buffers_swapped_out',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output drops
                ''',
                'output_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output errors
                ''',
                'output_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output queue drops
                ''',
                'output_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-underruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output underruns
                ''',
                'output_underruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('parity-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received parity packets
                ''',
                'parity_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('resets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of board resets
                ''',
                'resets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('runt-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received runt packets
                ''',
                'runt_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-last-clear-counters', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of seconds since last clear counters
                ''',
                'seconds_since_last_clear_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet received
                ''',
                'seconds_since_packet_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet sent
                ''',
                'seconds_since_packet_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('throttled-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received throttled packets
                ''',
                'throttled_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('unknown-protocol-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown protocol packets received
                ''',
                'unknown_protocol_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'generic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Latest' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Latest',
            False, 
            [
            _MetaInfoClassMember('data-rate', REFERENCE_CLASS, 'DataRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Latest.DataRate', 
                [], [], 
                '''                Datarate information
                ''',
                'data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('generic-counters', REFERENCE_CLASS, 'GenericCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Latest.GenericCounters', 
                [], [], 
                '''                Generic set of interface counters
                ''',
                'generic_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('interfaces-mib-counters', REFERENCE_CLASS, 'InterfacesMibCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Latest.InterfacesMibCounters', 
                [], [], 
                '''                Set of interface counters as displayed by the
                InterfacesMIB
                ''',
                'interfaces_mib_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('protocols', REFERENCE_CLASS, 'Protocols' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Latest.Protocols', 
                [], [], 
                '''                List of protocols
                ''',
                'protocols',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'latest',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Total.Protocols.Protocol' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Total.Protocols.Protocol',
            False, 
            [
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-infra-statsd-oper', True),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input data rate in 1000's of bps
                ''',
                'input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input packets per second
                ''',
                'input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output data rate in 1000's of bps
                ''',
                'output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output packets per second
                ''',
                'output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol number
                ''',
                'protocol',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Total.Protocols' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Total.Protocols',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LIST, 'Protocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Total.Protocols.Protocol', 
                [], [], 
                '''                Interface counters per protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'protocols',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Total.InterfacesMibCounters' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Total.InterfacesMibCounters',
            False, 
            [
            _MetaInfoClassMember('applique', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applique
                ''',
                'applique',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('availability-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Availability bit mask
                ''',
                'availability_flag',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets received
                ''',
                'broadcast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets sent
                ''',
                'broadcast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('carrier-transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Carrier transitions
                ''',
                'carrier_transitions',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('crc-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input CRC errors
                ''',
                'crc_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('framing-errors-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Framing-errors received
                ''',
                'framing_errors_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('giant-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received giant packets
                ''',
                'giant_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-aborts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input aborts
                ''',
                'input_aborts',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input drops
                ''',
                'input_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input errors
                ''',
                'input_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-ignored-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input ignored packets
                ''',
                'input_ignored_packets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-overruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input overruns
                ''',
                'input_overruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input queue drops
                ''',
                'input_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-discontinuity-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SysUpTime when counters were last reset (in
                seconds)
                ''',
                'last_discontinuity_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets received
                ''',
                'multicast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets sent
                ''',
                'multicast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffer-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffer failures
                ''',
                'output_buffer_failures',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffers-swapped-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffers swapped out
                ''',
                'output_buffers_swapped_out',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output drops
                ''',
                'output_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output errors
                ''',
                'output_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output queue drops
                ''',
                'output_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-underruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output underruns
                ''',
                'output_underruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('parity-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received parity packets
                ''',
                'parity_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('resets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of board resets
                ''',
                'resets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('runt-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received runt packets
                ''',
                'runt_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-last-clear-counters', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of seconds since last clear counters
                ''',
                'seconds_since_last_clear_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet received
                ''',
                'seconds_since_packet_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet sent
                ''',
                'seconds_since_packet_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('throttled-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received throttled packets
                ''',
                'throttled_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('unknown-protocol-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown protocol packets received
                ''',
                'unknown_protocol_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'interfaces-mib-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Total.DataRate' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Total.DataRate',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth (in kbps)
                ''',
                'bandwidth',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input data rate in 1000's of bps
                ''',
                'input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-load', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Input load as fraction of 255
                ''',
                'input_load',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input packets per second
                ''',
                'input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of 30-sec intervals less one
                ''',
                'load_interval',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output data rate in 1000's of bps
                ''',
                'output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-load', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Output load as fraction of 255
                ''',
                'output_load',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output packets per second
                ''',
                'output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak input data rate
                ''',
                'peak_input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak input packet rate
                ''',
                'peak_input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak output data rate
                ''',
                'peak_output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak output packet rate
                ''',
                'peak_output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('reliability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reliability coefficient
                ''',
                'reliability',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'data-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Total.GenericCounters' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Total.GenericCounters',
            False, 
            [
            _MetaInfoClassMember('applique', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applique
                ''',
                'applique',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('availability-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Availability bit mask
                ''',
                'availability_flag',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets received
                ''',
                'broadcast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets sent
                ''',
                'broadcast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('carrier-transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Carrier transitions
                ''',
                'carrier_transitions',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('crc-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input CRC errors
                ''',
                'crc_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('framing-errors-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Framing-errors received
                ''',
                'framing_errors_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('giant-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received giant packets
                ''',
                'giant_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-aborts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input aborts
                ''',
                'input_aborts',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input drops
                ''',
                'input_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input errors
                ''',
                'input_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-ignored-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input ignored packets
                ''',
                'input_ignored_packets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-overruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input overruns
                ''',
                'input_overruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input queue drops
                ''',
                'input_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-discontinuity-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SysUpTime when counters were last reset (in
                seconds)
                ''',
                'last_discontinuity_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets received
                ''',
                'multicast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets sent
                ''',
                'multicast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffer-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffer failures
                ''',
                'output_buffer_failures',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffers-swapped-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffers swapped out
                ''',
                'output_buffers_swapped_out',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output drops
                ''',
                'output_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output errors
                ''',
                'output_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output queue drops
                ''',
                'output_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-underruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output underruns
                ''',
                'output_underruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('parity-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received parity packets
                ''',
                'parity_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('resets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of board resets
                ''',
                'resets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('runt-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received runt packets
                ''',
                'runt_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-last-clear-counters', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of seconds since last clear counters
                ''',
                'seconds_since_last_clear_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet received
                ''',
                'seconds_since_packet_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet sent
                ''',
                'seconds_since_packet_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('throttled-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received throttled packets
                ''',
                'throttled_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('unknown-protocol-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown protocol packets received
                ''',
                'unknown_protocol_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'generic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Total' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Total',
            False, 
            [
            _MetaInfoClassMember('data-rate', REFERENCE_CLASS, 'DataRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Total.DataRate', 
                [], [], 
                '''                Datarate information
                ''',
                'data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('generic-counters', REFERENCE_CLASS, 'GenericCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Total.GenericCounters', 
                [], [], 
                '''                Generic set of interface counters
                ''',
                'generic_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('interfaces-mib-counters', REFERENCE_CLASS, 'InterfacesMibCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Total.InterfacesMibCounters', 
                [], [], 
                '''                Set of interface counters as displayed by the
                InterfacesMIB
                ''',
                'interfaces_mib_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('protocols', REFERENCE_CLASS, 'Protocols' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Total.Protocols', 
                [], [], 
                '''                List of protocols
                ''',
                'protocols',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Protocols.Protocol' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Protocols.Protocol',
            False, 
            [
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-infra-statsd-oper', True),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input data rate in 1000's of bps
                ''',
                'input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input packets per second
                ''',
                'input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output data rate in 1000's of bps
                ''',
                'output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output packets per second
                ''',
                'output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol number
                ''',
                'protocol',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.Protocols' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.Protocols',
            False, 
            [
            _MetaInfoClassMember('protocol', REFERENCE_LIST, 'Protocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Protocols.Protocol', 
                [], [], 
                '''                Interface counters per protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'protocols',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.InterfacesMibCounters' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.InterfacesMibCounters',
            False, 
            [
            _MetaInfoClassMember('applique', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applique
                ''',
                'applique',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('availability-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Availability bit mask
                ''',
                'availability_flag',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets received
                ''',
                'broadcast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets sent
                ''',
                'broadcast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('carrier-transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Carrier transitions
                ''',
                'carrier_transitions',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('crc-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input CRC errors
                ''',
                'crc_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('framing-errors-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Framing-errors received
                ''',
                'framing_errors_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('giant-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received giant packets
                ''',
                'giant_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-aborts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input aborts
                ''',
                'input_aborts',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input drops
                ''',
                'input_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input errors
                ''',
                'input_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-ignored-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input ignored packets
                ''',
                'input_ignored_packets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-overruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input overruns
                ''',
                'input_overruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input queue drops
                ''',
                'input_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-discontinuity-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SysUpTime when counters were last reset (in
                seconds)
                ''',
                'last_discontinuity_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets received
                ''',
                'multicast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets sent
                ''',
                'multicast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffer-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffer failures
                ''',
                'output_buffer_failures',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffers-swapped-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffers swapped out
                ''',
                'output_buffers_swapped_out',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output drops
                ''',
                'output_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output errors
                ''',
                'output_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output queue drops
                ''',
                'output_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-underruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output underruns
                ''',
                'output_underruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('parity-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received parity packets
                ''',
                'parity_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('resets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of board resets
                ''',
                'resets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('runt-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received runt packets
                ''',
                'runt_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-last-clear-counters', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of seconds since last clear counters
                ''',
                'seconds_since_last_clear_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet received
                ''',
                'seconds_since_packet_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet sent
                ''',
                'seconds_since_packet_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('throttled-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received throttled packets
                ''',
                'throttled_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('unknown-protocol-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown protocol packets received
                ''',
                'unknown_protocol_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'interfaces-mib-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.DataRate' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.DataRate',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth (in kbps)
                ''',
                'bandwidth',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input data rate in 1000's of bps
                ''',
                'input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-load', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Input load as fraction of 255
                ''',
                'input_load',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Input packets per second
                ''',
                'input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('load-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of 30-sec intervals less one
                ''',
                'load_interval',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output data rate in 1000's of bps
                ''',
                'output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-load', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Output load as fraction of 255
                ''',
                'output_load',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Output packets per second
                ''',
                'output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-input-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak input data rate
                ''',
                'peak_input_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-input-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak input packet rate
                ''',
                'peak_input_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-output-data-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak output data rate
                ''',
                'peak_output_data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('peak-output-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak output packet rate
                ''',
                'peak_output_packet_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('reliability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reliability coefficient
                ''',
                'reliability',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'data-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface.GenericCounters' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface.GenericCounters',
            False, 
            [
            _MetaInfoClassMember('applique', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applique
                ''',
                'applique',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('availability-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Availability bit mask
                ''',
                'availability_flag',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets received
                ''',
                'broadcast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('broadcast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Broadcast packets sent
                ''',
                'broadcast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes received
                ''',
                'bytes_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bytes sent
                ''',
                'bytes_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('carrier-transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Carrier transitions
                ''',
                'carrier_transitions',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('crc-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input CRC errors
                ''',
                'crc_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('framing-errors-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Framing-errors received
                ''',
                'framing_errors_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('giant-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received giant packets
                ''',
                'giant_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-aborts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input aborts
                ''',
                'input_aborts',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input drops
                ''',
                'input_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total input errors
                ''',
                'input_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-ignored-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input ignored packets
                ''',
                'input_ignored_packets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-overruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input overruns
                ''',
                'input_overruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('input-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input queue drops
                ''',
                'input_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-data-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time when counters were last written (in
                seconds)
                ''',
                'last_data_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('last-discontinuity-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SysUpTime when counters were last reset (in
                seconds)
                ''',
                'last_discontinuity_time',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets received
                ''',
                'multicast_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('multicast-packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Multicast packets sent
                ''',
                'multicast_packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffer-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffer failures
                ''',
                'output_buffer_failures',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-buffers-swapped-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output buffers swapped out
                ''',
                'output_buffers_swapped_out',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output drops
                ''',
                'output_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total output errors
                ''',
                'output_errors',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output queue drops
                ''',
                'output_queue_drops',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('output-underruns', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output underruns
                ''',
                'output_underruns',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets received
                ''',
                'packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('packets-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets sent
                ''',
                'packets_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('parity-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received parity packets
                ''',
                'parity_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('resets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of board resets
                ''',
                'resets',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('runt-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received runt packets
                ''',
                'runt_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-last-clear-counters', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of seconds since last clear counters
                ''',
                'seconds_since_last_clear_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet received
                ''',
                'seconds_since_packet_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('seconds-since-packet-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds since packet sent
                ''',
                'seconds_since_packet_sent',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('throttled-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received throttled packets
                ''',
                'throttled_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('unknown-protocol-packets-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown protocol packets received
                ''',
                'unknown_protocol_packets_received',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'generic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-infra-statsd-oper', True),
            _MetaInfoClassMember('cache', REFERENCE_CLASS, 'Cache' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Cache', 
                [], [], 
                '''                Cached stats data of interfaces
                ''',
                'cache',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('data-rate', REFERENCE_CLASS, 'DataRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.DataRate', 
                [], [], 
                '''                Datarate information
                ''',
                'data_rate',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('generic-counters', REFERENCE_CLASS, 'GenericCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.GenericCounters', 
                [], [], 
                '''                Generic set of interface counters
                ''',
                'generic_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('interfaces-mib-counters', REFERENCE_CLASS, 'InterfacesMibCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.InterfacesMibCounters', 
                [], [], 
                '''                Set of interface counters as displayed by the
                InterfacesMIB
                ''',
                'interfaces_mib_counters',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('latest', REFERENCE_CLASS, 'Latest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Latest', 
                [], [], 
                '''                Latest stats data of interfaces
                ''',
                'latest',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('protocols', REFERENCE_CLASS, 'Protocols' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Protocols', 
                [], [], 
                '''                List of protocols
                ''',
                'protocols',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface.Total', 
                [], [], 
                '''                Total stats data of interfaces
                ''',
                'total',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics.Interfaces' : {
        'meta_info' : _MetaInfoClass('InfraStatistics.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces.Interface', 
                [], [], 
                '''                Statistics of an interface
                ''',
                'interface',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
    'InfraStatistics' : {
        'meta_info' : _MetaInfoClass('InfraStatistics',
            False, 
            [
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper', 'InfraStatistics.Interfaces', 
                [], [], 
                '''                List of interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-infra-statsd-oper', False),
            ],
            'Cisco-IOS-XR-infra-statsd-oper',
            'infra-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-statsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_statsd_oper'
        ),
    },
}
_meta_table['InfraStatistics.Interfaces.Interface.Cache.Protocols.Protocol']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Cache.Protocols']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Cache.Protocols']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Cache']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Cache.InterfacesMibCounters']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Cache']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Cache.DataRate']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Cache']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Cache.GenericCounters']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Cache']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Latest.Protocols.Protocol']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Latest.Protocols']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Latest.Protocols']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Latest']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Latest.InterfacesMibCounters']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Latest']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Latest.DataRate']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Latest']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Latest.GenericCounters']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Latest']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Total.Protocols.Protocol']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Total.Protocols']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Total.Protocols']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Total']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Total.InterfacesMibCounters']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Total']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Total.DataRate']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Total']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Total.GenericCounters']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Total']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Protocols.Protocol']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface.Protocols']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Cache']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Latest']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Total']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.Protocols']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.InterfacesMibCounters']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.DataRate']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface.GenericCounters']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces.Interface']['meta_info']
_meta_table['InfraStatistics.Interfaces.Interface']['meta_info'].parent =_meta_table['InfraStatistics.Interfaces']['meta_info']
_meta_table['InfraStatistics.Interfaces']['meta_info'].parent =_meta_table['InfraStatistics']['meta_info']
