


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'Ipv4AclLoggingEnumEnum' : _MetaInfoEnum('Ipv4AclLoggingEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'log':'log',
            'log-input':'log_input',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclDscpNumberEnum' : _MetaInfoEnum('Ipv4AclDscpNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'default':'default',
            'af11':'af11',
            'af12':'af12',
            'af13':'af13',
            'af21':'af21',
            'af22':'af22',
            'af23':'af23',
            'af31':'af31',
            'af32':'af32',
            'af33':'af33',
            'af41':'af41',
            'af42':'af42',
            'af43':'af43',
            'cs1':'cs1',
            'cs2':'cs2',
            'cs3':'cs3',
            'cs4':'cs4',
            'cs5':'cs5',
            'cs6':'cs6',
            'cs7':'cs7',
            'ef':'ef',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclOperatorEnumEnum' : _MetaInfoEnum('Ipv4AclOperatorEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'equal':'equal',
            'greater-than':'greater_than',
            'less-than':'less_than',
            'not-equal':'not_equal',
            'range':'range',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclStatusEnumEnum' : _MetaInfoEnum('Ipv4AclStatusEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'disabled':'disabled',
            'enabled':'enabled',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclPortNumberEnum' : _MetaInfoEnum('Ipv4AclPortNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'echo':'echo',
            'discard':'discard',
            'daytime':'daytime',
            'char-gen':'char_gen',
            'ftp-data':'ftp_data',
            'ftp':'ftp',
            'telnet':'telnet',
            'smtp':'smtp',
            'time':'time',
            'name-server':'name_server',
            'who-is':'who_is',
            'tacacs':'tacacs',
            'dns':'dns',
            'boot-ps':'boot_ps',
            'boot-pc':'boot_pc',
            'tftp':'tftp',
            'gopher':'gopher',
            'finger':'finger',
            'www':'www',
            'host-name':'host_name',
            'pop2':'pop2',
            'pop3':'pop3',
            'sun-rpc':'sun_rpc',
            'ident':'ident',
            'nntp':'nntp',
            'ntp':'ntp',
            'net-bios-ns':'net_bios_ns',
            'net-bios-dgs':'net_bios_dgs',
            'net-bios-ss':'net_bios_ss',
            'snmp':'snmp',
            'snmp-trap':'snmp_trap',
            'xdmcp':'xdmcp',
            'bgp':'bgp',
            'irc':'irc',
            'dnsix':'dnsix',
            'mobile-ip':'mobile_ip',
            'pim-auto-rp':'pim_auto_rp',
            'isakmp':'isakmp',
            'exec-or-biff':'exec_or_biff',
            'login-or-who':'login_or_who',
            'cmd-or-syslog':'cmd_or_syslog',
            'lpd':'lpd',
            'talk':'talk',
            'rip':'rip',
            'uucp':'uucp',
            'klogin':'klogin',
            'kshell':'kshell',
            'ldp':'ldp',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclPrecedenceNumberEnum' : _MetaInfoEnum('Ipv4AclPrecedenceNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'critical':'critical',
            'flash':'flash',
            'flash-override':'flash_override',
            'immediate':'immediate',
            'internet':'internet',
            'network':'network',
            'priority':'priority',
            'routine':'routine',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclIcmpTypeCodeEnumEnum' : _MetaInfoEnum('Ipv4AclIcmpTypeCodeEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'echo-reply':'echo_reply',
            'network-unreachable':'network_unreachable',
            'host-unreachable':'host_unreachable',
            'protocol-unreachable':'protocol_unreachable',
            'port-unreachable':'port_unreachable',
            'packet-too-big':'packet_too_big',
            'source-route-failed':'source_route_failed',
            'network-unknown':'network_unknown',
            'host-unknown':'host_unknown',
            'host-isolated':'host_isolated',
            'dod-net-prohibited':'dod_net_prohibited',
            'dod-host-prohibited':'dod_host_prohibited',
            'host-tos-unreachable':'host_tos_unreachable',
            'net-tos-unreachable':'net_tos_unreachable',
            'administratively-prohibited':'administratively_prohibited',
            'host-precedence-unreachable':'host_precedence_unreachable',
            'precedence-unreachable':'precedence_unreachable',
            'unreachable':'unreachable',
            'source-quench':'source_quench',
            'network-redirect':'network_redirect',
            'host-redirect':'host_redirect',
            'net-tos-redirect':'net_tos_redirect',
            'host-tos-redirect':'host_tos_redirect',
            'redirect':'redirect',
            'alternate-address':'alternate_address',
            'echo':'echo',
            'router-advertisement':'router_advertisement',
            'router-solicitation':'router_solicitation',
            'ttl-exceeded':'ttl_exceeded',
            'reassembly-timeout':'reassembly_timeout',
            'time-exceeded':'time_exceeded',
            'general-parameter-problem':'general_parameter_problem',
            'option-missing':'option_missing',
            'no-room-for-option':'no_room_for_option',
            'parameter-problem':'parameter_problem',
            'timestamp-request':'timestamp_request',
            'timestamp-reply':'timestamp_reply',
            'information-request':'information_request',
            'information-reply':'information_reply',
            'mask-request':'mask_request',
            'mask-reply':'mask_reply',
            'traceroute':'traceroute',
            'conversion-error':'conversion_error',
            'mobile-redirect':'mobile_redirect',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclIgmpNumberEnum' : _MetaInfoEnum('Ipv4AclIgmpNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'host-query':'host_query',
            'host-report':'host_report',
            'dvmrp':'dvmrp',
            'pim':'pim',
            'trace':'trace',
            'v2-report':'v2_report',
            'v2-leave':'v2_leave',
            'mtrace-response':'mtrace_response',
            'mtrace':'mtrace',
            'v3-report':'v3_report',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclGrantEnumEnum' : _MetaInfoEnum('Ipv4AclGrantEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclTcpMatchOperatorEnumEnum' : _MetaInfoEnum('Ipv4AclTcpMatchOperatorEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'match-all':'match_all',
            'match-any':'match_any',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclProtocolNumberEnum' : _MetaInfoEnum('Ipv4AclProtocolNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'ip':'ip',
            'icmp':'icmp',
            'igmp':'igmp',
            'ip-in-ip':'ip_in_ip',
            'tcp':'tcp',
            'igrp':'igrp',
            'udp':'udp',
            'gre':'gre',
            'esp':'esp',
            'ahp':'ahp',
            'eigrp':'eigrp',
            'ospf':'ospf',
            'nos':'nos',
            'pim':'pim',
            'pcp':'pcp',
            'sctp':'sctp',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclTcpBitsNumberEnum' : _MetaInfoEnum('Ipv4AclTcpBitsNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'established':'established',
            'ack':'ack',
            'rst':'rst',
            'fin':'fin',
            'psh':'psh',
            'syn':'syn',
            'urg':'urg',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
}
