


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'Ipv6AclTcpMatchOperatorEnumEnum' : _MetaInfoEnum('Ipv6AclTcpMatchOperatorEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'match-all':'match_all',
            'match-any':'match_any',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclIcmpTypeCodeEnumEnum' : _MetaInfoEnum('Ipv6AclIcmpTypeCodeEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'no-route-to-destination':'no_route_to_destination',
            'administratively-prohibited':'administratively_prohibited',
            'beyond-scope-of-source-address':'beyond_scope_of_source_address',
            'host-unreachable':'host_unreachable',
            'port-unreachable':'port_unreachable',
            'unreachable':'unreachable',
            'packet-too-big':'packet_too_big',
            'ttl-exceeded':'ttl_exceeded',
            'reassembly-timeout':'reassembly_timeout',
            'time-exceeded':'time_exceeded',
            'erronenous-header-field':'erronenous_header_field',
            'option-missing':'option_missing',
            'no-room-for-option':'no_room_for_option',
            'parameter-problem':'parameter_problem',
            'echo':'echo',
            'echo-reply':'echo_reply',
            'group-membership-query':'group_membership_query',
            'group-membership-report':'group_membership_report',
            'group-membership-reduction':'group_membership_reduction',
            'router-solicitation':'router_solicitation',
            'router-advertisement':'router_advertisement',
            'neighbor-solicitation':'neighbor_solicitation',
            'neighbor-advertisement':'neighbor_advertisement',
            'redirect':'redirect',
            'rr-command':'rr_command',
            'rr-result':'rr_result',
            'rr-seqnum-reset':'rr_seqnum_reset',
            'router-renumbering':'router_renumbering',
            'query-subject-is-ipv6-address':'query_subject_is_ipv6_address',
            'query-subject-is-domain-name':'query_subject_is_domain_name',
            'query-subject-is-ipv4-address':'query_subject_is_ipv4_address',
            'who-are-you-request':'who_are_you_request',
            'node-information-successful-reply':'node_information_successful_reply',
            'node-information-request-is-refused':'node_information_request_is_refused',
            'unknown-query-type':'unknown_query_type',
            'who-are-you-reply':'who_are_you_reply',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclProtocolNumberEnum' : _MetaInfoEnum('Ipv6AclProtocolNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'ip':'ip',
            'icmp':'icmp',
            'igmp':'igmp',
            'ip-in-ip':'ip_in_ip',
            'tcp':'tcp',
            'igrp':'igrp',
            'udp':'udp',
            'gre':'gre',
            'esp':'esp',
            'ahp':'ahp',
            'eigrp':'eigrp',
            'ospf':'ospf',
            'nos':'nos',
            'pim':'pim',
            'pcp':'pcp',
            'sctp':'sctp',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6PrefixMatchMinLengthEnum' : _MetaInfoEnum('Ipv6PrefixMatchMinLengthEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'match-min-length':'match_min_length',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclGrantEnumEnum' : _MetaInfoEnum('Ipv6AclGrantEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'deny':'deny',
            'permit':'permit',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6PrefixMatchMaxLengthEnum' : _MetaInfoEnum('Ipv6PrefixMatchMaxLengthEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'match-max-length':'match_max_length',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclPrecedenceNumberEnum' : _MetaInfoEnum('Ipv6AclPrecedenceNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'critical':'critical',
            'flash':'flash',
            'flash-override':'flash_override',
            'immediate':'immediate',
            'internet':'internet',
            'network':'network',
            'priority':'priority',
            'routine':'routine',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclOperatorEnumEnum' : _MetaInfoEnum('Ipv6AclOperatorEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'equal':'equal',
            'greater-than':'greater_than',
            'less-than':'less_than',
            'not-equal':'not_equal',
            'range':'range',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclDscpNumberEnum' : _MetaInfoEnum('Ipv6AclDscpNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'default':'default',
            'af11':'af11',
            'af12':'af12',
            'af13':'af13',
            'af21':'af21',
            'af22':'af22',
            'af23':'af23',
            'af31':'af31',
            'af32':'af32',
            'af33':'af33',
            'af41':'af41',
            'af42':'af42',
            'af43':'af43',
            'cs1':'cs1',
            'cs2':'cs2',
            'cs3':'cs3',
            'cs4':'cs4',
            'cs5':'cs5',
            'cs6':'cs6',
            'cs7':'cs7',
            'ef':'ef',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6PrefixMatchExactLengthEnum' : _MetaInfoEnum('Ipv6PrefixMatchExactLengthEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'match-exact-length':'match_exact_length',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclPortNumberEnum' : _MetaInfoEnum('Ipv6AclPortNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'echo':'echo',
            'discard':'discard',
            'daytime':'daytime',
            'char-gen':'char_gen',
            'ftp-data':'ftp_data',
            'ftp':'ftp',
            'telnet':'telnet',
            'smtp':'smtp',
            'time':'time',
            'name-server':'name_server',
            'who-is':'who_is',
            'tacacs':'tacacs',
            'dns':'dns',
            'boot-ps':'boot_ps',
            'boot-pc':'boot_pc',
            'tftp':'tftp',
            'gopher':'gopher',
            'finger':'finger',
            'www':'www',
            'host-name':'host_name',
            'pop2':'pop2',
            'pop3':'pop3',
            'sun-rpc':'sun_rpc',
            'ident':'ident',
            'nntp':'nntp',
            'ntp':'ntp',
            'net-bios-ns':'net_bios_ns',
            'net-bios-dgs':'net_bios_dgs',
            'net-bios-ss':'net_bios_ss',
            'snmp':'snmp',
            'snmp-trap':'snmp_trap',
            'xdmcp':'xdmcp',
            'bgp':'bgp',
            'irc':'irc',
            'dnsix':'dnsix',
            'mobile-ip':'mobile_ip',
            'pim-auto-rp':'pim_auto_rp',
            'isakmp':'isakmp',
            'exec-or-biff':'exec_or_biff',
            'login-or-who':'login_or_who',
            'cmd-or-syslog':'cmd_or_syslog',
            'lpd':'lpd',
            'talk':'talk',
            'rip':'rip',
            'uucp':'uucp',
            'klogin':'klogin',
            'kshell':'kshell',
            'ldp':'ldp',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclLoggingEnumEnum' : _MetaInfoEnum('Ipv6AclLoggingEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'log':'log',
            'log-input':'log_input',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclTypeEnumEnum' : _MetaInfoEnum('Ipv6AclTypeEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'acl':'acl',
            'prefix-list':'prefix_list',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclStatusEnumEnum' : _MetaInfoEnum('Ipv6AclStatusEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'disabled':'disabled',
            'enabled':'enabled',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
    'Ipv6AclTcpBitsNumberEnum' : _MetaInfoEnum('Ipv6AclTcpBitsNumberEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_acl_datatypes',
        {
            'established':'established',
            'ack':'ack',
            'rst':'rst',
            'fin':'fin',
            'psh':'psh',
            'syn':'syn',
            'urg':'urg',
        }, 'Cisco-IOS-XR-ipv6-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-acl-datatypes']),
}
