


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply.Information.Rma' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply.Information.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply.Information' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply.Information',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply.Information.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply',
            False, 
            [
            _MetaInfoClassMember('power-supply-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Power Supply name
                ''',
                'power_supply_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply.Information', 
                [], [], 
                '''                Basic information
                ''',
                'information',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'power-supply',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies',
            False, 
            [
            _MetaInfoClassMember('power-supply', REFERENCE_LIST, 'PowerSupply' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply', 
                [], [], 
                '''                Power Supply name
                ''',
                'power_supply',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'power-supplies',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.PowerShelfs.PowerShelf' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.PowerShelfs.PowerShelf',
            False, 
            [
            _MetaInfoClassMember('power-shelf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Power Shelf name
                ''',
                'power_shelf_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', True),
            _MetaInfoClassMember('power-supplies', REFERENCE_CLASS, 'PowerSupplies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies', 
                [], [], 
                '''                Table for rack power supply 
                ''',
                'power_supplies',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'power-shelf',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.PowerShelfs' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.PowerShelfs',
            False, 
            [
            _MetaInfoClassMember('power-shelf', REFERENCE_LIST, 'PowerShelf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.PowerShelfs.PowerShelf', 
                [], [], 
                '''                Power shelf name
                ''',
                'power_shelf',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'power-shelfs',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans.Information.Rma' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans.Information.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans.Information' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans.Information',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans.Information.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans',
            False, 
            [
            _MetaInfoClassMember('fans-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Fans name
                ''',
                'fans_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans.Information', 
                [], [], 
                '''                Basic information
                ''',
                'information',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'fans',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.FanTraies.FanTray.Fanses' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.FanTraies.FanTray.Fanses',
            False, 
            [
            _MetaInfoClassMember('fans', REFERENCE_LIST, 'Fans' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans', 
                [], [], 
                '''                Fan name
                ''',
                'fans',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'fanses',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.FanTraies.FanTray' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.FanTraies.FanTray',
            False, 
            [
            _MetaInfoClassMember('fan-tray-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Fan tray name
                ''',
                'fan_tray_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', True),
            _MetaInfoClassMember('fanses', REFERENCE_CLASS, 'Fanses' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.FanTraies.FanTray.Fanses', 
                [], [], 
                '''                Table for rack fans 
                ''',
                'fanses',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'fan-tray',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.FanTraies' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.FanTraies',
            False, 
            [
            _MetaInfoClassMember('fan-tray', REFERENCE_LIST, 'FanTray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.FanTraies.FanTray', 
                [], [], 
                '''                Fan tray name
                ''',
                'fan_tray',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'fan-traies',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail.CardInstance.Rma' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail.CardInstance.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail.CardInstance' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail.CardInstance',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail.CardInstance.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'card-instance',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail',
            False, 
            [
            _MetaInfoClassMember('card-instance', REFERENCE_CLASS, 'CardInstance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail.CardInstance', 
                [], [], 
                '''                Card instance
                ''',
                'card_instance',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('node-operational-state', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Node operational state 
                ''',
                'node_operational_state',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'detail',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.Slots.Slot.Instances.Instance' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.Slots.Slot.Instances.Instance',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Instance name
                ''',
                'name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', True),
            _MetaInfoClassMember('detail', REFERENCE_CLASS, 'Detail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail', 
                [], [], 
                '''                Detail information
                ''',
                'detail',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.Slots.Slot.Instances' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.Slots.Slot.Instances',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.Slots.Slot.Instances.Instance', 
                [], [], 
                '''                instance number
                ''',
                'instance',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'instances',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.Slots.Slot' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.Slots.Slot',
            False, 
            [
            _MetaInfoClassMember('slot-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Slot name
                ''',
                'slot_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', True),
            _MetaInfoClassMember('instances', REFERENCE_CLASS, 'Instances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.Slots.Slot.Instances', 
                [], [], 
                '''                Table of instances
                ''',
                'instances',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'slot',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.Slots' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.Slots',
            False, 
            [
            _MetaInfoClassMember('slot', REFERENCE_LIST, 'Slot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.Slots.Slot', 
                [], [], 
                '''                Slot name
                ''',
                'slot',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'slots',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.Chassis.Rma' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.Chassis.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack.Chassis' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack.Chassis',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.Chassis.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'chassis',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks.Rack' : {
        'meta_info' : _MetaInfoClass('Diag.Racks.Rack',
            False, 
            [
            _MetaInfoClassMember('rack-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Rack name
                ''',
                'rack_name',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', True),
            _MetaInfoClassMember('chassis', REFERENCE_CLASS, 'Chassis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.Chassis', 
                [], [], 
                '''                Chassis information
                ''',
                'chassis',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('fan-traies', REFERENCE_CLASS, 'FanTraies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.FanTraies', 
                [], [], 
                '''                Table for rack fan trays
                ''',
                'fan_traies',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('power-shelfs', REFERENCE_CLASS, 'PowerShelfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.PowerShelfs', 
                [], [], 
                '''                Table for rack power shelf 
                ''',
                'power_shelfs',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            _MetaInfoClassMember('slots', REFERENCE_CLASS, 'Slots' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack.Slots', 
                [], [], 
                '''                Table of slots
                ''',
                'slots',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'rack',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag.Racks' : {
        'meta_info' : _MetaInfoClass('Diag.Racks',
            False, 
            [
            _MetaInfoClassMember('rack', REFERENCE_LIST, 'Rack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks.Rack', 
                [], [], 
                '''                Rack name
                ''',
                'rack',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'racks',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
    'Diag' : {
        'meta_info' : _MetaInfoClass('Diag',
            False, 
            [
            _MetaInfoClassMember('racks', REFERENCE_CLASS, 'Racks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper', 'Diag.Racks', 
                [], [], 
                '''                Table of racks
                ''',
                'racks',
                'Cisco-IOS-XR-sdr-invmgr-diag-oper', False),
            ],
            'Cisco-IOS-XR-sdr-invmgr-diag-oper',
            'diag',
            _yang_ns._namespaces['Cisco-IOS-XR-sdr-invmgr-diag-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_sdr_invmgr_diag_oper'
        ),
    },
}
_meta_table['Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply.Information.Rma']['meta_info'].parent =_meta_table['Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply.Information']['meta_info']
_meta_table['Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply.Information']['meta_info'].parent =_meta_table['Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply']['meta_info']
_meta_table['Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies.PowerSupply']['meta_info'].parent =_meta_table['Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies']['meta_info']
_meta_table['Diag.Racks.Rack.PowerShelfs.PowerShelf.PowerSupplies']['meta_info'].parent =_meta_table['Diag.Racks.Rack.PowerShelfs.PowerShelf']['meta_info']
_meta_table['Diag.Racks.Rack.PowerShelfs.PowerShelf']['meta_info'].parent =_meta_table['Diag.Racks.Rack.PowerShelfs']['meta_info']
_meta_table['Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans.Information.Rma']['meta_info'].parent =_meta_table['Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans.Information']['meta_info']
_meta_table['Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans.Information']['meta_info'].parent =_meta_table['Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans']['meta_info']
_meta_table['Diag.Racks.Rack.FanTraies.FanTray.Fanses.Fans']['meta_info'].parent =_meta_table['Diag.Racks.Rack.FanTraies.FanTray.Fanses']['meta_info']
_meta_table['Diag.Racks.Rack.FanTraies.FanTray.Fanses']['meta_info'].parent =_meta_table['Diag.Racks.Rack.FanTraies.FanTray']['meta_info']
_meta_table['Diag.Racks.Rack.FanTraies.FanTray']['meta_info'].parent =_meta_table['Diag.Racks.Rack.FanTraies']['meta_info']
_meta_table['Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail.CardInstance.Rma']['meta_info'].parent =_meta_table['Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail.CardInstance']['meta_info']
_meta_table['Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail.CardInstance']['meta_info'].parent =_meta_table['Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail']['meta_info']
_meta_table['Diag.Racks.Rack.Slots.Slot.Instances.Instance.Detail']['meta_info'].parent =_meta_table['Diag.Racks.Rack.Slots.Slot.Instances.Instance']['meta_info']
_meta_table['Diag.Racks.Rack.Slots.Slot.Instances.Instance']['meta_info'].parent =_meta_table['Diag.Racks.Rack.Slots.Slot.Instances']['meta_info']
_meta_table['Diag.Racks.Rack.Slots.Slot.Instances']['meta_info'].parent =_meta_table['Diag.Racks.Rack.Slots.Slot']['meta_info']
_meta_table['Diag.Racks.Rack.Slots.Slot']['meta_info'].parent =_meta_table['Diag.Racks.Rack.Slots']['meta_info']
_meta_table['Diag.Racks.Rack.Chassis.Rma']['meta_info'].parent =_meta_table['Diag.Racks.Rack.Chassis']['meta_info']
_meta_table['Diag.Racks.Rack.PowerShelfs']['meta_info'].parent =_meta_table['Diag.Racks.Rack']['meta_info']
_meta_table['Diag.Racks.Rack.FanTraies']['meta_info'].parent =_meta_table['Diag.Racks.Rack']['meta_info']
_meta_table['Diag.Racks.Rack.Slots']['meta_info'].parent =_meta_table['Diag.Racks.Rack']['meta_info']
_meta_table['Diag.Racks.Rack.Chassis']['meta_info'].parent =_meta_table['Diag.Racks.Rack']['meta_info']
_meta_table['Diag.Racks.Rack']['meta_info'].parent =_meta_table['Diag.Racks']['meta_info']
_meta_table['Diag.Racks']['meta_info'].parent =_meta_table['Diag']['meta_info']
