


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'IsisIfClnsMtuInvalidReasonEnum' : _MetaInfoEnum('IsisIfClnsMtuInvalidReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-clns-mtu-invalid-too-sm-all':'isis_intf_clns_mtu_invalid_too_sm_all',
            'isis-intf-clns-mtu-invalid-internal-error':'isis_intf_clns_mtu_invalid_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfAfFwdAddrUnknownReasonEnum' : _MetaInfoEnum('IsisIfAfFwdAddrUnknownReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-af-fwd-addr-unknown-cfg-passive':'isis_intf_af_fwd_addr_unknown_cfg_passive',
            'isis-intf-af-fwd-addr-unknown-proto-doesnt-exist':'isis_intf_af_fwd_addr_unknown_proto_doesnt_exist',
            'isis-intf-af-fwd-addr-unknown-next-hop-reg-error':'isis_intf_af_fwd_addr_unknown_next_hop_reg_error',
            'isis-intf-af-fwd-addr-unknown-no-link-local-add':'isis_intf_af_fwd_addr_unknown_no_link_local_add',
            'isis-intf-af-fwd-addr-unknown-af-not-up':'isis_intf_af_fwd_addr_unknown_af_not_up',
            'isis-intf-af-fwd-addr-unknown-vrf-enabled':'isis_intf_af_fwd_addr_unknown_vrf_enabled',
            'isis-intf-af-fwd-addr-unknown-internal-error':'isis_intf_af_fwd_addr_unknown_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisSubAfIdEnum' : _MetaInfoEnum('IsisSubAfIdEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'unicast':'unicast',
            'multicast':'multicast',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisErrLogLevelEnum' : _MetaInfoEnum('IsisErrLogLevelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-err-log-level-info':'isis_err_log_level_info',
            'isis-err-log-level-warn':'isis_err_log_level_warn',
            'isis-err-log-level-critical':'isis_err_log_level_critical',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisUloopEventEnum' : _MetaInfoEnum('IsisUloopEventEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-u-loop-event-none':'isis_u_loop_event_none',
            'isis-u-loop-event-link-down':'isis_u_loop_event_link_down',
            'isis-u-loop-event-link-up':'isis_u_loop_event_link_up',
            'isis-u-loop-event-ol-bit-set':'isis_u_loop_event_ol_bit_set',
            'isis-u-loop-event-ol-bit-unset':'isis_u_loop_event_ol_bit_unset',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'SrmsMiAfEBEnum' : _MetaInfoEnum('SrmsMiAfEBEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'none':'none',
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfDisabledReasonEnum' : _MetaInfoEnum('IsisIfDisabledReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-disabled-no-net-cfg':'isis_intf_disabled_no_net_cfg',
            'isis-intf-disabled-area-missing':'isis_intf_disabled_area_missing',
            'isis-intf-disabled-no-area-running':'isis_intf_disabled_no_area_running',
            'isis-intf-disabled-no-topos-cfg':'isis_intf_disabled_no_topos_cfg',
            'isis-intf-disabled-no-imd-conn':'isis_intf_disabled_no_imd_conn',
            'isis-intf-disabled-imd-reg-error':'isis_intf_disabled_imd_reg_error',
            'isis-intf-disabled-level-mismatch':'isis_intf_disabled_level_mismatch',
            'isis-intf-disabled-base-caps-error':'isis_intf_disabled_base_caps_error',
            'isis-intf-disabled-intf-doesnt-exist':'isis_intf_disabled_intf_doesnt_exist',
            'isis-intf-disabled-intf-shutdown':'isis_intf_disabled_intf_shutdown',
            'isis-intf-disabled-internal-error':'isis_intf_disabled_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisShTeLinkEnum' : _MetaInfoEnum('IsisShTeLinkEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-sh-te-link-p2p':'isis_sh_te_link_p2p',
            'isis-sh-te-link-broadcast':'isis_sh_te_link_broadcast',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'SrmsMiSrcEBEnum' : _MetaInfoEnum('SrmsMiSrcEBEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'none':'none',
            'local':'local',
            'remote':'remote',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisLspDbOpEnum' : _MetaInfoEnum('IsisLspDbOpEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-lsp-db-clear':'isis_lsp_db_clear',
            'isis-lsp-db-insert-new-lsp':'isis_lsp_db_insert_new_lsp',
            'isis-lsp-db-replace-lsp-with-lsp':'isis_lsp_db_replace_lsp_with_lsp',
            'isis-lsp-db-purge-lsp':'isis_lsp_db_purge_lsp',
            'isis-lsp-db-delete-lsp':'isis_lsp_db_delete_lsp',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfAfPrefixUnknownReasonEnum' : _MetaInfoEnum('IsisIfAfPrefixUnknownReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-af-prefix-unknown-adv-suppressed':'isis_intf_af_prefix_unknown_adv_suppressed',
            'isis-intf-af-prefix-unknown-global-addr-reg-error':'isis_intf_af_prefix_unknown_global_addr_reg_error',
            'isis-intf-af-prefix-unknown-internal-error':'isis_intf_af_prefix_unknown_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisMetricStyleEnum' : _MetaInfoEnum('IsisMetricStyleEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-metric-style-narrow':'isis_metric_style_narrow',
            'isis-metric-style-wide':'isis_metric_style_wide',
            'isis-metric-style-transition':'isis_metric_style_transition',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfAfProtoDownReasonEnum' : _MetaInfoEnum('IsisIfAfProtoDownReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-af-proto-down-imd-conn-fail':'isis_intf_af_proto_down_imd_conn_fail',
            'isis-intf-af-proto-down-imd-node-doesnt-exist':'isis_intf_af_proto_down_imd_node_doesnt_exist',
            'isis-intf-af-proto-down-imd-exist-reg-error':'isis_intf_af_proto_down_imd_exist_reg_error',
            'isis-intf-af-proto-down-imd-state-reg-error':'isis_intf_af_proto_down_imd_state_reg_error',
            'isis-intf-af-proto-down-af-not-up':'isis_intf_af_proto_down_af_not_up',
            'isis-intf-af-proto-down-internal-error':'isis_intf_af_proto_down_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisStartupStatusEnum' : _MetaInfoEnum('IsisStartupStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-startup-ssm-active':'isis_startup_ssm_active',
            'isis-startup-ssm-complete':'isis_startup_ssm_complete',
            'isis-startup-ssm-aborted':'isis_startup_ssm_aborted',
            'isis-startup-ssm-not-run':'isis_startup_ssm_not_run',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisUpEnum' : _MetaInfoEnum('IsisUpEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-down':'isis_down',
            'isis-up':'isis_up',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisMetricModeEnum' : _MetaInfoEnum('IsisMetricModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-metric-mode-fixed':'isis_metric_mode_fixed',
            'isis-metric-mode-relative':'isis_metric_mode_relative',
            'isis-metric-mode-absolute':'isis_metric_mode_absolute',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisMediaClassEnum' : _MetaInfoEnum('IsisMediaClassEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-media-class-lan':'isis_media_class_lan',
            'isis-media-class-p2p':'isis_media_class_p2p',
            'isis-media-class-loop-back':'isis_media_class_loop_back',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisNsfFlavorEnum' : _MetaInfoEnum('IsisNsfFlavorEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-nsf-flav-or-none':'isis_nsf_flav_or_none',
            'isis-nsf-flav-or-cisco':'isis_nsf_flav_or_cisco',
            'isis-nsf-flav-or-ietf':'isis_nsf_flav_or_ietf',
            'isis-nsf-flav-or-nsr':'isis_nsf_flav_or_nsr',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisAdjTopoChangeEnum' : _MetaInfoEnum('IsisAdjTopoChangeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-adj-topo-up-change':'isis_adj_topo_up_change',
            'isis-adj-topo-next-hop-change':'isis_adj_topo_next_hop_change',
            'isis-adj-topo-down-change':'isis_adj_topo_down_change',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfMcastInvalidReasonEnum' : _MetaInfoEnum('IsisIfMcastInvalidReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-mcast-invalid-join-error':'isis_intf_mcast_invalid_join_error',
            'isis-intf-mcast-invalid-internal-error':'isis_intf_mcast_invalid_internal_error',
            'isis-intf-mcast-invalid-not-yet-needed':'isis_intf_mcast_invalid_not_yet_needed',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfTopoAdvPrefixDisabledReasonEnum' : _MetaInfoEnum('IsisIfTopoAdvPrefixDisabledReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-topo-adv-prefix-disabled-intf-suppressed':'isis_intf_topo_adv_prefix_disabled_intf_suppressed',
            'isis-intf-topo-adv-prefix-disabled-af-not-up':'isis_intf_topo_adv_prefix_disabled_af_not_up',
            'isis-intf-topo-adv-prefix-disabled-af-prefixes-unknown':'isis_intf_topo_adv_prefix_disabled_af_prefixes_unknown',
            'isis-intf-topo-adv-prefix-disabled-internal-error':'isis_intf_topo_adv_prefix_disabled_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisShTePceFloodingScopeEnum' : _MetaInfoEnum('IsisShTePceFloodingScopeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'none':'none',
            'area':'area',
            'domain':'domain',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisLspTriggerEnum' : _MetaInfoEnum('IsisLspTriggerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-lsp-trig-config':'isis_lsp_trig_config',
            'isis-lsp-trig-newadj':'isis_lsp_trig_newadj',
            'isis-lsp-trig-deladj':'isis_lsp_trig_deladj',
            'isis-lsp-trig-dr-change':'isis_lsp_trig_dr_change',
            'isis-lsp-trig-area-set':'isis_lsp_trig_area_set',
            'isis-lsp-trig-attach':'isis_lsp_trig_attach',
            'isis-lsp-trig-hippity':'isis_lsp_trig_hippity',
            'isis-lsp-trig-regen':'isis_lsp_trig_regen',
            'isis-lsp-trig-ip-if-up':'isis_lsp_trig_ip_if_up',
            'isis-lsp-trig-ip-if-down':'isis_lsp_trig_ip_if_down',
            'isis-lsp-trig-ip-inter-area':'isis_lsp_trig_ip_inter_area',
            'isis-lsp-trig-ip-external':'isis_lsp_trig_ip_external',
            'isis-lsp-trig-ip-external-full':'isis_lsp_trig_ip_external_full',
            'isis-lsp-trig-ip-def-orig':'isis_lsp_trig_ip_def_orig',
            'isis-lsp-trig-ip-addr-chg':'isis_lsp_trig_ip_addr_chg',
            'isis-lsp-trig-te-info':'isis_lsp_trig_te_info',
            'isis-lsp-trig-te-pce-info':'isis_lsp_trig_te_pce_info',
            'isis-lsp-trig-te-fa-info':'isis_lsp_trig_te_fa_info',
            'isis-lsp-trig-nsr-fo':'isis_lsp_trig_nsr_fo',
            'isis-lsp-trig-pn-cancel':'isis_lsp_trig_pn_cancel',
            'isis-lsp-trig-lkgp':'isis_lsp_trig_lkgp',
            'isis-lsp-trig-pp':'isis_lsp_trig_pp',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisEnabledEnum' : _MetaInfoEnum('IsisEnabledEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-disabled':'isis_disabled',
            'isis-enabled':'isis_enabled',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfAdvPrefixDisabledReasonEnum' : _MetaInfoEnum('IsisIfAdvPrefixDisabledReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-adv-prefix-disabled-if-cfg-suppressed':'isis_intf_adv_prefix_disabled_if_cfg_suppressed',
            'isis-intf-adv-prefix-disabled-no-topo-participate':'isis_intf_adv_prefix_disabled_no_topo_participate',
            'isis-intf-adv-prefix-disabled-internal-error':'isis_intf_adv_prefix_disabled_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisAdjStateEnum' : _MetaInfoEnum('IsisAdjStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-adj-up-state':'isis_adj_up_state',
            'isis-adj-init-state':'isis_adj_init_state',
            'isis-adj-failed-state':'isis_adj_failed_state',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfClnsProtoDownReasonEnum' : _MetaInfoEnum('IsisIfClnsProtoDownReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-clns-proto-down-add-to-intf-stack-fail':'isis_intf_clns_proto_down_add_to_intf_stack_fail',
            'isis-intf-clns-proto-down-no-imd-conn':'isis_intf_clns_proto_down_no_imd_conn',
            'isis-intf-clns-proto-down-imd-node-doesnt-exist':'isis_intf_clns_proto_down_imd_node_doesnt_exist',
            'isis-intf-clns-proto-down-imd-exist-reg-error':'isis_intf_clns_proto_down_imd_exist_reg_error',
            'isis-intf-clns-proto-down-imd-state-reg-error':'isis_intf_clns_proto_down_imd_state_reg_error',
            'isis-intf-clns-proto-down-clns-not-up':'isis_intf_clns_proto_down_clns_not_up',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisSpfTriggerEnum' : _MetaInfoEnum('IsisSpfTriggerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-spf-trig-config':'isis_spf_trig_config',
            'isis-spf-trig-nsr-fo':'isis_spf_trig_nsr_fo',
            'isis-spf-trig-periodic':'isis_spf_trig_periodic',
            'isis-spf-trig-clear':'isis_spf_trig_clear',
            'isis-spf-trig-newadj':'isis_spf_trig_newadj',
            'isis-spf-trig-deladj':'isis_spf_trig_deladj',
            'isis-spf-trig-next-hop':'isis_spf_trig_next_hop',
            'isis-spf-trig-metric':'isis_spf_trig_metric',
            'isis-spf-trig-dis':'isis_spf_trig_dis',
            'isis-spf-trig-frr-per-link':'isis_spf_trig_frr_per_link',
            'isis-spf-trig-frr-per-prefix':'isis_spf_trig_frr_per_prefix',
            'isis-spf-trig-ucmp':'isis_spf_trig_ucmp',
            'isis-spf-trig-new-tunnel':'isis_spf_trig_new_tunnel',
            'isis-spf-trig-del-tunnel':'isis_spf_trig_del_tunnel',
            'isis-spf-trig-chg-tunnel':'isis_spf_trig_chg_tunnel',
            'isis-spf-trig-new-node':'isis_spf_trig_new_node',
            'isis-spf-trig-del-node':'isis_spf_trig_del_node',
            'isis-spf-trig-newlsp':'isis_spf_trig_newlsp',
            'isis-spf-trig-lsp-expiry':'isis_spf_trig_lsp_expiry',
            'isis-spf-trig-attach-set':'isis_spf_trig_attach_set',
            'isis-spf-trig-attach-clr':'isis_spf_trig_attach_clr',
            'isis-spf-trig-overload-set':'isis_spf_trig_overload_set',
            'isis-spf-trig-overload-clr':'isis_spf_trig_overload_clr',
            'isis-spf-trig-link-good':'isis_spf_trig_link_good',
            'isis-spf-trig-link-bad':'isis_spf_trig_link_bad',
            'isis-spf-trig-prefix-good':'isis_spf_trig_prefix_good',
            'isis-spf-trig-prefix-bad':'isis_spf_trig_prefix_bad',
            'isis-spf-trig-prefix':'isis_spf_trig_prefix',
            'isis-spf-trig-area-addr':'isis_spf_trig_area_addr',
            'isis-spf-trig-ip-addr':'isis_spf_trig_ip_addr',
            'isis-spf-trig-rtrid':'isis_spf_trig_rtrid',
            'isis-spf-trig-prefix-policy':'isis_spf_trig_prefix_policy',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'SrmsMiFlagEBEnum' : _MetaInfoEnum('SrmsMiFlagEBEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'false':'false',
            'true':'true',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisReachableEnum' : _MetaInfoEnum('IsisReachableEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-unreachable':'isis_unreachable',
            'isis-reachable':'isis_reachable',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisLevelsEnum' : _MetaInfoEnum('IsisLevelsEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-levels-none':'isis_levels_none',
            'isis-levels-1':'isis_levels_1',
            'isis-levels-2':'isis_levels_2',
            'isis-levels-12':'isis_levels_12',
            'isis-levels-total':'isis_levels_total',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisPrefixPriorityEnum' : _MetaInfoEnum('IsisPrefixPriorityEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-prefix-priority-critical':'isis_prefix_priority_critical',
            'isis-prefix-priority-high':'isis_prefix_priority_high',
            'isis-prefix-priority-med':'isis_prefix_priority_med',
            'isis-prefix-priority-low':'isis_prefix_priority_low',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisAdjStateReasonEnum' : _MetaInfoEnum('IsisAdjStateReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-adj-up-nsf-restart':'isis_adj_up_nsf_restart',
            'isis-adj-up-new-adj':'isis_adj_up_new_adj',
            'isis-adj-up-restarted':'isis_adj_up_restarted',
            'isis-adj-up-nsf-restored':'isis_adj_up_nsf_restored',
            'isis-adj-up-chkpt-restored':'isis_adj_up_chkpt_restored',
            'isis-adj-init-reason':'isis_adj_init_reason',
            'isis-adj-init-neighbor-forgot':'isis_adj_init_neighbor_forgot',
            'isis-adj-down-hold-time':'isis_adj_down_hold_time',
            'isis-adj-down-if-down':'isis_adj_down_if_down',
            'isis-adj-down-cfg-mismatch':'isis_adj_down_cfg_mismatch',
            'isis-adj-down-circ-id':'isis_adj_down_circ_id',
            'isis-adj-down-nsf-ack-fail':'isis_adj_down_nsf_ack_fail',
            'isis-adj-down-db-clear':'isis_adj_down_db_clear',
            'isis-adj-down-no-common-topology':'isis_adj_down_no_common_topology',
            'isis-adj-down-restart-tlv-missing':'isis_adj_down_restart_tlv_missing',
            'isis-adj-down-bfd-down':'isis_adj_down_bfd_down',
            'isis-adj-down-3way-down':'isis_adj_down_3way_down',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfClnsSnpaUnknownReasonEnum' : _MetaInfoEnum('IsisIfClnsSnpaUnknownReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-clns-snpa-unknown-access-error':'isis_intf_clns_snpa_unknown_access_error',
            'isis-intf-clns-snpa-unknown-not-lan':'isis_intf_clns_snpa_unknown_not_lan',
            'isis-intf-clns-snpa-unknown-internal-error':'isis_intf_clns_snpa_unknown_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisAdjTopoStatusEnum' : _MetaInfoEnum('IsisAdjTopoStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-adj-topo-status-ok':'isis_adj_topo_status_ok',
            'isis-adj-topo-status-intf-not-configured':'isis_adj_topo_status_intf_not_configured',
            'isis-adj-topo-status-intf-not-running':'isis_adj_topo_status_intf_not_running',
            'isis-adj-topo-status-init-state':'isis_adj_topo_status_init_state',
            'isis-adj-topo-status-neighbor-doesnt-participate':'isis_adj_topo_status_neighbor_doesnt_participate',
            'isis-adj-topo-status-ipv4-address-tlv-missing':'isis_adj_topo_status_ipv4_address_tlv_missing',
            'isis-adj-topo-status-ipv4-address-tlv-empty':'isis_adj_topo_status_ipv4_address_tlv_empty',
            'isis-adj-topo-status-ipv6-address-tlv-missing':'isis_adj_topo_status_ipv6_address_tlv_missing',
            'isis-adj-topo-status-ipv6-address-tlv-empty':'isis_adj_topo_status_ipv6_address_tlv_empty',
            'isis-adj-topo-status-ipv4-address-matches-ours':'isis_adj_topo_status_ipv4_address_matches_ours',
            'isis-adj-topo-status-ipv6-address-matches-ours':'isis_adj_topo_status_ipv6_address_matches_ours',
            'isis-adj-topo-status-ipv4-address-subnet-mismatch':'isis_adj_topo_status_ipv4_address_subnet_mismatch',
            'isis-adj-topo-status-ipv6-address-not-link-local':'isis_adj_topo_status_ipv6_address_not_link_local',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfTopoAdjFormDisabledReasonEnum' : _MetaInfoEnum('IsisIfTopoAdjFormDisabledReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-topo-adj-form-disabled-intf-passive':'isis_intf_topo_adj_form_disabled_intf_passive',
            'isis-intf-topo-adj-form-disabled-af-not-up':'isis_intf_topo_adj_form_disabled_af_not_up',
            'isis-intf-topo-adj-form-disabled-af-fwd-addr-unknown':'isis_intf_topo_adj_form_disabled_af_fwd_addr_unknown',
            'isis-intf-topo-adj-form-disabled-topo-not-cfg':'isis_intf_topo_adj_form_disabled_topo_not_cfg',
            'isis-intf-topo-adj-form-disabled-topo-can-not-participate':'isis_intf_topo_adj_form_disabled_topo_can_not_participate',
            'isis-intf-topo-adj-form-disabled-idle':'isis_intf_topo_adj_form_disabled_idle',
            'isis-intf-topo-adj-form-disabled-internal-error':'isis_intf_topo_adj_form_disabled_internal_error',
            'isis-intf-topo-adj-form-disabled-mtu':'isis_intf_topo_adj_form_disabled_mtu',
            'isis-intf-topo-adj-form-disabled-snpa':'isis_intf_topo_adj_form_disabled_snpa',
            'isis-intf-topo-adj-form-disabled-mcast':'isis_intf_topo_adj_form_disabled_mcast',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisAdjBfdStateEnum' : _MetaInfoEnum('IsisAdjBfdStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-adj-bfd-no-state':'isis_adj_bfd_no_state',
            'isis-adj-bfd-down-state':'isis_adj_bfd_down_state',
            'isis-adj-bfd-init-state':'isis_adj_bfd_init_state',
            'isis-adj-bfd-up-state':'isis_adj_bfd_up_state',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisAfIdEnum' : _MetaInfoEnum('IsisAfIdEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisRedistProtoEnum' : _MetaInfoEnum('IsisRedistProtoEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-redist-connected':'isis_redist_connected',
            'isis-redist-static':'isis_redist_static',
            'isis-redist-ospf':'isis_redist_ospf',
            'isis-redist-bgp':'isis_redist_bgp',
            'isis-redist-isis':'isis_redist_isis',
            'isis-redist-ospfv3':'isis_redist_ospfv3',
            'isis-redist-rip':'isis_redist_rip',
            'isis-redist-eigrp':'isis_redist_eigrp',
            'isis-redist-subscriber':'isis_redist_subscriber',
            'isis-redist-application':'isis_redist_application',
            'isis-redist-mobile':'isis_redist_mobile',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfTopoDisabledReasonEnum' : _MetaInfoEnum('IsisIfTopoDisabledReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-topo-disabled-not-cfg':'isis_intf_topo_disabled_not_cfg',
            'isis-intf-topo-disabled-internal-error':'isis_intf_topo_disabled_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisShRouteAdvOriginEnum' : _MetaInfoEnum('IsisShRouteAdvOriginEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-sh-route-adv-origin-interface':'isis_sh_route_adv_origin_interface',
            'isis-sh-route-adv-origin-redistributed':'isis_sh_route_adv_origin_redistributed',
            'isis-sh-route-adv-origin-native':'isis_sh_route_adv_origin_native',
            'isis-sh-route-adv-origin-summary':'isis_sh_route_adv_origin_summary',
            'isis-sh-route-adv-origin-default':'isis_sh_route_adv_origin_default',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisKnownEnum' : _MetaInfoEnum('IsisKnownEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-unknown':'isis_unknown',
            'isis-known':'isis_known',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisLevelEnum' : _MetaInfoEnum('IsisLevelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-level0':'isis_level0',
            'isis-level1':'isis_level1',
            'isis-level2':'isis_level2',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfAdjFormDisabledReasonEnum' : _MetaInfoEnum('IsisIfAdjFormDisabledReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-adj-form-disabled-cfg-passive':'isis_intf_adj_form_disabled_cfg_passive',
            'isis-intf-adj-form-disabled-no-topo-participate':'isis_intf_adj_form_disabled_no_topo_participate',
            'isis-intf-adj-form-disabled-add-to-intf-stack-fail':'isis_intf_adj_form_disabled_add_to_intf_stack_fail',
            'isis-intf-adj-form-disabled-clns-io':'isis_intf_adj_form_disabled_clns_io',
            'isis-intf-adj-form-disabled-internal-error':'isis_intf_adj_form_disabled_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisPrefixOriginEnum' : _MetaInfoEnum('IsisPrefixOriginEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-prefix-origin-l1-summary-null':'isis_prefix_origin_l1_summary_null',
            'isis-prefix-origin-l1':'isis_prefix_origin_l1',
            'isis-prefix-origin-l2-summary-null':'isis_prefix_origin_l2_summary_null',
            'isis-prefix-origin-l2':'isis_prefix_origin_l2',
            'isis-prefix-origin-inter-area-summary-null':'isis_prefix_origin_inter_area_summary_null',
            'isis-prefix-origin-inter-area':'isis_prefix_origin_inter_area',
            'isis-prefix-origin-default-nearest-attached':'isis_prefix_origin_default_nearest_attached',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisIfAfDisabledReasonEnum' : _MetaInfoEnum('IsisIfAfDisabledReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-intf-af-disabled-no-topo-enabled':'isis_intf_af_disabled_no_topo_enabled',
            'isis-intf-af-disabled-internal-error':'isis_intf_af_disabled_internal_error',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisTilfaComputationEnum' : _MetaInfoEnum('IsisTilfaComputationEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-tilfa-comp-none':'isis_tilfa_comp_none',
            'isis-tilfa-comp-link':'isis_tilfa_comp_link',
            'isis-tilfa-comp-node':'isis_tilfa_comp_node',
            'isis-tilfa-comp-srlg':'isis_tilfa_comp_srlg',
            'isis-tilfa-comp-node-srlg':'isis_tilfa_comp_node_srlg',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisSpfClassEnum' : _MetaInfoEnum('IsisSpfClassEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-spf-frr-sr-u-loop':'isis_spf_frr_sr_u_loop',
            'isis-spf-frr-per-link':'isis_spf_frr_per_link',
            'isis-spf-partial':'isis_spf_partial',
            'isis-spf-frr-per-prefix':'isis_spf_frr_per_prefix',
            'isis-spf-ucmp-calc':'isis_spf_ucmp_calc',
            'isis-spf-next-hop':'isis_spf_next_hop',
            'isis-spf-incremental':'isis_spf_incremental',
            'isis-spf-full':'isis_spf_full',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisValidEnum' : _MetaInfoEnum('IsisValidEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-invalid':'isis_invalid',
            'isis-valid':'isis_valid',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'IsisUloopAvoidanceEnum' : _MetaInfoEnum('IsisUloopAvoidanceEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper',
        {
            'isis-u-loop-avoidance-type-none':'isis_u_loop_avoidance_type_none',
            'isis-u-loop-avoidance-type-all':'isis_u_loop_avoidance_type_all',
            'isis-u-loop-avoidance-type-protected':'isis_u_loop_avoidance_type_protected',
            'isis-u-loop-avoidance-type-sr':'isis_u_loop_avoidance_type_sr',
        }, 'Cisco-IOS-XR-clns-isis-oper', _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper']),
    'Isis.Instances.Instance.Neighbors.Neighbor.TopologiesSupported' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.TopologiesSupported',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AF name
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'IsisSubAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisSubAfIdEnum', 
                [], [], 
                '''                Sub-AF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Topology Name
                ''',
                'topology_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'topologies-supported',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackup',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackupTe' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackupTe',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup-te',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-backup', REFERENCE_CLASS, 'AdjacencySidBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackup', 
                [], [], 
                '''                Adjacency SID Backup Info
                ''',
                'adjacency_sid_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-backup-te', REFERENCE_CLASS, 'AdjacencySidBackupTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackupTe', 
                [], [], 
                '''                Adjacency SID Backup Info TE
                ''',
                'adjacency_sid_backup_te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency SID value
                ''',
                'adjacency_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackup',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackupTe' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackupTe',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup-te',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-backup', REFERENCE_CLASS, 'AdjacencySidBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackup', 
                [], [], 
                '''                Adjacency SID Backup Info
                ''',
                'adjacency_sid_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-backup-te', REFERENCE_CLASS, 'AdjacencySidBackupTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackupTe', 
                [], [], 
                '''                Adjacency SID Backup Info TE
                ''',
                'adjacency_sid_backup_te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency SID value
                ''',
                'adjacency_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'non-frr-adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', REFERENCE_CLASS, 'AdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid', 
                [], [], 
                '''                Adjacency SID
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency interface addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('non-frr-adjacency-sid', REFERENCE_CLASS, 'NonFrrAdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid', 
                [], [], 
                '''                Adjacency SID not eligible for FRR protection
                ''',
                'non_frr_adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('underlying-adjacency-sid', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per bundle member Adjacency sid
                ''',
                'underlying_adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('underlying-interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Underlying interface list for bundle interfaces
                ''',
                'underlying_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackup',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackupTe' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackupTe',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup-te',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-backup', REFERENCE_CLASS, 'AdjacencySidBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackup', 
                [], [], 
                '''                Adjacency SID Backup Info
                ''',
                'adjacency_sid_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-backup-te', REFERENCE_CLASS, 'AdjacencySidBackupTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackupTe', 
                [], [], 
                '''                Adjacency SID Backup Info TE
                ''',
                'adjacency_sid_backup_te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency SID value
                ''',
                'adjacency_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackup',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackupTe' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackupTe',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup-te',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-backup', REFERENCE_CLASS, 'AdjacencySidBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackup', 
                [], [], 
                '''                Adjacency SID Backup Info
                ''',
                'adjacency_sid_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-backup-te', REFERENCE_CLASS, 'AdjacencySidBackupTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackupTe', 
                [], [], 
                '''                Adjacency SID Backup Info TE
                ''',
                'adjacency_sid_backup_te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency SID value
                ''',
                'adjacency_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'non-frr-adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', REFERENCE_CLASS, 'AdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid', 
                [], [], 
                '''                Adjacency SID
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency interface addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('non-frr-adjacency-sid', REFERENCE_CLASS, 'NonFrrAdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid', 
                [], [], 
                '''                Adjacency SID not eligible for FRR protection
                ''',
                'non_frr_adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('underlying-adjacency-sid', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per bundle member Adjacency sid
                ''',
                'underlying_adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('underlying-interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Underlying interface list for bundle interfaces
                ''',
                'underlying_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4', 
                [], [], 
                '''                IPV4 neighbor info
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6', 
                [], [], 
                '''                IPV6 neighbor info
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'neighbor-per-address-family-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('local-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Local interface
                ''',
                'local_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-active-area-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['[a-fA-F0-9]{2}(\\.[a-fA-F0-9]{4}){0,6}'], 
                '''                Active area addresses
                ''',
                'neighbor_active_area_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-circuit-type', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                Circuit type
                ''',
                'neighbor_circuit_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (s) until neighbor declared down if no IIH
                received
                ''',
                'neighbor_holdtime',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-ietf-nsf-capable-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TRUE if neighbor is IETF-NSF capable
                ''',
                'neighbor_ietf_nsf_capable_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-media-type', REFERENCE_ENUM_CLASS, 'IsisMediaClassEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisMediaClassEnum', 
                [], [], 
                '''                Link media type
                ''',
                'neighbor_media_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-per-address-family-data', REFERENCE_LIST, 'NeighborPerAddressFamilyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData', 
                [], [], 
                '''                Per address-family data
                ''',
                'neighbor_per_address_family_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'IsisAdjStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAdjStateEnum', 
                [], [], 
                '''                Neighbor (adjacency) state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor system ID
                ''',
                'neighbor_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                How long the neighbor has been up (s)
                ''',
                'neighbor_uptime',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-uptime-valid-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if NeighborUptime is set
                ''',
                'neighbor_uptime_valid_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ISIS NSR STANDBY
                ''',
                'nsr_standby',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                System ID
                ''',
                'system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topologies-supported', REFERENCE_LIST, 'TopologiesSupported' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor.TopologiesSupported', 
                [], [], 
                '''                Topologies supported by both neighbor and local
                system
                ''',
                'topologies_supported',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Neighbors' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors.Neighbor', 
                [], [], 
                '''                A single neighbor router
                ''',
                'neighbor',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.HostNames.HostName' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.HostNames.HostName',
            False, 
            [
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                System ID
                ''',
                'system_id',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('host-levels', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                Host levels
                ''',
                'host_levels',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('host-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Host name
                ''',
                'host_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('local-is-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is the local IS
                ''',
                'local_is_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'host-name',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.HostNames' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.HostNames',
            False, 
            [
            _MetaInfoClassMember('host-name', REFERENCE_LIST, 'HostName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.HostNames.HostName', 
                [], [], 
                '''                Hostname table entry
                ''',
                'host_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'host-names',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgHelloProcessTime' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgHelloProcessTime',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'avg-hello-process-time',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgCsnpProcessTime' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgCsnpProcessTime',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'avg-csnp-process-time',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgPsnpProcessTime' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgPsnpProcessTime',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'avg-psnp-process-time',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgLspProcessTime' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgLspProcessTime',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'avg-lsp-process-time',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgHelloTransmitTime' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgHelloTransmitTime',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'avg-hello-transmit-time',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgCsnpTransmitTime' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgCsnpTransmitTime',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'avg-csnp-transmit-time',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgPsnpTransmitTime' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgPsnpTransmitTime',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'avg-psnp-transmit-time',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgLspTransmitTime' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgLspTransmitTime',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'avg-lsp-transmit-time',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.Statistics' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.Statistics',
            False, 
            [
            _MetaInfoClassMember('avg-csnp-process-time', REFERENCE_CLASS, 'AvgCsnpProcessTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgCsnpProcessTime', 
                [], [], 
                '''                Average CSNP process time
                ''',
                'avg_csnp_process_time',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-csnp-recv-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average csnp receive rate in packets per second
                ''',
                'avg_csnp_recv_rate',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-csnp-send-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average csnp send rate in packets per second
                ''',
                'avg_csnp_send_rate',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-csnp-transmit-time', REFERENCE_CLASS, 'AvgCsnpTransmitTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgCsnpTransmitTime', 
                [], [], 
                '''                Average CSNP transmit time
                ''',
                'avg_csnp_transmit_time',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-hello-process-time', REFERENCE_CLASS, 'AvgHelloProcessTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgHelloProcessTime', 
                [], [], 
                '''                Average hello process time
                ''',
                'avg_hello_process_time',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-hello-recv-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average hello receive rate in packets per second
                ''',
                'avg_hello_recv_rate',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-hello-send-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average hello send rate in packets per second
                ''',
                'avg_hello_send_rate',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-hello-transmit-time', REFERENCE_CLASS, 'AvgHelloTransmitTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgHelloTransmitTime', 
                [], [], 
                '''                Average hello transmit time
                ''',
                'avg_hello_transmit_time',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-lsp-process-time', REFERENCE_CLASS, 'AvgLspProcessTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgLspProcessTime', 
                [], [], 
                '''                Average LSP process time
                ''',
                'avg_lsp_process_time',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-lsp-recv-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average LSP receive rate in packets per second
                ''',
                'avg_lsp_recv_rate',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-lsp-send-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average LSP send rate in packets per second
                ''',
                'avg_lsp_send_rate',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-lsp-transmit-time', REFERENCE_CLASS, 'AvgLspTransmitTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgLspTransmitTime', 
                [], [], 
                '''                Average LSP transmit time
                ''',
                'avg_lsp_transmit_time',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-psnp-process-time', REFERENCE_CLASS, 'AvgPsnpProcessTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgPsnpProcessTime', 
                [], [], 
                '''                Average PSNP process time
                ''',
                'avg_psnp_process_time',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-psnp-recv-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average psnp receive rate in packets per second
                ''',
                'avg_psnp_recv_rate',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-psnp-send-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average psnp send rate in packets per second
                ''',
                'avg_psnp_send_rate',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('avg-psnp-transmit-time', REFERENCE_CLASS, 'AvgPsnpTransmitTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgPsnpTransmitTime', 
                [], [], 
                '''                Average PSNP transmit time
                ''',
                'avg_psnp_transmit_time',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('fast-csnp-cache-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fast-CSNP cache updates
                ''',
                'fast_csnp_cache_update_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('fast-csnp-lookup-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fast-CSNP cache lookups
                ''',
                'fast_csnp_lookup_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('fast-csnp-lookup-hit-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fast-CSNP cache hits
                ''',
                'fast_csnp_lookup_hit_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('fast-psnp-lookup-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fast-PSNP cache lookups
                ''',
                'fast_psnp_lookup_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('fast-psnp-lookup-hit-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fast-PSNP cache hits
                ''',
                'fast_psnp_lookup_hit_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('iih-dropped-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IIHs dropped - Not Used
                ''',
                'iih_dropped_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('invalid-checksum-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSPs received with invalid checksum
                ''',
                'invalid_checksum_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-dropped-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSPs dropped
                ''',
                'lsp_dropped_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('maximum-iih-queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum IIH queue length - Not Used
                ''',
                'maximum_iih_queue_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('maximum-pdu-queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum update PDU queue length
                ''',
                'maximum_pdu_queue_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pdu-queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Update PDU queue length
                ''',
                'pdu_queue_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('snp-dropped-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SNPs dropped
                ''',
                'snp_dropped_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('zero-holdtime-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSPs received with holdtime 0
                ''',
                'zero_holdtime_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.PerAreaData.Statistics' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.PerAreaData.Statistics',
            False, 
            [
            _MetaInfoClassMember('system-lsp-build-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times system LSP rebuilt
                ''',
                'system_lsp_build_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('system-lsp-refresh-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times system LSP refreshed
                ''',
                'system_lsp_refresh_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData.Id' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData.Id',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AF name
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'IsisSubAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisSubAfIdEnum', 
                [], [], 
                '''                Sub-AF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Topology Name
                ''',
                'topology_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData.Statistics' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData.Statistics',
            False, 
            [
            _MetaInfoClassMember('ispf-run-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of ISPF calculations run
                ''',
                'ispf_run_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nhc-run-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Next Hop Calculations run
                ''',
                'nhc_run_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('periodic-run-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of periodic SPF calculations run
                ''',
                'periodic_run_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prc-run-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PRCs run
                ''',
                'prc_run_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('spf-run-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of full SPF calculations run
                ''',
                'spf_run_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData.Id', 
                [], [], 
                '''                Topology ID
                ''',
                'id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData.Statistics', 
                [], [], 
                '''                Statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-topology-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal.PerAreaData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal.PerAreaData',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level this data applies to
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-topology-data', REFERENCE_LIST, 'PerTopologyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData', 
                [], [], 
                '''                Per-topoogy statistics
                ''',
                'per_topology_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.PerAreaData.Statistics', 
                [], [], 
                '''                Statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-area-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.StatisticsGlobal' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.StatisticsGlobal',
            False, 
            [
            _MetaInfoClassMember('per-area-data', REFERENCE_LIST, 'PerAreaData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.PerAreaData', 
                [], [], 
                '''                Per-area data
                ''',
                'per_area_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal.Statistics', 
                [], [], 
                '''                Statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'statistics-global',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.GenericData.Timestamp' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.GenericData.Timestamp',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.GenericData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.GenericData',
            False, 
            [
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.GenericData.Timestamp', 
                [], [], 
                '''                Time in UTC relative to Jan 1st, 1970
                ''',
                'timestamp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'generic-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.AdjacencyPerTopologyChange.Id' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.AdjacencyPerTopologyChange.Id',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AF name
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'IsisSubAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisSubAfIdEnum', 
                [], [], 
                '''                Sub-AF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Topology Name
                ''',
                'topology_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.AdjacencyPerTopologyChange' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.AdjacencyPerTopologyChange',
            False, 
            [
            _MetaInfoClassMember('change', REFERENCE_ENUM_CLASS, 'IsisAdjTopoChangeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAdjTopoChangeEnum', 
                [], [], 
                '''                Change
                ''',
                'change',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.AdjacencyPerTopologyChange.Id', 
                [], [], 
                '''                Topology ID
                ''',
                'id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-per-topology-change',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry',
            False, 
            [
            _MetaInfoClassMember('adj-log-neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor system ID
                ''',
                'adj_log_neighbor_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-per-topology-change', REFERENCE_LIST, 'AdjacencyPerTopologyChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.AdjacencyPerTopologyChange', 
                [], [], 
                '''                Per-topology changes
                ''',
                'adjacency_per_topology_change',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('cur-adj-state', REFERENCE_ENUM_CLASS, 'IsisAdjStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAdjStateEnum', 
                [], [], 
                '''                Current adjacency state
                ''',
                'cur_adj_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('generic-data', REFERENCE_CLASS, 'GenericData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.GenericData', 
                [], [], 
                '''                Generic entry data
                ''',
                'generic_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prev-adj-state', REFERENCE_ENUM_CLASS, 'IsisAdjStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAdjStateEnum', 
                [], [], 
                '''                Previous adjacency state
                ''',
                'prev_adj_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('state-reason', REFERENCE_ENUM_CLASS, 'IsisAdjStateReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAdjStateReasonEnum', 
                [], [], 
                '''                Reason adjacency changed state
                ''',
                'state_reason',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'log-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.AdjacencyLog' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.AdjacencyLog',
            False, 
            [
            _MetaInfoClassMember('log-entry', REFERENCE_LIST, 'LogEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry', 
                [], [], 
                '''                Adjacency Log entries
                ''',
                'log_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-log',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters.RouteLspCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters.RouteLspCount',
            False, 
            [
            _MetaInfoClassMember('active-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active LSPs
                ''',
                'active_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('purged-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of purged LSPs
                ''',
                'purged_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'route-lsp-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters.PseudoNodeLspCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters.PseudoNodeLspCount',
            False, 
            [
            _MetaInfoClassMember('active-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active LSPs
                ''',
                'active_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('purged-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of purged LSPs
                ''',
                'purged_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'pseudo-node-lsp-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters',
            False, 
            [
            _MetaInfoClassMember('pseudo-node-lsp-count', REFERENCE_CLASS, 'PseudoNodeLspCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters.PseudoNodeLspCount', 
                [], [], 
                '''                Pseudonode LSPs
                ''',
                'pseudo_node_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('route-lsp-count', REFERENCE_CLASS, 'RouteLspCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters.RouteLspCount', 
                [], [], 
                '''                Router LSPs
                ''',
                'route_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'node-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.Id' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.Id',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AF name
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'IsisSubAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisSubAfIdEnum', 
                [], [], 
                '''                Sub-AF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Topology Name
                ''',
                'topology_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.OverloadedLspCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.OverloadedLspCount',
            False, 
            [
            _MetaInfoClassMember('active-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active LSPs
                ''',
                'active_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('purged-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of purged LSPs
                ''',
                'purged_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'overloaded-lsp-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.AttachedLspCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.AttachedLspCount',
            False, 
            [
            _MetaInfoClassMember('active-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active LSPs
                ''',
                'active_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('purged-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of purged LSPs
                ''',
                'purged_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'attached-lsp-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter',
            False, 
            [
            _MetaInfoClassMember('attached-lsp-count', REFERENCE_CLASS, 'AttachedLspCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.AttachedLspCount', 
                [], [], 
                '''                Number of LSPs with their per-topology attached
                bit set
                ''',
                'attached_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.Id', 
                [], [], 
                '''                Topology ID
                ''',
                'id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('overloaded-lsp-count', REFERENCE_CLASS, 'OverloadedLspCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.OverloadedLspCount', 
                [], [], 
                '''                Number of LSPs with their per-topology overload
                bit set
                ''',
                'overloaded_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-topology-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats',
            False, 
            [
            _MetaInfoClassMember('node-counters', REFERENCE_CLASS, 'NodeCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters', 
                [], [], 
                '''                Summary by class of node
                ''',
                'node_counters',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-topology-counter', REFERENCE_LIST, 'PerTopologyCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter', 
                [], [], 
                '''                Per topology counters
                ''',
                'per_topology_counter',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'fragment0lsp-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters.RouteLspCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters.RouteLspCount',
            False, 
            [
            _MetaInfoClassMember('active-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active LSPs
                ''',
                'active_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('purged-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of purged LSPs
                ''',
                'purged_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'route-lsp-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters.PseudoNodeLspCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters.PseudoNodeLspCount',
            False, 
            [
            _MetaInfoClassMember('active-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active LSPs
                ''',
                'active_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('purged-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of purged LSPs
                ''',
                'purged_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'pseudo-node-lsp-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters',
            False, 
            [
            _MetaInfoClassMember('pseudo-node-lsp-count', REFERENCE_CLASS, 'PseudoNodeLspCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters.PseudoNodeLspCount', 
                [], [], 
                '''                Pseudonode LSPs
                ''',
                'pseudo_node_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('route-lsp-count', REFERENCE_CLASS, 'RouteLspCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters.RouteLspCount', 
                [], [], 
                '''                Router LSPs
                ''',
                'route_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'node-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats',
            False, 
            [
            _MetaInfoClassMember('node-counters', REFERENCE_CLASS, 'NodeCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters', 
                [], [], 
                '''                Summary by class of node
                ''',
                'node_counters',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'all-fragment-lsp-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspTableSummary' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspTableSummary',
            False, 
            [
            _MetaInfoClassMember('all-fragment-lsp-stats', REFERENCE_CLASS, 'AllFragmentLspStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats', 
                [], [], 
                '''                Statistics for all LSP fragments
                ''',
                'all_fragment_lsp_stats',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('fragment0lsp-stats', REFERENCE_CLASS, 'Fragment0LspStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats', 
                [], [], 
                '''                Statistics for fragment 0 LSPs
                ''',
                'fragment0lsp_stats',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'lsp-table-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyTopology.Id' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyTopology.Id',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AF name
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'IsisSubAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisSubAfIdEnum', 
                [], [], 
                '''                Sub-AF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Topology Name
                ''',
                'topology_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyTopology' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyTopology',
            False, 
            [
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyTopology.Id', 
                [], [], 
                '''                Topology ID
                ''',
                'id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('parallel-p2p-link-suppressed-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if suppressed parallel point-to-point link
                ''',
                'parallel_p2p_link_suppressed_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-status', REFERENCE_ENUM_CLASS, 'IsisAdjTopoStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAdjTopoStatusEnum', 
                [], [], 
                '''                Status of topology in adjacency
                ''',
                'topology_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-topology',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackup',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackupTe' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackupTe',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup-te',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-backup', REFERENCE_CLASS, 'AdjacencySidBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackup', 
                [], [], 
                '''                Adjacency SID Backup Info
                ''',
                'adjacency_sid_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-backup-te', REFERENCE_CLASS, 'AdjacencySidBackupTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackupTe', 
                [], [], 
                '''                Adjacency SID Backup Info TE
                ''',
                'adjacency_sid_backup_te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency SID value
                ''',
                'adjacency_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackup',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackupTe' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackupTe',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup-te',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-backup', REFERENCE_CLASS, 'AdjacencySidBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackup', 
                [], [], 
                '''                Adjacency SID Backup Info
                ''',
                'adjacency_sid_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-backup-te', REFERENCE_CLASS, 'AdjacencySidBackupTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackupTe', 
                [], [], 
                '''                Adjacency SID Backup Info TE
                ''',
                'adjacency_sid_backup_te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency SID value
                ''',
                'adjacency_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'non-frr-adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', REFERENCE_CLASS, 'AdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid', 
                [], [], 
                '''                Adjacency SID
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency interface addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('non-frr-adjacency-sid', REFERENCE_CLASS, 'NonFrrAdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid', 
                [], [], 
                '''                Adjacency SID not eligible for FRR protection
                ''',
                'non_frr_adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('underlying-adjacency-sid', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per bundle member Adjacency sid
                ''',
                'underlying_adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('underlying-interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Underlying interface list for bundle interfaces
                ''',
                'underlying_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackup',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackupTe' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackupTe',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup-te',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-backup', REFERENCE_CLASS, 'AdjacencySidBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackup', 
                [], [], 
                '''                Adjacency SID Backup Info
                ''',
                'adjacency_sid_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-backup-te', REFERENCE_CLASS, 'AdjacencySidBackupTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackupTe', 
                [], [], 
                '''                Adjacency SID Backup Info TE
                ''',
                'adjacency_sid_backup_te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency SID value
                ''',
                'adjacency_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackup',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackupTe' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackupTe',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup path interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup path label stack
                ''',
                'backup_label_stack',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-label-stack-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in the backup path label stack
                ''',
                'backup_label_stack_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup path nexthop address
                ''',
                'backup_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address used as adjacency backup target
                ''',
                'backup_node_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-sid-backup-te',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-backup', REFERENCE_CLASS, 'AdjacencySidBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackup', 
                [], [], 
                '''                Adjacency SID Backup Info
                ''',
                'adjacency_sid_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-backup-te', REFERENCE_CLASS, 'AdjacencySidBackupTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackupTe', 
                [], [], 
                '''                Adjacency SID Backup Info TE
                ''',
                'adjacency_sid_backup_te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency SID value
                ''',
                'adjacency_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'non-frr-adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', REFERENCE_CLASS, 'AdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid', 
                [], [], 
                '''                Adjacency SID
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency interface addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('non-frr-adjacency-sid', REFERENCE_CLASS, 'NonFrrAdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid', 
                [], [], 
                '''                Adjacency SID not eligible for FRR protection
                ''',
                'non_frr_adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('underlying-adjacency-sid', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per bundle member Adjacency sid
                ''',
                'underlying_adjacency_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('underlying-interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Underlying interface list for bundle interfaces
                ''',
                'underlying_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4', 
                [], [], 
                '''                IPV4 neighbor info
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6', 
                [], [], 
                '''                IPV6 neighbor info
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-per-address-family-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency',
            False, 
            [
            _MetaInfoClassMember('adj-ipv4bfd-retry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv4 BFD retry counter
                ''',
                'adj_ipv4bfd_retry_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-ipv4bfd-retry-exp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time to expiration of IPv4 BFD retry timer (s)
                ''',
                'adj_ipv4bfd_retry_exp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-ipv4bfd-retry-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IPv4 BFD retry timer running
                ''',
                'adj_ipv4bfd_retry_running',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-ipv6bfd-retry-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv6 BFD retry counter
                ''',
                'adj_ipv6bfd_retry_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-ipv6bfd-retry-exp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time to expiration of IPv6 BFD retry timer (s)
                ''',
                'adj_ipv6bfd_retry_exp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-ipv6bfd-retry-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IPv6 BFD retry timer running
                ''',
                'adj_ipv6bfd_retry_running',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-area-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['[a-fA-F0-9]{2}(\\.[a-fA-F0-9]{4}){0,6}'], 
                '''                Area addresses active over this adjacency
                ''',
                'adjacency_area_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-bfd-state', REFERENCE_ENUM_CLASS, 'IsisAdjBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAdjBfdStateEnum', 
                [], [], 
                '''                Adjacency IPv4 BFD state
                ''',
                'adjacency_bfd_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-checkpoint-object-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency checkpoint object ID
                ''',
                'adjacency_checkpoint_object_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-dispriority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority of DIS on this LAN. Valid only if
                aj_media_class is ISIS_MEDIA_CLASS_LAN
                ''',
                'adjacency_dispriority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (s) until adjacency declared down if no IIH
                received
                ''',
                'adjacency_holdtime',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-ietf-nsf-capable-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if neighbor is IETF-NSF capable
                ''',
                'adjacency_ietf_nsf_capable_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Local interface
                ''',
                'adjacency_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-ipv6bfd-state', REFERENCE_ENUM_CLASS, 'IsisAdjBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAdjBfdStateEnum', 
                [], [], 
                '''                Adjacency IPv6 BFD state
                ''',
                'adjacency_ipv6bfd_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-local-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Local IS priority. Valid only if aj_media_class
                is ISIS_MEDIA_CLASS_LAN
                ''',
                'adjacency_local_priority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-media-type', REFERENCE_ENUM_CLASS, 'IsisMediaClassEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisMediaClassEnum', 
                [], [], 
                '''                Link media type
                ''',
                'adjacency_media_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-neighbor-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor IS priority. Valid only if
                aj_media_class is ISIS_MEDIA_CLASS_LAN
                ''',
                'adjacency_neighbor_priority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-per-address-family-data', REFERENCE_LIST, 'AdjacencyPerAddressFamilyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData', 
                [], [], 
                '''                Per-address-family data
                ''',
                'adjacency_per_address_family_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor SNPA
                ''',
                'adjacency_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-state', REFERENCE_ENUM_CLASS, 'IsisAdjStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAdjStateEnum', 
                [], [], 
                '''                Adjacency state
                ''',
                'adjacency_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor system ID
                ''',
                'adjacency_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-topology', REFERENCE_LIST, 'AdjacencyTopology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyTopology', 
                [], [], 
                '''                Per-topology data
                ''',
                'adjacency_topology',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                How long the adjacency has been up (s)
                ''',
                'adjacency_uptime',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-uptime-valid-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if AdjacencyUptime is set
                ''',
                'adjacency_uptime_valid_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('local-dis-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if local system is DIS. Valid only if
                AdjacencyMediaType is ISIS_MEDIA_CLASS_LAN
                ''',
                'local_dis_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-dis-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if neighbor is DIS. Valid only if
                AdjacencyMediaType is ISIS_MEDIA_CLASS_LAN
                ''',
                'neighbor_dis_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ISIS NSR STANDBY
                ''',
                'nsr_standby',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                System ID
                ''',
                'system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Adjacencies' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Adjacencies',
            False, 
            [
            _MetaInfoClassMember('adjacency', REFERENCE_LIST, 'Adjacency' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency', 
                [], [], 
                '''                A single IS-IS adjacency
                ''',
                'adjacency',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacencies',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.DetailedLsps.DetailedLsp.LspHeaderData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.DetailedLsps.DetailedLsp.LspHeaderData',
            False, 
            [
            _MetaInfoClassMember('local-lsp-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a locally generated LSP
                ''',
                'local_lsp_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-active-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSP has not expired
                ''',
                'lsp_active_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-attached-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if attached bit is set
                ''',
                'lsp_attached_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP checksum
                ''',
                'lsp_checksum',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time, in seconds, until LSP expiry (if active)
                or deletion (if expired) 
                ''',
                'lsp_holdtime',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                The LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The total length of the LSP
                ''',
                'lsp_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-level', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                The type of the IS sourcing the LSP
                ''',
                'lsp_level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-nonv1a-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TRUE if the LSP is non-v1a, XXX for testing
                ''',
                'lsp_nonv1a_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-overloaded-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the overload bit is set
                ''',
                'lsp_overloaded_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-parition-repair-supported-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if partition repair is supported
                ''',
                'lsp_parition_repair_supported_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The LSP sequence number
                ''',
                'lsp_sequence_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'lsp-header-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.DetailedLsps.DetailedLsp' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.DetailedLsps.DetailedLsp',
            False, 
            [
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('lsp-body', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                LSP as received/sent over the wire, starting
                from the LSP ID field
                ''',
                'lsp_body',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-header-data', REFERENCE_CLASS, 'LspHeaderData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.DetailedLsps.DetailedLsp.LspHeaderData', 
                [], [], 
                '''                Information from the LSP header
                ''',
                'lsp_header_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'detailed-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.DetailedLsps' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.DetailedLsps',
            False, 
            [
            _MetaInfoClassMember('detailed-lsp', REFERENCE_LIST, 'DetailedLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.DetailedLsps.DetailedLsp', 
                [], [], 
                '''                An IS-IS LSP with detailed TLV data
                included
                ''',
                'detailed_lsp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'detailed-lsps',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Lsps.Lsp.LspHeaderData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Lsps.Lsp.LspHeaderData',
            False, 
            [
            _MetaInfoClassMember('local-lsp-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a locally generated LSP
                ''',
                'local_lsp_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-active-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSP has not expired
                ''',
                'lsp_active_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-attached-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if attached bit is set
                ''',
                'lsp_attached_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP checksum
                ''',
                'lsp_checksum',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time, in seconds, until LSP expiry (if active)
                or deletion (if expired) 
                ''',
                'lsp_holdtime',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                The LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The total length of the LSP
                ''',
                'lsp_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-level', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                The type of the IS sourcing the LSP
                ''',
                'lsp_level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-nonv1a-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TRUE if the LSP is non-v1a, XXX for testing
                ''',
                'lsp_nonv1a_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-overloaded-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the overload bit is set
                ''',
                'lsp_overloaded_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-parition-repair-supported-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if partition repair is supported
                ''',
                'lsp_parition_repair_supported_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The LSP sequence number
                ''',
                'lsp_sequence_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'lsp-header-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Lsps.Lsp' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Lsps.Lsp',
            False, 
            [
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('lsp-body', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                LSP as received/sent over the wire, starting
                from the LSP ID field
                ''',
                'lsp_body',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-header-data', REFERENCE_CLASS, 'LspHeaderData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Lsps.Lsp.LspHeaderData', 
                [], [], 
                '''                Information from the LSP header
                ''',
                'lsp_header_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.Lsps' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.Lsps',
            False, 
            [
            _MetaInfoClassMember('lsp', REFERENCE_LIST, 'Lsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Lsps.Lsp', 
                [], [], 
                '''                An IS-IS LSP (header information only)
                ''',
                'lsp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'lsps',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspLog.LogEntry.GenericData.Timestamp' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspLog.LogEntry.GenericData.Timestamp',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspLog.LogEntry.GenericData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspLog.LogEntry.GenericData',
            False, 
            [
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspLog.LogEntry.GenericData.Timestamp', 
                [], [], 
                '''                Time in UTC relative to Jan 1st, 1970
                ''',
                'timestamp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'generic-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspLog.LogEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspLog.LogEntry',
            False, 
            [
            _MetaInfoClassMember('delayed-trigger-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of delayed triggers
                ''',
                'delayed_trigger_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('generic-data', REFERENCE_CLASS, 'GenericData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspLog.LogEntry.GenericData', 
                [], [], 
                '''                Generic entry data
                ''',
                'generic_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('log-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Appropriate interface, if any
                ''',
                'log_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pseudo-node-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pseudo-node number
                ''',
                'pseudo_node_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('trigger', REFERENCE_LEAFLIST, 'IsisLspTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLspTriggerEnum', 
                [], [], 
                '''                Triggers applying to this log entry.
                ''',
                'trigger',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('trigger-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of triggers on this run. May not be equal
                to the number of trigger event types if one or
                more trigger events has occurred more than once.
                ''',
                'trigger_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'log-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.LspLog' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.LspLog',
            False, 
            [
            _MetaInfoClassMember('log-entry', REFERENCE_LIST, 'LogEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspLog.LogEntry', 
                [], [], 
                '''                Log entries
                ''',
                'log_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'lsp-log',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.GenericData.Timestamp' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.GenericData.Timestamp',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.GenericData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.GenericData',
            False, 
            [
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.GenericData.Timestamp', 
                [], [], 
                '''                Time in UTC relative to Jan 1st, 1970
                ''',
                'timestamp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'generic-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.NewLspEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.NewLspEntry',
            False, 
            [
            _MetaInfoClassMember('local-lsp-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a locally generated LSP
                ''',
                'local_lsp_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-active-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSP has not expired
                ''',
                'lsp_active_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-attached-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if attached bit is set
                ''',
                'lsp_attached_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP checksum
                ''',
                'lsp_checksum',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time, in seconds, until LSP expiry (if active)
                or deletion (if expired) 
                ''',
                'lsp_holdtime',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                The LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The total length of the LSP
                ''',
                'lsp_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-level', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                The type of the IS sourcing the LSP
                ''',
                'lsp_level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-nonv1a-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TRUE if the LSP is non-v1a, XXX for testing
                ''',
                'lsp_nonv1a_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-overloaded-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the overload bit is set
                ''',
                'lsp_overloaded_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-parition-repair-supported-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if partition repair is supported
                ''',
                'lsp_parition_repair_supported_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The LSP sequence number
                ''',
                'lsp_sequence_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'new-lsp-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.OldLspEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.OldLspEntry',
            False, 
            [
            _MetaInfoClassMember('local-lsp-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a locally generated LSP
                ''',
                'local_lsp_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-active-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSP has not expired
                ''',
                'lsp_active_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-attached-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if attached bit is set
                ''',
                'lsp_attached_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP checksum
                ''',
                'lsp_checksum',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time, in seconds, until LSP expiry (if active)
                or deletion (if expired) 
                ''',
                'lsp_holdtime',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                The LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The total length of the LSP
                ''',
                'lsp_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-level', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                The type of the IS sourcing the LSP
                ''',
                'lsp_level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-nonv1a-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TRUE if the LSP is non-v1a, XXX for testing
                ''',
                'lsp_nonv1a_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-overloaded-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the overload bit is set
                ''',
                'lsp_overloaded_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-parition-repair-supported-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if partition repair is supported
                ''',
                'lsp_parition_repair_supported_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The LSP sequence number
                ''',
                'lsp_sequence_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'old-lsp-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry',
            False, 
            [
            _MetaInfoClassMember('generic-data', REFERENCE_CLASS, 'GenericData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.GenericData', 
                [], [], 
                '''                Generic entry data
                ''',
                'generic_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lspdb-operation', REFERENCE_ENUM_CLASS, 'IsisLspDbOpEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLspDbOpEnum', 
                [], [], 
                '''                Operation applying to this entry.
                ''',
                'lspdb_operation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('new-lsp-entry', REFERENCE_CLASS, 'NewLspEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.NewLspEntry', 
                [], [], 
                '''                Entry being inserted or the updated version of
                an old entry.
                ''',
                'new_lsp_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('old-lsp-entry', REFERENCE_CLASS, 'OldLspEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.OldLspEntry', 
                [], [], 
                '''                Entry being replaced.
                ''',
                'old_lsp_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'log-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level.DatabaseLog' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level.DatabaseLog',
            False, 
            [
            _MetaInfoClassMember('log-entry', REFERENCE_LIST, 'LogEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry', 
                [], [], 
                '''                Entries
                ''',
                'log_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'database-log',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels.Level' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels.Level',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisInternalLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_datatypes', 'IsisInternalLevelEnum', 
                [], [], 
                '''                Level
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('adjacencies', REFERENCE_CLASS, 'Adjacencies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Adjacencies', 
                [], [], 
                '''                Adjacency table
                ''',
                'adjacencies',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adjacency-log', REFERENCE_CLASS, 'AdjacencyLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.AdjacencyLog', 
                [], [], 
                '''                Log of adjacency changes within a single
                level
                ''',
                'adjacency_log',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('database-log', REFERENCE_CLASS, 'DatabaseLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.DatabaseLog', 
                [], [], 
                '''                Database-log for a single level
                ''',
                'database_log',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('detailed-lsps', REFERENCE_CLASS, 'DetailedLsps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.DetailedLsps', 
                [], [], 
                '''                Detailed LSP table. Use to retrieve LSPs
                with TLV content.
                ''',
                'detailed_lsps',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-log', REFERENCE_CLASS, 'LspLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspLog', 
                [], [], 
                '''                LSP-log for a single level
                ''',
                'lsp_log',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-table-summary', REFERENCE_CLASS, 'LspTableSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.LspTableSummary', 
                [], [], 
                '''                Summary information for one level's LSP
                database
                ''',
                'lsp_table_summary',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsps', REFERENCE_CLASS, 'Lsps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level.Lsps', 
                [], [], 
                '''                LSP table
                ''',
                'lsps',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'level',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Levels' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Levels',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_LIST, 'Level' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels.Level', 
                [], [], 
                '''                Per-level operational data
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'levels',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.AllPathsProtected' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.AllPathsProtected',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'all-paths-protected',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.SomePathsProtected' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.SomePathsProtected',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'some-paths-protected',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.Unprotected' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.Unprotected',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unprotected',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes',
            False, 
            [
            _MetaInfoClassMember('all-paths-protected', REFERENCE_CLASS, 'AllPathsProtected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.AllPathsProtected', 
                [], [], 
                '''                Number of prefixes with all paths having FRR
                backup
                ''',
                'all_paths_protected',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('some-paths-protected', REFERENCE_CLASS, 'SomePathsProtected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.SomePathsProtected', 
                [], [], 
                '''                Number of prefixes with some paths having FRR
                backup
                ''',
                'some_paths_protected',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unprotected', REFERENCE_CLASS, 'Unprotected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.Unprotected', 
                [], [], 
                '''                Number of reachable prefixes without FRR backup
                ''',
                'unprotected',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'level1-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.AllPathsProtected' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.AllPathsProtected',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'all-paths-protected',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.SomePathsProtected' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.SomePathsProtected',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'some-paths-protected',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.Unprotected' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.Unprotected',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unprotected',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes',
            False, 
            [
            _MetaInfoClassMember('all-paths-protected', REFERENCE_CLASS, 'AllPathsProtected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.AllPathsProtected', 
                [], [], 
                '''                Number of prefixes with all paths having FRR
                backup
                ''',
                'all_paths_protected',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('some-paths-protected', REFERENCE_CLASS, 'SomePathsProtected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.SomePathsProtected', 
                [], [], 
                '''                Number of prefixes with some paths having FRR
                backup
                ''',
                'some_paths_protected',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unprotected', REFERENCE_CLASS, 'Unprotected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.Unprotected', 
                [], [], 
                '''                Number of reachable prefixes without FRR backup
                ''',
                'unprotected',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'level2-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary.UnreachablePrefixes' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary.UnreachablePrefixes',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unreachable-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.FrrSummary' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.FrrSummary',
            False, 
            [
            _MetaInfoClassMember('level1-prefixes', REFERENCE_CLASS, 'Level1Prefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes', 
                [], [], 
                '''                FRR summary for prefixes reachable in L1
                ''',
                'level1_prefixes',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level2-prefixes', REFERENCE_CLASS, 'Level2Prefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes', 
                [], [], 
                '''                FRR summary for prefixes reachable in L2
                ''',
                'level2_prefixes',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreachable-prefixes', REFERENCE_CLASS, 'UnreachablePrefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary.UnreachablePrefixes', 
                [], [], 
                '''                Unreachable prefixes
                ''',
                'unreachable_prefixes',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.Tepceadv' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.Tepceadv',
            False, 
            [
            _MetaInfoClassMember('pce-address-ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 PCE address
                ''',
                'pce_address_ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pce-adv-data-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether any PCE advertisements are
                present
                ''',
                'pce_adv_data_present',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pce-flooding-scope', REFERENCE_ENUM_CLASS, 'IsisShTePceFloodingScopeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisShTePceFloodingScopeEnum', 
                [], [], 
                '''                Flooding scope for PCE advertisement
                ''',
                'pce_flooding_scope',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pce-path-scope-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PCE path scope bits
                ''',
                'pce_path_scope_bits',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pce-path-scope-prefs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                PCE path scope preferences
                ''',
                'pce_path_scope_prefs',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'tepceadv',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.TeAdv.TeSubTlv' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.TeAdv.TeSubTlv',
            False, 
            [
            _MetaInfoClassMember('te-sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'te_sub_tlv_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of sub TLV
                ''',
                'te_sub_tlv_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'te_sub_tlv_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'te-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.TeAdv' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.TeAdv',
            False, 
            [
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'IsisShTeLinkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisShTeLinkEnum', 
                [], [], 
                '''                Link type
                ''',
                'link_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('local-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address
                ''',
                'local_ip_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity bits
                ''',
                'te_affinity',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-ext-admin-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Ext Admin Number
                ''',
                'te_ext_admin_num',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-ext-admin-sub', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Extended Admin Group
                ''',
                'te_ext_admin_sub',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=8),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'te_neighbor_ip_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor system ID
                ''',
                'te_neighbor_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-physical-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Physical link bandwidth
                ''',
                'te_physical_link_bandwidth',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-reserved-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reservable link bandwidth in global pool
                ''',
                'te_reserved_link_bandwidth',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-sub-tlv', REFERENCE_LIST, 'TeSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.TeAdv.TeSubTlv', 
                [], [], 
                '''                List of TE sub TLVs
                ''',
                'te_sub_tlv',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-sub-tlv-data-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether any TE sub TLVs are present
                ''',
                'te_sub_tlv_data_present',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-subpool-reserved-link-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reservable link bandwidth in subpool
                ''',
                'te_subpool_reserved_link_bandwidth',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-subpool-transmitted-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in use in subpool
                ''',
                'te_subpool_transmitted_bandwidth',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=8),
            _MetaInfoClassMember('te-transmitted-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in use in global pool
                ''',
                'te_transmitted_bandwidth',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'te-adv',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements',
            False, 
            [
            _MetaInfoClassMember('te-adv', REFERENCE_LIST, 'TeAdv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.TeAdv', 
                [], [], 
                '''                List of TE advertisement entries
                ''',
                'te_adv',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-adv-data-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether any TE advertisements are
                present
                ''',
                'te_adv_data_present',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local TE router ID
                ''',
                'te_local_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Local system ID
                ''',
                'te_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tepceadv', REFERENCE_CLASS, 'Tepceadv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.Tepceadv', 
                [], [], 
                '''                TE PCE advertisements
                ''',
                'tepceadv',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'te-advertisements',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry.GenericData.Timestamp' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry.GenericData.Timestamp',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry.GenericData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry.GenericData',
            False, 
            [
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry.GenericData.Timestamp', 
                [], [], 
                '''                Time in UTC relative to Jan 1st, 1970
                ''',
                'timestamp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'generic-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry',
            False, 
            [
            _MetaInfoClassMember('generic-data', REFERENCE_CLASS, 'GenericData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry.GenericData', 
                [], [], 
                '''                Generic entry data
                ''',
                'generic_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('log-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'log_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ip address
                ''',
                'neighbor_ip_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Up (TRUE) or down
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-log-neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor system ID
                ''',
                'te_log_neighbor_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'log-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog',
            False, 
            [
            _MetaInfoClassMember('log-entry', REFERENCE_LIST, 'LogEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry', 
                [], [], 
                '''                Log entries
                ''',
                'log_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'te-adjacency-log',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.GenericData.Timestamp' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.GenericData.Timestamp',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.GenericData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.GenericData',
            False, 
            [
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.GenericData.Timestamp', 
                [], [], 
                '''                Time in UTC relative to Jan 1st, 1970
                ''',
                'timestamp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'generic-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix.Ipv4' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix.Ipv4',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix.Ipv6' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix.Ipv6',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix.Ipv4', 
                [], [], 
                '''                ipv4
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix.Ipv6', 
                [], [], 
                '''                ipv6
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'trigger-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers',
            False, 
            [
            _MetaInfoClassMember('first-trigger-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the first LSP to trigger the calculation,
                if any
                ''',
                'first_trigger_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-sr-uloop-calculation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SR micro loop calculation?
                ''',
                'is_sr_uloop_calculation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-sr-uloop-link-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SR micro loop calculation for link down?
                ''',
                'is_sr_uloop_link_down',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('trigger', REFERENCE_LEAFLIST, 'IsisSpfTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisSpfTriggerEnum', 
                [], [], 
                '''                Triggers applying to this log entry
                ''',
                'trigger',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('trigger-link', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}'], 
                '''                ID of a changed link in the first trigger LSP,
                if any
                ''',
                'trigger_link',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('trigger-next-hop-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                ID of a changed next hop, if any
                ''',
                'trigger_next_hop_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('trigger-prefix', REFERENCE_CLASS, 'TriggerPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix', 
                [], [], 
                '''                ID of a changed prefix in the first trigger LSP,
                if any
                ''',
                'trigger_prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unique-trigger-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of unique triggers on this run
                ''',
                'unique_trigger_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'triggers',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics.Duration' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics.Duration',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'duration',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics.NodeCounts' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics.NodeCounts',
            False, 
            [
            _MetaInfoClassMember('added', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nodes added to the SPT
                ''',
                'added',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('deleted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nodes deleted from the SPT
                ''',
                'deleted',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('modified', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of modified nodes (first hop and/or
                metric change)
                ''',
                'modified',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reachable', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of reachable nodes in the database
                ''',
                'reachable',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('touched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nodes touched whilst calculating the
                SPT
                ''',
                'touched',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreachable', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of unreachable nodes in the database
                ''',
                'unreachable',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'node-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics',
            False, 
            [
            _MetaInfoClassMember('duration', REFERENCE_CLASS, 'Duration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics.Duration', 
                [], [], 
                '''                Duration of the SPT calculation
                ''',
                'duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('node-counts', REFERENCE_CLASS, 'NodeCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics.NodeCounts', 
                [], [], 
                '''                Node counts
                ''',
                'node_counts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'spt-calculation-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.Duration' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.Duration',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'duration',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Critical' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Critical',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'critical',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.High' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.High',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Medium' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Medium',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'medium',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Low' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Low',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'low',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate',
            False, 
            [
            _MetaInfoClassMember('critical', REFERENCE_CLASS, 'Critical' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Critical', 
                [], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.High', 
                [], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', REFERENCE_CLASS, 'Low' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Low', 
                [], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', REFERENCE_CLASS, 'Medium' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Medium', 
                [], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'local-rib-update',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Critical' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Critical',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'critical',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.High' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.High',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Medium' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Medium',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'medium',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Low' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Low',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'low',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild',
            False, 
            [
            _MetaInfoClassMember('critical', REFERENCE_CLASS, 'Critical' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Critical', 
                [], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.High', 
                [], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', REFERENCE_CLASS, 'Low' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Low', 
                [], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', REFERENCE_CLASS, 'Medium' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Medium', 
                [], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'global-rib-build',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Critical' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Critical',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'critical',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.High' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.High',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'high',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Medium' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Medium',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'medium',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Low' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Low',
            False, 
            [
            _MetaInfoClassMember('cpu-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CPU time duration in milliseconds
                ''',
                'cpu_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('real-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Real time duration in milliseconds
                ''',
                'real_duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'low',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend',
            False, 
            [
            _MetaInfoClassMember('critical', REFERENCE_CLASS, 'Critical' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Critical', 
                [], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', REFERENCE_CLASS, 'High' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.High', 
                [], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', REFERENCE_CLASS, 'Low' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Low', 
                [], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', REFERENCE_CLASS, 'Medium' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Medium', 
                [], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'global-rib-send',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown',
            False, 
            [
            _MetaInfoClassMember('global-rib-build', REFERENCE_CLASS, 'GlobalRibBuild' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild', 
                [], [], 
                '''                Time to build the update to send to the global
                RIB
                ''',
                'global_rib_build',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('global-rib-send', REFERENCE_CLASS, 'GlobalRibSend' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend', 
                [], [], 
                '''                Time to send the update to the global RIB
                ''',
                'global_rib_send',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('local-rib-update', REFERENCE_CLASS, 'LocalRibUpdate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate', 
                [], [], 
                '''                Time to update IS-IS's local RIB
                ''',
                'local_rib_update',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'duration-breakdown',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.NodeCounts.PerPriorityTouched' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.NodeCounts.PerPriorityTouched',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-priority-touched',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.NodeCounts' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.NodeCounts',
            False, 
            [
            _MetaInfoClassMember('per-priority-touched', REFERENCE_CLASS, 'PerPriorityTouched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.NodeCounts.PerPriorityTouched', 
                [], [], 
                '''                Per-priority count of nodes considered during
                route update
                ''',
                'per_priority_touched',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-touched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of nodes considered during route
                update
                ''',
                'total_touched',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'node-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Unreachable' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Unreachable',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unreachable',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Reachable' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Reachable',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'reachable',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Added' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Added',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'added',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Deleted' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Deleted',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'deleted',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Modified' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Modified',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'modified',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Touched' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Touched',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'touched',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts',
            False, 
            [
            _MetaInfoClassMember('added', REFERENCE_CLASS, 'Added' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Added', 
                [], [], 
                '''                Number of prefixes added during calculation
                ''',
                'added',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('deleted', REFERENCE_CLASS, 'Deleted' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Deleted', 
                [], [], 
                '''                Number of prefixes deleted during calculation
                ''',
                'deleted',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('modified', REFERENCE_CLASS, 'Modified' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Modified', 
                [], [], 
                '''                Number of prefixes modified, i.e. a first hop
                and/or metric change
                ''',
                'modified',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reachable', REFERENCE_CLASS, 'Reachable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Reachable', 
                [], [], 
                '''                Number of reachable prefixes in the database
                ''',
                'reachable',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('touched', REFERENCE_CLASS, 'Touched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Touched', 
                [], [], 
                '''                Number of prefixes considered whilst updating
                the routing table
                ''',
                'touched',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreachable', REFERENCE_CLASS, 'Unreachable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Unreachable', 
                [], [], 
                '''                Number of unreachable prefixes in the database
                ''',
                'unreachable',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'item-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Unreachable' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Unreachable',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unreachable',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Reachable' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Reachable',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'reachable',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Added' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Added',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'added',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Deleted' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Deleted',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'deleted',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Modified' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Modified',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'modified',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Touched' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Touched',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'touched',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts',
            False, 
            [
            _MetaInfoClassMember('added', REFERENCE_CLASS, 'Added' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Added', 
                [], [], 
                '''                Number of prefixes added during calculation
                ''',
                'added',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('deleted', REFERENCE_CLASS, 'Deleted' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Deleted', 
                [], [], 
                '''                Number of prefixes deleted during calculation
                ''',
                'deleted',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('modified', REFERENCE_CLASS, 'Modified' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Modified', 
                [], [], 
                '''                Number of prefixes modified, i.e. a first hop
                and/or metric change
                ''',
                'modified',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reachable', REFERENCE_CLASS, 'Reachable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Reachable', 
                [], [], 
                '''                Number of reachable prefixes in the database
                ''',
                'reachable',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('touched', REFERENCE_CLASS, 'Touched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Touched', 
                [], [], 
                '''                Number of prefixes considered whilst updating
                the routing table
                ''',
                'touched',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreachable', REFERENCE_CLASS, 'Unreachable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Unreachable', 
                [], [], 
                '''                Number of unreachable prefixes in the database
                ''',
                'unreachable',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RibBatchCounts' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RibBatchCounts',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'rib-batch-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics',
            False, 
            [
            _MetaInfoClassMember('duration', REFERENCE_CLASS, 'Duration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.Duration', 
                [], [], 
                '''                Duration of the routing table update
                ''',
                'duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('duration-breakdown', REFERENCE_CLASS, 'DurationBreakdown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown', 
                [], [], 
                '''                Breakdown of the time taken by the routing table
                update
                ''',
                'duration_breakdown',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('item-counts', REFERENCE_CLASS, 'ItemCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts', 
                [], [], 
                '''                Prefix item counts
                ''',
                'item_counts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('node-counts', REFERENCE_CLASS, 'NodeCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.NodeCounts', 
                [], [], 
                '''                Node counts
                ''',
                'node_counts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rib-batch-counts', REFERENCE_CLASS, 'RibBatchCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RibBatchCounts', 
                [], [], 
                '''                Number of RIB batches sent
                ''',
                'rib_batch_counts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('route-counts', REFERENCE_CLASS, 'RouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts', 
                [], [], 
                '''                Distinct prefix counts
                ''',
                'route_counts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'route-update-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry',
            False, 
            [
            _MetaInfoClassMember('class', REFERENCE_ENUM_CLASS, 'IsisSpfClassEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisSpfClassEnum', 
                [], [], 
                '''                Type of calculation.
                ''',
                'class_',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('generic-data', REFERENCE_CLASS, 'GenericData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.GenericData', 
                [], [], 
                '''                Generic entry data.
                ''',
                'generic_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('next-wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time from end of this route calculation
                until the start of the next, in milliseconds
                ''',
                'next_wait_interval',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('route-update-statistics', REFERENCE_CLASS, 'RouteUpdateStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics', 
                [], [], 
                '''                Statistics for the route update phase
                ''',
                'route_update_statistics',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('spt-calculation-statistics', REFERENCE_CLASS, 'SptCalculationStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics', 
                [], [], 
                '''                Statistics for the SPT calculation phase
                ''',
                'spt_calculation_statistics',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('triggers', REFERENCE_CLASS, 'Triggers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers', 
                [], [], 
                '''                Trigger information
                ''',
                'triggers',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('updated-lsp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs which arrived during the route
                calculation
                ''',
                'updated_lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('wait-enforced', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time between the first trigger and the start of
                the route calculation, in milliseconds.
                ''',
                'wait_enforced',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'log-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog',
            False, 
            [
            _MetaInfoClassMember('log-entry', REFERENCE_LIST, 'LogEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry', 
                [], [], 
                '''                SPF Log entries
                ''',
                'log_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'spf-log',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeTunnels.TeTunnel' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeTunnels.TeTunnel',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                System ID
                ''',
                'system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel bandwidth
                ''',
                'te_bandwidth',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-checkpoint-object-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel checkpoint object ID
                ''',
                'te_checkpoint_object_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'te_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-mode-type', REFERENCE_ENUM_CLASS, 'IsisMetricModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisMetricModeEnum', 
                [], [], 
                '''                Tunnel metric mode
                ''',
                'te_mode_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-next-hop-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel next-hop IP address
                ''',
                'te_next_hop_ip_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-segment-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether MPLS TE segment routing is
                enabled
                ''',
                'te_segment_routing_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-segment-routing-exclude', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether Segment routing labeled
                traffic exclusion is enabled
                ''',
                'te_segment_routing_exclude',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-segment-routing-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether MPLS TE segment routing strict
                SPF is enabled
                ''',
                'te_segment_routing_strict_spf',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Destination system ID
                ''',
                'te_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('teigp-metric', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel metric
                ''',
                'teigp_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('teipv4aa-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether MPLS TE IPv4 autoroute
                announce is enabled
                ''',
                'teipv4aa_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('teipv4fa-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether MPLS TE IPv4 forwarding
                adjacency is enabled
                ''',
                'teipv4fa_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('teipv6aa-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether MPLS TE IPv6 autoroute
                announce is enabled
                ''',
                'teipv6aa_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('teipv6fa-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether MPLS TE IPv6 forwarding
                adjacency is enabled
                ''',
                'teipv6fa_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'te-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeTunnels' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeTunnels',
            False, 
            [
            _MetaInfoClassMember('te-tunnel', REFERENCE_LIST, 'TeTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeTunnels.TeTunnel', 
                [], [], 
                '''                A single TE tunnel advertized by IS-IS
                ''',
                'te_tunnel',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'te-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Parent_' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Parent_',
            False, 
            [
            _MetaInfoClassMember('intermediate-pseudonode', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}'], 
                '''                Pseudonode between system and its neighbor
                ''',
                'intermediate_pseudonode',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'parent',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Children' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Children',
            False, 
            [
            _MetaInfoClassMember('intermediate-pseudonode', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}'], 
                '''                Pseudonode between system and its neighbor
                ''',
                'intermediate_pseudonode',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'children',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails',
            False, 
            [
            _MetaInfoClassMember('children', REFERENCE_LIST, 'Children' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Children', 
                [], [], 
                '''                Children of the IS within the SPT
                ''',
                'children',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops towards the IS
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-root-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the IS
                ''',
                'multicast_root_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('parent', REFERENCE_LIST, 'Parent_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Parent_', 
                [], [], 
                '''                Parents of the IS within the SPT
                ''',
                'parent_',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths', 
                [], [], 
                '''                First hops towards the IS
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('root-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the IS
                ''',
                'root_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'reachable-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus',
            False, 
            [
            _MetaInfoClassMember('reachable-details', REFERENCE_CLASS, 'ReachableDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails', 
                [], [], 
                '''                Status of the IS within the SPT
                ''',
                'reachable_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reachable-status', REFERENCE_ENUM_CLASS, 'IsisReachableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisReachableEnum', 
                [], [], 
                '''                ReachableStatus
                ''',
                'reachable_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'reachability-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.AdvertisedPrefixItemCounts' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.AdvertisedPrefixItemCounts',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'advertised-prefix-item-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology',
            False, 
            [
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                System ID
                ''',
                'system_id',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('advertised-prefix-item-counts', REFERENCE_CLASS, 'AdvertisedPrefixItemCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.AdvertisedPrefixItemCounts', 
                [], [], 
                '''                Per-priority counts of prefix items advertised
                by the IS
                ''',
                'advertised_prefix_item_counts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-attached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the IS attached?
                ''',
                'is_attached',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-overloaded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the IS overloaded?
                ''',
                'is_overloaded',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-participant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Does the IS participate in the topology?
                ''',
                'is_participant',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reachability-status', REFERENCE_CLASS, 'ReachabilityStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus', 
                [], [], 
                '''                Is the IS reachable, and, if so, its status
                within the SPT
                ''',
                'reachability_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4-link-topology',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies',
            False, 
            [
            _MetaInfoClassMember('ipv4-link-topology', REFERENCE_LIST, 'Ipv4LinkTopology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology', 
                [], [], 
                '''                An IS in an IPv4 Link Topology
                ''',
                'ipv4_link_topology',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4-link-topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary.RouterNodeCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary.RouterNodeCount',
            False, 
            [
            _MetaInfoClassMember('reachable-node-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nodes reachable in SPT
                ''',
                'reachable_node_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreachable-node-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nodes unreachable in SPT
                ''',
                'unreachable_node_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreachable-participant-node-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of participating nodes unreachable in SPT
                ''',
                'unreachable_participant_node_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'router-node-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary.PseudonodeNodeCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary.PseudonodeNodeCount',
            False, 
            [
            _MetaInfoClassMember('reachable-node-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nodes reachable in SPT
                ''',
                'reachable_node_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreachable-node-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of nodes unreachable in SPT
                ''',
                'unreachable_node_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreachable-participant-node-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of participating nodes unreachable in SPT
                ''',
                'unreachable_participant_node_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'pseudonode-node-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary',
            False, 
            [
            _MetaInfoClassMember('pseudonode-node-count', REFERENCE_CLASS, 'PseudonodeNodeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary.PseudonodeNodeCount', 
                [], [], 
                '''                Node Counts for Pseudonode nodes
                ''',
                'pseudonode_node_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('router-node-count', REFERENCE_CLASS, 'RouterNodeCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary.RouterNodeCount', 
                [], [], 
                '''                Node Counts for System nodes
                ''',
                'router_node_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'topology-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Parent_' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Parent_',
            False, 
            [
            _MetaInfoClassMember('intermediate-pseudonode', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}'], 
                '''                Pseudonode between system and its neighbor
                ''',
                'intermediate_pseudonode',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'parent',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Children' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Children',
            False, 
            [
            _MetaInfoClassMember('intermediate-pseudonode', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}'], 
                '''                Pseudonode between system and its neighbor
                ''',
                'intermediate_pseudonode',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'children',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails',
            False, 
            [
            _MetaInfoClassMember('children', REFERENCE_LIST, 'Children' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Children', 
                [], [], 
                '''                Children of the IS within the SPT
                ''',
                'children',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops towards the IS
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-root-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the IS
                ''',
                'multicast_root_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('parent', REFERENCE_LIST, 'Parent_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Parent_', 
                [], [], 
                '''                Parents of the IS within the SPT
                ''',
                'parent_',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths', 
                [], [], 
                '''                First hops towards the IS
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('root-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the IS
                ''',
                'root_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'reachable-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus',
            False, 
            [
            _MetaInfoClassMember('reachable-details', REFERENCE_CLASS, 'ReachableDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails', 
                [], [], 
                '''                Status of the IS within the SPT
                ''',
                'reachable_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reachable-status', REFERENCE_ENUM_CLASS, 'IsisReachableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisReachableEnum', 
                [], [], 
                '''                ReachableStatus
                ''',
                'reachable_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'reachability-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.AdvertisedPrefixItemCounts' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.AdvertisedPrefixItemCounts',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority
                ''',
                'critical',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority
                ''',
                'high',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority
                ''',
                'low',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority
                ''',
                'medium',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'advertised-prefix-item-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology',
            False, 
            [
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                System ID
                ''',
                'system_id',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('advertised-prefix-item-counts', REFERENCE_CLASS, 'AdvertisedPrefixItemCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.AdvertisedPrefixItemCounts', 
                [], [], 
                '''                Per-priority counts of prefix items advertised
                by the IS
                ''',
                'advertised_prefix_item_counts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-attached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the IS attached?
                ''',
                'is_attached',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-overloaded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the IS overloaded?
                ''',
                'is_overloaded',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-participant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Does the IS participate in the topology?
                ''',
                'is_participant',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reachability-status', REFERENCE_CLASS, 'ReachabilityStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus', 
                [], [], 
                '''                Is the IS reachable, and, if so, its status
                within the SPT
                ''',
                'reachability_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6-link-topology',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies',
            False, 
            [
            _MetaInfoClassMember('ipv6-link-topology', REFERENCE_LIST, 'Ipv6LinkTopology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology', 
                [], [], 
                '''                An IS in an IPv6 Link Topology
                ''',
                'ipv6_link_topology',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6-link-topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisInternalLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_datatypes', 'IsisInternalLevelEnum', 
                [], [], 
                '''                Level
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('ipv4-link-topologies', REFERENCE_CLASS, 'Ipv4LinkTopologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies', 
                [], [], 
                '''                IPv4 IS Topology table
                ''',
                'ipv4_link_topologies',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6-link-topologies', REFERENCE_CLASS, 'Ipv6LinkTopologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies', 
                [], [], 
                '''                IPv6 IS Topology table
                ''',
                'ipv6_link_topologies',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('spf-log', REFERENCE_CLASS, 'SpfLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog', 
                [], [], 
                '''                Log of route calculations for a single
                level and topology
                ''',
                'spf_log',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-adjacency-log', REFERENCE_CLASS, 'TeAdjacencyLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog', 
                [], [], 
                '''                TE adjacency-log for a single level and
                topology. Only available within the IPv4
                Unicast topology.
                ''',
                'te_adjacency_log',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-advertisements', REFERENCE_CLASS, 'TeAdvertisements' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements', 
                [], [], 
                '''                TE advertisements for a single level and
                topology. Only available within the IPv4
                Unicast topology.
                ''',
                'te_advertisements',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-tunnels', REFERENCE_CLASS, 'TeTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeTunnels', 
                [], [], 
                '''                TE tunnels table. Only available within
                the IPv4 Unicast topology.
                ''',
                'te_tunnels',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-summary', REFERENCE_CLASS, 'TopologySummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary', 
                [], [], 
                '''                Summary information for a particular IS
                Topology
                ''',
                'topology_summary',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'topology-level',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.TopologyLevels' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.TopologyLevels',
            False, 
            [
            _MetaInfoClassMember('topology-level', REFERENCE_LIST, 'TopologyLevel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel', 
                [], [], 
                '''                Per-level topology operational data
                ''',
                'topology_level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'topology-levels',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.ConnectedStatus.ConnectedDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.ConnectedStatus.ConnectedDetails',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interfaces
                ''',
                'interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'connected-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.ConnectedStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.ConnectedStatus',
            False, 
            [
            _MetaInfoClassMember('connected-details', REFERENCE_CLASS, 'ConnectedDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.ConnectedStatus.ConnectedDetails', 
                [], [], 
                '''                Details of the directly connected prefix
                ''',
                'connected_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'connected-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner',
            False, 
            [
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application Name
                ''',
                'application_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EIGRP Autonomous System number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IS-IS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospfv3-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPFv3 process identifier
                ''',
                'ospfv3_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IsisRedistProtoEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisRedistProtoEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'owner',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level into which the route is redistributed
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('owner', REFERENCE_CLASS, 'Owner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner', 
                [], [], 
                '''                Protocol redistributing the route
                ''',
                'owner',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis-sh-route-redist-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails',
            False, 
            [
            _MetaInfoClassMember('isis-sh-route-redist-detail', REFERENCE_LIST, 'IsisShRouteRedistDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail', 
                [], [], 
                '''                isis sh route redist detail
                ''',
                'isis_sh_route_redist_detail',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'redistribution-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('redistribution-details', REFERENCE_CLASS, 'RedistributionDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails', 
                [], [], 
                '''                Per level details of the redistributed route
                ''',
                'redistribution_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'redistributed-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-ucmp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this UCMP next hop
                ''',
                'total_ucmp_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ucmp-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'srte-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Source.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Source.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Source' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Source',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Source.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastSource' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastSource',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Administrative Distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath', 
                [], [], 
                '''                SR microloop avoidance paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to network
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast-intact distance to network
                ''',
                'multicast_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops toward the prefix
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-source', REFERENCE_LIST, 'MulticastSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastSource', 
                [], [], 
                '''                Multicast-intact sources advertising the prefix
                ''',
                'multicast_source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('origin', REFERENCE_ENUM_CLASS, 'IsisPrefixOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixOriginEnum', 
                [], [], 
                '''                Origin of route
                ''',
                'origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths', 
                [], [], 
                '''                First hops toward the prefix
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Source', 
                [], [], 
                '''                Sources advertising the prefix
                ''',
                'source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('srte-path', REFERENCE_LIST, 'SrtePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath', 
                [], [], 
                '''                SR-TE native first hops toward the prefix
                ''',
                'srte_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ucmp-next-hop', REFERENCE_LIST, 'UcmpNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop', 
                [], [], 
                '''                UCMP first hops toward the prefix
                ''',
                'ucmp_next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-ucmp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this UCMP next hop
                ''',
                'total_ucmp_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ucmp-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'srte-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Source.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Source.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Source' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Source',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Source.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastSource' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastSource',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Administrative Distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath', 
                [], [], 
                '''                SR microloop avoidance paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to network
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast-intact distance to network
                ''',
                'multicast_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops toward the prefix
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-source', REFERENCE_LIST, 'MulticastSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastSource', 
                [], [], 
                '''                Multicast-intact sources advertising the prefix
                ''',
                'multicast_source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('origin', REFERENCE_ENUM_CLASS, 'IsisPrefixOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixOriginEnum', 
                [], [], 
                '''                Origin of route
                ''',
                'origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths', 
                [], [], 
                '''                First hops toward the prefix
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Source', 
                [], [], 
                '''                Sources advertising the prefix
                ''',
                'source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('srte-path', REFERENCE_LIST, 'SrtePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath', 
                [], [], 
                '''                SR-TE native first hops toward the prefix
                ''',
                'srte_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ucmp-next-hop', REFERENCE_LIST, 'UcmpNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop', 
                [], [], 
                '''                UCMP first hops toward the prefix
                ''',
                'ucmp_next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_LIST, 'Backup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup', 
                [], [], 
                '''                Backup paths to prefix
                ''',
                'backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary', 
                [], [], 
                '''                Primary paths to prefix
                ''',
                'primary',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'IsisPrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixPriorityEnum', 
                [], [], 
                '''                Relative importance of the prefix
                ''',
                'priority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'native-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('native-details', REFERENCE_CLASS, 'NativeDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails', 
                [], [], 
                '''                Details of the native route
                ''',
                'native_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'native-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.SummarizationStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.SummarizationStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_CLASS, 'SummaryPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix', 
                [], [], 
                '''                Summarizing Prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'summarization-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail',
            False, 
            [
            _MetaInfoClassMember('advertising-origin', REFERENCE_ENUM_CLASS, 'IsisShRouteAdvOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisShRouteAdvOriginEnum', 
                [], [], 
                '''                The origin of the advertisement
                ''',
                'advertising_origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-reachability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the prefix external to the IS-IS domain?
                ''',
                'is_external_reachability',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-interarea', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the up/down bit set?
                ''',
                'is_interarea',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-propagated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has the prefix been propagated from another
                level?
                ''',
                'is_propagated',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level in which the prefix is advertised
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric with which the prefix is advertised
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('summarization-status', REFERENCE_CLASS, 'SummarizationStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.SummarizationStatus', 
                [], [], 
                '''                Status of summarization for the prefix
                ''',
                'summarization_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-level-advertising-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route',
            False, 
            [
            _MetaInfoClassMember('connected-status', REFERENCE_CLASS, 'ConnectedStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.ConnectedStatus', 
                [], [], 
                '''                Status of IS-IS directly connected routes to the
                prefix
                ''',
                'connected_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('native-status', REFERENCE_CLASS, 'NativeStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus', 
                [], [], 
                '''                Status of native IS-IS routes to the prefix
                ''',
                'native_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-level-advertising-detail', REFERENCE_LIST, 'PerLevelAdvertisingDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail', 
                [], [], 
                '''                Per level details of how the local system
                advertises the prefix
                ''',
                'per_level_advertising_detail',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('redistributed-status', REFERENCE_CLASS, 'RedistributedStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus', 
                [], [], 
                '''                Status of other protocols' routes redistributed
                into IS-IS
                ''',
                'redistributed_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6-route',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6Routes',
            False, 
            [
            _MetaInfoClassMember('ipv6-route', REFERENCE_LIST, 'Ipv6Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route', 
                [], [], 
                '''                An IPv6 route known to IS-IS
                ''',
                'ipv6_route',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.ConnectedStatus.ConnectedDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.ConnectedStatus.ConnectedDetails',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interfaces
                ''',
                'interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'connected-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.ConnectedStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.ConnectedStatus',
            False, 
            [
            _MetaInfoClassMember('connected-details', REFERENCE_CLASS, 'ConnectedDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.ConnectedStatus.ConnectedDetails', 
                [], [], 
                '''                Details of the directly connected prefix
                ''',
                'connected_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'connected-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner',
            False, 
            [
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application Name
                ''',
                'application_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EIGRP Autonomous System number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IS-IS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospfv3-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPFv3 process identifier
                ''',
                'ospfv3_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IsisRedistProtoEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisRedistProtoEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'owner',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level into which the route is redistributed
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('owner', REFERENCE_CLASS, 'Owner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner', 
                [], [], 
                '''                Protocol redistributing the route
                ''',
                'owner',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis-sh-route-redist-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails',
            False, 
            [
            _MetaInfoClassMember('isis-sh-route-redist-detail', REFERENCE_LIST, 'IsisShRouteRedistDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail', 
                [], [], 
                '''                isis sh route redist detail
                ''',
                'isis_sh_route_redist_detail',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'redistribution-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('redistribution-details', REFERENCE_CLASS, 'RedistributionDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails', 
                [], [], 
                '''                Per level details of the redistributed route
                ''',
                'redistribution_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'redistributed-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-ucmp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this UCMP next hop
                ''',
                'total_ucmp_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ucmp-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'srte-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Source.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Source.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Source' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Source',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Source.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Administrative Distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath', 
                [], [], 
                '''                SR microloop avoidance paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to network
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast-intact distance to network
                ''',
                'multicast_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops toward the prefix
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-source', REFERENCE_LIST, 'MulticastSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource', 
                [], [], 
                '''                Multicast-intact sources advertising the prefix
                ''',
                'multicast_source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('origin', REFERENCE_ENUM_CLASS, 'IsisPrefixOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixOriginEnum', 
                [], [], 
                '''                Origin of route
                ''',
                'origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths', 
                [], [], 
                '''                First hops toward the prefix
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Source', 
                [], [], 
                '''                Sources advertising the prefix
                ''',
                'source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('srte-path', REFERENCE_LIST, 'SrtePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath', 
                [], [], 
                '''                SR-TE native first hops toward the prefix
                ''',
                'srte_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ucmp-next-hop', REFERENCE_LIST, 'UcmpNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop', 
                [], [], 
                '''                UCMP first hops toward the prefix
                ''',
                'ucmp_next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-ucmp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this UCMP next hop
                ''',
                'total_ucmp_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ucmp-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'srte-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                BAckup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Source.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Source.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Source' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Source',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Source.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Administrative Distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath', 
                [], [], 
                '''                SR microloop avoidance paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to network
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast-intact distance to network
                ''',
                'multicast_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops toward the prefix
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-source', REFERENCE_LIST, 'MulticastSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource', 
                [], [], 
                '''                Multicast-intact sources advertising the prefix
                ''',
                'multicast_source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('origin', REFERENCE_ENUM_CLASS, 'IsisPrefixOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixOriginEnum', 
                [], [], 
                '''                Origin of route
                ''',
                'origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths', 
                [], [], 
                '''                First hops toward the prefix
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Source', 
                [], [], 
                '''                Sources advertising the prefix
                ''',
                'source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('srte-path', REFERENCE_LIST, 'SrtePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath', 
                [], [], 
                '''                SR-TE native first hops toward the prefix
                ''',
                'srte_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ucmp-next-hop', REFERENCE_LIST, 'UcmpNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop', 
                [], [], 
                '''                UCMP first hops toward the prefix
                ''',
                'ucmp_next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_LIST, 'Backup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup', 
                [], [], 
                '''                Backup paths to prefix
                ''',
                'backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary', 
                [], [], 
                '''                Primary paths to prefix
                ''',
                'primary',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'IsisPrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixPriorityEnum', 
                [], [], 
                '''                Relative importance of the prefix
                ''',
                'priority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'native-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('native-details', REFERENCE_CLASS, 'NativeDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails', 
                [], [], 
                '''                Details of the native route
                ''',
                'native_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'native-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_CLASS, 'SummaryPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix', 
                [], [], 
                '''                Summarizing Prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'summarization-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail',
            False, 
            [
            _MetaInfoClassMember('advertising-origin', REFERENCE_ENUM_CLASS, 'IsisShRouteAdvOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisShRouteAdvOriginEnum', 
                [], [], 
                '''                The origin of the advertisement
                ''',
                'advertising_origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-reachability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the prefix external to the IS-IS domain?
                ''',
                'is_external_reachability',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-interarea', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the up/down bit set?
                ''',
                'is_interarea',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-propagated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has the prefix been propagated from another
                level?
                ''',
                'is_propagated',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level in which the prefix is advertised
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric with which the prefix is advertised
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('summarization-status', REFERENCE_CLASS, 'SummarizationStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus', 
                [], [], 
                '''                Status of summarization for the prefix
                ''',
                'summarization_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-level-advertising-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup',
            False, 
            [
            _MetaInfoClassMember('connected-status', REFERENCE_CLASS, 'ConnectedStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.ConnectedStatus', 
                [], [], 
                '''                Status of IS-IS directly connected routes to the
                prefix
                ''',
                'connected_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('native-status', REFERENCE_CLASS, 'NativeStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus', 
                [], [], 
                '''                Status of native IS-IS routes to the prefix
                ''',
                'native_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-level-advertising-detail', REFERENCE_LIST, 'PerLevelAdvertisingDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail', 
                [], [], 
                '''                Per level details of how the local system
                advertises the prefix
                ''',
                'per_level_advertising_detail',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('redistributed-status', REFERENCE_CLASS, 'RedistributedStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus', 
                [], [], 
                '''                Status of other protocols' routes redistributed
                into IS-IS
                ''',
                'redistributed_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups',
            False, 
            [
            _MetaInfoClassMember('ipv6frr-backup', REFERENCE_LIST, 'Ipv6FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup', 
                [], [], 
                '''                FRR backup for an IPv6 network
                ''',
                'ipv6frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6frr-backups',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.ConnectedStatus.ConnectedDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.ConnectedStatus.ConnectedDetails',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interfaces
                ''',
                'interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'connected-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.ConnectedStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.ConnectedStatus',
            False, 
            [
            _MetaInfoClassMember('connected-details', REFERENCE_CLASS, 'ConnectedDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.ConnectedStatus.ConnectedDetails', 
                [], [], 
                '''                Details of the directly connected prefix
                ''',
                'connected_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'connected-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner',
            False, 
            [
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application Name
                ''',
                'application_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EIGRP Autonomous System number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IS-IS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospfv3-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPFv3 process identifier
                ''',
                'ospfv3_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IsisRedistProtoEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisRedistProtoEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'owner',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level into which the route is redistributed
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('owner', REFERENCE_CLASS, 'Owner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner', 
                [], [], 
                '''                Protocol redistributing the route
                ''',
                'owner',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis-sh-route-redist-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails',
            False, 
            [
            _MetaInfoClassMember('isis-sh-route-redist-detail', REFERENCE_LIST, 'IsisShRouteRedistDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail', 
                [], [], 
                '''                isis sh route redist detail
                ''',
                'isis_sh_route_redist_detail',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'redistribution-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('redistribution-details', REFERENCE_CLASS, 'RedistributionDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails', 
                [], [], 
                '''                Per level details of the redistributed route
                ''',
                'redistribution_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'redistributed-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-ucmp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this UCMP next hop
                ''',
                'total_ucmp_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ucmp-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'srte-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Source.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Source.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Source' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Source',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Source.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Administrative Distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath', 
                [], [], 
                '''                SR microloop avoidance paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to network
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast-intact distance to network
                ''',
                'multicast_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops toward the prefix
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-source', REFERENCE_LIST, 'MulticastSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource', 
                [], [], 
                '''                Multicast-intact sources advertising the prefix
                ''',
                'multicast_source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('origin', REFERENCE_ENUM_CLASS, 'IsisPrefixOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixOriginEnum', 
                [], [], 
                '''                Origin of route
                ''',
                'origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths', 
                [], [], 
                '''                First hops toward the prefix
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Source', 
                [], [], 
                '''                Sources advertising the prefix
                ''',
                'source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('srte-path', REFERENCE_LIST, 'SrtePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath', 
                [], [], 
                '''                SR-TE native first hops toward the prefix
                ''',
                'srte_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ucmp-next-hop', REFERENCE_LIST, 'UcmpNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop', 
                [], [], 
                '''                UCMP first hops toward the prefix
                ''',
                'ucmp_next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-ucmp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this UCMP next hop
                ''',
                'total_ucmp_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ucmp-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'srte-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Source.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Source.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Source' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Source',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Source.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Administrative Distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath', 
                [], [], 
                '''                SR microloop avoidance paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to network
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast-intact distance to network
                ''',
                'multicast_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops toward the prefix
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-source', REFERENCE_LIST, 'MulticastSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource', 
                [], [], 
                '''                Multicast-intact sources advertising the prefix
                ''',
                'multicast_source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('origin', REFERENCE_ENUM_CLASS, 'IsisPrefixOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixOriginEnum', 
                [], [], 
                '''                Origin of route
                ''',
                'origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths', 
                [], [], 
                '''                First hops toward the prefix
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Source', 
                [], [], 
                '''                Sources advertising the prefix
                ''',
                'source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('srte-path', REFERENCE_LIST, 'SrtePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath', 
                [], [], 
                '''                SR-TE native first hops toward the prefix
                ''',
                'srte_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ucmp-next-hop', REFERENCE_LIST, 'UcmpNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop', 
                [], [], 
                '''                UCMP first hops toward the prefix
                ''',
                'ucmp_next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_LIST, 'Backup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup', 
                [], [], 
                '''                Backup paths to prefix
                ''',
                'backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary', 
                [], [], 
                '''                Primary paths to prefix
                ''',
                'primary',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'IsisPrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixPriorityEnum', 
                [], [], 
                '''                Relative importance of the prefix
                ''',
                'priority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'native-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('native-details', REFERENCE_CLASS, 'NativeDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails', 
                [], [], 
                '''                Details of the native route
                ''',
                'native_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'native-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_CLASS, 'SummaryPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix', 
                [], [], 
                '''                Summarizing Prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'summarization-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail',
            False, 
            [
            _MetaInfoClassMember('advertising-origin', REFERENCE_ENUM_CLASS, 'IsisShRouteAdvOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisShRouteAdvOriginEnum', 
                [], [], 
                '''                The origin of the advertisement
                ''',
                'advertising_origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-reachability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the prefix external to the IS-IS domain?
                ''',
                'is_external_reachability',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-interarea', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the up/down bit set?
                ''',
                'is_interarea',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-propagated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has the prefix been propagated from another
                level?
                ''',
                'is_propagated',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level in which the prefix is advertised
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric with which the prefix is advertised
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('summarization-status', REFERENCE_CLASS, 'SummarizationStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus', 
                [], [], 
                '''                Status of summarization for the prefix
                ''',
                'summarization_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-level-advertising-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup',
            False, 
            [
            _MetaInfoClassMember('connected-status', REFERENCE_CLASS, 'ConnectedStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.ConnectedStatus', 
                [], [], 
                '''                Status of IS-IS directly connected routes to the
                prefix
                ''',
                'connected_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('native-status', REFERENCE_CLASS, 'NativeStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus', 
                [], [], 
                '''                Status of native IS-IS routes to the prefix
                ''',
                'native_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-level-advertising-detail', REFERENCE_LIST, 'PerLevelAdvertisingDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail', 
                [], [], 
                '''                Per level details of how the local system
                advertises the prefix
                ''',
                'per_level_advertising_detail',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('redistributed-status', REFERENCE_CLASS, 'RedistributedStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus', 
                [], [], 
                '''                Status of other protocols' routes redistributed
                into IS-IS
                ''',
                'redistributed_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups',
            False, 
            [
            _MetaInfoClassMember('ipv4frr-backup', REFERENCE_LIST, 'Ipv4FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup', 
                [], [], 
                '''                FRR backup for an IPv4 network
                ''',
                'ipv4frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4frr-backups',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.ConnectedStatus.ConnectedDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.ConnectedStatus.ConnectedDetails',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                Interfaces
                ''',
                'interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'connected-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.ConnectedStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.ConnectedStatus',
            False, 
            [
            _MetaInfoClassMember('connected-details', REFERENCE_CLASS, 'ConnectedDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.ConnectedStatus.ConnectedDetails', 
                [], [], 
                '''                Details of the directly connected prefix
                ''',
                'connected_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'connected-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner',
            False, 
            [
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application Name
                ''',
                'application_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EIGRP Autonomous System number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IS-IS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospfv3-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPFv3 process identifier
                ''',
                'ospfv3_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IsisRedistProtoEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisRedistProtoEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'owner',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level into which the route is redistributed
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('owner', REFERENCE_CLASS, 'Owner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner', 
                [], [], 
                '''                Protocol redistributing the route
                ''',
                'owner',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis-sh-route-redist-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails',
            False, 
            [
            _MetaInfoClassMember('isis-sh-route-redist-detail', REFERENCE_LIST, 'IsisShRouteRedistDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail', 
                [], [], 
                '''                isis sh route redist detail
                ''',
                'isis_sh_route_redist_detail',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'redistribution-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('redistribution-details', REFERENCE_CLASS, 'RedistributionDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails', 
                [], [], 
                '''                Per level details of the redistributed route
                ''',
                'redistribution_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'redistributed-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-ucmp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this UCMP next hop
                ''',
                'total_ucmp_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ucmp-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'srte-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Source.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Source.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Source' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Source',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Source.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastSource' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastSource',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Administrative Distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath', 
                [], [], 
                '''                SR microloop avoidance paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to network
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast-intact distance to network
                ''',
                'multicast_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops toward the prefix
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-source', REFERENCE_LIST, 'MulticastSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastSource', 
                [], [], 
                '''                Multicast-intact sources advertising the prefix
                ''',
                'multicast_source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('origin', REFERENCE_ENUM_CLASS, 'IsisPrefixOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixOriginEnum', 
                [], [], 
                '''                Origin of route
                ''',
                'origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths', 
                [], [], 
                '''                First hops toward the prefix
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Source', 
                [], [], 
                '''                Sources advertising the prefix
                ''',
                'source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('srte-path', REFERENCE_LIST, 'SrtePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath', 
                [], [], 
                '''                SR-TE native first hops toward the prefix
                ''',
                'srte_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ucmp-next-hop', REFERENCE_LIST, 'UcmpNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop', 
                [], [], 
                '''                UCMP first hops toward the prefix
                ''',
                'ucmp_next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'primary',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-ucmp-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this UCMP next hop
                ''',
                'total_ucmp_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ucmp-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'srte-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup',
            False, 
            [
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via downstream node?
                ''',
                'is_downstream',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-epcfrr-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a TI-LFA?
                ''',
                'is_epcfrr_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-lc-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path line card disjoint with
                primary?
                ''',
                'is_lc_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-node-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path node protecting?
                ''',
                'is_node_protecting',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path an ECMP to the network?
                ''',
                'is_primary_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-remote-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path via a Remote LFA?
                ''',
                'is_remote_lfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path SRLG disjoint with primary?
                ''',
                'is_srlg_disjoint',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-strict-spflfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the backup path TI-LFA strict SPF?
                ''',
                'is_strict_spflfa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-tunnel-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR TE tunnel requested
                ''',
                'is_tunnel_requested',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('num-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SIDs in TI-LFA/rLFA
                ''',
                'num_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-router-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote LFA Router ID
                ''',
                'remote_lfa_router_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remote-lfa-system-pid', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Remote LFA PQ Node's ID
                ''',
                'remote_lfa_system_pid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid values for TI-LFA/rLFA
                ''',
                'segment_routing_sid_value_entry',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('tilfa-computation', REFERENCE_ENUM_CLASS, 'IsisTilfaComputationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisTilfaComputationEnum', 
                [], [], 
                '''                Ti LFA computation which provided backup path
                ''',
                'tilfa_computation',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('total-backup-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to the network via this backup path
                ''',
                'total_backup_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Interface to send the packet out of
                ''',
                'tunnel_egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'frr-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit',
            False, 
            [
            _MetaInfoClassMember('repair-element-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RepairElementNodeID
                ''',
                'repair_element_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv4Addr
                ''',
                'repair_ipv4_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                RepairIPv6Addr
                ''',
                'repair_ipv6_addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('repair-strict-spf-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Strict SPF Label
                ''',
                'repair_strict_spf_label',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uloop-explicit',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface to send the packet out of
                ''',
                'egress_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-backup', REFERENCE_CLASS, 'FrrBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup', 
                [], [], 
                '''                FRR backup for this path
                ''',
                'frr_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop neighbor's forwarding address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Next hop neighbor's SNPA
                ''',
                'neighbor_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('segment-routing-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment routing sid value received from first
                hop
                ''',
                'segment_routing_sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with the path
                ''',
                'tag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit path tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-explicit', REFERENCE_LIST, 'UloopExplicit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit', 
                [], [], 
                '''                Uloop Explicit List
                ''',
                'uloop_explicit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight configured on the interface
                ''',
                'weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Source.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Source.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Source' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Source',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Source.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastSource' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastSource',
            False, 
            [
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address of the IS advertising the prefix
                ''',
                'source_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                ID of the LSP advertising the prefix
                ''',
                'source_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix item
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-source',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Administrative Distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath', 
                [], [], 
                '''                SR microloop avoidance paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance to network
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast-intact distance to network
                ''',
                'multicast_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-path', REFERENCE_LIST, 'MulticastPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath', 
                [], [], 
                '''                Multicast intact first hops toward the prefix
                ''',
                'multicast_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-source', REFERENCE_LIST, 'MulticastSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastSource', 
                [], [], 
                '''                Multicast-intact sources advertising the prefix
                ''',
                'multicast_source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('origin', REFERENCE_ENUM_CLASS, 'IsisPrefixOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixOriginEnum', 
                [], [], 
                '''                Origin of route
                ''',
                'origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths', 
                [], [], 
                '''                First hops toward the prefix
                ''',
                'paths',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Source', 
                [], [], 
                '''                Sources advertising the prefix
                ''',
                'source',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('srte-path', REFERENCE_LIST, 'SrtePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath', 
                [], [], 
                '''                SR-TE native first hops toward the prefix
                ''',
                'srte_path',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ucmp-next-hop', REFERENCE_LIST, 'UcmpNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop', 
                [], [], 
                '''                UCMP first hops toward the prefix
                ''',
                'ucmp_next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_LIST, 'Backup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup', 
                [], [], 
                '''                Backup paths to prefix
                ''',
                'backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('primary', REFERENCE_CLASS, 'Primary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary', 
                [], [], 
                '''                Primary paths to prefix
                ''',
                'primary',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'IsisPrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisPrefixPriorityEnum', 
                [], [], 
                '''                Relative importance of the prefix
                ''',
                'priority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'native-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('native-details', REFERENCE_CLASS, 'NativeDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails', 
                [], [], 
                '''                Details of the native route
                ''',
                'native_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'native-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.SummarizationStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.SummarizationStatus',
            False, 
            [
            _MetaInfoClassMember('is-valid', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                IsValid
                ''',
                'is_valid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('summary-prefix', REFERENCE_CLASS, 'SummaryPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix', 
                [], [], 
                '''                Summarizing Prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'summarization-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.NodalSid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.NodalSid',
            False, 
            [
            _MetaInfoClassMember('algorithm', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                algorithm
                ''',
                'algorithm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                eflag
                ''',
                'eflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                lflag
                ''',
                'lflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nflag
                ''',
                'nflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pflag
                ''',
                'pflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rflag
                ''',
                'rflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sid value
                ''',
                'sid_value',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vflag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vflag
                ''',
                'vflag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nodal-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail',
            False, 
            [
            _MetaInfoClassMember('advertising-origin', REFERENCE_ENUM_CLASS, 'IsisShRouteAdvOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisShRouteAdvOriginEnum', 
                [], [], 
                '''                The origin of the advertisement
                ''',
                'advertising_origin',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the metric an external metric?
                ''',
                'is_external_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-external-reachability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the prefix external to the IS-IS domain?
                ''',
                'is_external_reachability',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-interarea', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the up/down bit set?
                ''',
                'is_interarea',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-propagated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has the prefix been propagated from another
                level?
                ''',
                'is_propagated',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level in which the prefix is advertised
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric with which the prefix is advertised
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nodal-sid', REFERENCE_LIST, 'NodalSid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.NodalSid', 
                [], [], 
                '''                Nodal SIDs with the prefix item
                ''',
                'nodal_sid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('summarization-status', REFERENCE_CLASS, 'SummarizationStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.SummarizationStatus', 
                [], [], 
                '''                Status of summarization for the prefix
                ''',
                'summarization_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tags', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tags associated with the prefix
                ''',
                'tags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-level-advertising-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route',
            False, 
            [
            _MetaInfoClassMember('connected-status', REFERENCE_CLASS, 'ConnectedStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.ConnectedStatus', 
                [], [], 
                '''                Status of IS-IS directly connected routes to the
                prefix
                ''',
                'connected_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('native-status', REFERENCE_CLASS, 'NativeStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus', 
                [], [], 
                '''                Status of native IS-IS routes to the prefix
                ''',
                'native_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-level-advertising-detail', REFERENCE_LIST, 'PerLevelAdvertisingDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail', 
                [], [], 
                '''                Per level details of how the local system
                advertises the prefix
                ''',
                'per_level_advertising_detail',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('redistributed-status', REFERENCE_CLASS, 'RedistributedStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus', 
                [], [], 
                '''                Status of other protocols' routes redistributed
                into IS-IS
                ''',
                'redistributed_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4-route',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology.Ipv4Routes',
            False, 
            [
            _MetaInfoClassMember('ipv4-route', REFERENCE_LIST, 'Ipv4Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route', 
                [], [], 
                '''                An IPv4 route known to IS-IS
                ''',
                'ipv4_route',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_datatypes', 'IsisAddressFamilyEnum', 
                [], [], 
                '''                Address family
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('frr-summary', REFERENCE_CLASS, 'FrrSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.FrrSummary', 
                [], [], 
                '''                FRR summary information for a particular
                IS-IS topology
                ''',
                'frr_summary',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4-routes', REFERENCE_CLASS, 'Ipv4Routes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4Routes', 
                [], [], 
                '''                IPv4 local route table
                ''',
                'ipv4_routes',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4frr-backups', REFERENCE_CLASS, 'Ipv4FrrBackups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups', 
                [], [], 
                '''                IPv4 FRR table
                ''',
                'ipv4frr_backups',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6-routes', REFERENCE_CLASS, 'Ipv6Routes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6Routes', 
                [], [], 
                '''                IPv6 local route
                ''',
                'ipv6_routes',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6frr-backups', REFERENCE_CLASS, 'Ipv6FrrBackups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups', 
                [], [], 
                '''                IPv6 FRR table
                ''',
                'ipv6frr_backups',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'IsisSubAddressFamilyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_datatypes', 'IsisSubAddressFamilyEnum', 
                [], [], 
                '''                Sub address family
                ''',
                'saf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-levels', REFERENCE_CLASS, 'TopologyLevels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology.TopologyLevels', 
                [], [], 
                '''                Per-topology level table
                ''',
                'topology_levels',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology Name
                ''',
                'topology_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Topologies' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies.Topology', 
                [], [], 
                '''                Per-topology data
                ''',
                'topology',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.FullSyncAchieved' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrPeer.FullSyncAchieved',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'full-sync-achieved',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.ManSyncCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrPeer.ManSyncCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'man-sync-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.NsrChgCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrPeer.NsrChgCount',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nsr-chg-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.UptimeValid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrPeer.UptimeValid',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uptime-valid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.Uptime' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrPeer.Uptime',
            False, 
            [
            _MetaInfoClassMember('entry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array entry.
                ''',
                'entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'uptime',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrPeer' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrPeer',
            False, 
            [
            _MetaInfoClassMember('full-sync-achieved', REFERENCE_LIST, 'FullSyncAchieved' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.FullSyncAchieved', 
                [], [], 
                '''                full sync achieved
                ''',
                'full_sync_achieved',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3, min_elements=3),
            _MetaInfoClassMember('man-sync-count', REFERENCE_LIST, 'ManSyncCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.ManSyncCount', 
                [], [], 
                '''                man sync count
                ''',
                'man_sync_count',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3, min_elements=3),
            _MetaInfoClassMember('nsr-chg-count', REFERENCE_LIST, 'NsrChgCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.NsrChgCount', 
                [], [], 
                '''                nsr chg count
                ''',
                'nsr_chg_count',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3, min_elements=3),
            _MetaInfoClassMember('uptime', REFERENCE_LIST, 'Uptime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.Uptime', 
                [], [], 
                '''                uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3, min_elements=3),
            _MetaInfoClassMember('uptime-valid', REFERENCE_LIST, 'UptimeValid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrPeer.UptimeValid', 
                [], [], 
                '''                uptime valid
                ''',
                'uptime_valid',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3, min_elements=3),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis-nsr-peer',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Gen' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Gen',
            False, 
            [
            _MetaInfoClassMember('failover', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                failover
                ''',
                'failover',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lanid-req-needed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                lanid req needed
                ''',
                'lanid_req_needed',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('my-nodeid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                my nodeid
                ''',
                'my_nodeid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('my-process-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                my process id
                ''',
                'my_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsf-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                nsf configured
                ''',
                'nsf_configured',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                nsr configured
                ''',
                'nsr_configured',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                nsr enabled
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-recv-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr recv err
                ''',
                'nsr_recv_err',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-send-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr send err
                ''',
                'nsr_send_err',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-send-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr send ready
                ''',
                'nsr_send_ready',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-send-unready', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr send unready
                ''',
                'nsr_send_unready',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pm-ha-role', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pm ha role
                ''',
                'pm_ha_role',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pm-issu-role', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pm issu role
                ''',
                'pm_issu_role',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('retry-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                retry flag
                ''',
                'retry_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sysmgr-ha-role', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                sysmgr ha role
                ''',
                'sysmgr_ha_role',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'gen',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Pm' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Pm',
            False, 
            [
            _MetaInfoClassMember('conn-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                conn cb
                ''',
                'conn_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('conn-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                conn status
                ''',
                'conn_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('disconn-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                disconn cb
                ''',
                'disconn_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                reg
                ''',
                'reg',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'pm',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'conn-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnCbTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnCbTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'conn-cb-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.PubTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.PubTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'pub-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.PubCbTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.PubCbTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'pub-cb-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RegTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RegTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'reg-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RegCbTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RegCbTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'reg-cb-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.UnregTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.UnregTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unreg-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.UnregCbTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.UnregCbTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unreg-cb-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.DisconnCbTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.DisconnCbTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'disconn-cb-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.NotifyCbTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.NotifyCbTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'notify-cb-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.DelCbTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.DelCbTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'del-cb-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RemoveSrvTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RemoveSrvTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'remove-srv-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnStatusTs' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnStatusTs',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'conn-status-ts',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.NotifyPeer' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.NotifyPeer',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'notify-peer',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds',
            False, 
            [
            _MetaInfoClassMember('conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                conn
                ''',
                'conn',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('conn-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                conn cb
                ''',
                'conn_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('conn-cb-ts', REFERENCE_CLASS, 'ConnCbTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnCbTs', 
                [], [], 
                '''                conn cb ts
                ''',
                'conn_cb_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('conn-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                conn status
                ''',
                'conn_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('conn-status-ts', REFERENCE_CLASS, 'ConnStatusTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnStatusTs', 
                [], [], 
                '''                conn status ts
                ''',
                'conn_status_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('conn-ts', REFERENCE_CLASS, 'ConnTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnTs', 
                [], [], 
                '''                conn ts
                ''',
                'conn_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('del-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                del cb
                ''',
                'del_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('del-cb-ts', REFERENCE_CLASS, 'DelCbTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.DelCbTs', 
                [], [], 
                '''                del cb ts
                ''',
                'del_cb_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('disconn-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                disconn cb
                ''',
                'disconn_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('disconn-cb-ts', REFERENCE_CLASS, 'DisconnCbTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.DisconnCbTs', 
                [], [], 
                '''                disconn cb ts
                ''',
                'disconn_cb_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('notify-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                notify cb
                ''',
                'notify_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('notify-cb-ts', REFERENCE_CLASS, 'NotifyCbTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.NotifyCbTs', 
                [], [], 
                '''                notify cb ts
                ''',
                'notify_cb_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('notify-peer', REFERENCE_LIST, 'NotifyPeer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.NotifyPeer', 
                [], [], 
                '''                notify peer
                ''',
                'notify_peer',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=4),
            _MetaInfoClassMember('notify-peer-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                notify peer xr
                ''',
                'notify_peer_xr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pub', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pub
                ''',
                'pub',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pub-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                pub cb
                ''',
                'pub_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pub-cb-ts', REFERENCE_CLASS, 'PubCbTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.PubCbTs', 
                [], [], 
                '''                pub cb ts
                ''',
                'pub_cb_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pub-ts', REFERENCE_CLASS, 'PubTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.PubTs', 
                [], [], 
                '''                pub ts
                ''',
                'pub_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                reg
                ''',
                'reg',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reg-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                reg cb
                ''',
                'reg_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reg-cb-ts', REFERENCE_CLASS, 'RegCbTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RegCbTs', 
                [], [], 
                '''                reg cb ts
                ''',
                'reg_cb_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('reg-ts', REFERENCE_CLASS, 'RegTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RegTs', 
                [], [], 
                '''                reg ts
                ''',
                'reg_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remove-srv', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                remove srv
                ''',
                'remove_srv',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remove-srv-ts', REFERENCE_CLASS, 'RemoveSrvTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RemoveSrvTs', 
                [], [], 
                '''                remove srv ts
                ''',
                'remove_srv_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                unreg
                ''',
                'unreg',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreg-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                unreg cb
                ''',
                'unreg_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreg-cb-ts', REFERENCE_CLASS, 'UnregCbTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.UnregCbTs', 
                [], [], 
                '''                unreg cb ts
                ''',
                'unreg_cb_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unreg-ts', REFERENCE_CLASS, 'UnregTs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.UnregTs', 
                [], [], 
                '''                unreg ts
                ''',
                'unreg_ts',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ds',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Te' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Te',
            False, 
            [
            _MetaInfoClassMember('adv-sync-data', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                adv sync data
                ''',
                'adv_sync_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('conn-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                conn up
                ''',
                'conn_up',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enabled
                ''',
                'enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('has-info-from-te', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                has info from te
                ''',
                'has_info_from_te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('link-purge-time-on', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                link purge time on
                ''',
                'link_purge_time_on',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-link-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                te link cb
                ''',
                'te_link_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-tunnel-cb', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                te tunnel cb
                ''',
                'te_tunnel_cb',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('tunnel-purge-time-on', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                tunnel purge time on
                ''',
                'tunnel_purge_time_on',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'te',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ncd' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ncd',
            False, 
            [
            _MetaInfoClassMember('chksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                chksum
                ''',
                'chksum',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('conn-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                conn up
                ''',
                'conn_up',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('endp-hdl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                endp hdl
                ''',
                'endp_hdl',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('recv-cnt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                recv cnt
                ''',
                'recv_cnt',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('send-seqnum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                send seqnum
                ''',
                'send_seqnum',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vm-idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                vm idx
                ''',
                'vm_idx',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ncd',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.NiiIdb' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra.NiiIdb',
            False, 
            [
            _MetaInfoClassMember('brought-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                brought up
                ''',
                'brought_up',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('exist', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                exist
                ''',
                'exist',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('has-adj', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                has adj
                ''',
                'has_adj',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('retry-timer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                retry timer
                ''',
                'retry_timer',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                running
                ''',
                'running',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nii-idb',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus.IsisNsrInfra' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus.IsisNsrInfra',
            False, 
            [
            _MetaInfoClassMember('ds', REFERENCE_CLASS, 'Ds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds', 
                [], [], 
                '''                ds
                ''',
                'ds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('gen', REFERENCE_CLASS, 'Gen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Gen', 
                [], [], 
                '''                gen
                ''',
                'gen',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ncd', REFERENCE_LIST, 'Ncd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ncd', 
                [], [], 
                '''                ncd
                ''',
                'ncd',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=5),
            _MetaInfoClassMember('nii-idb', REFERENCE_LIST, 'NiiIdb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.NiiIdb', 
                [], [], 
                '''                nii idb
                ''',
                'nii_idb',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('pm', REFERENCE_CLASS, 'Pm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Pm', 
                [], [], 
                '''                pm
                ''',
                'pm',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te', REFERENCE_CLASS, 'Te' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Te', 
                [], [], 
                '''                te
                ''',
                'te',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis-nsr-infra',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatus',
            False, 
            [
            _MetaInfoClassMember('isis-nsr-infra', REFERENCE_CLASS, 'IsisNsrInfra' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrInfra', 
                [], [], 
                '''                ISIS NSR Infra
                ''',
                'isis_nsr_infra',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('isis-nsr-peer', REFERENCE_CLASS, 'IsisNsrPeer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus.IsisNsrPeer', 
                [], [], 
                '''                ISIS NSR PEER STATUS
                ''',
                'isis_nsr_peer',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('isis-vm-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ISIS VM STATE
                ''',
                'isis_vm_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nsr-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.ConfiguredStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.ConfiguredStatus',
            False, 
            [
            _MetaInfoClassMember('adjacency-form-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured adjacency formation status
                ''',
                'adjacency_form_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adv-prefix-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured prefix advertisement status
                ''',
                'adv_prefix_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'configured-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Disabled' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Disabled',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfDisabledReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfDisabledReasonEnum', 
                [], [], 
                '''                Reason why the interface is disabled
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'disabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdjacencyFormStatus.Disabled' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdjacencyFormStatus.Disabled',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfAdjFormDisabledReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfAdjFormDisabledReasonEnum', 
                [], [], 
                '''                Reason why the interface is not able to form
                adjacencies
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'disabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdjacencyFormStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdjacencyFormStatus',
            False, 
            [
            _MetaInfoClassMember('disabled', REFERENCE_CLASS, 'Disabled' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdjacencyFormStatus.Disabled', 
                [], [], 
                '''                Disabled info for the adjacency formation status
                ''',
                'disabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisEnabledEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisEnabledEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-form-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdvPrefixStatus.Disabled' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdvPrefixStatus.Disabled',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfAdvPrefixDisabledReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfAdvPrefixDisabledReasonEnum', 
                [], [], 
                '''                Reason why the interface is not able to
                advertise prefixes
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'disabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdvPrefixStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdvPrefixStatus',
            False, 
            [
            _MetaInfoClassMember('disabled', REFERENCE_CLASS, 'Disabled' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdvPrefixStatus.Disabled', 
                [], [], 
                '''                Disabled info for the prefix advertisement
                status
                ''',
                'disabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisEnabledEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisEnabledEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adv-prefix-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.P2PData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.P2PData',
            False, 
            [
            _MetaInfoClassMember('extended-circuit-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended Circuit Number valid for a P2P
                interface
                ''',
                'extended_circuit_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('retransmit-lsp-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in ms until the next scheduled LSP is
                retransmitted
                ''',
                'retransmit_lsp_interval',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('retransmit-lsp-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of LSPs queued to be retransmitted
                ''',
                'retransmit_lsp_queue_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('time-until-next-iih', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in ms before the next IIH can be sent
                ''',
                'time_until_next_iih',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'p2p-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.BfdData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.BfdData',
            False, 
            [
            _MetaInfoClassMember('enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv4 BFD enabled status
                ''',
                'enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD hello minimum interval in milliseconds
                ''',
                'interval',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 BFD enabled status
                ''',
                'ipv6_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD hello multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'bfd-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.ClnsStatus.ClnsDownInfo' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.ClnsStatus.ClnsDownInfo',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfClnsProtoDownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfClnsProtoDownReasonEnum', 
                [], [], 
                '''                Reason why CLNS is down
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'clns-down-info',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.ClnsStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.ClnsStatus',
            False, 
            [
            _MetaInfoClassMember('clns-down-info', REFERENCE_CLASS, 'ClnsDownInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.ClnsStatus.ClnsDownInfo', 
                [], [], 
                '''                State describing why CLNS is down
                ''',
                'clns_down_info',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisUpEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisUpEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'clns-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MtuInfo.Invalid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MtuInfo.Invalid',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfClnsMtuInvalidReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfClnsMtuInvalidReasonEnum', 
                [], [], 
                '''                Reason why the MTU is invalid
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'invalid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MtuInfo' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MtuInfo',
            False, 
            [
            _MetaInfoClassMember('invalid', REFERENCE_CLASS, 'Invalid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MtuInfo.Invalid', 
                [], [], 
                '''                Information pertaining to the invalid CLNS MTU
                ''',
                'invalid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Valid MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'mtu-info',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState.Unknown' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState.Unknown',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfClnsSnpaUnknownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfClnsSnpaUnknownReasonEnum', 
                [], [], 
                '''                Reason why the SNPA is unknown
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unknown',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState.Known' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState.Known',
            False, 
            [
            _MetaInfoClassMember('snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Valid SNPA
                ''',
                'snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'known',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState',
            False, 
            [
            _MetaInfoClassMember('known', REFERENCE_CLASS, 'Known' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState.Known', 
                [], [], 
                '''                Information pertaining to the known SNPA state
                ''',
                'known',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisKnownEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisKnownEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unknown', REFERENCE_CLASS, 'Unknown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState.Unknown', 
                [], [], 
                '''                Information pertaining to the unknown SNPA state
                ''',
                'unknown',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'snpa-state',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData.MulticastStatus.Invalid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData.MulticastStatus.Invalid',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfMcastInvalidReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfMcastInvalidReasonEnum', 
                [], [], 
                '''                Reason why the multicast status is invalid
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'invalid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData.MulticastStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData.MulticastStatus',
            False, 
            [
            _MetaInfoClassMember('invalid', REFERENCE_CLASS, 'Invalid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData.MulticastStatus.Invalid', 
                [], [], 
                '''                Information pertaining to the invalid multicast
                status
                ''',
                'invalid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData',
            False, 
            [
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level of the area
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('multicast-status', REFERENCE_CLASS, 'MulticastStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData.MulticastStatus', 
                [], [], 
                '''                Multicast group membership status
                ''',
                'multicast_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-area-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData',
            False, 
            [
            _MetaInfoClassMember('per-area-data', REFERENCE_LIST, 'PerAreaData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData', 
                [], [], 
                '''                Array of per area CLNS data
                ''',
                'per_area_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'clns-lan-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData.MulticastStatus.Invalid' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData.MulticastStatus.Invalid',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfMcastInvalidReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfMcastInvalidReasonEnum', 
                [], [], 
                '''                Reason why the multicast status is invalid
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'invalid',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData.MulticastStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData.MulticastStatus',
            False, 
            [
            _MetaInfoClassMember('invalid', REFERENCE_CLASS, 'Invalid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData.MulticastStatus.Invalid', 
                [], [], 
                '''                Information pertaining to the invalid multicast
                status
                ''',
                'invalid',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisValidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisValidEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'multicast-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData',
            False, 
            [
            _MetaInfoClassMember('multicast-status', REFERENCE_CLASS, 'MulticastStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData.MulticastStatus', 
                [], [], 
                '''                Multicast group membership status
                ''',
                'multicast_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'p2p-over-lan-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData',
            False, 
            [
            _MetaInfoClassMember('p2p-over-lan-data', REFERENCE_CLASS, 'P2POverLanData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData', 
                [], [], 
                '''                Point-to-point over LAN data
                ''',
                'p2p_over_lan_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'clns-p2p-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState',
            False, 
            [
            _MetaInfoClassMember('clns-lan-data', REFERENCE_CLASS, 'ClnsLanData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData', 
                [], [], 
                '''                LAN state
                ''',
                'clns_lan_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('clns-media-type', REFERENCE_ENUM_CLASS, 'IsisMediaClassEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisMediaClassEnum', 
                [], [], 
                '''                CLNSMediaType
                ''',
                'clns_media_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('clns-p2p-data', REFERENCE_CLASS, 'ClnsP2PData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData', 
                [], [], 
                '''                Point-to-point state
                ''',
                'clns_p2p_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'media-specific-state',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData',
            False, 
            [
            _MetaInfoClassMember('clns-status', REFERENCE_CLASS, 'ClnsStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.ClnsStatus', 
                [], [], 
                '''                Is CLNS protcol up or if not, the reason why it
                is not up
                ''',
                'clns_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-lsp-id-transmitted', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                Last LSP ID Transmitted
                ''',
                'last_lsp_id_transmitted',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-lsp-level-transmitted', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level of the Last LSP Transmitted
                ''',
                'last_lsp_level_transmitted',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-transmit-requested-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if an LSP transmission has been requested
                ''',
                'lsp_transmit_requested_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-transmitted-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if an LSP transmission has been sent,
                indicates LastLSPLevelTransmitted and
                LastLSP_IDTransmitted valid
                ''',
                'lsp_transmitted_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-txmitd-b2b-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that can be sent back to back in
                the current window without exceeding the pacing
                limit
                ''',
                'lsp_txmitd_b2b_limit',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-txmt-b2b-msecs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time im msecs indicating the end of the window
                in which the 'back to back lsps to be sent'
                counter applies
                ''',
                'lsp_txmt_b2b_msecs',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('media-specific-state', REFERENCE_CLASS, 'MediaSpecificState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState', 
                [], [], 
                '''                Media Specific CLNS state
                ''',
                'media_specific_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('mtu-info', REFERENCE_CLASS, 'MtuInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MtuInfo', 
                [], [], 
                '''                A valid MTU or the reason for the MTU being
                invalid
                ''',
                'mtu_info',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('snpa-state', REFERENCE_CLASS, 'SnpaState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState', 
                [], [], 
                '''                SNPA state
                ''',
                'snpa_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('time-until-next-lsp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSP may be sent (ms)
                ''',
                'time_until_next_lsp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'clns-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAreaData.LanData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAreaData.LanData',
            False, 
            [
            _MetaInfoClassMember('are-we-dis', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag indicating if this LAN circuit is the DIS
                ''',
                'are_we_dis',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('circuit-lan-id', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Circuit LAN ID
                ''',
                'circuit_lan_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('dispriority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority of current DIS on this LAN
                ''',
                'dispriority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface's DIS-election priority
                ''',
                'interface_priority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('time-until-next-iih', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (ms) until next IIH
                ''',
                'time_until_next_iih',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'lan-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAreaData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAreaData',
            False, 
            [
            _MetaInfoClassMember('adjacency-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacencies
                ''',
                'adjacency_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lan-data', REFERENCE_CLASS, 'LanData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAreaData.LanData', 
                [], [], 
                '''                LAN data, NULL iff interface has non-LAN media
                type
                ''',
                'lan_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level of the area
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP pacing time period (ms)
                ''',
                'lsp_pacing_interval',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('psnp-transmit-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of SNP entries queued to be transmitted
                ''',
                'psnp_transmit_queue_size',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-area-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.TopologyId' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.TopologyId',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AF name
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'IsisSubAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisSubAfIdEnum', 
                [], [], 
                '''                Sub-AF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Topology Name
                ''',
                'topology_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'topology-id',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Disabled' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Disabled',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfTopoDisabledReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfTopoDisabledReasonEnum', 
                [], [], 
                '''                Reason why the topology is disabled
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'disabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdjacencyFormStatus.Disabled' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdjacencyFormStatus.Disabled',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfTopoAdjFormDisabledReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfTopoAdjFormDisabledReasonEnum', 
                [], [], 
                '''                Reason why the adjacency formation status of a
                topology is disabled
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'disabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdjacencyFormStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdjacencyFormStatus',
            False, 
            [
            _MetaInfoClassMember('disabled', REFERENCE_CLASS, 'Disabled' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdjacencyFormStatus.Disabled', 
                [], [], 
                '''                Disabled state for the adjacency formation
                status of a topology
                ''',
                'disabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisEnabledEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisEnabledEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adjacency-form-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdvPrefixStatus.Disabled' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdvPrefixStatus.Disabled',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfTopoAdvPrefixDisabledReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfTopoAdvPrefixDisabledReasonEnum', 
                [], [], 
                '''                Reason why the prefix advertisement status of a
                topology is disabled
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'disabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdvPrefixStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdvPrefixStatus',
            False, 
            [
            _MetaInfoClassMember('disabled', REFERENCE_CLASS, 'Disabled' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdvPrefixStatus.Disabled', 
                [], [], 
                '''                Disabled state for the prefix advertisement
                status of a topology
                ''',
                'disabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisEnabledEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisEnabledEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'adv-prefix-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_',
            False, 
            [
            _MetaInfoClassMember('adjacency-form-status', REFERENCE_CLASS, 'AdjacencyFormStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdjacencyFormStatus', 
                [], [], 
                '''                Adjacency formation status of a topology
                ''',
                'adjacency_form_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adv-prefix-status', REFERENCE_CLASS, 'AdvPrefixStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdvPrefixStatus', 
                [], [], 
                '''                Prefix advertisement status of a topology
                ''',
                'adv_prefix_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ld-pv6-sync-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Status of MPLS LDPv6 synchronization
                ''',
                'ld_pv6_sync_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ldp-sync-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Status of MPLS LDP synchronization
                ''',
                'ldp_sync_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level1-lkgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Link-Group configure status for L1
                ''',
                'level1_lkgp_configured',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level1-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L1 metric for this topology
                ''',
                'level1_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level1-offset-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L1 metric-offset for this topology
                ''',
                'level1_offset_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level1-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L1 metric for this topology
                ''',
                'level1_weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level1ldp-sync-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS LDP sync enabled status for L1
                ''',
                'level1ldp_sync_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level1pp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PP configure status for L1
                ''',
                'level1pp_configured',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level1pp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L1 PP-metric for this topology
                ''',
                'level1pp_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level2-lkgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Link-Group configure status for L2
                ''',
                'level2_lkgp_configured',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level2-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2 metric for this topology
                ''',
                'level2_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level2-offset-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2 metric-offset for this topology
                ''',
                'level2_offset_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level2-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2 metric for this topology
                ''',
                'level2_weight',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level2ldp-sync-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS LDP sync enabled status for L2
                ''',
                'level2ldp_sync_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level2pp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PP configure status for L2
                ''',
                'level2pp_configured',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level2pp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                L2 PP-metric for this topology
                ''',
                'level2pp_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('max-bkp-label-supported', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS maximum number of backup labels supported
                ''',
                'max_bkp_label_supported',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('max-label-supported', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS maximum number of pri labels supported
                ''',
                'max_label_supported',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('max-srte-label-supported', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS maximum number of srte labels supported
                ''',
                'max_srte_label_supported',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'enabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status',
            False, 
            [
            _MetaInfoClassMember('disabled', REFERENCE_CLASS, 'Disabled' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Disabled', 
                [], [], 
                '''                Disabled information of a topology
                ''',
                'disabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('enabled', REFERENCE_CLASS, 'Enabled_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_', 
                [], [], 
                '''                Enabled information of a topology
                ''',
                'enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisEnabledEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisEnabledEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData',
            False, 
            [
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status', 
                [], [], 
                '''                Status of the topology
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-id', REFERENCE_CLASS, 'TopologyId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.TopologyId', 
                [], [], 
                '''                Topology identifier
                ''',
                'topology_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-topology-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.Disabled' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.Disabled',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfAfDisabledReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfAfDisabledReasonEnum', 
                [], [], 
                '''                Reason why the Address Family is disabled
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'disabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ProtocolStatus.Disabled' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ProtocolStatus.Disabled',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfAfProtoDownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfAfProtoDownReasonEnum', 
                [], [], 
                '''                Reason why the Address Family protocol status is
                down
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'disabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ProtocolStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ProtocolStatus',
            False, 
            [
            _MetaInfoClassMember('disabled', REFERENCE_CLASS, 'Disabled' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ProtocolStatus.Disabled', 
                [], [], 
                '''                Disabled state of the Address Family protocol
                ''',
                'disabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisUpEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisUpEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'protocol-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.Unknown' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.Unknown',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfAfFwdAddrUnknownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfAfFwdAddrUnknownReasonEnum', 
                [], [], 
                '''                Reason why the forwarding address(es) of an AF
                is(are) unknown
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unknown',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.ForwardingAddressData.ForwardingAddress' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.ForwardingAddressData.ForwardingAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV4 address type
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address type
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'forwarding-address',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.ForwardingAddressData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.ForwardingAddressData',
            False, 
            [
            _MetaInfoClassMember('forwarding-address', REFERENCE_LIST, 'ForwardingAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.ForwardingAddressData.ForwardingAddress', 
                [], [], 
                '''                Array of forwarding addresses
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unnumbered-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                If the interface is unnumbered, then its name,
                else NULL
                ''',
                'unnumbered_interface_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'forwarding-address-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus',
            False, 
            [
            _MetaInfoClassMember('forwarding-address-data', REFERENCE_CLASS, 'ForwardingAddressData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.ForwardingAddressData', 
                [], [], 
                '''                Known Forwarding address data
                ''',
                'forwarding_address_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisKnownEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisKnownEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unknown', REFERENCE_CLASS, 'Unknown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.Unknown', 
                [], [], 
                '''                Unknown forwarding address data
                ''',
                'unknown',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'forwarding-address-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.Unknown' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.Unknown',
            False, 
            [
            _MetaInfoClassMember('reason-code', REFERENCE_ENUM_CLASS, 'IsisIfAfPrefixUnknownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisIfAfPrefixUnknownReasonEnum', 
                [], [], 
                '''                Reason why the global prefix(es) is(are) unknown
                ''',
                'reason_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'unknown',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix.Ipv4' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix.Ipv4',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix.Ipv6' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix.Ipv6',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix.Ipv4', 
                [], [], 
                '''                ipv4
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix.Ipv6', 
                [], [], 
                '''                ipv6
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData',
            False, 
            [
            _MetaInfoClassMember('is-unnumbered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the interface unnumbered
                ''',
                'is_unnumbered',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix', 
                [], [], 
                '''                Array of global prefixes
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'prefix-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus',
            False, 
            [
            _MetaInfoClassMember('prefix-data', REFERENCE_CLASS, 'PrefixData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData', 
                [], [], 
                '''                Global prefix data for the Address Family
                ''',
                'prefix_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisKnownEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisKnownEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('unknown', REFERENCE_CLASS, 'Unknown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.Unknown', 
                [], [], 
                '''                Unknown state for the global prefixes
                ''',
                'unknown',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'prefix-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData',
            False, 
            [
            _MetaInfoClassMember('forwarding-address-status', REFERENCE_CLASS, 'ForwardingAddressStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus', 
                [], [], 
                '''                Forwarding status of the AF
                ''',
                'forwarding_address_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix-status', REFERENCE_CLASS, 'PrefixStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus', 
                [], [], 
                '''                Prefix status of the AF
                ''',
                'prefix_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('protocol-status', REFERENCE_CLASS, 'ProtocolStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ProtocolStatus', 
                [], [], 
                '''                Protocol status of the AF
                ''',
                'protocol_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'af-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus',
            False, 
            [
            _MetaInfoClassMember('af-data', REFERENCE_CLASS, 'AfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData', 
                [], [], 
                '''                Enabled data for the AF of an interface
                ''',
                'af_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('disabled', REFERENCE_CLASS, 'Disabled' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.Disabled', 
                [], [], 
                '''                Disabled info for the AF of an interface
                ''',
                'disabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisEnabledEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisEnabledEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'af-status',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                Address Family Identifier of the interface
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('af-status', REFERENCE_CLASS, 'AfStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus', 
                [], [], 
                '''                Address Family status of the interface
                ''',
                'af_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-address-family-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled',
            False, 
            [
            _MetaInfoClassMember('adjacency-form-status', REFERENCE_CLASS, 'AdjacencyFormStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdjacencyFormStatus', 
                [], [], 
                '''                Interface's Adjacency Formation status
                ''',
                'adjacency_form_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adv-prefix-status', REFERENCE_CLASS, 'AdvPrefixStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdvPrefixStatus', 
                [], [], 
                '''                Interface's Prefix Advertisement status
                ''',
                'adv_prefix_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('bfd-data', REFERENCE_CLASS, 'BfdData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.BfdData', 
                [], [], 
                '''                The BFD data for the given interface
                ''',
                'bfd_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('clns-data', REFERENCE_CLASS, 'ClnsData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData', 
                [], [], 
                '''                Interface data specific to CLNS I/O services
                ''',
                'clns_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('enabled-circuit-type', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                Enabled Circuit type of the interface
                ''',
                'enabled_circuit_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-media-type', REFERENCE_ENUM_CLASS, 'IsisMediaClassEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisMediaClassEnum', 
                [], [], 
                '''                Media type of the interface
                ''',
                'interface_media_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('local-circuit-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Local Circuit Number of the interface
                ''',
                'local_circuit_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('p2p-data', REFERENCE_CLASS, 'P2PData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.P2PData', 
                [], [], 
                '''                Data for an active P2P interface, NULL if not
                active or P2P
                ''',
                'p2p_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-address-family-data', REFERENCE_LIST, 'PerAddressFamilyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData', 
                [], [], 
                '''                Array of address family information
                ''',
                'per_address_family_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-area-data', REFERENCE_LIST, 'PerAreaData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAreaData', 
                [], [], 
                '''                Array of area information for an active
                interface
                ''',
                'per_area_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-topology-data', REFERENCE_LIST, 'PerTopologyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData', 
                [], [], 
                '''                Array of topology information
                ''',
                'per_topology_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rsi-srlg-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rsi Srlg Registered
                ''',
                'rsi_srlg_registered',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('underlying-interface', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Underlying interface list for bundle interfaces
                ''',
                'underlying_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'enabled',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData',
            False, 
            [
            _MetaInfoClassMember('disabled', REFERENCE_CLASS, 'Disabled' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Disabled', 
                [], [], 
                '''                The interface state if disabled
                ''',
                'disabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('enabled', REFERENCE_CLASS, 'Enabled' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled', 
                [], [], 
                '''                The interface state if enabled
                ''',
                'enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'IsisEnabledEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisEnabledEnum', 
                [], [], 
                '''                Status
                ''',
                'status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'interface-status-and-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('configured-circuit-type', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                Configured circuit type for the interface
                ''',
                'configured_circuit_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('configured-status', REFERENCE_CLASS, 'ConfiguredStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.ConfiguredStatus', 
                [], [], 
                '''                Configured interface status
                ''',
                'configured_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-status-and-data', REFERENCE_CLASS, 'InterfaceStatusAndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData', 
                [], [], 
                '''                Information about the interface status and its
                data
                ''',
                'interface_status_and_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('is-type', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                IS-type of the router
                ''',
                'is_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('mesh-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface mesh group
                ''',
                'mesh_group',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-intf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ISIS NSR Interface
                ''',
                'nsr_intf',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Interfaces' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces.Interface', 
                [], [], 
                '''                Information about one IS-IS interface
                ''',
                'interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.CheckpointAdjacencies.CheckpointAdjacency.CheckpointAdjacencyPerAddressFamilyNextHop' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.CheckpointAdjacencies.CheckpointAdjacency.CheckpointAdjacencyPerAddressFamilyNextHop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV4 address type
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address type
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'checkpoint-adjacency-per-address-family-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.CheckpointAdjacencies.CheckpointAdjacency' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.CheckpointAdjacencies.CheckpointAdjacency',
            False, 
            [
            _MetaInfoClassMember('checkpoint-adjacency-circuit-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor circuit number
                ''',
                'checkpoint_adjacency_circuit_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-adjacency-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Adjacency holdtime (s)
                ''',
                'checkpoint_adjacency_holdtime',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-adjacency-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Local interface
                ''',
                'checkpoint_adjacency_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-adjacency-lan-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Adjacency LAN priority
                ''',
                'checkpoint_adjacency_lan_priority',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-adjacency-level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Adjacency level
                ''',
                'checkpoint_adjacency_level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-adjacency-object-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checkpoint object ID
                ''',
                'checkpoint_adjacency_object_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-adjacency-per-address-family-next-hop', REFERENCE_LIST, 'CheckpointAdjacencyPerAddressFamilyNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.CheckpointAdjacencies.CheckpointAdjacency.CheckpointAdjacencyPerAddressFamilyNextHop', 
                [], [], 
                '''                Per address family next hops
                ''',
                'checkpoint_adjacency_per_address_family_next_hop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-adjacency-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor SNPA
                ''',
                'checkpoint_adjacency_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-adjacency-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Neighbor system ID
                ''',
                'checkpoint_adjacency_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisInternalLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_datatypes', 'IsisInternalLevelEnum', 
                [], [], 
                '''                Level
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                System ID
                ''',
                'system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'checkpoint-adjacency',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.CheckpointAdjacencies' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.CheckpointAdjacencies',
            False, 
            [
            _MetaInfoClassMember('checkpoint-adjacency', REFERENCE_LIST, 'CheckpointAdjacency' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.CheckpointAdjacencies.CheckpointAdjacency', 
                [], [], 
                '''                A checkpointed IS-IS adjacency
                ''',
                'checkpoint_adjacency',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'checkpoint-adjacencies',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi.Addr' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi.Addr',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_ENUM_CLASS, 'SrmsMiAfEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiAfEBEnum', 
                [], [], 
                '''                AF
                ''',
                'af',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'addr',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi',
            False, 
            [
            _MetaInfoClassMember('mi-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Mapping Item ID (0, 1, 2, ...)
                ''',
                'mi_id',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('addr', REFERENCE_CLASS, 'Addr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi.Addr', 
                [], [], 
                '''                addr
                ''',
                'addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Area (OSPF) or Level (ISIS)
                ''',
                'area',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('flag-attached', REFERENCE_ENUM_CLASS, 'SrmsMiFlagEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiFlagEBEnum', 
                [], [], 
                '''                Attached flag
                ''',
                'flag_attached',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-prefix', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Last IP Prefix
                ''',
                'last_prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-sid-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last SID Index
                ''',
                'last_sid_index',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('router', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Router ID
                ''',
                'router',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID range
                ''',
                'sid_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Starting SID
                ''',
                'sid_start',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('src', REFERENCE_ENUM_CLASS, 'SrmsMiSrcEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiSrcEBEnum', 
                [], [], 
                '''                src
                ''',
                'src',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-mi',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active',
            False, 
            [
            _MetaInfoClassMember('policy-mi', REFERENCE_LIST, 'PolicyMi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi', 
                [], [], 
                '''                Mapping Item
                ''',
                'policy_mi',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-ipv4-active',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi.Addr' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi.Addr',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_ENUM_CLASS, 'SrmsMiAfEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiAfEBEnum', 
                [], [], 
                '''                AF
                ''',
                'af',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'addr',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi',
            False, 
            [
            _MetaInfoClassMember('mi-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Mapping Item ID (0, 1, 2, ...)
                ''',
                'mi_id',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('addr', REFERENCE_CLASS, 'Addr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi.Addr', 
                [], [], 
                '''                addr
                ''',
                'addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Area (OSPF) or Level (ISIS)
                ''',
                'area',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('flag-attached', REFERENCE_ENUM_CLASS, 'SrmsMiFlagEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiFlagEBEnum', 
                [], [], 
                '''                Attached flag
                ''',
                'flag_attached',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-prefix', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Last IP Prefix
                ''',
                'last_prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-sid-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last SID Index
                ''',
                'last_sid_index',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('router', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Router ID
                ''',
                'router',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID range
                ''',
                'sid_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Starting SID
                ''',
                'sid_start',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('src', REFERENCE_ENUM_CLASS, 'SrmsMiSrcEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiSrcEBEnum', 
                [], [], 
                '''                src
                ''',
                'src',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-mi',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup',
            False, 
            [
            _MetaInfoClassMember('policy-mi', REFERENCE_LIST, 'PolicyMi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi', 
                [], [], 
                '''                Mapping Item
                ''',
                'policy_mi',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-ipv4-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv4' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv4',
            False, 
            [
            _MetaInfoClassMember('policy-ipv4-active', REFERENCE_CLASS, 'PolicyIpv4Active' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active', 
                [], [], 
                '''                IPv4 active policy operational data
                ''',
                'policy_ipv4_active',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('policy-ipv4-backup', REFERENCE_CLASS, 'PolicyIpv4Backup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup', 
                [], [], 
                '''                IPv4 backup policy operational data
                ''',
                'policy_ipv4_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup.PolicyMi.Addr' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup.PolicyMi.Addr',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_ENUM_CLASS, 'SrmsMiAfEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiAfEBEnum', 
                [], [], 
                '''                AF
                ''',
                'af',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'addr',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup.PolicyMi' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup.PolicyMi',
            False, 
            [
            _MetaInfoClassMember('mi-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Mapping Item ID (0, 1, 2, ...)
                ''',
                'mi_id',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('addr', REFERENCE_CLASS, 'Addr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup.PolicyMi.Addr', 
                [], [], 
                '''                addr
                ''',
                'addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Area (OSPF) or Level (ISIS)
                ''',
                'area',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('flag-attached', REFERENCE_ENUM_CLASS, 'SrmsMiFlagEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiFlagEBEnum', 
                [], [], 
                '''                Attached flag
                ''',
                'flag_attached',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-prefix', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Last IP Prefix
                ''',
                'last_prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-sid-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last SID Index
                ''',
                'last_sid_index',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('router', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Router ID
                ''',
                'router',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID range
                ''',
                'sid_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Starting SID
                ''',
                'sid_start',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('src', REFERENCE_ENUM_CLASS, 'SrmsMiSrcEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiSrcEBEnum', 
                [], [], 
                '''                src
                ''',
                'src',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-mi',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup',
            False, 
            [
            _MetaInfoClassMember('policy-mi', REFERENCE_LIST, 'PolicyMi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup.PolicyMi', 
                [], [], 
                '''                Mapping Item
                ''',
                'policy_mi',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-ipv6-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active.PolicyMi.Addr' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active.PolicyMi.Addr',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_ENUM_CLASS, 'SrmsMiAfEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiAfEBEnum', 
                [], [], 
                '''                AF
                ''',
                'af',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'addr',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active.PolicyMi' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active.PolicyMi',
            False, 
            [
            _MetaInfoClassMember('mi-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Mapping Item ID (0, 1, 2, ...)
                ''',
                'mi_id',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('addr', REFERENCE_CLASS, 'Addr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active.PolicyMi.Addr', 
                [], [], 
                '''                addr
                ''',
                'addr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Area (OSPF) or Level (ISIS)
                ''',
                'area',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('flag-attached', REFERENCE_ENUM_CLASS, 'SrmsMiFlagEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiFlagEBEnum', 
                [], [], 
                '''                Attached flag
                ''',
                'flag_attached',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-prefix', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Last IP Prefix
                ''',
                'last_prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-sid-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last SID Index
                ''',
                'last_sid_index',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('router', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Router ID
                ''',
                'router',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID range
                ''',
                'sid_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sid-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Starting SID
                ''',
                'sid_start',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('src', REFERENCE_ENUM_CLASS, 'SrmsMiSrcEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'SrmsMiSrcEBEnum', 
                [], [], 
                '''                src
                ''',
                'src',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-mi',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active',
            False, 
            [
            _MetaInfoClassMember('policy-mi', REFERENCE_LIST, 'PolicyMi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active.PolicyMi', 
                [], [], 
                '''                Mapping Item
                ''',
                'policy_mi',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-ipv6-active',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy.PolicyIpv6' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy.PolicyIpv6',
            False, 
            [
            _MetaInfoClassMember('policy-ipv6-active', REFERENCE_CLASS, 'PolicyIpv6Active' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active', 
                [], [], 
                '''                IPv6 active policy operational data
                ''',
                'policy_ipv6_active',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('policy-ipv6-backup', REFERENCE_CLASS, 'PolicyIpv6Backup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup', 
                [], [], 
                '''                IPv6 backup policy operational data
                ''',
                'policy_ipv6_backup',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms.Policy' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms.Policy',
            False, 
            [
            _MetaInfoClassMember('policy-ipv4', REFERENCE_CLASS, 'PolicyIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv4', 
                [], [], 
                '''                IPv4 policy operational data
                ''',
                'policy_ipv4',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('policy-ipv6', REFERENCE_CLASS, 'PolicyIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy.PolicyIpv6', 
                [], [], 
                '''                IPv6 policy operational data
                ''',
                'policy_ipv6',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Srms' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Srms',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms.Policy', 
                [], [], 
                '''                Policy operational data
                ''',
                'policy',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'srms',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.ErrorLog.LogEntry.GenericData.Timestamp' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.ErrorLog.LogEntry.GenericData.Timestamp',
            False, 
            [
            _MetaInfoClassMember('nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (nanoseconds)
                ''',
                'nano_seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp value (seconds)
                ''',
                'seconds',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.ErrorLog.LogEntry.GenericData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.ErrorLog.LogEntry.GenericData',
            False, 
            [
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.ErrorLog.LogEntry.GenericData.Timestamp', 
                [], [], 
                '''                Time in UTC relative to Jan 1st, 1970
                ''',
                'timestamp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'generic-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.ErrorLog.LogEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.ErrorLog.LogEntry',
            False, 
            [
            _MetaInfoClassMember('error-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error code
                ''',
                'error_code',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('error-log-level', REFERENCE_ENUM_CLASS, 'IsisErrLogLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisErrLogLevelEnum', 
                [], [], 
                '''                Logging level
                ''',
                'error_log_level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('error-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error details
                ''',
                'error_reason',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('generic-data', REFERENCE_CLASS, 'GenericData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.ErrorLog.LogEntry.GenericData', 
                [], [], 
                '''                Generic entry data
                ''',
                'generic_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'log-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.ErrorLog' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.ErrorLog',
            False, 
            [
            _MetaInfoClassMember('log-entry', REFERENCE_LIST, 'LogEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.ErrorLog.LogEntry', 
                [], [], 
                '''                Error Log entries
                ''',
                'log_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'error-log',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.CheckpointInterfaces.CheckpointInterface' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.CheckpointInterfaces.CheckpointInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('checkpoint-interface-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Local interface handle
                ''',
                'checkpoint_interface_handle',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-object-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checkpoint object ID
                ''',
                'checkpoint_object_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('dis-areas', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                Areas in which this system is DIS
                ''',
                'dis_areas',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('has-achieved-ld-pv6-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS LDPv6 sync status
                ''',
                'has_achieved_ld_pv6_sync',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('has-achieved-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS LDP sync status
                ''',
                'has_achieved_ldp_sync',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('has-adjacency', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if there is an adjacency on this interface
                ''',
                'has_adjacency',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('has-joined-mcast-group', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if multicast group registration succeeded
                on this interface
                ''',
                'has_joined_mcast_group',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('local-circuit-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Local circuit number
                ''',
                'local_circuit_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('local-snpa', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                SNPA of this interface
                ''',
                'local_snpa',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'checkpoint-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.CheckpointInterfaces' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.CheckpointInterfaces',
            False, 
            [
            _MetaInfoClassMember('checkpoint-interface', REFERENCE_LIST, 'CheckpointInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.CheckpointInterfaces.CheckpointInterface', 
                [], [], 
                '''                Checkpointed information about one IS-IS
                interface
                ''',
                'checkpoint_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'checkpoint-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.P2PStatistics.IihCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.P2PStatistics.IihCount',
            False, 
            [
            _MetaInfoClassMember('pdu-receive-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs received
                ''',
                'pdu_receive_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pdu-send-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs sent
                ''',
                'pdu_send_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'iih-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.P2PStatistics' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.P2PStatistics',
            False, 
            [
            _MetaInfoClassMember('iih-count', REFERENCE_CLASS, 'IihCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.P2PStatistics.IihCount', 
                [], [], 
                '''                IIH statistics
                ''',
                'iih_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-retransmit-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP retransmissions
                ''',
                'lsp_retransmit_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('memory-exhausted-iih-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IIHs not sent due to memory exhaustion
                ''',
                'memory_exhausted_iih_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'p2p-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.LspCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.LspCount',
            False, 
            [
            _MetaInfoClassMember('pdu-receive-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs received
                ''',
                'pdu_receive_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pdu-send-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs sent
                ''',
                'pdu_send_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'lsp-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.CsnpCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.CsnpCount',
            False, 
            [
            _MetaInfoClassMember('pdu-receive-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs received
                ''',
                'pdu_receive_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pdu-send-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs sent
                ''',
                'pdu_send_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'csnp-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.PsnpCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.PsnpCount',
            False, 
            [
            _MetaInfoClassMember('pdu-receive-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs received
                ''',
                'pdu_receive_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pdu-send-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs sent
                ''',
                'pdu_send_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'psnp-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics',
            False, 
            [
            _MetaInfoClassMember('csnp-count', REFERENCE_CLASS, 'CsnpCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.CsnpCount', 
                [], [], 
                '''                CSNP statistics
                ''',
                'csnp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-count', REFERENCE_CLASS, 'LspCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.LspCount', 
                [], [], 
                '''                LSP statistics
                ''',
                'lsp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-drop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of LSPs dropped due to minimum arrival
                time config
                ''',
                'lsp_drop_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-flooding-dup-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of LSPs already received by neighbors and
                not flooded
                ''',
                'lsp_flooding_dup_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('psnp-count', REFERENCE_CLASS, 'PsnpCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.PsnpCount', 
                [], [], 
                '''                PSNP statistics
                ''',
                'psnp_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.LanData.IihCount' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.LanData.IihCount',
            False, 
            [
            _MetaInfoClassMember('pdu-receive-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs received
                ''',
                'pdu_receive_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('pdu-send-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PDUs sent
                ''',
                'pdu_send_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'iih-count',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.LanData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.LanData',
            False, 
            [
            _MetaInfoClassMember('dis-election-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DIS elections
                ''',
                'dis_election_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('iih-count', REFERENCE_CLASS, 'IihCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.LanData.IihCount', 
                [], [], 
                '''                IIH statistics
                ''',
                'iih_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('memory-exhausted-iih-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IIHs not sent due to memory exhaustion
                ''',
                'memory_exhausted_iih_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'lan-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData',
            False, 
            [
            _MetaInfoClassMember('lan-data', REFERENCE_CLASS, 'LanData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.LanData', 
                [], [], 
                '''                LAN interface statistics. NULL for non-LAN
                interfaces
                ''',
                'lan_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                Level of the area this data relates to
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics', 
                [], [], 
                '''                Statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-area-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('interface-media-type', REFERENCE_ENUM_CLASS, 'IsisMediaClassEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisMediaClassEnum', 
                [], [], 
                '''                Interface media class
                ''',
                'interface_media_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('p2p-statistics', REFERENCE_CLASS, 'P2PStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.P2PStatistics', 
                [], [], 
                '''                P2P interface statistics. NULL for non-P2P
                interfaces
                ''',
                'p2p_statistics',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-area-data', REFERENCE_LIST, 'PerAreaData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData', 
                [], [], 
                '''                Per-area data
                ''',
                'per_area_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('traffic-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface to which traffic statistics apply
                ''',
                'traffic_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'interface-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.InterfaceStatistics' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.InterfaceStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-statistic', REFERENCE_LIST, 'InterfaceStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic', 
                [], [], 
                '''                Statistics data for one IS-IS interface
                ''',
                'interface_statistic',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'interface-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Protocol.PerTopoData.Id' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Protocol.PerTopoData.Id',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IsisAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisAfIdEnum', 
                [], [], 
                '''                AF name
                ''',
                'af_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'IsisSubAfIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisSubAfIdEnum', 
                [], [], 
                '''                Sub-AF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Topology Name
                ''',
                'topology_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'id',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList.IsisShRedistEntry.ProtocolDetails' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList.IsisShRedistEntry.ProtocolDetails',
            False, 
            [
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application Name
                ''',
                'application_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                EIGRP Autonomous System number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IS-IS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ospfv3-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPFv3 process identifier
                ''',
                'ospfv3_process_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IsisRedistProtoEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisRedistProtoEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'protocol-details',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList.IsisShRedistEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList.IsisShRedistEntry',
            False, 
            [
            _MetaInfoClassMember('protocol-details', REFERENCE_CLASS, 'ProtocolDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList.IsisShRedistEntry.ProtocolDetails', 
                [], [], 
                '''                Relevant details of the redistributed protocol
                ''',
                'protocol_details',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis-sh-redist-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList',
            False, 
            [
            _MetaInfoClassMember('isis-sh-redist-entry', REFERENCE_LIST, 'IsisShRedistEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList.IsisShRedistEntry', 
                [], [], 
                '''                isis sh redist entry
                ''',
                'isis_sh_redist_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'redist-protocols-list',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Protocol.PerTopoData.PerAreaData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Protocol.PerTopoData.PerAreaData',
            False, 
            [
            _MetaInfoClassMember('accepted-metric-style', REFERENCE_ENUM_CLASS, 'IsisMetricStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisMetricStyleEnum', 
                [], [], 
                '''                Accept metric style
                ''',
                'accepted_metric_style',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR microloop avoidance duration
                ''',
                'duration',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('generated-metric-style', REFERENCE_ENUM_CLASS, 'IsisMetricStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisMetricStyleEnum', 
                [], [], 
                '''                Generate metric style
                ''',
                'generated_metric_style',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('ispf-state', REFERENCE_ENUM_CLASS, 'IsisEnabledEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisEnabledEnum', 
                [], [], 
                '''                ISPF state
                ''',
                'ispf_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                The level this data refers to
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('rib-update-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop RIB update delay
                ''',
                'rib_update_delay',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sr-uloop-event', REFERENCE_ENUM_CLASS, 'IsisUloopEventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisUloopEventEnum', 
                [], [], 
                '''                SR microloop avoidance event
                ''',
                'sr_uloop_event',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sr-uloop-far-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}'], 
                '''                SR microloop far node
                ''',
                'sr_uloop_far_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sr-uloop-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Explicit paths installed in the RIB
                ''',
                'sr_uloop_is_active',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('sr-uloop-near-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}'], 
                '''                SR microloop near node
                ''',
                'sr_uloop_near_node_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('te-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether MPLS TE is enabled
                ''',
                'te_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uloop-avoidance-type', REFERENCE_ENUM_CLASS, 'IsisUloopAvoidanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisUloopAvoidanceEnum', 
                [], [], 
                '''                Microloop avoidance type
                ''',
                'uloop_avoidance_type',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('uses-default-link-topo-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Does this topology use the default link topology
                ''',
                'uses_default_link_topo_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-area-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Protocol.PerTopoData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Protocol.PerTopoData',
            False, 
            [
            _MetaInfoClassMember('advertise-passive-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Advertise passive interface prefixes only
                ''',
                'advertise_passive_only',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('default-admin-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default administrative distance
                ''',
                'default_admin_distance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('id', REFERENCE_CLASS, 'Id' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Protocol.PerTopoData.Id', 
                [], [], 
                '''                Topology ID
                ''',
                'id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-area-data', REFERENCE_LIST, 'PerAreaData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Protocol.PerTopoData.PerAreaData', 
                [], [], 
                '''                Per-area data
                ''',
                'per_area_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('redist-protocols-list', REFERENCE_CLASS, 'RedistProtocolsList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList', 
                [], [], 
                '''                List of redistributed protocols
                ''',
                'redist_protocols_list',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('wait-redist-complete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Waiting for redist complete RIB event
                ''',
                'wait_redist_complete',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'per-topo-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.Protocol' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.Protocol',
            False, 
            [
            _MetaInfoClassMember('active-area-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['[a-fA-F0-9]{2}(\\.[a-fA-F0-9]{4}){0,6}'], 
                '''                Active area addresses
                ''',
                'active_area_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-form-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adj Forming count
                ''',
                'adj_form_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-full-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adj Full count
                ''',
                'adj_full_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-stagger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Adjacency Stagger Enabled
                ''',
                'adj_stagger_enabled',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-stagger-init', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency Stagger Initiall Number of Forming
                Neighbors Allowed
                ''',
                'adj_stagger_init',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('adj-stagger-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency Stagger Max Number of Forming
                Neighbors Allowed
                ''',
                'adj_stagger_max',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('configured-nsf-flavor', REFERENCE_ENUM_CLASS, 'IsisNsfFlavorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisNsfFlavorEnum', 
                [], [], 
                '''                Configured NSF type
                ''',
                'configured_nsf_flavor',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('instance-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                instance id
                ''',
                'instance_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-restart-nsf-flavor', REFERENCE_ENUM_CLASS, 'IsisNsfFlavorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisNsfFlavorEnum', 
                [], [], 
                '''                NSF type of last restart
                ''',
                'last_restart_nsf_flavor',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('last-restart-status', REFERENCE_ENUM_CLASS, 'IsisStartupStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisStartupStatusEnum', 
                [], [], 
                '''                Last restart status
                ''',
                'last_restart_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('manual-area-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['[a-fA-F0-9]{2}(\\.[a-fA-F0-9]{4}){0,6}'], 
                '''                Manual area addresses
                ''',
                'manual_area_address',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsap-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Local system ID
                ''',
                'nsap_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('per-topo-data', REFERENCE_LIST, 'PerTopoData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Protocol.PerTopoData', 
                [], [], 
                '''                Per-topology data
                ''',
                'per_topo_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('remaining-time-for-next-nsf-restart', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time remaining until the next NSF restart may be
                attempted
                ''',
                'remaining_time_for_next_nsf_restart',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('running-levels', REFERENCE_ENUM_CLASS, 'IsisLevelsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelsEnum', 
                [], [], 
                '''                Levels running
                ''',
                'running_levels',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('valid-nsap-system-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if system ID valid
                ''',
                'valid_nsap_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level1Neighbors' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level1Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbors down
                ''',
                'neighbor_down_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-init-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbors being initialized
                ''',
                'neighbor_init_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbors up
                ''',
                'neighbor_up_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'level1-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level2Neighbors' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level2Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbors down
                ''',
                'neighbor_down_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-init-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbors being initialized
                ''',
                'neighbor_init_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbors up
                ''',
                'neighbor_up_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'level2-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level12Neigbors' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level12Neigbors',
            False, 
            [
            _MetaInfoClassMember('neighbor-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbors down
                ''',
                'neighbor_down_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-init-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbors being initialized
                ''',
                'neighbor_init_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbors up
                ''',
                'neighbor_up_count',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'level12-neigbors',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NeighborSummaries.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NeighborSummaries.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('level12-neigbors', REFERENCE_CLASS, 'Level12Neigbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level12Neigbors', 
                [], [], 
                '''                L12 neighbors
                ''',
                'level12_neigbors',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level1-neighbors', REFERENCE_CLASS, 'Level1Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level1Neighbors', 
                [], [], 
                '''                L1-only neighbors
                ''',
                'level1_neighbors',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level2-neighbors', REFERENCE_CLASS, 'Level2Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level2Neighbors', 
                [], [], 
                '''                L2-only neighbors
                ''',
                'level2_neighbors',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NeighborSummaries' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('neighbor-summary', REFERENCE_LIST, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NeighborSummaries.NeighborSummary', 
                [], [], 
                '''                Neighbor-summary data for a single interface
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.CheckpointLsps.CheckpointLsp' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.CheckpointLsps.CheckpointLsp',
            False, 
            [
            _MetaInfoClassMember('checkpoint-lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                LSP ID
                ''',
                'checkpoint_lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-lsp-level', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP level
                ''',
                'checkpoint_lsp_level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-lsp-local-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a local LSP
                ''',
                'checkpoint_lsp_local_flag',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-lsp-object-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Checkpoint table object ID
                ''',
                'checkpoint_lsp_object_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisInternalLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_datatypes', 'IsisInternalLevelEnum', 
                [], [], 
                '''                Level
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}\\.[a-fA-F0-9]{2}\\-[a-fA-F0-9]{2}'], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'checkpoint-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.CheckpointLsps' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.CheckpointLsps',
            False, 
            [
            _MetaInfoClassMember('checkpoint-lsp', REFERENCE_LIST, 'CheckpointLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.CheckpointLsps.CheckpointLsp', 
                [], [], 
                '''                A checkpointed IS-IS LSP
                ''',
                'checkpoint_lsp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'checkpoint-lsps',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.MeshGroups.MeshGroupConfiguredInterfaceList.IsisShMeshEntry' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.MeshGroups.MeshGroupConfiguredInterfaceList.IsisShMeshEntry',
            False, 
            [
            _MetaInfoClassMember('mesh-group-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                This interface
                ''',
                'mesh_group_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('mesh-group-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mesh-group number
                ''',
                'mesh_group_number',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis-sh-mesh-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.MeshGroups.MeshGroupConfiguredInterfaceList' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.MeshGroups.MeshGroupConfiguredInterfaceList',
            False, 
            [
            _MetaInfoClassMember('isis-sh-mesh-entry', REFERENCE_LIST, 'IsisShMeshEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.MeshGroups.MeshGroupConfiguredInterfaceList.IsisShMeshEntry', 
                [], [], 
                '''                isis sh mesh entry
                ''',
                'isis_sh_mesh_entry',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'mesh-group-configured-interface-list',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.MeshGroups' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.MeshGroups',
            False, 
            [
            _MetaInfoClassMember('mesh-group-configured-interface-list', REFERENCE_CLASS, 'MeshGroupConfiguredInterfaceList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.MeshGroups.MeshGroupConfiguredInterfaceList', 
                [], [], 
                '''                List of mesh-group-configured interfaces
                ''',
                'mesh_group_configured_interface_list',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'mesh-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData.Self' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData.Self',
            False, 
            [
            _MetaInfoClassMember('no-of-ipv4-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                no of ipv4 routes
                ''',
                'no_of_ipv4_routes',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-ipv6-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                no of ipv6 routes
                ''',
                'no_of_ipv6_routes',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-l1-adj', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of l1 adj
                ''',
                'no_of_l1_adj',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-l1-lsp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                no of l1 lsp
                ''',
                'no_of_l1_lsp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-l2-adj', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of l2 adj
                ''',
                'no_of_l2_adj',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-l2-lsp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                no of l2 lsp
                ''',
                'no_of_l2_lsp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-lan-interface', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of lan interface
                ''',
                'no_of_lan_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-live-interface', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of live interface
                ''',
                'no_of_live_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-loopback-interface', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of loopback interface
                ''',
                'no_of_loopback_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-ptp-interface', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of ptp interface
                ''',
                'no_of_ptp_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-te-links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of te links
                ''',
                'no_of_te_links',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-te-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of te tunnels
                ''',
                'no_of_te_tunnels',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seqnum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seqnum
                ''',
                'seqnum',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'self',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData.Peer' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData.Peer',
            False, 
            [
            _MetaInfoClassMember('no-of-ipv4-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                no of ipv4 routes
                ''',
                'no_of_ipv4_routes',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-ipv6-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                no of ipv6 routes
                ''',
                'no_of_ipv6_routes',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-l1-adj', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of l1 adj
                ''',
                'no_of_l1_adj',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-l1-lsp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                no of l1 lsp
                ''',
                'no_of_l1_lsp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-l2-adj', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of l2 adj
                ''',
                'no_of_l2_adj',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-l2-lsp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                no of l2 lsp
                ''',
                'no_of_l2_lsp',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-lan-interface', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of lan interface
                ''',
                'no_of_lan_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-live-interface', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of live interface
                ''',
                'no_of_live_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-loopback-interface', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of loopback interface
                ''',
                'no_of_loopback_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-ptp-interface', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of ptp interface
                ''',
                'no_of_ptp_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-te-links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of te links
                ''',
                'no_of_te_links',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('no-of-te-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                no of te tunnels
                ''',
                'no_of_te_tunnels',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('seqnum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seqnum
                ''',
                'seqnum',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_LIST, 'Peer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData.Peer', 
                [], [], 
                '''                peer
                ''',
                'peer',
                'Cisco-IOS-XR-clns-isis-oper', False, max_elements=3),
            _MetaInfoClassMember('self', REFERENCE_CLASS, 'Self' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData.Self', 
                [], [], 
                '''                self
                ''',
                'self',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis-nsr-stats-data',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.NsrStatistics' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.NsrStatistics',
            False, 
            [
            _MetaInfoClassMember('isis-nsr-stats-data', REFERENCE_CLASS, 'IsisNsrStatsData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData', 
                [], [], 
                '''                ISIS NSR STATS Data
                ''',
                'isis_nsr_stats_data',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('isis-vm-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                ISIS VM STATE
                ''',
                'isis_vm_state',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'nsr-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.CheckpointTeTunnels.CheckpointTeTunnel' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.CheckpointTeTunnels.CheckpointTeTunnel',
            False, 
            [
            _MetaInfoClassMember('checkpoint-te-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel bandwidth
                ''',
                'checkpoint_te_bandwidth',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-te-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel flags
                ''',
                'checkpoint_te_flags',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-te-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'checkpoint_te_interface',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-te-level', REFERENCE_ENUM_CLASS, 'IsisLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisLevelEnum', 
                [], [], 
                '''                TE database level
                ''',
                'checkpoint_te_level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel metric
                ''',
                'checkpoint_te_metric',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-te-metric-mode', REFERENCE_ENUM_CLASS, 'IsisMetricModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'IsisMetricModeEnum', 
                [], [], 
                '''                Tunnel metric mode
                ''',
                'checkpoint_te_metric_mode',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-te-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel next-hop IP address
                ''',
                'checkpoint_te_nexthop',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-te-object-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel checkpoint object ID
                ''',
                'checkpoint_te_object_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-te-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[a-fA-F0-9]{4}(\\.[a-fA-F0-9]{4}){2}'], 
                '''                Destination system ID
                ''',
                'checkpoint_te_system_id',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('level', REFERENCE_ENUM_CLASS, 'IsisInternalLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_datatypes', 'IsisInternalLevelEnum', 
                [], [], 
                '''                Level
                ''',
                'level',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'checkpoint-te-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance.CheckpointTeTunnels' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance.CheckpointTeTunnels',
            False, 
            [
            _MetaInfoClassMember('checkpoint-te-tunnel', REFERENCE_LIST, 'CheckpointTeTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.CheckpointTeTunnels.CheckpointTeTunnel', 
                [], [], 
                '''                A checkpointed TE tunnel
                ''',
                'checkpoint_te_tunnel',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'checkpoint-te-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances.Instance' : {
        'meta_info' : _MetaInfoClass('Isis.Instances.Instance',
            False, 
            [
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 40)], [], 
                '''                Instance identifier
                ''',
                'instance_name',
                'Cisco-IOS-XR-clns-isis-oper', True),
            _MetaInfoClassMember('checkpoint-adjacencies', REFERENCE_CLASS, 'CheckpointAdjacencies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.CheckpointAdjacencies', 
                [], [], 
                '''                Checkpointed adjacency table
                ''',
                'checkpoint_adjacencies',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-interfaces', REFERENCE_CLASS, 'CheckpointInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.CheckpointInterfaces', 
                [], [], 
                '''                Checkpointed interface table
                ''',
                'checkpoint_interfaces',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-lsps', REFERENCE_CLASS, 'CheckpointLsps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.CheckpointLsps', 
                [], [], 
                '''                Checkpointed LSP table
                ''',
                'checkpoint_lsps',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('checkpoint-te-tunnels', REFERENCE_CLASS, 'CheckpointTeTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.CheckpointTeTunnels', 
                [], [], 
                '''                Checkpointed TE tunnel table
                ''',
                'checkpoint_te_tunnels',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('error-log', REFERENCE_CLASS, 'ErrorLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.ErrorLog', 
                [], [], 
                '''                Log of errors and warnings
                ''',
                'error_log',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('host-names', REFERENCE_CLASS, 'HostNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.HostNames', 
                [], [], 
                '''                Hostname table
                ''',
                'host_names',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interface-statistics', REFERENCE_CLASS, 'InterfaceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.InterfaceStatistics', 
                [], [], 
                '''                Interface statistics table
                ''',
                'interface_statistics',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Interfaces', 
                [], [], 
                '''                Interface table
                ''',
                'interfaces',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('levels', REFERENCE_CLASS, 'Levels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Levels', 
                [], [], 
                '''                Level table
                ''',
                'levels',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('mesh-groups', REFERENCE_CLASS, 'MeshGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.MeshGroups', 
                [], [], 
                '''                Mesh-group information
                ''',
                'mesh_groups',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbor-summaries', REFERENCE_CLASS, 'NeighborSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NeighborSummaries', 
                [], [], 
                '''                Neighbor-summary table
                ''',
                'neighbor_summaries',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Neighbors', 
                [], [], 
                '''                Neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-statistics', REFERENCE_CLASS, 'NsrStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatistics', 
                [], [], 
                '''                NSR Statistics information
                ''',
                'nsr_statistics',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('nsr-status', REFERENCE_CLASS, 'NsrStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.NsrStatus', 
                [], [], 
                '''                NSR Status information
                ''',
                'nsr_status',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Protocol', 
                [], [], 
                '''                Basic protocol information about an IS-IS
                instance
                ''',
                'protocol',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('srms', REFERENCE_CLASS, 'Srms' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Srms', 
                [], [], 
                '''                Segment Routing Mapping Server operational
                data
                ''',
                'srms',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('statistics-global', REFERENCE_CLASS, 'StatisticsGlobal' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.StatisticsGlobal', 
                [], [], 
                '''                Per-instance statistics
                ''',
                'statistics_global',
                'Cisco-IOS-XR-clns-isis-oper', False),
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance.Topologies', 
                [], [], 
                '''                Topology table
                ''',
                'topologies',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'instance',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis.Instances' : {
        'meta_info' : _MetaInfoClass('Isis.Instances',
            False, 
            [
            _MetaInfoClassMember('instance', REFERENCE_LIST, 'Instance' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances.Instance', 
                [], [], 
                '''                IS-IS instance
                ''',
                'instance',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'instances',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
    'Isis' : {
        'meta_info' : _MetaInfoClass('Isis',
            False, 
            [
            _MetaInfoClassMember('instances', REFERENCE_CLASS, 'Instances' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper', 'Isis.Instances', 
                [], [], 
                '''                Per-instance operational data
                ''',
                'instances',
                'Cisco-IOS-XR-clns-isis-oper', False),
            ],
            'Cisco-IOS-XR-clns-isis-oper',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XR-clns-isis-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_clns_isis_oper'
        ),
    },
}
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackupTe']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackupTe']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.AdjacencySid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4.NonFrrAdjacencySid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackupTe']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackupTe']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.AdjacencySid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6.NonFrrAdjacencySid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv4']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData.Ipv6']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.TopologiesSupported']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor.NeighborPerAddressFamilyData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors.Neighbor']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Neighbors']['meta_info']
_meta_table['Isis.Instances.Instance.HostNames.HostName']['meta_info'].parent =_meta_table['Isis.Instances.Instance.HostNames']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgHelloProcessTime']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgCsnpProcessTime']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgPsnpProcessTime']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgLspProcessTime']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgHelloTransmitTime']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgCsnpTransmitTime']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgPsnpTransmitTime']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics.AvgLspTransmitTime']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData.Id']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData.Statistics']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.PerAreaData.Statistics']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.PerAreaData']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.PerAreaData.PerTopologyData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal.PerAreaData']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.Statistics']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal.PerAreaData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.StatisticsGlobal']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.GenericData.Timestamp']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.GenericData']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.AdjacencyPerTopologyChange.Id']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.AdjacencyPerTopologyChange']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.GenericData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry.AdjacencyPerTopologyChange']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog.LogEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters.RouteLspCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters.PseudoNodeLspCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.Id']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.OverloadedLspCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter.AttachedLspCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.NodeCounters']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats.PerTopologyCounter']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters.RouteLspCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters.PseudoNodeLspCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats.NodeCounters']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.Fragment0LspStats']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary.AllFragmentLspStats']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyTopology.Id']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyTopology']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid.AdjacencySidBackupTe']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid.AdjacencySidBackupTe']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.AdjacencySid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4.NonFrrAdjacencySid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid.AdjacencySidBackupTe']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid.AdjacencySidBackupTe']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.AdjacencySid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6.NonFrrAdjacencySid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv4']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData.Ipv6']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyTopology']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency.AdjacencyPerAddressFamilyData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies.Adjacency']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.DetailedLsps.DetailedLsp.LspHeaderData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.DetailedLsps.DetailedLsp']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.DetailedLsps.DetailedLsp']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.DetailedLsps']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Lsps.Lsp.LspHeaderData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Lsps.Lsp']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Lsps.Lsp']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.Lsps']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspLog.LogEntry.GenericData.Timestamp']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspLog.LogEntry.GenericData']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspLog.LogEntry.GenericData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspLog.LogEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.LspLog']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.GenericData.Timestamp']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.GenericData']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.GenericData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.NewLspEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry.OldLspEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog.LogEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.AdjacencyLog']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspTableSummary']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Adjacencies']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.DetailedLsps']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.Lsps']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.LspLog']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level.DatabaseLog']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels.Level']['meta_info']
_meta_table['Isis.Instances.Instance.Levels.Level']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Levels']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.AllPathsProtected']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.SomePathsProtected']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes.Unprotected']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.AllPathsProtected']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.SomePathsProtected']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes.Unprotected']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level1Prefixes']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.Level2Prefixes']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary.UnreachablePrefixes']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.TeAdv.TeSubTlv']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.TeAdv']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.Tepceadv']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements.TeAdv']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry.GenericData.Timestamp']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry.GenericData']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry.GenericData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog.LogEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.GenericData.Timestamp']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.GenericData']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix.Ipv4']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix.Ipv6']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers.TriggerPrefix']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics.Duration']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics.NodeCounts']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Critical']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.High']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Medium']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate.Low']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Critical']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.High']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Medium']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild.Low']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Critical']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.High']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Medium']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend.Low']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.LocalRibUpdate']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibBuild']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown.GlobalRibSend']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.NodeCounts.PerPriorityTouched']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.NodeCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Unreachable']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Reachable']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Added']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Deleted']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Modified']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts.Touched']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Unreachable']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Reachable']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Added']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Deleted']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Modified']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts.Touched']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.Duration']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.DurationBreakdown']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.NodeCounts']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.ItemCounts']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RouteCounts']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics.RibBatchCounts']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.GenericData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.Triggers']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.SptCalculationStatistics']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry.RouteUpdateStatistics']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog.LogEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeTunnels.TeTunnel']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeTunnels']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Parent_']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails.Children']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.ReachabilityStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology.AdvertisedPrefixItemCounts']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies.Ipv4LinkTopology']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary.RouterNodeCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary.PseudonodeNodeCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Parent_']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails.Children']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus.ReachableDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.ReachabilityStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology.AdvertisedPrefixItemCounts']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies.Ipv6LinkTopology']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdvertisements']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeAdjacencyLog']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.SpfLog']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TeTunnels']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv4LinkTopologies']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.TopologySummary']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel.Ipv6LinkTopologies']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels.TopologyLevel']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.ConnectedStatus.ConnectedDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.ConnectedStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus.RedistributionDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Source.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Source']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastSource']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.UcmpNextHop']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.Source']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary.MulticastSource']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Source.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Source']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastSource']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.UcmpNextHop']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.Source']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup.MulticastSource']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Primary']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails.Backup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus.NativeDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.SummarizationStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.SummarizationStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.ConnectedStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.RedistributedStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.NativeStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route.PerLevelAdvertisingDetail']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes.Ipv6Route']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.ConnectedStatus.ConnectedDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.ConnectedStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus.RedistributionDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Source.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Source']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.Source']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Source.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Source']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.Source']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus.NativeDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.ConnectedStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.RedistributedStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.NativeStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup.PerLevelAdvertisingDetail']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups.Ipv6FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.ConnectedStatus.ConnectedDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.ConnectedStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus.RedistributionDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Source.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Source']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.UcmpNextHop']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.Source']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary.MulticastSource']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Source.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Source']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.UcmpNextHop']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.Source']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup.MulticastSource']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Primary']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails.Backup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus.NativeDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.SummarizationStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.ConnectedStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.RedistributedStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.NativeStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup.PerLevelAdvertisingDetail']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups.Ipv4FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.ConnectedStatus.ConnectedDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.ConnectedStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail.Owner']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails.IsisShRouteRedistDetail']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus.RedistributionDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Source.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Source']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastSource.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastSource']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.UcmpNextHop']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.SrtePath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.ExplicitPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.Source']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary.MulticastSource']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup.BackupRepair']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.FrrBackup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath.UloopExplicit']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Source.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Source']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastSource.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastSource']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Paths']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.UcmpNextHop']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.SrtePath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.ExplicitPath']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.Source']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup.MulticastSource']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Primary']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails.Backup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus.NativeDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.SummarizationStatus.SummaryPrefix']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.SummarizationStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.SummarizationStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail.NodalSid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.ConnectedStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.RedistributedStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.NativeStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route.PerLevelAdvertisingDetail']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes.Ipv4Route']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.FrrSummary']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.TopologyLevels']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6Routes']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv6FrrBackups']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4FrrBackups']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology.Ipv4Routes']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies.Topology']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies.Topology']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Topologies']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer.FullSyncAchieved']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer.ManSyncCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer.NsrChgCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer.UptimeValid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer.Uptime']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnCbTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.PubTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.PubCbTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RegTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RegCbTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.UnregTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.UnregCbTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.DisconnCbTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.NotifyCbTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.DelCbTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.RemoveSrvTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.ConnStatusTs']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds.NotifyPeer']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Gen']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Pm']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ds']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Te']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.Ncd']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra.NiiIdb']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrPeer']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus.IsisNsrInfra']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdjacencyFormStatus.Disabled']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdjacencyFormStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdvPrefixStatus.Disabled']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdvPrefixStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.ClnsStatus.ClnsDownInfo']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.ClnsStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MtuInfo.Invalid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MtuInfo']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState.Unknown']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState.Known']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData.MulticastStatus.Invalid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData.MulticastStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData.MulticastStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData.PerAreaData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData.MulticastStatus.Invalid']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData.MulticastStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData.MulticastStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData.P2POverLanData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsLanData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState.ClnsP2PData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.ClnsStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MtuInfo']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.SnpaState']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData.MediaSpecificState']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAreaData.LanData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAreaData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdjacencyFormStatus.Disabled']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdjacencyFormStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdvPrefixStatus.Disabled']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdvPrefixStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdjacencyFormStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_.AdvPrefixStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Disabled']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status.Enabled_']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.TopologyId']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData.Status']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ProtocolStatus.Disabled']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ProtocolStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.ForwardingAddressData.ForwardingAddress']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.ForwardingAddressData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.Unknown']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus.ForwardingAddressData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix.Ipv4']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix.Ipv6']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData.Prefix']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.Unknown']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus.PrefixData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ProtocolStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.ForwardingAddressStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData.PrefixStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.Disabled']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus.AfData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData.AfStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdjacencyFormStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.AdvPrefixStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.P2PData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.BfdData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.ClnsData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAreaData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerTopologyData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled.PerAddressFamilyData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Disabled']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData.Enabled']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.ConfiguredStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface.InterfaceStatusAndData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces.Interface']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces.Interface']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Interfaces']['meta_info']
_meta_table['Isis.Instances.Instance.CheckpointAdjacencies.CheckpointAdjacency.CheckpointAdjacencyPerAddressFamilyNextHop']['meta_info'].parent =_meta_table['Isis.Instances.Instance.CheckpointAdjacencies.CheckpointAdjacency']['meta_info']
_meta_table['Isis.Instances.Instance.CheckpointAdjacencies.CheckpointAdjacency']['meta_info'].parent =_meta_table['Isis.Instances.Instance.CheckpointAdjacencies']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi.Addr']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi.Addr']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Active']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4.PolicyIpv4Backup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup.PolicyMi.Addr']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup.PolicyMi']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup.PolicyMi']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active.PolicyMi.Addr']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active.PolicyMi']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active.PolicyMi']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Backup']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6.PolicyIpv6Active']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv4']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy.PolicyIpv6']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms.Policy']['meta_info']
_meta_table['Isis.Instances.Instance.Srms.Policy']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Srms']['meta_info']
_meta_table['Isis.Instances.Instance.ErrorLog.LogEntry.GenericData.Timestamp']['meta_info'].parent =_meta_table['Isis.Instances.Instance.ErrorLog.LogEntry.GenericData']['meta_info']
_meta_table['Isis.Instances.Instance.ErrorLog.LogEntry.GenericData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.ErrorLog.LogEntry']['meta_info']
_meta_table['Isis.Instances.Instance.ErrorLog.LogEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.ErrorLog']['meta_info']
_meta_table['Isis.Instances.Instance.CheckpointInterfaces.CheckpointInterface']['meta_info'].parent =_meta_table['Isis.Instances.Instance.CheckpointInterfaces']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.P2PStatistics.IihCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.P2PStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.LspCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.CsnpCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics.PsnpCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.LanData.IihCount']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.LanData']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.Statistics']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData.LanData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.P2PStatistics']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic.PerAreaData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics.InterfaceStatistic']['meta_info'].parent =_meta_table['Isis.Instances.Instance.InterfaceStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList.IsisShRedistEntry.ProtocolDetails']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList.IsisShRedistEntry']['meta_info']
_meta_table['Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList.IsisShRedistEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList']['meta_info']
_meta_table['Isis.Instances.Instance.Protocol.PerTopoData.Id']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Protocol.PerTopoData']['meta_info']
_meta_table['Isis.Instances.Instance.Protocol.PerTopoData.RedistProtocolsList']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Protocol.PerTopoData']['meta_info']
_meta_table['Isis.Instances.Instance.Protocol.PerTopoData.PerAreaData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Protocol.PerTopoData']['meta_info']
_meta_table['Isis.Instances.Instance.Protocol.PerTopoData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.Protocol']['meta_info']
_meta_table['Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level1Neighbors']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NeighborSummaries.NeighborSummary']['meta_info']
_meta_table['Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level2Neighbors']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NeighborSummaries.NeighborSummary']['meta_info']
_meta_table['Isis.Instances.Instance.NeighborSummaries.NeighborSummary.Level12Neigbors']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NeighborSummaries.NeighborSummary']['meta_info']
_meta_table['Isis.Instances.Instance.NeighborSummaries.NeighborSummary']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NeighborSummaries']['meta_info']
_meta_table['Isis.Instances.Instance.CheckpointLsps.CheckpointLsp']['meta_info'].parent =_meta_table['Isis.Instances.Instance.CheckpointLsps']['meta_info']
_meta_table['Isis.Instances.Instance.MeshGroups.MeshGroupConfiguredInterfaceList.IsisShMeshEntry']['meta_info'].parent =_meta_table['Isis.Instances.Instance.MeshGroups.MeshGroupConfiguredInterfaceList']['meta_info']
_meta_table['Isis.Instances.Instance.MeshGroups.MeshGroupConfiguredInterfaceList']['meta_info'].parent =_meta_table['Isis.Instances.Instance.MeshGroups']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData.Self']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData.Peer']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatistics.IsisNsrStatsData']['meta_info'].parent =_meta_table['Isis.Instances.Instance.NsrStatistics']['meta_info']
_meta_table['Isis.Instances.Instance.CheckpointTeTunnels.CheckpointTeTunnel']['meta_info'].parent =_meta_table['Isis.Instances.Instance.CheckpointTeTunnels']['meta_info']
_meta_table['Isis.Instances.Instance.Neighbors']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.HostNames']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.StatisticsGlobal']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.Levels']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.Topologies']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatus']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.Interfaces']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.CheckpointAdjacencies']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.Srms']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.ErrorLog']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.CheckpointInterfaces']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.InterfaceStatistics']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.Protocol']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.NeighborSummaries']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.CheckpointLsps']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.MeshGroups']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.NsrStatistics']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance.CheckpointTeTunnels']['meta_info'].parent =_meta_table['Isis.Instances.Instance']['meta_info']
_meta_table['Isis.Instances.Instance']['meta_info'].parent =_meta_table['Isis.Instances']['meta_info']
_meta_table['Isis.Instances']['meta_info'].parent =_meta_table['Isis']['meta_info']
