


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'CardResetReasonEnum' : _MetaInfoEnum('CardResetReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper',
        {
            'reset-unknown':'reset_unknown',
            'power-up':'power_up',
            'parity-error':'parity_error',
            'clear-config-reset':'clear_config_reset',
            'manual-reset':'manual_reset',
            'watch-dog-timeout-reset':'watch_dog_timeout_reset',
            'resource-overflow-reset':'resource_overflow_reset',
            'missing-task-reset':'missing_task_reset',
            'low-voltage-reset':'low_voltage_reset',
            'controller-reset':'controller_reset',
            'system-reset':'system_reset',
            'switchover-reset':'switchover_reset',
            'upgrade-reset':'upgrade_reset',
            'downgrade-reset':'downgrade_reset',
            'cache-error-reset':'cache_error_reset',
            'device-driver-reset':'device_driver_reset',
            'software-exception-reset':'software_exception_reset',
            'restore-config-reset':'restore_config_reset',
            'abort-rev-reset':'abort_rev_reset',
            'burn-boot-reset':'burn_boot_reset',
            'standby-cd-healthier-reset':'standby_cd_healthier_reset',
            'non-native-config-clear-reset':'non_native_config_clear_reset',
            'memory-protection-error-reset':'memory_protection_error_reset',
            'card-reset-reason-max':'card_reset_reason_max',
        }, 'Cisco-IOS-XR-invmgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper']),
    'ThresholdSeverityEnum' : _MetaInfoEnum('ThresholdSeverityEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper',
        {
            'other':'other',
            'minor':'minor',
            'major':'major',
            'critical':'critical',
        }, 'Cisco-IOS-XR-invmgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper']),
    'SensorDataEnum' : _MetaInfoEnum('SensorDataEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper',
        {
            'unknown':'unknown',
            'ac-volts':'ac_volts',
            'dc-volts':'dc_volts',
            'amperes':'amperes',
            'watts':'watts',
            'hertz':'hertz',
            'celsius':'celsius',
            'rpm':'rpm',
            'dbm':'dbm',
            'db':'db',
        }, 'Cisco-IOS-XR-invmgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper']),
    'SensorStatusEnum' : _MetaInfoEnum('SensorStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper',
        {
            'ok':'ok',
            'unavailable':'unavailable',
            'non-operational':'non_operational',
        }, 'Cisco-IOS-XR-invmgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper']),
    'ThresholdRelationEnum' : _MetaInfoEnum('ThresholdRelationEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper',
        {
            'less-than':'less_than',
            'less-or-equal':'less_or_equal',
            'greater-than':'greater_than',
            'greater-or-equal':'greater_or_equal',
            'equal':'equal',
            'not-equal':'not_equal',
        }, 'Cisco-IOS-XR-invmgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper']),
    'UnitEnum' : _MetaInfoEnum('UnitEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper',
        {
            'celsius':'celsius',
            'milli-volts':'milli_volts',
            'milli-amperes':'milli_amperes',
            'rpm':'rpm',
            'watts':'watts',
            'dbm':'dbm',
            'db':'db',
        }, 'Cisco-IOS-XR-invmgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper']),
    'Inventory.Entities.Entity.Subentities.Subentity' : {
        'meta_info' : _MetaInfoClass('Inventory.Entities.Entity.Subentities.Subentity',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Subentity name
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Subentity name
                ''',
                'name_xr',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'subentity',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Entities.Entity.Subentities' : {
        'meta_info' : _MetaInfoClass('Inventory.Entities.Entity.Subentities',
            False, 
            [
            _MetaInfoClassMember('subentity', REFERENCE_LIST, 'Subentity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Entities.Entity.Subentities.Subentity', 
                [], [], 
                '''                Subentity name
                ''',
                'subentity',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'subentities',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Entities.Entity.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Entities.Entity.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Entities.Entity.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Entities.Entity.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Entities.Entity.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Entities.Entity.Attributes',
            False, 
            [
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Entities.Entity.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Entities.Entity.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Entities.Entity' : {
        'meta_info' : _MetaInfoClass('Inventory.Entities.Entity',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Entity name
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Entities.Entity.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('subentities', REFERENCE_CLASS, 'Subentities' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Entities.Entity.Subentities', 
                [], [], 
                '''                SubEntities Table
                ''',
                'subentities',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'entity',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Entities' : {
        'meta_info' : _MetaInfoClass('Inventory.Entities',
            False, 
            [
            _MetaInfoClassMember('entity', REFERENCE_LIST, 'Entity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Entities.Entity', 
                [], [], 
                '''                Entity name
                ''',
                'entity',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'entities',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI11
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi11',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S',
            False, 
            [
            _MetaInfoClassMember('tsi11', REFERENCE_LIST, 'Tsi11' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11', 
                [], [], 
                '''                TSI11
                ''',
                'tsi11',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi11s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI10
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi11s', REFERENCE_CLASS, 'Tsi11S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S', 
                [], [], 
                '''                Entity Level 11
                ''',
                'tsi11s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi10',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S',
            False, 
            [
            _MetaInfoClassMember('tsi10', REFERENCE_LIST, 'Tsi10' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10', 
                [], [], 
                '''                TSI10
                ''',
                'tsi10',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi10s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI9
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi10s', REFERENCE_CLASS, 'Tsi10S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S', 
                [], [], 
                '''                Entity Level 10
                ''',
                'tsi10s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi9',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S',
            False, 
            [
            _MetaInfoClassMember('tsi9', REFERENCE_LIST, 'Tsi9' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9', 
                [], [], 
                '''                TSI9
                ''',
                'tsi9',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi9s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI8
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi9s', REFERENCE_CLASS, 'Tsi9S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S', 
                [], [], 
                '''                Entity Level 9
                ''',
                'tsi9s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi8',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S',
            False, 
            [
            _MetaInfoClassMember('tsi8', REFERENCE_LIST, 'Tsi8' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8', 
                [], [], 
                '''                TSI8
                ''',
                'tsi8',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi8s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI7
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi8s', REFERENCE_CLASS, 'Tsi8S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S', 
                [], [], 
                '''                Entity Level 8
                ''',
                'tsi8s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi7',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S',
            False, 
            [
            _MetaInfoClassMember('tsi7', REFERENCE_LIST, 'Tsi7' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7', 
                [], [], 
                '''                TSI7
                ''',
                'tsi7',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi7s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI6
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi7s', REFERENCE_CLASS, 'Tsi7S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S', 
                [], [], 
                '''                Entity Level 7
                ''',
                'tsi7s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi6',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S',
            False, 
            [
            _MetaInfoClassMember('tsi6', REFERENCE_LIST, 'Tsi6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6', 
                [], [], 
                '''                TSI6
                ''',
                'tsi6',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi6s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI5
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi6s', REFERENCE_CLASS, 'Tsi6S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S', 
                [], [], 
                '''                Entity Level 6
                ''',
                'tsi6s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi5',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S',
            False, 
            [
            _MetaInfoClassMember('tsi5', REFERENCE_LIST, 'Tsi5' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5', 
                [], [], 
                '''                TSI5
                ''',
                'tsi5',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi5s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI4
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi5s', REFERENCE_CLASS, 'Tsi5S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S', 
                [], [], 
                '''                Entity Level 5
                ''',
                'tsi5s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi4',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S',
            False, 
            [
            _MetaInfoClassMember('tsi4', REFERENCE_LIST, 'Tsi4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4', 
                [], [], 
                '''                TSI4
                ''',
                'tsi4',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi4s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI3
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi4s', REFERENCE_CLASS, 'Tsi4S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S', 
                [], [], 
                '''                Entity Level 4
                ''',
                'tsi4s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi3',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S',
            False, 
            [
            _MetaInfoClassMember('tsi3', REFERENCE_LIST, 'Tsi3' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3', 
                [], [], 
                '''                TSI3
                ''',
                'tsi3',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi3s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI2
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi3s', REFERENCE_CLASS, 'Tsi3S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S', 
                [], [], 
                '''                Entity Level 3
                ''',
                'tsi3s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi2',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S',
            False, 
            [
            _MetaInfoClassMember('tsi2', REFERENCE_LIST, 'Tsi2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2', 
                [], [], 
                '''                TSI2
                ''',
                'tsi2',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi2s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI1
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi2s', REFERENCE_CLASS, 'Tsi2S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S', 
                [], [], 
                '''                Entity Level 2
                ''',
                'tsi2s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi1',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Tsi1S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Tsi1S',
            False, 
            [
            _MetaInfoClassMember('tsi1', REFERENCE_LIST, 'Tsi1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1', 
                [], [], 
                '''                TSI1
                ''',
                'tsi1',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi1s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity.Slot' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity.Slot',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Slot name
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi1s', REFERENCE_CLASS, 'Tsi1S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot.Tsi1S', 
                [], [], 
                '''                Entity Level 1
                ''',
                'tsi1s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'slot',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Entity' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Entity',
            False, 
            [
            _MetaInfoClassMember('slot', REFERENCE_LIST, 'Slot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity.Slot', 
                [], [], 
                '''                Slot number
                ''',
                'slot',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'entity',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI11
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi11',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S',
            False, 
            [
            _MetaInfoClassMember('tsi11', REFERENCE_LIST, 'Tsi11' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11', 
                [], [], 
                '''                TSI11
                ''',
                'tsi11',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi11s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI10
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi11s', REFERENCE_CLASS, 'Tsi11S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S', 
                [], [], 
                '''                Entity Level 11
                ''',
                'tsi11s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi10',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S',
            False, 
            [
            _MetaInfoClassMember('tsi10', REFERENCE_LIST, 'Tsi10' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10', 
                [], [], 
                '''                TSI10
                ''',
                'tsi10',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi10s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI9
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi10s', REFERENCE_CLASS, 'Tsi10S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S', 
                [], [], 
                '''                Entity Level 10
                ''',
                'tsi10s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi9',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S',
            False, 
            [
            _MetaInfoClassMember('tsi9', REFERENCE_LIST, 'Tsi9' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9', 
                [], [], 
                '''                TSI9
                ''',
                'tsi9',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi9s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI8
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi9s', REFERENCE_CLASS, 'Tsi9S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S', 
                [], [], 
                '''                Entity Level 9
                ''',
                'tsi9s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi8',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S',
            False, 
            [
            _MetaInfoClassMember('tsi8', REFERENCE_LIST, 'Tsi8' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8', 
                [], [], 
                '''                TSI8
                ''',
                'tsi8',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi8s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI7
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi8s', REFERENCE_CLASS, 'Tsi8S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S', 
                [], [], 
                '''                Entity Level 8
                ''',
                'tsi8s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi7',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S',
            False, 
            [
            _MetaInfoClassMember('tsi7', REFERENCE_LIST, 'Tsi7' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7', 
                [], [], 
                '''                TSI7
                ''',
                'tsi7',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi7s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI6
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi7s', REFERENCE_CLASS, 'Tsi7S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S', 
                [], [], 
                '''                Entity Level 7
                ''',
                'tsi7s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi6',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S',
            False, 
            [
            _MetaInfoClassMember('tsi6', REFERENCE_LIST, 'Tsi6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6', 
                [], [], 
                '''                TSI6
                ''',
                'tsi6',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi6s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI5
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi6s', REFERENCE_CLASS, 'Tsi6S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S', 
                [], [], 
                '''                Entity Level 6
                ''',
                'tsi6s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi5',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S',
            False, 
            [
            _MetaInfoClassMember('tsi5', REFERENCE_LIST, 'Tsi5' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5', 
                [], [], 
                '''                TSI5
                ''',
                'tsi5',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi5s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI4
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi5s', REFERENCE_CLASS, 'Tsi5S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S', 
                [], [], 
                '''                Entity Level 5
                ''',
                'tsi5s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi4',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S',
            False, 
            [
            _MetaInfoClassMember('tsi4', REFERENCE_LIST, 'Tsi4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4', 
                [], [], 
                '''                TSI4
                ''',
                'tsi4',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi4s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI3
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi4s', REFERENCE_CLASS, 'Tsi4S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S', 
                [], [], 
                '''                Entity Level 4
                ''',
                'tsi4s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi3',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S',
            False, 
            [
            _MetaInfoClassMember('tsi3', REFERENCE_LIST, 'Tsi3' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3', 
                [], [], 
                '''                TSI3
                ''',
                'tsi3',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi3s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI2
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi3s', REFERENCE_CLASS, 'Tsi3S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S', 
                [], [], 
                '''                Entity Level 3
                ''',
                'tsi3s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi2',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S',
            False, 
            [
            _MetaInfoClassMember('tsi2', REFERENCE_LIST, 'Tsi2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2', 
                [], [], 
                '''                TSI2
                ''',
                'tsi2',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi2s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI1
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi2s', REFERENCE_CLASS, 'Tsi2S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S', 
                [], [], 
                '''                Entity Level 2
                ''',
                'tsi2s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi1',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Tsi1S',
            False, 
            [
            _MetaInfoClassMember('tsi1', REFERENCE_LIST, 'Tsi1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1', 
                [], [], 
                '''                TSI1
                ''',
                'tsi1',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi1s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf.Slot' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf.Slot',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Slot name
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi1s', REFERENCE_CLASS, 'Tsi1S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot.Tsi1S', 
                [], [], 
                '''                Entity Level 1
                ''',
                'tsi1s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'slot',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Powershelf' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Powershelf',
            False, 
            [
            _MetaInfoClassMember('slot', REFERENCE_LIST, 'Slot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf.Slot', 
                [], [], 
                '''                Slot number
                ''',
                'slot',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'powershelf',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI11
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi11',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S',
            False, 
            [
            _MetaInfoClassMember('tsi11', REFERENCE_LIST, 'Tsi11' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11', 
                [], [], 
                '''                TSI11
                ''',
                'tsi11',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi11s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI10
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi11s', REFERENCE_CLASS, 'Tsi11S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S', 
                [], [], 
                '''                Entity Level 11
                ''',
                'tsi11s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi10',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S',
            False, 
            [
            _MetaInfoClassMember('tsi10', REFERENCE_LIST, 'Tsi10' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10', 
                [], [], 
                '''                TSI10
                ''',
                'tsi10',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi10s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI9
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi10s', REFERENCE_CLASS, 'Tsi10S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S', 
                [], [], 
                '''                Entity Level 10
                ''',
                'tsi10s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi9',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S',
            False, 
            [
            _MetaInfoClassMember('tsi9', REFERENCE_LIST, 'Tsi9' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9', 
                [], [], 
                '''                TSI9
                ''',
                'tsi9',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi9s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI8
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi9s', REFERENCE_CLASS, 'Tsi9S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S', 
                [], [], 
                '''                Entity Level 9
                ''',
                'tsi9s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi8',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S',
            False, 
            [
            _MetaInfoClassMember('tsi8', REFERENCE_LIST, 'Tsi8' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8', 
                [], [], 
                '''                TSI8
                ''',
                'tsi8',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi8s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI7
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi8s', REFERENCE_CLASS, 'Tsi8S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S', 
                [], [], 
                '''                Entity Level 8
                ''',
                'tsi8s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi7',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S',
            False, 
            [
            _MetaInfoClassMember('tsi7', REFERENCE_LIST, 'Tsi7' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7', 
                [], [], 
                '''                TSI7
                ''',
                'tsi7',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi7s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI6
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi7s', REFERENCE_CLASS, 'Tsi7S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S', 
                [], [], 
                '''                Entity Level 7
                ''',
                'tsi7s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi6',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S',
            False, 
            [
            _MetaInfoClassMember('tsi6', REFERENCE_LIST, 'Tsi6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6', 
                [], [], 
                '''                TSI6
                ''',
                'tsi6',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi6s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI5
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi6s', REFERENCE_CLASS, 'Tsi6S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S', 
                [], [], 
                '''                Entity Level 6
                ''',
                'tsi6s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi5',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S',
            False, 
            [
            _MetaInfoClassMember('tsi5', REFERENCE_LIST, 'Tsi5' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5', 
                [], [], 
                '''                TSI5
                ''',
                'tsi5',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi5s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI4
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi5s', REFERENCE_CLASS, 'Tsi5S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S', 
                [], [], 
                '''                Entity Level 5
                ''',
                'tsi5s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi4',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S',
            False, 
            [
            _MetaInfoClassMember('tsi4', REFERENCE_LIST, 'Tsi4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4', 
                [], [], 
                '''                TSI4
                ''',
                'tsi4',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi4s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI3
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi4s', REFERENCE_CLASS, 'Tsi4S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S', 
                [], [], 
                '''                Entity Level 4
                ''',
                'tsi4s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi3',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S',
            False, 
            [
            _MetaInfoClassMember('tsi3', REFERENCE_LIST, 'Tsi3' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3', 
                [], [], 
                '''                TSI3
                ''',
                'tsi3',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi3s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI2
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi3s', REFERENCE_CLASS, 'Tsi3S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S', 
                [], [], 
                '''                Entity Level 3
                ''',
                'tsi3s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi2',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S',
            False, 
            [
            _MetaInfoClassMember('tsi2', REFERENCE_LIST, 'Tsi2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2', 
                [], [], 
                '''                TSI2
                ''',
                'tsi2',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi2s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                TSI1
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi2s', REFERENCE_CLASS, 'Tsi2S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S', 
                [], [], 
                '''                Entity Level 2
                ''',
                'tsi2s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi1',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Tsi1S' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Tsi1S',
            False, 
            [
            _MetaInfoClassMember('tsi1', REFERENCE_LIST, 'Tsi1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1', 
                [], [], 
                '''                TSI1
                ''',
                'tsi1',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'tsi1s',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray.Slot' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray.Slot',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Slot name
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('tsi1s', REFERENCE_CLASS, 'Tsi1S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot.Tsi1S', 
                [], [], 
                '''                Entity Level 1
                ''',
                'tsi1s',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'slot',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Fantray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Fantray',
            False, 
            [
            _MetaInfoClassMember('slot', REFERENCE_LIST, 'Slot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray.Slot', 
                [], [], 
                '''                Slot number
                ''',
                'slot',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fantray',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.EnvSensorInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.EnvSensorInfo',
            False, 
            [
            _MetaInfoClassMember('age-time-stamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of the sensor value; set to the current time
                if directly access the value from sensor
                ''',
                'age_time_stamp',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('alarm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates threshold violation
                ''',
                'alarm_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('data-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor data type enums
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'device_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('device-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Identifier for this device
                ''',
                'device_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('field-validity-bitmap', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor valid bitmap
                ''',
                'field_validity_bitmap',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('precision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor precision range
                ''',
                'precision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('scale', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor scale enums
                ''',
                'scale',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor operation state enums
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate;set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current reading of sensor
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.PwgInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.PwgInfo',
            False, 
            [
            _MetaInfoClassMember('power-group-available-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                available current
                ''',
                'power_group_available_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-drawn-current', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                drawn current
                ''',
                'power_group_drawn_current',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-power-units', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                power units
                ''',
                'power_group_power_units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-group-redundancy-mode', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                redundancy mode
                ''',
                'power_group_redundancy_mode',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'pwg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray',
            False, 
            [
            _MetaInfoClassMember('threshold-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Threshold name
                ''',
                'threshold_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', REFERENCE_ENUM_CLASS, 'ThresholdRelationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdRelationEnum', 
                [], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', REFERENCE_ENUM_CLASS, 'ThresholdSeverityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'ThresholdSeverityEnum', 
                [], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold-array',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.EnvSensorInfoXml.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.EnvSensorInfoXml.Threshold',
            False, 
            [
            _MetaInfoClassMember('threshold-array', REFERENCE_LIST, 'ThresholdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray', 
                [], [], 
                '''                Array of threshold
                ''',
                'threshold_array',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.EnvSensorInfoXml' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.EnvSensorInfoXml',
            False, 
            [
            _MetaInfoClassMember('data-type', REFERENCE_ENUM_CLASS, 'SensorDataEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorDataEnum', 
                [], [], 
                '''                Sensor data type
                ''',
                'data_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Device Name
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'SensorStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'SensorStatusEnum', 
                [], [], 
                '''                Sensor operation state
                ''',
                'status',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.EnvSensorInfoXml.Threshold', 
                [], [], 
                '''                Threshold information
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('units', REFERENCE_ENUM_CLASS, 'UnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'UnitEnum', 
                [], [], 
                '''                Units of variable being read
                ''',
                'units',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('update-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sensor value update rate; set to 0 if sensor
                value is updated and evaluated immediately
                ''',
                'update_rate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Current reading of sensor Displays in decimal(ex
                1.234) for powersupply sensor type
                ''',
                'value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'env-sensor-info-xml',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.InvAssetBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.InvAssetBag',
            False, 
            [
            _MetaInfoClassMember('manufacturer-assembly-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture Assembly number
                ''',
                'manufacturer_assembly_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-assembly-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacture assembly revision
                ''',
                'manufacturer_assembly_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-common-language-equipment-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment           Identifier
                number
                ''',
                'manufacturer_common_language_equipment_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-firmware-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_firmware_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-software-identifier', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'manufacturer_software_identifier',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('original-equipment-manufacturer-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                String containing OEM information           if
                applicable
                ''',
                'original_equipment_manufacturer_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-asset-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.MajorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.MajorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.MajorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.MajorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.MajorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.CriticalHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.CriticalHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.CriticalHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.CriticalHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.CriticalHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.MinorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.MinorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.MinorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.MinorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.MinorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.MajorHi.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.MajorHi.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.MajorHi' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.MajorHi',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.MajorHi.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'major-hi',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.CriticalLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.CriticalLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.CriticalLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.CriticalLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.CriticalLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'critical-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.MinorLo.ThreshBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.MinorLo.ThreshBag',
            False, 
            [
            _MetaInfoClassMember('threshold-evaluation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates the result of the most recent
                evaluation of the thresholD
                ''',
                'threshold_evaluation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-notification-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not a notification should
                result, in case of threshold violation
                ''',
                'threshold_notification_enabled',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-relation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates relation between sensor value and
                threshold
                ''',
                'threshold_relation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Indicates minor, major, critical severities
                ''',
                'threshold_severity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the configured threshold
                ''',
                'threshold_value',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'thresh-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold.MinorLo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold.MinorLo',
            False, 
            [
            _MetaInfoClassMember('thresh-bag', REFERENCE_CLASS, 'ThreshBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.MinorLo.ThreshBag', 
                [], [], 
                '''                Environment threshold info
                ''',
                'thresh_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'minor-lo',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.Threshold' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.Threshold',
            False, 
            [
            _MetaInfoClassMember('critical-hi', REFERENCE_CLASS, 'CriticalHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.CriticalHi', 
                [], [], 
                '''                Critical High
                ''',
                'critical_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('critical-lo', REFERENCE_CLASS, 'CriticalLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.CriticalLo', 
                [], [], 
                '''                Critical Low
                ''',
                'critical_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-hi', REFERENCE_CLASS, 'MajorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.MajorHi', 
                [], [], 
                '''                Major High
                ''',
                'major_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('major-lo', REFERENCE_CLASS, 'MajorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.MajorLo', 
                [], [], 
                '''                Major Low
                ''',
                'major_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-hi', REFERENCE_CLASS, 'MinorHi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.MinorHi', 
                [], [], 
                '''                Minor High
                ''',
                'minor_hi',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('minor-lo', REFERENCE_CLASS, 'MinorLo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold.MinorLo', 
                [], [], 
                '''                Minor Low
                ''',
                'minor_lo',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.FruInfo.LastOperationalStateChange' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.FruInfo.LastOperationalStateChange',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'last-operational-state-change',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.FruInfo.CardUpTime' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.FruInfo.CardUpTime',
            False, 
            [
            _MetaInfoClassMember('time-in-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'time_in_nano_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('time-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'time_in_seconds',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'card-up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.FruInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.FruInfo',
            False, 
            [
            _MetaInfoClassMember('card-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card admin state: shutdown or not
                ''',
                'card_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-monitor-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card is monitored by a manager or left
                unmonitored
                ''',
                'card_monitor_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                card operation state
                ''',
                'card_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-reset-reason', REFERENCE_ENUM_CLASS, 'CardResetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'CardResetReasonEnum', 
                [], [], 
                '''                card reset reason enum
                ''',
                'card_reset_reason',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('card-up-time', REFERENCE_CLASS, 'CardUpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.FruInfo.CardUpTime', 
                [], [], 
                '''                card up time
                ''',
                'card_up_time',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('last-operational-state-change', REFERENCE_CLASS, 'LastOperationalStateChange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.FruInfo.LastOperationalStateChange', 
                [], [], 
                '''                last card oper change state
                ''',
                'last_operational_state_change',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-administrative-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power admin state: up or down
                ''',
                'power_administrative_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-current-measurement', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                power current: not implemented
                ''',
                'power_current_measurement',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-operational-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Power operation state
                ''',
                'power_operational_state',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'fru-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.InvBasicBag' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.InvBasicBag',
            False, 
            [
            _MetaInfoClassMember('alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                useful for storing an entity alias 
                ''',
                'alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id-str', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                asset Identification string
                ''',
                'asset_id_str',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-identification', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                asset Identification
                ''',
                'asset_identification',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('ceport', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if ce port found, 0 if not
                ''',
                'ceport',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chip-hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                chip module hw revision string
                ''',
                'chip_hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('composite-class-code', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Major&minor class of the entity
                ''',
                'composite_class_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                describes in user-readable terms       what the
                entity in question does
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('environmental-monitor-path', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                sysdb name of sensor in the envmon EDM
                ''',
                'environmental_monitor_path',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('firmware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                firmware revision string
                ''',
                'firmware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('group-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                indicates if this entity is group       or not
                ''',
                'group_flag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hardware-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                hw revision string
                ''',
                'hardware_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('is-field-replaceable-unit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if Field Replaceable Unit 0, if not
                ''',
                'is_field_replaceable_unit',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-asset-tags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Manufacture Asset Tags
                ''',
                'manufacturer_asset_tags',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manufacturer-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                manufacturer's name
                ''',
                'manufacturer_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('memory-size', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Size of memory associated with       the entity
                where applicable
                ''',
                'memory_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('model-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                model name
                ''',
                'model_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                name string for the entity
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('new-deviation-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for New Deviation Number 0x88
                ''',
                'new_deviation_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('physical-layer-interface-module-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for plim type if     applicable to
                this entity
                ''',
                'physical_layer_interface_module_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('redundancystate', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                integer value for Redundancy State if    
                applicable to this entity
                ''',
                'redundancystate',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                serial number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('software-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                software revision string
                ''',
                'software_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unique-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Unique id for an entity
                ''',
                'unique_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('unrecognized-fru', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if UnrecognizedFRU and 0 for recognizedFRU
                ''',
                'unrecognized_fru',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vendor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                maps to the vendor OID string
                ''',
                'vendor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('xr-scoped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1 if xr scoped, 0 if not
                ''',
                'xr_scoped',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-basic-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.InvEepromInfo.Eeprom.Rma' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.InvEepromInfo.Eeprom.Rma',
            False, 
            [
            _MetaInfoClassMember('rma-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA history
                ''',
                'rma_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA tracking number format is N-N-N
                ''',
                'rma_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('test-history', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Test history
                ''',
                'test_history',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rma',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.InvEepromInfo.Eeprom' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.InvEepromInfo.Eeprom',
            False, 
            [
            _MetaInfoClassMember('asset-alias', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset Alias
                ''',
                'asset_alias',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('asset-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Asset ID
                ''',
                'asset_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #1
                ''',
                'base_mac_address1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #2
                ''',
                'base_mac_address2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #3
                ''',
                'base_mac_address3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('base-mac-address4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Base Mac Address #4
                ''',
                'base_mac_address4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-checksum', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Checksum
                ''',
                'block_checksum',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-count', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Count
                ''',
                'block_count',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-length', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Length
                ''',
                'block_length',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-signature', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Signature
                ''',
                'block_signature',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('block-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Block Version
                ''',
                'block_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('chassis-sid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Chassis serial number
                ''',
                'chassis_sid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('clei', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Common Language Equipment Identifier (CLEI) code
                ''',
                'clei',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-family', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller family
                ''',
                'controller_family',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('controller-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Controller type
                ''',
                'controller_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 1
                ''',
                'dev_num1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 2
                ''',
                'dev_num2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 3
                ''',
                'dev_num3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 4
                ''',
                'dev_num4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num5', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 5
                ''',
                'dev_num5',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num6', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 6
                ''',
                'dev_num6',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('dev-num7', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Deviation Number # 7
                ''',
                'dev_num7',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eci', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Equipment Catalog Item (ECI) number
                ''',
                'eci',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom-size', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                EEPROM Size
                ''',
                'eeprom_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('engineer-use', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Engineer Use
                ''',
                'engineer_use',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-major-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Major Type
                ''',
                'fru_major_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-minor-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                FRU Minor Type
                ''',
                'fru_minor_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hw-version', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Version
                ''',
                'hw_version',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('hwid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Hardware Revision
                ''',
                'hwid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('idprom-format-rev', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                IDPROM Format Revision
                ''',
                'idprom_format_rev',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size1', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #1
                ''',
                'mac_add_blk_size1',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size2', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #2
                ''',
                'mac_add_blk_size2',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size3', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #3
                ''',
                'mac_add_blk_size3',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mac-add-blk-size4', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Mac Address Block Size #4
                ''',
                'mac_add_blk_size4',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('manu-test-data', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Manufacturing Test Data
                ''',
                'manu_test_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-bits', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Bits
                ''',
                'mfg_bits',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('mfg-deviation', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                MFG Deviation
                ''',
                'mfg_deviation',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('oem-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                OEM String
                ''',
                'oem_string',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Number
                ''',
                'part_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('part-revision', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Part Revision
                ''',
                'part_revision',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pca-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA number
                ''',
                'pca_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcavid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCA revision ID
                ''',
                'pcavid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pcb-serial-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                PCB Serial Number
                ''',
                'pcb_serial_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'pid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-consumption', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Consumption
                ''',
                'power_consumption',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('power-supply-type', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Power Supply Type
                ''',
                'power_supply_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('product-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Product ID
                ''',
                'product_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma', REFERENCE_CLASS, 'Rma' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.InvEepromInfo.Eeprom.Rma', 
                [], [], 
                '''                RMA Data
                ''',
                'rma',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('rma-code', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                RMA Code
                ''',
                'rma_code',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('serial-number', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Serial Number
                ''',
                'serial_number',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('snmpoid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                SNMP OID
                ''',
                'snmpoid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-part-num', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly part number
                ''',
                'top_assem_part_num',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('top-assem-vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Top assembly revision number
                ''',
                'top_assem_vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI description
                ''',
                'udi_description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('udi-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                UDI name
                ''',
                'udi_name',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vid', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Version ID
                ''',
                'vid',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'eeprom',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes.InvEepromInfo' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes.InvEepromInfo',
            False, 
            [
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                A textual description of physical entity
                ''',
                'description',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('eeprom', REFERENCE_CLASS, 'Eeprom' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.InvEepromInfo.Eeprom', 
                [], [], 
                '''                EEPROM data not from hex data
                ''',
                'eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('has-eeprom', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                use eeprom instead of opaque data
                ''',
                'has_eeprom',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-card-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Inventory card type
                ''',
                'inv_card_type',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                EEPROM hex data
                ''',
                'opaque_data',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('opaque-data-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                size of the EEPROM hex data
                ''',
                'opaque_data_size',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inv-eeprom-info',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack.Attributes' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack.Attributes',
            False, 
            [
            _MetaInfoClassMember('env-sensor-info', REFERENCE_CLASS, 'EnvSensorInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.EnvSensorInfo', 
                [], [], 
                '''                Environment sensor info
                ''',
                'env_sensor_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('env-sensor-info-xml', REFERENCE_CLASS, 'EnvSensorInfoXml' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.EnvSensorInfoXml', 
                [], [], 
                '''                Environment sensor info XML
                ''',
                'env_sensor_info_xml',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fru-info', REFERENCE_CLASS, 'FruInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.FruInfo', 
                [], [], 
                '''                Inventory EDM FRU info
                ''',
                'fru_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-asset-bag', REFERENCE_CLASS, 'InvAssetBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.InvAssetBag', 
                [], [], 
                '''                Inventory Asset Bag
                ''',
                'inv_asset_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-basic-bag', REFERENCE_CLASS, 'InvBasicBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.InvBasicBag', 
                [], [], 
                '''                Inventory Basic Bag
                ''',
                'inv_basic_bag',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('inv-eeprom-info', REFERENCE_CLASS, 'InvEepromInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.InvEepromInfo', 
                [], [], 
                '''                Inventory EDM EEPROM Information Bag
                ''',
                'inv_eeprom_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('module-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inventory EDM Module Done Tuple
                ''',
                'module_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node ID Tuple
                ''',
                'node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('pwg-info', REFERENCE_CLASS, 'PwgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.PwgInfo', 
                [], [], 
                '''                Inventory EDM PWG info
                ''',
                'pwg_info',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('threshold', REFERENCE_CLASS, 'Threshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes.Threshold', 
                [], [], 
                '''                Threshold
                ''',
                'threshold',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-done', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                VM Done Tuple
                ''',
                'vm_done',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('vm-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VM Node ID Tuple
                ''',
                'vm_node_id',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'attributes',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks.Rack' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks.Rack',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Rack name
                ''',
                'name',
                'Cisco-IOS-XR-invmgr-oper', True),
            _MetaInfoClassMember('attributes', REFERENCE_CLASS, 'Attributes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Attributes', 
                [], [], 
                '''                Attributes
                ''',
                'attributes',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('entity', REFERENCE_CLASS, 'Entity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Entity', 
                [], [], 
                '''                Entity information
                ''',
                'entity',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('fantray', REFERENCE_CLASS, 'Fantray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Fantray', 
                [], [], 
                '''                Fantray information
                ''',
                'fantray',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('powershelf', REFERENCE_CLASS, 'Powershelf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack.Powershelf', 
                [], [], 
                '''                Powershelf information
                ''',
                'powershelf',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'rack',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory.Racks' : {
        'meta_info' : _MetaInfoClass('Inventory.Racks',
            False, 
            [
            _MetaInfoClassMember('rack', REFERENCE_LIST, 'Rack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks.Rack', 
                [], [], 
                '''                Rack name
                ''',
                'rack',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'racks',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
    'Inventory' : {
        'meta_info' : _MetaInfoClass('Inventory',
            False, 
            [
            _MetaInfoClassMember('entities', REFERENCE_CLASS, 'Entities' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Entities', 
                [], [], 
                '''                Entities Table
                ''',
                'entities',
                'Cisco-IOS-XR-invmgr-oper', False),
            _MetaInfoClassMember('racks', REFERENCE_CLASS, 'Racks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper', 'Inventory.Racks', 
                [], [], 
                '''                RackTable
                ''',
                'racks',
                'Cisco-IOS-XR-invmgr-oper', False),
            ],
            'Cisco-IOS-XR-invmgr-oper',
            'inventory',
            _yang_ns._namespaces['Cisco-IOS-XR-invmgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_invmgr_oper'
        ),
    },
}
_meta_table['Inventory.Entities.Entity.Subentities.Subentity']['meta_info'].parent =_meta_table['Inventory.Entities.Entity.Subentities']['meta_info']
_meta_table['Inventory.Entities.Entity.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Entities.Entity.Attributes']['meta_info']
_meta_table['Inventory.Entities.Entity.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Entities.Entity.Attributes']['meta_info']
_meta_table['Inventory.Entities.Entity.Subentities']['meta_info'].parent =_meta_table['Inventory.Entities.Entity']['meta_info']
_meta_table['Inventory.Entities.Entity.Attributes']['meta_info'].parent =_meta_table['Inventory.Entities.Entity']['meta_info']
_meta_table['Inventory.Entities.Entity']['meta_info'].parent =_meta_table['Inventory.Entities']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Tsi2S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S.Tsi1']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Tsi1S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity.Slot']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity.Slot']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Entity']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Tsi2S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S.Tsi1']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Tsi1S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf.Slot']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf.Slot']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Powershelf']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S.Tsi11']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Tsi11S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S.Tsi10']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Tsi10S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S.Tsi9']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Tsi9S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S.Tsi8']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Tsi8S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S.Tsi7']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Tsi7S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S.Tsi6']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Tsi6S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S.Tsi5']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Tsi5S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S.Tsi4']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Tsi4S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S.Tsi3']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Tsi3S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S.Tsi2']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Tsi2S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S.Tsi1']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Tsi1S']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray.Slot']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray.Slot']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Fantray']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.EnvSensorInfoXml.Threshold.ThresholdArray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.EnvSensorInfoXml.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.EnvSensorInfoXml.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.EnvSensorInfoXml']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MajorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MajorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.CriticalHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold.CriticalHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MinorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MinorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MajorHi.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MajorHi']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.CriticalLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold.CriticalLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MinorLo.ThreshBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MinorLo']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MajorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.CriticalHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MinorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MajorHi']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.CriticalLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold.MinorLo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.Threshold']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.FruInfo.LastOperationalStateChange']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.FruInfo.CardUpTime']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.FruInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.InvEepromInfo.Eeprom.Rma']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.InvEepromInfo.Eeprom']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.InvEepromInfo.Eeprom']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes.InvEepromInfo']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.EnvSensorInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.PwgInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.EnvSensorInfoXml']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.InvAssetBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.Threshold']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.FruInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.InvBasicBag']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes.InvEepromInfo']['meta_info'].parent =_meta_table['Inventory.Racks.Rack.Attributes']['meta_info']
_meta_table['Inventory.Racks.Rack.Entity']['meta_info'].parent =_meta_table['Inventory.Racks.Rack']['meta_info']
_meta_table['Inventory.Racks.Rack.Powershelf']['meta_info'].parent =_meta_table['Inventory.Racks.Rack']['meta_info']
_meta_table['Inventory.Racks.Rack.Fantray']['meta_info'].parent =_meta_table['Inventory.Racks.Rack']['meta_info']
_meta_table['Inventory.Racks.Rack.Attributes']['meta_info'].parent =_meta_table['Inventory.Racks.Rack']['meta_info']
_meta_table['Inventory.Racks.Rack']['meta_info'].parent =_meta_table['Inventory.Racks']['meta_info']
_meta_table['Inventory.Entities']['meta_info'].parent =_meta_table['Inventory']['meta_info']
_meta_table['Inventory.Racks']['meta_info'].parent =_meta_table['Inventory']['meta_info']
