


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.ProtoRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.ProtoRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'proto-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeNone' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeNone',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-none',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOther' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOther',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-other',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfIntra' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfIntra',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-intra',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfInter' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfInter',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-inter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern1' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern1',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-extern1',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern2' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern2',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-extern2',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisSum' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisSum',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-isis-sum',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-isis-l1',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL2' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL2',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-isis-l2',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1Ia' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1Ia',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-isis-l1-ia',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpInt' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpInt',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-bgp-int',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpExt' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpExt',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-bgp-ext',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpLoc' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpLoc',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-bgp-loc',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa1' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa1',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-nssa1',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa2' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa2',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-nssa2',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Int' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Int',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-igrp2-int',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Ext' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Ext',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-igrp2-ext',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto',
            False, 
            [
            _MetaInfoClassMember('protoid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Proto ID
                ''',
                'protoid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Proto name
                ''',
                'name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('proto-route-count', REFERENCE_CLASS, 'ProtoRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.ProtoRouteCount', 
                [], [], 
                '''                Count for proto. instance
                ''',
                'proto_route_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-bgp-ext', REFERENCE_CLASS, 'RtypeBgpExt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpExt', 
                [], [], 
                '''                eBGP route
                ''',
                'rtype_bgp_ext',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-bgp-int', REFERENCE_CLASS, 'RtypeBgpInt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpInt', 
                [], [], 
                '''                iBGP route
                ''',
                'rtype_bgp_int',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-bgp-loc', REFERENCE_CLASS, 'RtypeBgpLoc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpLoc', 
                [], [], 
                '''                BGP local route
                ''',
                'rtype_bgp_loc',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-igrp2-ext', REFERENCE_CLASS, 'RtypeIgrp2Ext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Ext', 
                [], [], 
                '''                EIGRP external route
                ''',
                'rtype_igrp2_ext',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-igrp2-int', REFERENCE_CLASS, 'RtypeIgrp2Int' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Int', 
                [], [], 
                '''                EIGRP internal route
                ''',
                'rtype_igrp2_int',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-isis-l1', REFERENCE_CLASS, 'RtypeIsisL1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1', 
                [], [], 
                '''                IS-IS level 1 route
                ''',
                'rtype_isis_l1',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-isis-l1-ia', REFERENCE_CLASS, 'RtypeIsisL1Ia' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1Ia', 
                [], [], 
                '''                IS-IS level1 inter-area route
                ''',
                'rtype_isis_l1_ia',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-isis-l2', REFERENCE_CLASS, 'RtypeIsisL2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL2', 
                [], [], 
                '''                IS-IS level 2 route
                ''',
                'rtype_isis_l2',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-isis-sum', REFERENCE_CLASS, 'RtypeIsisSum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisSum', 
                [], [], 
                '''                IS-IS summary route
                ''',
                'rtype_isis_sum',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-none', REFERENCE_CLASS, 'RtypeNone' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeNone', 
                [], [], 
                '''                No route type
                ''',
                'rtype_none',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-extern1', REFERENCE_CLASS, 'RtypeOspfExtern1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern1', 
                [], [], 
                '''                OSPF external route of type 1
                ''',
                'rtype_ospf_extern1',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-extern2', REFERENCE_CLASS, 'RtypeOspfExtern2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern2', 
                [], [], 
                '''                OSPF external route of type 2
                ''',
                'rtype_ospf_extern2',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-inter', REFERENCE_CLASS, 'RtypeOspfInter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfInter', 
                [], [], 
                '''                OSPF route across diff. areas
                ''',
                'rtype_ospf_inter',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-intra', REFERENCE_CLASS, 'RtypeOspfIntra' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfIntra', 
                [], [], 
                '''                OSPF route within an area
                ''',
                'rtype_ospf_intra',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-nssa1', REFERENCE_CLASS, 'RtypeOspfNssa1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa1', 
                [], [], 
                '''                OSPF NSSA ext. route type 1
                ''',
                'rtype_ospf_nssa1',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-nssa2', REFERENCE_CLASS, 'RtypeOspfNssa2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa2', 
                [], [], 
                '''                OSPF NSSA ext. route type 2
                ''',
                'rtype_ospf_nssa2',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-other', REFERENCE_CLASS, 'RtypeOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOther', 
                [], [], 
                '''                Unknown route type
                ''',
                'rtype_other',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'summary-proto',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.SummaryProtos',
            False, 
            [
            _MetaInfoClassMember('summary-proto', REFERENCE_LIST, 'SummaryProto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto', 
                [], [], 
                '''                Route summary information for a specific
                table/protocol 
                ''',
                'summary_proto',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'summary-protos',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'itf-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl',
            False, 
            [
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Itf Handle
                ''',
                'handle',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('itf-route', REFERENCE_LIST, 'ItfRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute', 
                [], [], 
                '''                Route information for a specific
                table/interface 
                ''',
                'itf_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rib-table-itf-hndl',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls',
            False, 
            [
            _MetaInfoClassMember('rib-table-itf-hndl', REFERENCE_LIST, 'RibTableItfHndl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl', 
                [], [], 
                '''                Interface handle
                ''',
                'rib_table_itf_hndl',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rib-table-itf-hndls',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds.RibTableId' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds.RibTableId',
            False, 
            [
            _MetaInfoClassMember('tableid', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{1,8}'], 
                '''                Table ID
                ''',
                'tableid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('rib-table-itf-hndls', REFERENCE_CLASS, 'RibTableItfHndls' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls', 
                [], [], 
                '''                RIB table interface
                ''',
                'rib_table_itf_hndls',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('summary-protos', REFERENCE_CLASS, 'SummaryProtos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId.SummaryProtos', 
                [], [], 
                '''                RIB table summary
                ''',
                'summary_protos',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rib-table-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.RibTableIds' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.RibTableIds',
            False, 
            [
            _MetaInfoClassMember('rib-table-id', REFERENCE_LIST, 'RibTableId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds.RibTableId', 
                [], [], 
                '''                Specific Table
                ''',
                'rib_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rib-table-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-q-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes',
            False, 
            [
            _MetaInfoClassMember('dest-q-route', REFERENCE_LIST, 'DestQRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute', 
                [], [], 
                '''                Route information of a specific Backup
                Address 
                ''',
                'dest_q_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-q-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-backup-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes',
            False, 
            [
            _MetaInfoClassMember('dest-backup-route', REFERENCE_LIST, 'DestBackupRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute', 
                [], [], 
                '''                Route information of a specific Backup
                Address 
                ''',
                'dest_backup_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-backup-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-best-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes',
            False, 
            [
            _MetaInfoClassMember('dest-best-route', REFERENCE_LIST, 'DestBestRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute', 
                [], [], 
                '''                Best local route information for a
                specific Address 
                ''',
                'dest_best_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-best-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-next-hop-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes',
            False, 
            [
            _MetaInfoClassMember('dest-next-hop-route', REFERENCE_LIST, 'DestNextHopRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute', 
                [], [], 
                '''                Nexthop information for a specific
                address
                ''',
                'dest_next_hop_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-next-hop-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw',
            False, 
            [
            _MetaInfoClassMember('dest-backup-routes', REFERENCE_CLASS, 'DestBackupRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes', 
                [], [], 
                '''                Backup
                ''',
                'dest_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('dest-best-routes', REFERENCE_CLASS, 'DestBestRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes', 
                [], [], 
                '''                Best Local
                ''',
                'dest_best_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('dest-next-hop-routes', REFERENCE_CLASS, 'DestNextHopRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes', 
                [], [], 
                '''                Resolving next hop
                ''',
                'dest_next_hop_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('dest-q-routes', REFERENCE_CLASS, 'DestQRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes', 
                [], [], 
                '''                Quarantine
                ''',
                'dest_q_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'destination-kw',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert.Ipv6RibEdmAdvert' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert.Ipv6RibEdmAdvert',
            False, 
            [
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                  Client advertising the route
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-communities', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Extended communities
                ''',
                'extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 41)], [], 
                '''                Instance name
                ''',
                'instance_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-opaque', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF area-id
                ''',
                'protocol_opaque',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-opaque-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF area-id flags
                ''',
                'protocol_opaque_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-advert',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ipv6-rib-edm-advert', REFERENCE_LIST, 'Ipv6RibEdmAdvert' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert.Ipv6RibEdmAdvert', 
                [], [], 
                '''                ipv6 rib edm advert
                ''',
                'ipv6_rib_edm_advert',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'advert',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts',
            False, 
            [
            _MetaInfoClassMember('advert', REFERENCE_LIST, 'Advert' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert', 
                [], [], 
                '''                Route information of a specific Network
                Address 
                ''',
                'advert',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'adverts',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'deleted-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes',
            False, 
            [
            _MetaInfoClassMember('deleted-route', REFERENCE_LIST, 'DeletedRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute', 
                [], [], 
                '''                Route information for a specific
                deleted address 
                ''',
                'deleted_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'deleted-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'lspv',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local',
            False, 
            [
            _MetaInfoClassMember('lspv', REFERENCE_CLASS, 'Lspv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv', 
                [], [], 
                '''                LSPV(Label Switched Path Verification)
                protocol
                ''',
                'lspv',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile',
            False, 
            [
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rpl',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static',
            False, 
            [
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient',
            False, 
            [
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'te-client',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber',
            False, 
            [
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'subscriber',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'l2vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected',
            False, 
            [
            _MetaInfoClassMember('l2vpn', REFERENCE_CLASS, 'L2Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn', 
                [], [], 
                '''                L2VPN
                ''',
                'l2vpn',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp', 
                [], [], 
                '''                BGP Protocol
                ''',
                'bgp',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected', 
                [], [], 
                '''                Connected Protocol
                ''',
                'connected',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp', 
                [], [], 
                '''                EIGRP Protocol
                ''',
                'eigrp',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis', 
                [], [], 
                '''                ISIS Protocol
                ''',
                'isis',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local', 
                [], [], 
                '''                Local Protocol
                ''',
                'local',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile', 
                [], [], 
                '''                Mobile Protocol
                ''',
                'mobile',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf', 
                [], [], 
                '''                OSPF Protocol
                ''',
                'ospf',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rpl', REFERENCE_CLASS, 'Rpl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl', 
                [], [], 
                '''                RPL Protocol
                ''',
                'rpl',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static', 
                [], [], 
                '''                Static Protocol
                ''',
                'static',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('subscriber', REFERENCE_CLASS, 'Subscriber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber', 
                [], [], 
                '''                Subscriber Protocol
                ''',
                'subscriber',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('te-client', REFERENCE_CLASS, 'TeClient' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient', 
                [], [], 
                '''                TEClient protocol
                ''',
                'te_client',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                NextHop Address 
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_LIST, 'Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route', 
                [], [], 
                '''                Route information of a specific Network
                Address 
                ''',
                'route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'q-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes',
            False, 
            [
            _MetaInfoClassMember('q-route', REFERENCE_LIST, 'QRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute', 
                [], [], 
                '''                Route information for a specific
                quarantined address 
                ''',
                'q_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'q-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protoid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Proto ID
                ''',
                'protoid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'backup-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes',
            False, 
            [
            _MetaInfoClassMember('backup-route', REFERENCE_LIST, 'BackupRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute', 
                [], [], 
                '''                Route information for a specific backup
                address 
                ''',
                'backup_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'backup-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName',
            False, 
            [
            _MetaInfoClassMember('route-table-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the route table 
                ''',
                'route_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('adverts', REFERENCE_CLASS, 'Adverts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts', 
                [], [], 
                '''                Route advertiser information 
                ''',
                'adverts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes', REFERENCE_CLASS, 'BackupRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes', 
                [], [], 
                '''                Backup route information for the given
                table
                ''',
                'backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes', REFERENCE_CLASS, 'DeletedRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes', 
                [], [], 
                '''                Deleted
                ''',
                'deleted_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('destination-kw', REFERENCE_CLASS, 'DestinationKw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw', 
                [], [], 
                '''                Destination KW
                ''',
                'destination_kw',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol', 
                [], [], 
                '''                Contains the classification of routes by
                protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('q-routes', REFERENCE_CLASS, 'QRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes', 
                [], [], 
                '''                Quarantine
                ''',
                'q_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes', REFERENCE_CLASS, 'Routes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes', 
                [], [], 
                '''                Route information 
                ''',
                'routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ip-rib-route-table-name',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames',
            False, 
            [
            _MetaInfoClassMember('ip-rib-route-table-name', REFERENCE_LIST, 'IpRibRouteTableName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName', 
                [], [], 
                '''                IP RIB Route table name for a topology
                ''',
                'ip_rib_route_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ip-rib-route-table-names',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('saf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the SAF
                ''',
                'saf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('ip-rib-route-table-names', REFERENCE_CLASS, 'IpRibRouteTableNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames', 
                [], [], 
                '''                Global container of routes
                ''',
                'ip_rib_route_table_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf', 
                [], [], 
                '''                Specific SAF information
                ''',
                'saf',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs.Af' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs.Af',
            False, 
            [
            _MetaInfoClassMember('af-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the AF - 'IPv6'
                ''',
                'af_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs', 
                [], [], 
                '''                Subsequent Address Family (SAF) table
                ''',
                'safs',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'af',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf.Afs' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf.Afs',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_LIST, 'Af' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs.Af', 
                [], [], 
                '''                Specific AF information
                ''',
                'af',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('afs', REFERENCE_CLASS, 'Afs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf.Afs', 
                [], [], 
                '''                Address Family (AF) table
                ''',
                'afs',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib.Vrfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs.Vrf', 
                [], [], 
                '''                Specific VRF
                ''',
                'vrf',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6Rib' : {
        'meta_info' : _MetaInfoClass('Ipv6Rib',
            False, 
            [
            _MetaInfoClassMember('rib-table-ids', REFERENCE_CLASS, 'RibTableIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.RibTableIds', 
                [], [], 
                '''                RIB table
                ''',
                'rib_table_ids',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6Rib.Vrfs', 
                [], [], 
                '''                VRF table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.ProtoRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.ProtoRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'proto-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeNone' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeNone',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-none',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOther' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOther',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-other',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfIntra' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfIntra',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-intra',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfInter' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfInter',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-inter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern1' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern1',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-extern1',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern2' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern2',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-extern2',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisSum' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisSum',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-isis-sum',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-isis-l1',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL2' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL2',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-isis-l2',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1Ia' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1Ia',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-isis-l1-ia',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpInt' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpInt',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-bgp-int',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpExt' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpExt',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-bgp-ext',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpLoc' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpLoc',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-bgp-loc',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa1' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa1',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-nssa1',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa2' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa2',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-ospf-nssa2',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Int' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Int',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-igrp2-int',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Ext' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Ext',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-active-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to active routes
                ''',
                'num_active_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths to backup routes
                ''',
                'num_backup_paths',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-backup-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup (inactive) routes
                ''',
                'num_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rtype-igrp2-ext',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto',
            False, 
            [
            _MetaInfoClassMember('protoid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Proto ID
                ''',
                'protoid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Proto name
                ''',
                'name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('proto-route-count', REFERENCE_CLASS, 'ProtoRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.ProtoRouteCount', 
                [], [], 
                '''                Count for proto. instance
                ''',
                'proto_route_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-bgp-ext', REFERENCE_CLASS, 'RtypeBgpExt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpExt', 
                [], [], 
                '''                eBGP route
                ''',
                'rtype_bgp_ext',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-bgp-int', REFERENCE_CLASS, 'RtypeBgpInt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpInt', 
                [], [], 
                '''                iBGP route
                ''',
                'rtype_bgp_int',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-bgp-loc', REFERENCE_CLASS, 'RtypeBgpLoc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpLoc', 
                [], [], 
                '''                BGP local route
                ''',
                'rtype_bgp_loc',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-igrp2-ext', REFERENCE_CLASS, 'RtypeIgrp2Ext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Ext', 
                [], [], 
                '''                EIGRP external route
                ''',
                'rtype_igrp2_ext',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-igrp2-int', REFERENCE_CLASS, 'RtypeIgrp2Int' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Int', 
                [], [], 
                '''                EIGRP internal route
                ''',
                'rtype_igrp2_int',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-isis-l1', REFERENCE_CLASS, 'RtypeIsisL1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1', 
                [], [], 
                '''                IS-IS level 1 route
                ''',
                'rtype_isis_l1',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-isis-l1-ia', REFERENCE_CLASS, 'RtypeIsisL1Ia' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1Ia', 
                [], [], 
                '''                IS-IS level1 inter-area route
                ''',
                'rtype_isis_l1_ia',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-isis-l2', REFERENCE_CLASS, 'RtypeIsisL2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL2', 
                [], [], 
                '''                IS-IS level 2 route
                ''',
                'rtype_isis_l2',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-isis-sum', REFERENCE_CLASS, 'RtypeIsisSum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisSum', 
                [], [], 
                '''                IS-IS summary route
                ''',
                'rtype_isis_sum',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-none', REFERENCE_CLASS, 'RtypeNone' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeNone', 
                [], [], 
                '''                No route type
                ''',
                'rtype_none',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-extern1', REFERENCE_CLASS, 'RtypeOspfExtern1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern1', 
                [], [], 
                '''                OSPF external route of type 1
                ''',
                'rtype_ospf_extern1',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-extern2', REFERENCE_CLASS, 'RtypeOspfExtern2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern2', 
                [], [], 
                '''                OSPF external route of type 2
                ''',
                'rtype_ospf_extern2',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-inter', REFERENCE_CLASS, 'RtypeOspfInter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfInter', 
                [], [], 
                '''                OSPF route across diff. areas
                ''',
                'rtype_ospf_inter',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-intra', REFERENCE_CLASS, 'RtypeOspfIntra' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfIntra', 
                [], [], 
                '''                OSPF route within an area
                ''',
                'rtype_ospf_intra',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-nssa1', REFERENCE_CLASS, 'RtypeOspfNssa1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa1', 
                [], [], 
                '''                OSPF NSSA ext. route type 1
                ''',
                'rtype_ospf_nssa1',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-ospf-nssa2', REFERENCE_CLASS, 'RtypeOspfNssa2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa2', 
                [], [], 
                '''                OSPF NSSA ext. route type 2
                ''',
                'rtype_ospf_nssa2',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rtype-other', REFERENCE_CLASS, 'RtypeOther' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOther', 
                [], [], 
                '''                Unknown route type
                ''',
                'rtype_other',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'summary-proto',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos',
            False, 
            [
            _MetaInfoClassMember('summary-proto', REFERENCE_LIST, 'SummaryProto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto', 
                [], [], 
                '''                Route summary information for a specific
                table/protocol 
                ''',
                'summary_proto',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'summary-protos',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'itf-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl',
            False, 
            [
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Itf Handle
                ''',
                'handle',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('itf-route', REFERENCE_LIST, 'ItfRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute', 
                [], [], 
                '''                Route information for a specific
                table/interface 
                ''',
                'itf_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rib-table-itf-hndl',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls',
            False, 
            [
            _MetaInfoClassMember('rib-table-itf-hndl', REFERENCE_LIST, 'RibTableItfHndl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl', 
                [], [], 
                '''                Interface handle
                ''',
                'rib_table_itf_hndl',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rib-table-itf-hndls',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds.RibTableId' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds.RibTableId',
            False, 
            [
            _MetaInfoClassMember('tableid', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{1,8}'], 
                '''                Table ID
                ''',
                'tableid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('rib-table-itf-hndls', REFERENCE_CLASS, 'RibTableItfHndls' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls', 
                [], [], 
                '''                RIB table interface
                ''',
                'rib_table_itf_hndls',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('summary-protos', REFERENCE_CLASS, 'SummaryProtos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos', 
                [], [], 
                '''                RIB table summary
                ''',
                'summary_protos',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rib-table-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.RibTableIds' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.RibTableIds',
            False, 
            [
            _MetaInfoClassMember('rib-table-id', REFERENCE_LIST, 'RibTableId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds.RibTableId', 
                [], [], 
                '''                Specific Table
                ''',
                'rib_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rib-table-ids',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-q-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes',
            False, 
            [
            _MetaInfoClassMember('dest-q-route', REFERENCE_LIST, 'DestQRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute', 
                [], [], 
                '''                Route information of a specific Backup
                Address 
                ''',
                'dest_q_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-q-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-backup-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes',
            False, 
            [
            _MetaInfoClassMember('dest-backup-route', REFERENCE_LIST, 'DestBackupRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute', 
                [], [], 
                '''                Route information of a specific Backup
                Address 
                ''',
                'dest_backup_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-backup-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-best-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes',
            False, 
            [
            _MetaInfoClassMember('dest-best-route', REFERENCE_LIST, 'DestBestRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute', 
                [], [], 
                '''                Best local route information for a
                specific Address 
                ''',
                'dest_best_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-best-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-next-hop-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes',
            False, 
            [
            _MetaInfoClassMember('dest-next-hop-route', REFERENCE_LIST, 'DestNextHopRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute', 
                [], [], 
                '''                Nexthop information for a specific
                address
                ''',
                'dest_next_hop_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'dest-next-hop-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw',
            False, 
            [
            _MetaInfoClassMember('dest-backup-routes', REFERENCE_CLASS, 'DestBackupRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes', 
                [], [], 
                '''                Backup
                ''',
                'dest_backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('dest-best-routes', REFERENCE_CLASS, 'DestBestRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes', 
                [], [], 
                '''                Best Local
                ''',
                'dest_best_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('dest-next-hop-routes', REFERENCE_CLASS, 'DestNextHopRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes', 
                [], [], 
                '''                Resolving next hop
                ''',
                'dest_next_hop_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('dest-q-routes', REFERENCE_CLASS, 'DestQRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes', 
                [], [], 
                '''                Quarantine
                ''',
                'dest_q_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'destination-kw',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert.Ipv6RibEdmAdvert' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert.Ipv6RibEdmAdvert',
            False, 
            [
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                  Client advertising the route
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('-128', '127')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-communities', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Extended communities
                ''',
                'extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 41)], [], 
                '''                Instance name
                ''',
                'instance_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-opaque', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF area-id
                ''',
                'protocol_opaque',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-opaque-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPF area-id flags
                ''',
                'protocol_opaque_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-advert',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ipv6-rib-edm-advert', REFERENCE_LIST, 'Ipv6RibEdmAdvert' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert.Ipv6RibEdmAdvert', 
                [], [], 
                '''                ipv6 rib edm advert
                ''',
                'ipv6_rib_edm_advert',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'advert',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts',
            False, 
            [
            _MetaInfoClassMember('advert', REFERENCE_LIST, 'Advert' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert', 
                [], [], 
                '''                Route information of a specific Network
                Address 
                ''',
                'advert',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'adverts',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'deleted-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes',
            False, 
            [
            _MetaInfoClassMember('deleted-route', REFERENCE_LIST, 'DeletedRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute', 
                [], [], 
                '''                Route information for a specific
                deleted address 
                ''',
                'deleted_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'deleted-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'lspv',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local',
            False, 
            [
            _MetaInfoClassMember('lspv', REFERENCE_CLASS, 'Lspv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv', 
                [], [], 
                '''                LSPV(Label Switched Path Verification)
                protocol
                ''',
                'lspv',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'local',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'bgp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile',
            False, 
            [
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'mobile',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'eigrp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'rpl',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static',
            False, 
            [
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'static',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient',
            False, 
            [
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'te-client',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber',
            False, 
            [
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'subscriber',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'l2vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs',
            False, 
            [
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'non-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected',
            False, 
            [
            _MetaInfoClassMember('l2vpn', REFERENCE_CLASS, 'L2Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn', 
                [], [], 
                '''                L2VPN
                ''',
                'l2vpn',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('non-as', REFERENCE_CLASS, 'NonAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs', 
                [], [], 
                '''                Non Autonomous System of protocol
                ''',
                'non_as',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.Information' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.Information',
            False, 
            [
            _MetaInfoClassMember('active-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active routes (not deleted)
                ''',
                'active_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of backup routes
                ''',
                'backup_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of deleted routes
                ''',
                'deleted_routes_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths for all routes
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-clients-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proto clients
                ''',
                'protocol_clients_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-names', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name
                ''',
                'protocol_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-route-memory', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Memory for proto's routes and paths in bytes
                ''',
                'protocol_route_memory',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('redistribution-client-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of redist clients
                ''',
                'redistribution_client_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes (including active, backup and
                deleted), where, number of backup routes =
                RoutesCounts - ActiveRoutesCount -
                DeletedRoutesCount 
                ''',
                'routes_counts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proto version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes',
            False, 
            [
            _MetaInfoClassMember('protocol-route', REFERENCE_LIST, 'ProtocolRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute', 
                [], [], 
                '''                Route information of a specific Network Address
                ''',
                'protocol_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_',
            False, 
            [
            _MetaInfoClassMember('as', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Autonomous system
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('information', REFERENCE_CLASS, 'Information' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.Information', 
                [], [], 
                '''                Protocol related Information
                ''',
                'information',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-routes', REFERENCE_CLASS, 'ProtocolRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes', 
                [], [], 
                '''                Protocol specific Route
                ''',
                'protocol_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'as',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis',
            False, 
            [
            _MetaInfoClassMember('as', REFERENCE_LIST, 'As_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_', 
                [], [], 
                '''                Autonomous System of protocol
                ''',
                'as_',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'isis',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol',
            False, 
            [
            _MetaInfoClassMember('bgp', REFERENCE_CLASS, 'Bgp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp', 
                [], [], 
                '''                BGP Protocol
                ''',
                'bgp',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected', 
                [], [], 
                '''                Connected Protocol
                ''',
                'connected',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('eigrp', REFERENCE_CLASS, 'Eigrp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp', 
                [], [], 
                '''                EIGRP Protocol
                ''',
                'eigrp',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('isis', REFERENCE_CLASS, 'Isis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis', 
                [], [], 
                '''                ISIS Protocol
                ''',
                'isis',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('local', REFERENCE_CLASS, 'Local' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local', 
                [], [], 
                '''                Local Protocol
                ''',
                'local',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mobile', REFERENCE_CLASS, 'Mobile' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile', 
                [], [], 
                '''                Mobile Protocol
                ''',
                'mobile',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf', REFERENCE_CLASS, 'Ospf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf', 
                [], [], 
                '''                OSPF Protocol
                ''',
                'ospf',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('rpl', REFERENCE_CLASS, 'Rpl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl', 
                [], [], 
                '''                RPL Protocol
                ''',
                'rpl',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('static', REFERENCE_CLASS, 'Static' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static', 
                [], [], 
                '''                Static Protocol
                ''',
                'static',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('subscriber', REFERENCE_CLASS, 'Subscriber' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber', 
                [], [], 
                '''                Subscriber Protocol
                ''',
                'subscriber',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('te-client', REFERENCE_CLASS, 'TeClient' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient', 
                [], [], 
                '''                TEClient protocol
                ''',
                'te_client',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                NextHop Address 
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_LIST, 'Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route', 
                [], [], 
                '''                Route information of a specific Network
                Address 
                ''',
                'route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'q-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes',
            False, 
            [
            _MetaInfoClassMember('q-route', REFERENCE_LIST, 'QRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute', 
                [], [], 
                '''                Route information for a specific
                quarantined address 
                ''',
                'q_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'q-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath.Ipv6RibEdmPath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath.Ipv6RibEdmPath',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path's backup
                ''',
                'backup_pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                binding Label for this path
                ''',
                'binding_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags64', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flags extended to 64 bits
                ''',
                'flags64',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('has-labelstk', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has a label stack
                ''',
                'has_labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Infosource
                ''',
                'information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('labelstk', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Labels for this path
                ''',
                'labelstk',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=3),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Metrics
                ''',
                'load_metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('looped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Looping path
                ''',
                'looped',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mpls-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib mpls encap id
                ''',
                'mpls_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('mvpn-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN attribute present
                ''',
                'mvpn_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH afi
                ''',
                'next_hop_afi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID associated with this path
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-id-refcount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NHID references
                ''',
                'next_hop_id_refcount',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NH safi
                ''',
                'next_hop_safi',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nexthop tableid
                ''',
                'next_hop_table_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                NH table name
                ''',
                'next_hop_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('next-hop-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name of the nh table
                ''',
                'next_hop_vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('nhid-feid', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Fib nhid encap id
                ''',
                'nhid_feid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('num-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of labels in stack
                ''',
                'num_labels',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('number-of-extended-communities', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of extended communities
                ''',
                'number_of_extended_communities',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ospf-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF area associated with the path
                ''',
                'ospf_area_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('path-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RT present
                ''',
                'path_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pathid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path id of this path
                ''',
                'pathid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('private-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Private Flags
                ''',
                'private_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('ref-cnt-of-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Refcnt of backup
                ''',
                'ref_cnt_of_backup',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('remote-backup-addr', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote backup node address
                ''',
                'remote_backup_addr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False, max_elements=2),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label associated with this path
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('segmented-nexthop-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SegmentedNexthopPresent
                ''',
                'segmented_nexthop_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-asrt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCEASRTPresent
                ''',
                'source_asrt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('source-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SOURCERDPresent
                ''',
                'source_rd_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID associated with this path
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-information-source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 Infosource
                ''',
                'v6_information_source',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('v6-nexthop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 nexthop
                ''',
                'v6_nexthop',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrf-import-rt-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRFIMPORTRTPresent
                ''',
                'vrf_import_rt_present',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-edm-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('ipv6-rib-edm-path', REFERENCE_LIST, 'Ipv6RibEdmPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath.Ipv6RibEdmPath', 
                [], [], 
                '''                ipv6 rib edm path
                ''',
                'ipv6_rib_edm_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the route active or backup
                ''',
                'active',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Network Address 
                ''',
                'address',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('attribute-identity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Attribute ID
                ''',
                'attribute_identity',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client adding the route to RIB
                ''',
                'client_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance of the route
                ''',
                'distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route has a diversion path
                ''',
                'diversion',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diversion distance of the route
                ''',
                'diversion_distance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('diversion-proto-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Diversion route protocol name
                ''',
                'diversion_proto_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('extended-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Extended Route flags
                ''',
                'extended_flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('flow-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flow tag
                ''',
                'flow_tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Forward Class
                ''',
                'fwd_class',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance name
                ''',
                'instance',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('paths-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths
                ''',
                'paths_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('pic-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of pic paths in this route
                ''',
                'pic_count',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix Length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route priority
                ''',
                'priority',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol advertising the route
                ''',
                'protocol_id',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 Name of Protocol
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protoid', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Proto ID
                ''',
                'protoid',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('qos-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route qos group
                ''',
                'qos_group',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Age of route (seconds)
                ''',
                'route_age',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the route
                ''',
                'route_label',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-modify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route modification time(nanoseconds)
                ''',
                'route_modify_time',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_CLASS, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath', 
                [], [], 
                '''                Path(s) of the route
                ''',
                'route_path',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route ip precedence
                ''',
                'route_precedence',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('svd-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SVD Type of route
                ''',
                'svd_type',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Opaque proto specific info
                ''',
                'tag',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('tbl-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Table Version
                ''',
                'tbl_version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('traffic-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BGP Traffic Index
                ''',
                'traffic_index',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Version
                ''',
                'version',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'backup-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes',
            False, 
            [
            _MetaInfoClassMember('backup-route', REFERENCE_LIST, 'BackupRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute', 
                [], [], 
                '''                Route information for a specific backup
                address 
                ''',
                'backup_route',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'backup-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName',
            False, 
            [
            _MetaInfoClassMember('route-table-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the route table 
                ''',
                'route_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('adverts', REFERENCE_CLASS, 'Adverts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts', 
                [], [], 
                '''                Route advertiser information 
                ''',
                'adverts',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('backup-routes', REFERENCE_CLASS, 'BackupRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes', 
                [], [], 
                '''                Backup route information for the given
                table
                ''',
                'backup_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('deleted-routes', REFERENCE_CLASS, 'DeletedRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes', 
                [], [], 
                '''                Deleted
                ''',
                'deleted_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('destination-kw', REFERENCE_CLASS, 'DestinationKw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw', 
                [], [], 
                '''                Destination KW
                ''',
                'destination_kw',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol', 
                [], [], 
                '''                Contains the classification of routes by
                protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('q-routes', REFERENCE_CLASS, 'QRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes', 
                [], [], 
                '''                Quarantine
                ''',
                'q_routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('routes', REFERENCE_CLASS, 'Routes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes', 
                [], [], 
                '''                Route information 
                ''',
                'routes',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ip-rib-route-table-name',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames',
            False, 
            [
            _MetaInfoClassMember('ip-rib-route-table-name', REFERENCE_LIST, 'IpRibRouteTableName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName', 
                [], [], 
                '''                IP RIB Route table name for a topology
                ''',
                'ip_rib_route_table_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ip-rib-route-table-names',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('saf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the SAF
                ''',
                'saf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('ip-rib-route-table-names', REFERENCE_CLASS, 'IpRibRouteTableNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames', 
                [], [], 
                '''                Global container of routes
                ''',
                'ip_rib_route_table_names',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf', 
                [], [], 
                '''                Specific SAF information
                ''',
                'saf',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs.Af' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs.Af',
            False, 
            [
            _MetaInfoClassMember('af-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the AF - 'IPv6'
                ''',
                'af_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs', 
                [], [], 
                '''                Subsequent Address Family (SAF) table
                ''',
                'safs',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'af',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf.Afs' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf.Afs',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_LIST, 'Af' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs.Af', 
                [], [], 
                '''                Specific AF information
                ''',
                'af',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Name of the VRF
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', True),
            _MetaInfoClassMember('afs', REFERENCE_CLASS, 'Afs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf.Afs', 
                [], [], 
                '''                Address Family (AF) table
                ''',
                'afs',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby.Vrfs' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs.Vrf', 
                [], [], 
                '''                Specific VRF
                ''',
                'vrf',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
    'Ipv6RibStdby' : {
        'meta_info' : _MetaInfoClass('Ipv6RibStdby',
            False, 
            [
            _MetaInfoClassMember('rib-table-ids', REFERENCE_CLASS, 'RibTableIds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.RibTableIds', 
                [], [], 
                '''                RIB table
                ''',
                'rib_table_ids',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper', 'Ipv6RibStdby.Vrfs', 
                [], [], 
                '''                VRF table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ip-rib-ipv6-oper', False),
            ],
            'Cisco-IOS-XR-ip-rib-ipv6-oper',
            'ipv6-rib-stdby',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rib-ipv6-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rib_ipv6_oper'
        ),
    },
}
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.ProtoRouteCount']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeNone']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOther']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfIntra']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfInter']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern1']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern2']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisSum']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL2']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1Ia']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpInt']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpExt']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpLoc']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa1']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa2']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Int']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Ext']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.SummaryProtos']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId.RibTableItfHndls']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds.RibTableId']['meta_info']
_meta_table['Ipv6Rib.RibTableIds.RibTableId']['meta_info'].parent =_meta_table['Ipv6Rib.RibTableIds']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert.Ipv6RibEdmAdvert']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.Information']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs.Saf']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af.Safs']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs.Af']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf.Afs']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf.Afs']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Rib.Vrfs.Vrf']['meta_info'].parent =_meta_table['Ipv6Rib.Vrfs']['meta_info']
_meta_table['Ipv6Rib.RibTableIds']['meta_info'].parent =_meta_table['Ipv6Rib']['meta_info']
_meta_table['Ipv6Rib.Vrfs']['meta_info'].parent =_meta_table['Ipv6Rib']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.ProtoRouteCount']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeNone']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOther']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfIntra']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfInter']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern1']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfExtern2']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisSum']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL2']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIsisL1Ia']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpInt']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpExt']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeBgpLoc']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa1']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeOspfNssa2']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Int']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto.RtypeIgrp2Ext']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos.SummaryProto']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl.ItfRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls.RibTableItfHndl']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.SummaryProtos']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId.RibTableItfHndls']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds.RibTableId']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds.RibTableId']['meta_info'].parent =_meta_table['Ipv6RibStdby.RibTableIds']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes.DestQRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes.DestBackupRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes.DestBestRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes.DestNextHopRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestQRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBackupRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestBestRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw.DestNextHopRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert.Ipv6RibEdmAdvert']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts.Advert']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes.DeletedRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.Lspv']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local.NonAs']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp.As_']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile.NonAs']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp.As_']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl.As_']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static.NonAs']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient.NonAs']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber.NonAs']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf.As_']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.L2Vpn']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected.NonAs']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes.ProtocolRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.Information']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_.ProtocolRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis.As_']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Local']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Bgp']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Mobile']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Eigrp']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Rpl']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Static']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.TeClient']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Subscriber']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Ospf']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Connected']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol.Isis']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes.Route']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes.QRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath.Ipv6RibEdmPath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute.RoutePath']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes.BackupRoute']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DestinationKw']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Adverts']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.DeletedRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Protocol']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.Routes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.QRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName.BackupRoutes']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames.IpRibRouteTableName']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf.IpRibRouteTableNames']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs.Saf']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af.Safs']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs.Af']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf.Afs']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs.Vrf']['meta_info'].parent =_meta_table['Ipv6RibStdby.Vrfs']['meta_info']
_meta_table['Ipv6RibStdby.RibTableIds']['meta_info'].parent =_meta_table['Ipv6RibStdby']['meta_info']
_meta_table['Ipv6RibStdby.Vrfs']['meta_info'].parent =_meta_table['Ipv6RibStdby']['meta_info']
