


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'RsvpMgmtAssociationEnum' : _MetaInfoEnum('RsvpMgmtAssociationEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'none':'none',
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'extended-ipv4':'extended_ipv4',
            'extended-ipv6':'extended_ipv6',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtEroSubobjEnum' : _MetaInfoEnum('RsvpMgmtEroSubobjEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-ero-type-ipv4':'rsvp_mgmt_ero_type_ipv4',
            'rsvp-mgmt-ero-type-un-num':'rsvp_mgmt_ero_type_un_num',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtQosServiceEnumEnum' : _MetaInfoEnum('RsvpMgmtQosServiceEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-qos-unknown':'rsvp_mgmt_qos_unknown',
            'rsvp-mgmt-qos-guaranteed':'rsvp_mgmt_qos_guaranteed',
            'rsvp-mgmt-qos-controlled-load':'rsvp_mgmt_qos_controlled_load',
            'rsvp-mgmt-qos-qualitative':'rsvp_mgmt_qos_qualitative',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtHelloInstanceEnum' : _MetaInfoEnum('RsvpMgmtHelloInstanceEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'active':'active',
            'passive':'passive',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'IgpteLibBwModelEnum' : _MetaInfoEnum('IgpteLibBwModelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rdm':'rdm',
            'mam':'mam',
            'not-set':'not_set',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtFrrStateEnumEnum' : _MetaInfoEnum('RsvpMgmtFrrStateEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'ready-state':'ready_state',
            'pending-state':'pending_state',
            'active-state':'active_state',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpProcNsrNotReadyReasonEnum' : _MetaInfoEnum('RsvpProcNsrNotReadyReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'collab-time-out':'collab_time_out',
            'collab-conntection-idt':'collab_conntection_idt',
            'nsr-peer-not-connected':'nsr_peer_not_connected',
            'nsr-peer-not-in-sync':'nsr_peer_not_in_sync',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtDsteModesEnum' : _MetaInfoEnum('RsvpMgmtDsteModesEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'pre-standard':'pre_standard',
            'standard':'standard',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtRestartStateEnum' : _MetaInfoEnum('RsvpMgmtRestartStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'done':'done',
            'recovery':'recovery',
            'abort':'abort',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtReservationTypeEnumEnum' : _MetaInfoEnum('RsvpMgmtReservationTypeEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-ff-option':'rsvp_mgmt_ff_option',
            'rsvp-mgmt-wf-option':'rsvp_mgmt_wf_option',
            'rsvp-mgmt-se-option':'rsvp_mgmt_se_option',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtTspecEnum' : _MetaInfoEnum('RsvpMgmtTspecEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'g709otn':'g709otn',
            'intsrv':'intsrv',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtAuthDirectionEnum' : _MetaInfoEnum('RsvpMgmtAuthDirectionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-auth-direction-send':'rsvp_mgmt_auth_direction_send',
            'rsvp-mgmt-auth-direction-recv':'rsvp_mgmt_auth_direction_recv',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtFilterEnum' : _MetaInfoEnum('RsvpMgmtFilterEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-filter-type-ipv4':'rsvp_mgmt_filter_type_ipv4',
            'rsvp-mgmt-filter-type-p2mp-lsp-ipv4':'rsvp_mgmt_filter_type_p2mp_lsp_ipv4',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpProcRoleEnum' : _MetaInfoEnum('RsvpProcRoleEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'unknown':'unknown',
            'v1-active':'v1_active',
            'v1-standby':'v1_standby',
            'v2-active':'v2_active',
            'v2-standby':'v2_standby',
            'v1-active-post-big-bang':'v1_active_post_big_bang',
            'v1-standby-post-big-bang':'v1_standby_post_big_bang',
            'count':'count',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpSessionEnum' : _MetaInfoEnum('RsvpSessionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'ipv4':'ipv4',
            'p2p-lsp-ipv4':'p2p_lsp_ipv4',
            'ouni-ipv4':'ouni_ipv4',
            'p2mp-lsp-ipv4':'p2mp_lsp_ipv4',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtHelloStateEnum' : _MetaInfoEnum('RsvpMgmtHelloStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'hello-state-init':'hello_state_init',
            'hello-state-up':'hello_state_up',
            'hello-state-down':'hello_state_down',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtFlowSpecEnum' : _MetaInfoEnum('RsvpMgmtFlowSpecEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'g709otn':'g709otn',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtHelloInstanceOwnerEnum' : _MetaInfoEnum('RsvpMgmtHelloInstanceOwnerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'mpls-graceful-restart':'mpls_graceful_restart',
            'mpls-ouni':'mpls_ouni',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtRroSubobjEnum' : _MetaInfoEnum('RsvpMgmtRroSubobjEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'ipv4rro-type':'ipv4rro_type',
            'label-rro-type':'label_rro_type',
            'unnumbered-rro-type':'unnumbered_rro_type',
            'srlg-rro-type':'srlg_rro_type',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtSessionEnum' : _MetaInfoEnum('RsvpMgmtSessionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-session-type-udp-ipv4':'rsvp_mgmt_session_type_udp_ipv4',
            'rsvp-mgmt-session-type-lsp-ipv4':'rsvp_mgmt_session_type_lsp_ipv4',
            'rsvp-mgmt-session-type-uni-ipv4':'rsvp_mgmt_session_type_uni_ipv4',
            'rsvp-mgmt-session-type-p2mp-lsp-ipv4':'rsvp_mgmt_session_type_p2mp_lsp_ipv4',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtHelloDownReasonEnum' : _MetaInfoEnum('RsvpMgmtHelloDownReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'not-applicable':'not_applicable',
            'wrong-destination-instance':'wrong_destination_instance',
            'wrong-source-instance':'wrong_source_instance',
            'hello-missed':'hello_missed',
            'interface-down':'interface_down',
            'neighbor-disabled-hello':'neighbor_disabled_hello',
            'control-channel-down':'control_channel_down',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtGenericLabelEnum' : _MetaInfoEnum('RsvpMgmtGenericLabelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-label-type-gmpls':'rsvp_mgmt_label_type_gmpls',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtGrAppEnum' : _MetaInfoEnum('RsvpMgmtGrAppEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'ouni':'ouni',
            'gmpls':'gmpls',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtAuthChallengeStatusEnum' : _MetaInfoEnum('RsvpMgmtAuthChallengeStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-auth-cs-not-cfg':'rsvp_mgmt_auth_cs_not_cfg',
            'rsvp-mgmt-auth-cs-completed':'rsvp_mgmt_auth_cs_completed',
            'rsvp-mgmt-auth-cs-in-progress':'rsvp_mgmt_auth_cs_in_progress',
            'rsvp-mgmt-auth-cs-failure':'rsvp_mgmt_auth_cs_failure',
            'rsvp-mgmt-auth-cs-not-supported':'rsvp_mgmt_auth_cs_not_supported',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtAuthKiEnum' : _MetaInfoEnum('RsvpMgmtAuthKiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-auth-ki-type-none':'rsvp_mgmt_auth_ki_type_none',
            'rsvp-mgmt-auth-ki-type-global':'rsvp_mgmt_auth_ki_type_global',
            'rsvp-mgmt-auth-ki-type-interface':'rsvp_mgmt_auth_ki_type_interface',
            'rsvp-mgmt-auth-ki-type-neighbor':'rsvp_mgmt_auth_ki_type_neighbor',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpTimerStateEnum' : _MetaInfoEnum('RsvpTimerStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-timer-running-and-sleeping':'rsvp_timer_running_and_sleeping',
            'rsvp-timer-running':'rsvp_timer_running',
            'rsvp-timer-not-running':'rsvp_timer_not_running',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpSyncStatusEnum' : _MetaInfoEnum('RsvpSyncStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'not-ready':'not_ready',
            'ready':'ready',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpModeEnum' : _MetaInfoEnum('RsvpModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'send':'send',
            'receive':'receive',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpMgmtEroSubobjStatusEnum' : _MetaInfoEnum('RsvpMgmtEroSubobjStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper',
        {
            'rsvp-mgmt-ero-status-not-available':'rsvp_mgmt_ero_status_not_available',
            'rsvp-mgmt-ero-status-available':'rsvp_mgmt_ero_status_available',
            'rsvp-mgmt-ero-status-bw-not-available':'rsvp_mgmt_ero_status_bw_not_available',
        }, 'Cisco-IOS-XR-ip-rsvp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper']),
    'RsvpStandby.InterfaceNeighborBriefs.InterfaceNeighborBrief.InterfaceNeighborListCompact' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceNeighborBriefs.InterfaceNeighborBrief.InterfaceNeighborListCompact',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Neighbor address
                ''',
                'interface_neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor's Interface handle
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-list-compact',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceNeighborBriefs.InterfaceNeighborBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceNeighborBriefs.InterfaceNeighborBrief',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of global neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('interface-neighbor-list-compact', REFERENCE_LIST, 'InterfaceNeighborListCompact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceNeighborBriefs.InterfaceNeighborBrief.InterfaceNeighborListCompact', 
                [], [], 
                '''                Compact list of I/F Neighbors
                ''',
                'interface_neighbor_list_compact',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor node address
                ''',
                'node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceNeighborBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceNeighborBriefs',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-brief', REFERENCE_LIST, 'InterfaceNeighborBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceNeighborBriefs.InterfaceNeighborBrief', 
                [], [], 
                '''                Brief info for a single interface neighbor
                ''',
                'interface_neighbor_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationBriefs.AuthenticationBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationBriefs.AuthenticationBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('mode-id', REFERENCE_ENUM_CLASS, 'RsvpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpModeEnum', 
                [], [], 
                '''                Mode (Tx or Rx)
                ''',
                'mode_id',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthDirectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthDirectionEnum', 
                [], [], 
                '''                Direction
                ''',
                'direction',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Key ID
                ''',
                'key_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-id-valid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Key validity
                ''',
                'key_id_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Key source
                ''',
                'key_source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthKiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthKiEnum', 
                [], [], 
                '''                Key type
                ''',
                'key_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'authentication-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationBriefs',
            False, 
            [
            _MetaInfoClassMember('authentication-brief', REFERENCE_LIST, 'AuthenticationBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationBriefs.AuthenticationBrief', 
                [], [], 
                '''                Brief Authentication information
                ''',
                'authentication_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'authentication-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionBriefs.SessionBrief.Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionBriefs.SessionBrief.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionBriefs.SessionBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionBriefs.SessionBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('detail-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of elements in detail list
                ''',
                'detail_list_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ps-bs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path state block states
                ''',
                'ps_bs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of request states
                ''',
                'requests',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rs-bs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of reservation state block states
                ''',
                'rs_bs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionBriefs.SessionBrief.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionBriefs',
            False, 
            [
            _MetaInfoClassMember('session-brief', REFERENCE_LIST, 'SessionBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionBriefs.SessionBrief', 
                [], [], 
                '''                Brief info about session
                ''',
                'session_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Template' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Template',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.SessionAttribute.SessAttributeFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.SessionAttribute.SessAttributeFlags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection
                ''',
                'is_local_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection
                ''',
                'is_node_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-record-labels', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Records Labels
                ''',
                'is_record_labels',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-shared-explicit-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Explicit Requested
                ''',
                'is_shared_explicit_requested',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'sess-attribute-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.SessionAttribute' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.SessionAttribute',
            False, 
            [
            _MetaInfoClassMember('reservation-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reservation Priority
                ''',
                'reservation_priority',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sess-attribute-flags', REFERENCE_CLASS, 'SessAttributeFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.SessionAttribute.SessAttributeFlags', 
                [], [], 
                '''                Session Attributes
                ''',
                'sess_attribute_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup Priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.TrafficSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.TrafficSpec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec.G709OtnTspec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec.G709OtnTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Traffic Bit Rate
                ''',
                'traffic_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic Multiplier
                ''',
                'traffic_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic NVC
                ''',
                'traffic_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Traffic Signal Type (Refer G709 v3)
                ''',
                'traffic_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec.IntsrvTspec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec.IntsrvTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'intsrv-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec',
            False, 
            [
            _MetaInfoClassMember('g709otn-tspec', REFERENCE_CLASS, 'G709OtnTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec.G709OtnTspec', 
                [], [], 
                '''                G709 OTN Sender Tspec
                ''',
                'g709otn_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('intsrv-tspec', REFERENCE_CLASS, 'IntsrvTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec.IntsrvTspec', 
                [], [], 
                '''                Integrated Services Sender Tspec
                ''',
                'intsrv_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtTspecEnum', 
                [], [], 
                '''                TspecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.PathFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.PathFlags',
            False, 
            [
            _MetaInfoClassMember('is-bidirectional', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidirectional
                ''',
                'is_bidirectional',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-repair', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouted
                ''',
                'is_local_repair',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-sender', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Sender
                ''',
                'is_local_sender',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Locked Out
                ''',
                'is_lockout',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-message-id-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MessageID Valid
                ''',
                'is_message_id_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-non-rsvp-hop-upstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-RSVP Hop Upstream
                ''',
                'is_non_rsvp_hop_upstream',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'path-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Hop' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Hop',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-logical-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor Logical Interface Name
                ''',
                'neighbor_logical_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.PolicySourceInfo' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.PolicySourceInfo',
            False, 
            [
            _MetaInfoClassMember('is-cable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Cable
                ''',
                'is_cable',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-cops', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is COPS
                ''',
                'is_cops',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Default
                ''',
                'is_default',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Local
                ''',
                'is_local',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-te-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is TE Link
                ''',
                'is_te_link',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-source-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Header' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Header',
            False, 
            [
            _MetaInfoClassMember('ip-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source Address
                ''',
                'ip_source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP Type of Service
                ''',
                'ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TTL
                ''',
                'ip_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Header Flags (defined in RFC2205 Section 3
                .1.1)
                ''',
                'rsvp_header_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-message-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Message Type
                ''',
                'rsvp_message_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP TTL
                ''',
                'rsvp_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Version
                ''',
                'rsvp_version',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.ExpiryTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.ExpiryTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'expiry-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.PolicyFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.PolicyFlags',
            False, 
            [
            _MetaInfoClassMember('is-accepted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accepted
                ''',
                'is_accepted',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-forwarding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Forwarding
                ''',
                'is_forwarding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Installed
                ''',
                'is_installed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.PolicyQueryFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.PolicyQueryFlags',
            False, 
            [
            _MetaInfoClassMember('is-bypass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bypass
                ''',
                'is_bypass',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-needed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Needed
                ''',
                'is_needed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-report-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Report Required
                ''',
                'is_report_required',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-resync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Resynchronization
                ''',
                'is_resync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-query-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-local-downstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-outgoing-downstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-merge-point-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-outgoing-upstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-local-upstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-recovery-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo',
            False, 
            [
            _MetaInfoClassMember('generic-local-downstream-label', REFERENCE_CLASS, 'GenericLocalDownstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel', 
                [], [], 
                '''                Generic Local Downstream Label
                ''',
                'generic_local_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-local-upstream-label', REFERENCE_CLASS, 'GenericLocalUpstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel', 
                [], [], 
                '''                Generic Local Upstream Label
                ''',
                'generic_local_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-merge-point-label', REFERENCE_CLASS, 'GenericMergePointLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel', 
                [], [], 
                '''                Generic MergePoint Label
                ''',
                'generic_merge_point_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-outgoing-downstream-label', REFERENCE_CLASS, 'GenericOutgoingDownstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel', 
                [], [], 
                '''                Generic Outgoing Downstream Label
                ''',
                'generic_outgoing_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-outgoing-upstream-label', REFERENCE_CLASS, 'GenericOutgoingUpstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel', 
                [], [], 
                '''                Generic Outgoing Upstream Label
                ''',
                'generic_outgoing_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-recovery-label', REFERENCE_CLASS, 'GenericRecoveryLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel', 
                [], [], 
                '''                Generic Recovery Label
                ''',
                'generic_recovery_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the label information valid
                ''',
                'is_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-downstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Downstream Label
                ''',
                'local_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-upstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Upstream Label
                ''',
                'local_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Label
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MergePoint Label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-downstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Downstream Label
                ''',
                'outgoing_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-upstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Upstream Label
                ''',
                'outgoing_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Label
                ''',
                'recovery_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'label-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.ClassType' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.ClassType',
            False, 
            [
            _MetaInfoClassMember('class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DS-TE Class-Type
                ''',
                'class_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-class-type-info-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the Class-Type information valid
                ''',
                'is_class_type_info_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'class-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Pfc.PolicyFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Pfc.PolicyFlags',
            False, 
            [
            _MetaInfoClassMember('is-accepted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accepted
                ''',
                'is_accepted',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-forwarding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Forwarding
                ''',
                'is_forwarding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Installed
                ''',
                'is_installed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Pfc.PolicyQueryFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Pfc.PolicyQueryFlags',
            False, 
            [
            _MetaInfoClassMember('is-bypass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bypass
                ''',
                'is_bypass',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-needed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Needed
                ''',
                'is_needed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-report-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Report Required
                ''',
                'is_report_required',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-resync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Resynchronization
                ''',
                'is_resync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-query-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.Pfc' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.Pfc',
            False, 
            [
            _MetaInfoClassMember('output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface
                ''',
                'output_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-flags', REFERENCE_CLASS, 'PolicyFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Pfc.PolicyFlags', 
                [], [], 
                '''                Policy Flags
                ''',
                'policy_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-query-flags', REFERENCE_CLASS, 'PolicyQueryFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Pfc.PolicyQueryFlags', 
                [], [], 
                '''                Policy Query Flags
                ''',
                'policy_query_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.InEro' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed.OutEro' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds.PsbDetailed' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds.PsbDetailed',
            False, 
            [
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path Backup Tunnel
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('class-type', REFERENCE_CLASS, 'ClassType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.ClassType', 
                [], [], 
                '''                DS-TE Class-Type
                ''',
                'class_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-time', REFERENCE_CLASS, 'ExpiryTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.ExpiryTime', 
                [], [], 
                '''                Expiry Time
                ''',
                'expiry_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-traffic-spec', REFERENCE_CLASS, 'GenericTrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec', 
                [], [], 
                '''                RSVP Generic Traffic Spec Info
                ''',
                'generic_traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Header', 
                [], [], 
                '''                RSVP Header Info
                ''',
                'header',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_CLASS, 'Hop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Hop', 
                [], [], 
                '''                Path Hop Info
                ''',
                'hop',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.InEro', 
                [], [], 
                '''                Incoming Explicit Route Sub Objects
                ''',
                'in_ero',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path Input Interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-in-ero-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Incoming ERO validity
                ''',
                'is_in_ero_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-out-ero-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outgoing ERO validity
                ''',
                'is_out_ero_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label-info', REFERENCE_CLASS, 'LabelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo', 
                [], [], 
                '''                Label Information
                ''',
                'label_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.OutEro', 
                [], [], 
                '''                Outgoing Explicit Route Sub Objects
                ''',
                'out_ero',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-flags', REFERENCE_CLASS, 'PathFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.PathFlags', 
                [], [], 
                '''                Path Flags
                ''',
                'path_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_LIST, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Pfc', 
                [], [], 
                '''                Path Forwarding Contexts
                ''',
                'pfc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-flags', REFERENCE_CLASS, 'PolicyFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.PolicyFlags', 
                [], [], 
                '''                Policy Flags
                ''',
                'policy_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-query-flags', REFERENCE_CLASS, 'PolicyQueryFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.PolicyQueryFlags', 
                [], [], 
                '''                Policy Query Flags
                ''',
                'policy_query_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-source-info', REFERENCE_CLASS, 'PolicySourceInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.PolicySourceInfo', 
                [], [], 
                '''                Policy Sources Info
                ''',
                'policy_source_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-attribute', REFERENCE_CLASS, 'SessionAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.SessionAttribute', 
                [], [], 
                '''                RSVP Session Attribute
                ''',
                'session_attribute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port 
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.Template', 
                [], [], 
                '''                RSVP Template
                ''',
                'template',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-spec', REFERENCE_CLASS, 'TrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed.TrafficSpec', 
                [], [], 
                '''                RSVP Traffic Spec Info
                ''',
                'traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-detailed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbDetaileds' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbDetaileds',
            False, 
            [
            _MetaInfoClassMember('psb-detailed', REFERENCE_LIST, 'PsbDetailed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds.PsbDetailed', 
                [], [], 
                '''                Detailed info for a single path state block
                ''',
                'psb_detailed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-detaileds',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.FrrSummary.PathStates' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.FrrSummary.PathStates',
            False, 
            [
            _MetaInfoClassMember('active-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active instances of this state
                ''',
                'active_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('active-wait-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of instances of this state awaiting Path
                messages to be sent out or Resv messages to be
                received
                ''',
                'active_wait_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ready-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of ready instances of this state
                ''',
                'ready_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of instances of this state
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'path-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.FrrSummary.ReservationStates' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.FrrSummary.ReservationStates',
            False, 
            [
            _MetaInfoClassMember('active-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active instances of this state
                ''',
                'active_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('active-wait-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of instances of this state awaiting Path
                messages to be sent out or Resv messages to be
                received
                ''',
                'active_wait_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ready-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of ready instances of this state
                ''',
                'ready_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of instances of this state
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'reservation-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.FrrSummary' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.FrrSummary',
            False, 
            [
            _MetaInfoClassMember('path-states', REFERENCE_CLASS, 'PathStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.FrrSummary.PathStates', 
                [], [], 
                '''                Path state counters
                ''',
                'path_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-states', REFERENCE_CLASS, 'ReservationStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.FrrSummary.ReservationStates', 
                [], [], 
                '''                Rerservation state counters
                ''',
                'reservation_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'frr-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.FlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Style' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Style',
            False, 
            [
            _MetaInfoClassMember('reservation-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtReservationTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtReservationTypeEnumEnum', 
                [], [], 
                '''                The Reservation Type: WF, SE or FF
                ''',
                'reservation_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'style',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Filter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Filter',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.RsbFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.RsbFlags',
            False, 
            [
            _MetaInfoClassMember('is-local-receiver', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Receiver
                ''',
                'is_local_receiver',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-repair', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouted
                ''',
                'is_local_repair',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Locked Out
                ''',
                'is_lockout',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-merge-point', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node a Merge Point
                ''',
                'is_merge_point',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-message-id-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MessageID Valid
                ''',
                'is_message_id_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Hop' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Hop',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-logical-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor Logical Interface Name
                ''',
                'neighbor_logical_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.PolicySources' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.PolicySources',
            False, 
            [
            _MetaInfoClassMember('is-cable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Cable
                ''',
                'is_cable',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-cops', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is COPS
                ''',
                'is_cops',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Default
                ''',
                'is_default',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Local
                ''',
                'is_local',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-te-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is TE Link
                ''',
                'is_te_link',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.Header' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.Header',
            False, 
            [
            _MetaInfoClassMember('ip-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source Address
                ''',
                'ip_source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP Type of Service
                ''',
                'ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TTL
                ''',
                'ip_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Header Flags (defined in RFC2205 Section 3
                .1.1)
                ''',
                'rsvp_header_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-message-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Message Type
                ''',
                'rsvp_message_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP TTL
                ''',
                'rsvp_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Version
                ''',
                'rsvp_version',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.PolicyFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.PolicyFlags',
            False, 
            [
            _MetaInfoClassMember('is-accepted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accepted
                ''',
                'is_accepted',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-forwarding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Forwarding
                ''',
                'is_forwarding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Installed
                ''',
                'is_installed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.ExpiryTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.ExpiryTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'expiry-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.PolicyQueryFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.PolicyQueryFlags',
            False, 
            [
            _MetaInfoClassMember('is-bypass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bypass
                ''',
                'is_bypass',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-needed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Needed
                ''',
                'is_needed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-report-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Report Required
                ''',
                'is_report_required',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-resync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Resynchronization
                ''',
                'is_resync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-query-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-local-downstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-outgoing-downstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-merge-point-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-outgoing-upstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-local-upstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-recovery-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo',
            False, 
            [
            _MetaInfoClassMember('generic-local-downstream-label', REFERENCE_CLASS, 'GenericLocalDownstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel', 
                [], [], 
                '''                Generic Local Downstream Label
                ''',
                'generic_local_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-local-upstream-label', REFERENCE_CLASS, 'GenericLocalUpstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel', 
                [], [], 
                '''                Generic Local Upstream Label
                ''',
                'generic_local_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-merge-point-label', REFERENCE_CLASS, 'GenericMergePointLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel', 
                [], [], 
                '''                Generic MergePoint Label
                ''',
                'generic_merge_point_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-outgoing-downstream-label', REFERENCE_CLASS, 'GenericOutgoingDownstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel', 
                [], [], 
                '''                Generic Outgoing Downstream Label
                ''',
                'generic_outgoing_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-outgoing-upstream-label', REFERENCE_CLASS, 'GenericOutgoingUpstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel', 
                [], [], 
                '''                Generic Outgoing Upstream Label
                ''',
                'generic_outgoing_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-recovery-label', REFERENCE_CLASS, 'GenericRecoveryLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel', 
                [], [], 
                '''                Generic Recovery Label
                ''',
                'generic_recovery_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the label information valid
                ''',
                'is_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-downstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Downstream Label
                ''',
                'local_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-upstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Upstream Label
                ''',
                'local_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Label
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MergePoint Label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-downstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Downstream Label
                ''',
                'outgoing_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-upstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Upstream Label
                ''',
                'outgoing_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Label
                ''',
                'recovery_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'label-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds.RsbDetailed' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds.RsbDetailed',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-time', REFERENCE_CLASS, 'ExpiryTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.ExpiryTime', 
                [], [], 
                '''                Expiry Time
                ''',
                'expiry_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Filter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.FlowSpec', 
                [], [], 
                '''                Flow Spec Information
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec Information
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Header', 
                [], [], 
                '''                RSVP Header Information
                ''',
                'header',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_CLASS, 'Hop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Hop', 
                [], [], 
                '''                Hop Infomation
                ''',
                'hop',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-adjusted-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input Adjusted Interface
                ''',
                'input_adjusted_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-physical-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input Physical Interface
                ''',
                'input_physical_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label-info', REFERENCE_CLASS, 'LabelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo', 
                [], [], 
                '''                Label Information
                ''',
                'label_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-flags', REFERENCE_CLASS, 'PolicyFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.PolicyFlags', 
                [], [], 
                '''                RSVP Policy Flags
                ''',
                'policy_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-query-flags', REFERENCE_CLASS, 'PolicyQueryFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.PolicyQueryFlags', 
                [], [], 
                '''                RSVP Query Flags
                ''',
                'policy_query_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-sources', REFERENCE_CLASS, 'PolicySources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.PolicySources', 
                [], [], 
                '''                RSVP Policy Sources
                ''',
                'policy_sources',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-flags', REFERENCE_CLASS, 'RsbFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.RsbFlags', 
                [], [], 
                '''                Reservation State Block Flags
                ''',
                'rsb_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port 
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('style', REFERENCE_CLASS, 'Style' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed.Style', 
                [], [], 
                '''                RSVP Style
                ''',
                'style',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-detailed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbDetaileds' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbDetaileds',
            False, 
            [
            _MetaInfoClassMember('rsb-detailed', REFERENCE_LIST, 'RsbDetailed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds.RsbDetailed', 
                [], [], 
                '''                Detailed info for a single reservation state
                block
                ''',
                'rsb_detailed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-detaileds',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation.PreStandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation.PreStandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-subpool-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_subpool_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-subpool-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in
                subpool
                ''',
                'max_subpool_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pre-standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation.StandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation.StandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc0-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC0 B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bc0_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc1-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC1 sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_bc1_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC0
                pool
                ''',
                'max_pool0_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC1
                pool
                ''',
                'max_pool1_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation',
            False, 
            [
            _MetaInfoClassMember('dste-mode', REFERENCE_ENUM_CLASS, 'RsvpMgmtDsteModesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtDsteModesEnum', 
                [], [], 
                '''                DSTEMode
                ''',
                'dste_mode',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pre-standard-dste-interface', REFERENCE_CLASS, 'PreStandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation.PreStandardDsteInterface', 
                [], [], 
                '''                Prestandard DSTE interface information
                ''',
                'pre_standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('standard-dste-interface', REFERENCE_CLASS, 'StandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation.StandardDsteInterface', 
                [], [], 
                '''                Standard DSTE interface information
                ''',
                'standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bandwidth-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceSummaries.InterfaceSummary' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceSummaries.InterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('bandwidth-information', REFERENCE_CLASS, 'BandwidthInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation', 
                [], [], 
                '''                Interface bandwidth information
                ''',
                'bandwidth_information',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('paths-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming path
                states
                ''',
                'paths_in',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('paths-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing path states
                ''',
                'paths_out',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservations-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming
                reservation states
                ''',
                'reservations_in',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservations-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing reservation states
                ''',
                'reservations_out',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceSummaries' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceSummaries',
            False, 
            [
            _MetaInfoClassMember('interface-summary', REFERENCE_LIST, 'InterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceSummaries.InterfaceSummary', 
                [], [], 
                '''                Summary info about an RSVP-enabled interface
                ''',
                'interface_summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInstanceBriefs.HelloInstanceBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInstanceBriefs.HelloInstanceBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface to use
                ''',
                'hello_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('instance-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceEnum', 
                [], [], 
                '''                Hello instance type
                ''',
                'instance_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of times communication got lost
                ''',
                'lost_communication_total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-hello-state', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloStateEnum', 
                [], [], 
                '''                Neighbor Hello state
                ''',
                'neighbor_hello_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-instance-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInstanceBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInstanceBriefs',
            False, 
            [
            _MetaInfoClassMember('hello-instance-brief', REFERENCE_LIST, 'HelloInstanceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInstanceBriefs.HelloInstanceBrief', 
                [], [], 
                '''                Brief info for a single hello instance
                ''',
                'hello_instance_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-instance-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationDetails.AuthenticationDetail.AuthCompact' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationDetails.AuthenticationDetail.AuthCompact',
            False, 
            [
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthDirectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthDirectionEnum', 
                [], [], 
                '''                Direction
                ''',
                'direction',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Key ID
                ''',
                'key_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-id-valid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Key validity
                ''',
                'key_id_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Key source
                ''',
                'key_source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthKiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthKiEnum', 
                [], [], 
                '''                Key type
                ''',
                'key_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'auth-compact',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo.Counters' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo.Counters',
            False, 
            [
            _MetaInfoClassMember('authentication-challenge-responses-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenge responses sent
                ''',
                'authentication_challenge_responses_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures
                ''',
                'authentication_failures',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-send-challenges-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenges received
                ''',
                'authentication_send_challenges_received',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages sent
                ''',
                'authentication_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo',
            False, 
            [
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo.Counters', 
                [], [], 
                '''                Counters
                ''',
                'counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sequence number
                ''',
                'sequence',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'send-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo.Counters' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo.Counters',
            False, 
            [
            _MetaInfoClassMember('authentication-received-bad-digest', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with bad digest
                ''',
                'authentication_received_bad_digest',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-bad-message-format', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with bad mesage format
                ''',
                'authentication_received_bad_message_format',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenge-response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenge responses received
                ''',
                'authentication_received_challenge_response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenge-timeouts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenge timeouts
                ''',
                'authentication_received_challenge_timeouts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenges-resent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenges resent
                ''',
                'authentication_received_challenges_resent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenges-response-duplicate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duplicate challenge responses received
                ''',
                'authentication_received_challenges_response_duplicate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenges-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenges sent
                ''',
                'authentication_received_challenges_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-during-challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received during challenge
                ''',
                'authentication_received_during_challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-incomplete', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received incomplete
                ''',
                'authentication_received_incomplete',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-no-integrity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with no integrity
                ''',
                'authentication_received_no_integrity',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-response-late', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenge responses received late
                ''',
                'authentication_received_response_late',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-sequence-number-duplicate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with duplicate sequence
                number
                ''',
                'authentication_received_sequence_number_duplicate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-sequence-number-outof-range', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with sequence number out
                of range
                ''',
                'authentication_received_sequence_number_outof_range',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-valid-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Valid messages
                ''',
                'authentication_received_valid_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-wrong-challenges-response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incorect challenge responses received
                ''',
                'authentication_received_wrong_challenges_response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-wrong-digest-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with wrong digest type
                ''',
                'authentication_received_wrong_digest_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo',
            False, 
            [
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo.Counters', 
                [], [], 
                '''                Counters
                ''',
                'counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sequence number
                ''',
                'sequence',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sequence-window', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sequence window
                ''',
                'sequence_window',
                'Cisco-IOS-XR-ip-rsvp-oper', False, max_elements=64),
            _MetaInfoClassMember('sequence-window-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sequence window count
                ''',
                'sequence_window_count',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sequence-window-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sequence window size
                ''',
                'sequence_window_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'receive-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo',
            False, 
            [
            _MetaInfoClassMember('auth-direction', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthDirectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthDirectionEnum', 
                [], [], 
                '''                AuthDirection
                ''',
                'auth_direction',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('receive-info', REFERENCE_CLASS, 'ReceiveInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo', 
                [], [], 
                '''                receive info
                ''',
                'receive_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('send-info', REFERENCE_CLASS, 'SendInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo', 
                [], [], 
                '''                send info
                ''',
                'send_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'direction-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationDetails.AuthenticationDetail' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationDetails.AuthenticationDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('mode-id', REFERENCE_ENUM_CLASS, 'RsvpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpModeEnum', 
                [], [], 
                '''                Mode (Tx or Rx)
                ''',
                'mode_id',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('auth-compact', REFERENCE_CLASS, 'AuthCompact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationDetails.AuthenticationDetail.AuthCompact', 
                [], [], 
                '''                Basic authentication data
                ''',
                'auth_compact',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge-status', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthChallengeStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthChallengeStatusEnum', 
                [], [], 
                '''                Challenge status
                ''',
                'challenge_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('direction-info', REFERENCE_CLASS, 'DirectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo', 
                [], [], 
                '''                direction info
                ''',
                'direction_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-digest-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Direction
                ''',
                'key_digest_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Key status
                ''',
                'key_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lifetime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lifetime (seconds)
                ''',
                'lifetime',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lifetime-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining lifetime (seconds)
                ''',
                'lifetime_left',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'authentication-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.AuthenticationDetails' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.AuthenticationDetails',
            False, 
            [
            _MetaInfoClassMember('authentication-detail', REFERENCE_LIST, 'AuthenticationDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationDetails.AuthenticationDetail', 
                [], [], 
                '''                Brief Authentication information
                ''',
                'authentication_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'authentication-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.FlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Style' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Style',
            False, 
            [
            _MetaInfoClassMember('reservation-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtReservationTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtReservationTypeEnumEnum', 
                [], [], 
                '''                The Reservation Type: WF, SE or FF
                ''',
                'reservation_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'style',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief.Filter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief.Filter',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs.RsbBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs.RsbBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Filter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.FlowSpec', 
                [], [], 
                '''                Flow Spec Information
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec Info
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reservation Input Interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port 
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('style', REFERENCE_CLASS, 'Style' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief.Style', 
                [], [], 
                '''                RSVP Style
                ''',
                'style',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RsbBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RsbBriefs',
            False, 
            [
            _MetaInfoClassMember('rsb-brief', REFERENCE_LIST, 'RsbBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs.RsbBrief', 
                [], [], 
                '''                Brief info for a single reservation state block
                ''',
                'rsb_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.OpenConfig.GlobalCounters' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.OpenConfig.GlobalCounters',
            False, 
            [
            _MetaInfoClassMember('in-ack-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of ack messages received
                ''',
                'in_ack_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-hello-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of hello messages received
                ''',
                'in_hello_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path error messages received
                ''',
                'in_path_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path messages received
                ''',
                'in_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path tear messages received
                ''',
                'in_path_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation error messages
                received
                ''',
                'in_reservation_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation messages received
                ''',
                'in_reservation_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation tear messages
                received
                ''',
                'in_reservation_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-srefresh-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of srefresh messages received
                ''',
                'in_srefresh_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-ack-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of ack messages send
                ''',
                'out_ack_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-hello-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of hello messages send
                ''',
                'out_hello_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path error messages send
                ''',
                'out_path_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path messages send
                ''',
                'out_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path tear messages send
                ''',
                'out_path_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation error messages send
                ''',
                'out_reservation_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation messages send
                ''',
                'out_reservation_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation tear messages send
                ''',
                'out_reservation_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-srefresh-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of srefresh messages send
                ''',
                'out_srefresh_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-timeouts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of Path Timeouts
                ''',
                'path_timeouts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rate-limited-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of rate limited messages
                ''',
                'rate_limited_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-timeouts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation timeouts
                ''',
                'reservation_timeouts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.OpenConfig.InterfaceCounters.InterfaceCounter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.OpenConfig.InterfaceCounters.InterfaceCounter',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('in-ack-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of ack messages received
                ''',
                'in_ack_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-hello-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of hello messages received
                ''',
                'in_hello_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path error messages
                received
                ''',
                'in_path_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path messages received
                ''',
                'in_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path tear messages
                received
                ''',
                'in_path_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation error
                messages received
                ''',
                'in_reservation_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation messages
                received
                ''',
                'in_reservation_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation tear messages
                received
                ''',
                'in_reservation_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-srefresh-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of srefresh messages
                received
                ''',
                'in_srefresh_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-ack-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of ack messages send
                ''',
                'out_ack_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-hello-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of hello messages send
                ''',
                'out_hello_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path error messages send
                ''',
                'out_path_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path messages send
                ''',
                'out_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path tear messages send
                ''',
                'out_path_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation error
                messages send
                ''',
                'out_reservation_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation messages send
                ''',
                'out_reservation_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation tear messages
                send
                ''',
                'out_reservation_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-srefresh-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of srefresh messages send
                ''',
                'out_srefresh_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.OpenConfig.InterfaceCounters' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.OpenConfig.InterfaceCounters',
            False, 
            [
            _MetaInfoClassMember('interface-counter', REFERENCE_LIST, 'InterfaceCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.OpenConfig.InterfaceCounters.InterfaceCounter', 
                [], [], 
                '''                Info about an RSVP-enabled interface counters
                ''',
                'interface_counter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.OpenConfig' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.OpenConfig',
            False, 
            [
            _MetaInfoClassMember('global-counters', REFERENCE_CLASS, 'GlobalCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.OpenConfig.GlobalCounters', 
                [], [], 
                '''                Platform wide RSVP statistics and counters
                ''',
                'global_counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-counters', REFERENCE_CLASS, 'InterfaceCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.OpenConfig.InterfaceCounters', 
                [], [], 
                '''                Table of info about RSVP-enabled interface
                counters for OpenConfig
                ''',
                'interface_counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'open-config',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.ReceivedMessages' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.ReceivedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'received-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.TransmittedMessages' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.TransmittedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'transmitted-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.BundleReceivedMessages' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.BundleReceivedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bundle-received-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.BundleTransmittedMessages' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.BundleTransmittedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bundle-transmitted-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.InterfaceMessages.InterfaceMessage',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name. 'None' is used internally
                where the true interface is unknown (e.g. for
                routed packets)
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('bundle-received-messages', REFERENCE_CLASS, 'BundleReceivedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.BundleReceivedMessages', 
                [], [], 
                '''                Count of Bundle messages received
                ''',
                'bundle_received_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle-transmitted-messages', REFERENCE_CLASS, 'BundleTransmittedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.BundleTransmittedMessages', 
                [], [], 
                '''                Count of Bundle messages transmitted
                ''',
                'bundle_transmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-order-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Out of Order messages
                ''',
                'out_of_order_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rate-limited-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Rate Limited messages
                ''',
                'rate_limited_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('received-messages', REFERENCE_CLASS, 'ReceivedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.ReceivedMessages', 
                [], [], 
                '''                Count of messages received
                ''',
                'received_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('retransmitted-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of messages retransmitted
                ''',
                'retransmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('transmitted-messages', REFERENCE_CLASS, 'TransmittedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.TransmittedMessages', 
                [], [], 
                '''                Count of messages transmitted
                ''',
                'transmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.InterfaceMessages' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.InterfaceMessages',
            False, 
            [
            _MetaInfoClassMember('interface-message', REFERENCE_LIST, 'InterfaceMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.InterfaceMessages.InterfaceMessage', 
                [], [], 
                '''                Interface message counters
                ''',
                'interface_message',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.MessageSummary.ReceivedMessages' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.MessageSummary.ReceivedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'received-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.MessageSummary.TransmittedMessages' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.MessageSummary.TransmittedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'transmitted-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.MessageSummary.BundleReceivedMessages' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.MessageSummary.BundleReceivedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bundle-received-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.MessageSummary.BundleTransmittedMessages' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.MessageSummary.BundleTransmittedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bundle-transmitted-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.MessageSummary' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.MessageSummary',
            False, 
            [
            _MetaInfoClassMember('bundle-received-messages', REFERENCE_CLASS, 'BundleReceivedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.MessageSummary.BundleReceivedMessages', 
                [], [], 
                '''                Count of Bundle messages received
                ''',
                'bundle_received_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle-transmitted-messages', REFERENCE_CLASS, 'BundleTransmittedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.MessageSummary.BundleTransmittedMessages', 
                [], [], 
                '''                Count of Bundle messages transmitted
                ''',
                'bundle_transmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-order-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Out of Order messages
                ''',
                'out_of_order_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rate-limited-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Rate Limited messages
                ''',
                'rate_limited_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('received-messages', REFERENCE_CLASS, 'ReceivedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.MessageSummary.ReceivedMessages', 
                [], [], 
                '''                Count of messages received
                ''',
                'received_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('retransmitted-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of messages retransmitted
                ''',
                'retransmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('transmitted-messages', REFERENCE_CLASS, 'TransmittedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.MessageSummary.TransmittedMessages', 
                [], [], 
                '''                Count of messages transmitted
                ''',
                'transmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'message-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Forwarded' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Forwarded',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'forwarded',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Accesses.Access.LocallyDestined' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Accesses.Access.LocallyDestined',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'locally-destined',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Dropped' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Dropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Total' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Total',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Accesses.Access' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Accesses.Access',
            False, 
            [
            _MetaInfoClassMember('access-list-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 65)], [], 
                '''                AccessList Name
                ''',
                'access_list_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('dropped', REFERENCE_CLASS, 'Dropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Dropped', 
                [], [], 
                '''                Count of messages dropped
                ''',
                'dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('forwarded', REFERENCE_CLASS, 'Forwarded' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Forwarded', 
                [], [], 
                '''                Count of messages which got forwarded
                ''',
                'forwarded',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('locally-destined', REFERENCE_CLASS, 'LocallyDestined' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Accesses.Access.LocallyDestined', 
                [], [], 
                '''                Count of locally destined messages
                ''',
                'locally_destined',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Total', 
                [], [], 
                '''                Count of total messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Accesses' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Accesses',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_LIST, 'Access' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Accesses.Access', 
                [], [], 
                '''                Prefix filtering counters for a specific
                AccessList
                ''',
                'access',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'accesses',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Forwarded' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Forwarded',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'forwarded',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.LocallyDestined' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.LocallyDestined',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'locally-destined',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Dropped' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Dropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionDropped' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionDropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'default-action-dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionProcessed' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionProcessed',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'default-action-processed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Total' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Total',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary',
            False, 
            [
            _MetaInfoClassMember('default-action-dropped', REFERENCE_CLASS, 'DefaultActionDropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionDropped', 
                [], [], 
                '''                Count of messages which got dropped due to
                default ACL action
                ''',
                'default_action_dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('default-action-processed', REFERENCE_CLASS, 'DefaultActionProcessed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionProcessed', 
                [], [], 
                '''                Count of messages which were processed due to
                default ACL action
                ''',
                'default_action_processed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('dropped', REFERENCE_CLASS, 'Dropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Dropped', 
                [], [], 
                '''                Count of messages dropped
                ''',
                'dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('forwarded', REFERENCE_CLASS, 'Forwarded' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Forwarded', 
                [], [], 
                '''                Count of messages which got forwarded
                ''',
                'forwarded',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('locally-destined', REFERENCE_CLASS, 'LocallyDestined' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.LocallyDestined', 
                [], [], 
                '''                Count of locally destined messages
                ''',
                'locally_destined',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Total', 
                [], [], 
                '''                Count of total messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Forwarded' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Forwarded',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'forwarded',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.LocallyDestined' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.LocallyDestined',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'locally-destined',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Dropped' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Dropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionDropped' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionDropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'default-action-dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionProcessed' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionProcessed',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'default-action-processed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Total' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Total',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Interface Name. 'None' is used internally
                where the true interface is unknown (e.g.
                for routed packets)
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('default-action-dropped', REFERENCE_CLASS, 'DefaultActionDropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionDropped', 
                [], [], 
                '''                Count of messages which got dropped due to
                default ACL action
                ''',
                'default_action_dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('default-action-processed', REFERENCE_CLASS, 'DefaultActionProcessed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionProcessed', 
                [], [], 
                '''                Count of messages which were processed due to
                default ACL action
                ''',
                'default_action_processed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('dropped', REFERENCE_CLASS, 'Dropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Dropped', 
                [], [], 
                '''                Count of messages dropped
                ''',
                'dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('forwarded', REFERENCE_CLASS, 'Forwarded' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Forwarded', 
                [], [], 
                '''                Count of messages which got forwarded
                ''',
                'forwarded',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('locally-destined', REFERENCE_CLASS, 'LocallyDestined' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.LocallyDestined', 
                [], [], 
                '''                Count of locally destined messages
                ''',
                'locally_destined',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Total', 
                [], [], 
                '''                Count of total messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface', 
                [], [], 
                '''                Prefix filtering counters for a specific
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering.Interfaces' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_', 
                [], [], 
                '''                Table of interface specific prefix filtering
                counters
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary', 
                [], [], 
                '''                Summary of prefix filtering counts for all
                interfaces
                ''',
                'summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.PrefixFiltering' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.PrefixFiltering',
            False, 
            [
            _MetaInfoClassMember('accesses', REFERENCE_CLASS, 'Accesses' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Accesses', 
                [], [], 
                '''                AccessList specific prefix filtering counters
                ''',
                'accesses',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering.Interfaces', 
                [], [], 
                '''                Interface specific prefix filtering counters
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'prefix-filtering',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.OutOfResource.Interfaces.Summary' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.OutOfResource.Interfaces.Summary',
            False, 
            [
            _MetaInfoClassMember('dropped-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages dropped due to an out of
                resource condition
                ''',
                'dropped_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.OutOfResource.Interfaces.Interfaces_.Interface' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.OutOfResource.Interfaces.Interfaces_.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Interface Name. 'None' is used internally
                where the true interface is unknown (e.g.
                for routed packets)
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('dropped-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages dropped due to an out of
                resource condition
                ''',
                'dropped_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.OutOfResource.Interfaces.Interfaces_' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.OutOfResource.Interfaces.Interfaces_',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.OutOfResource.Interfaces.Interfaces_.Interface', 
                [], [], 
                '''                Out of resource counters for a specific
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.OutOfResource.Interfaces' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.OutOfResource.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.OutOfResource.Interfaces.Interfaces_', 
                [], [], 
                '''                Table of interface specific out of resource
                counters
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.OutOfResource.Interfaces.Summary', 
                [], [], 
                '''                Summary of out of resource counts for all
                interfaces
                ''',
                'summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.OutOfResource' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.OutOfResource',
            False, 
            [
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.OutOfResource.Interfaces', 
                [], [], 
                '''                Interface specific out of resource counters
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'out-of-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.InterfaceEvents.InterfaceEvent' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.InterfaceEvents.InterfaceEvent',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name. 'None' is used internally
                where the true interface is unknown (e.g. for
                routed packets)
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('expired-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for Expired Path states
                ''',
                'expired_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expired-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for Expired Reservation states
                ''',
                'expired_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nac-ks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for NACKs received
                ''',
                'nac_ks',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-event',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.InterfaceEvents' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.InterfaceEvents',
            False, 
            [
            _MetaInfoClassMember('interface-event', REFERENCE_LIST, 'InterfaceEvent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.InterfaceEvents.InterfaceEvent', 
                [], [], 
                '''                Event counters for an interface
                ''',
                'interface_event',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-events',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.Nsr' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.Nsr',
            False, 
            [
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp, in seconds, when these statistics
                are cleared              since 00:00:00 UTC,
                January 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('last-idt-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last IDT number of states
                ''',
                'last_idt_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-process-role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'rsvp_process_role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-deletions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of deletions
                ''',
                'total_deletions',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-id-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IDTs
                ''',
                'total_id_ts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-nacks', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total number of NACKs
                ''',
                'total_nacks',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of states
                ''',
                'total_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.Issu' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.Issu',
            False, 
            [
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp, in seconds, when these statistics
                are cleared              since 00:00:00 UTC,
                January 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('last-idt-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last IDT number of states
                ''',
                'last_idt_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-process-role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'rsvp_process_role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-deletions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of deletions
                ''',
                'total_deletions',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-id-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IDTs
                ''',
                'total_id_ts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-nacks', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total number of NACKs
                ''',
                'total_nacks',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of states
                ''',
                'total_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.Database' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.Database',
            False, 
            [
            _MetaInfoClassMember('incoming-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming path
                states
                ''',
                'incoming_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('incoming-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming
                reservation states
                ''',
                'incoming_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing path states
                ''',
                'outgoing_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing reservation states
                ''',
                'outgoing_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sessions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sessions
                ''',
                'sessions',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.EventSyncs.EventSync' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.EventSyncs.EventSync',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('expired-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for Expired Path states
                ''',
                'expired_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expired-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for Expired Reservation states
                ''',
                'expired_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nac-ks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for NACKs received
                ''',
                'nac_ks',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'event-sync',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters.EventSyncs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters.EventSyncs',
            False, 
            [
            _MetaInfoClassMember('event-sync', REFERENCE_LIST, 'EventSync' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.EventSyncs.EventSync', 
                [], [], 
                '''                Event sync counters
                ''',
                'event_sync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'event-syncs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Counters' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Counters',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.Database', 
                [], [], 
                '''                Summary information for all RSVP database
                counters
                ''',
                'database',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('event-syncs', REFERENCE_CLASS, 'EventSyncs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.EventSyncs', 
                [], [], 
                '''                Table containing event sync counters
                ''',
                'event_syncs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-events', REFERENCE_CLASS, 'InterfaceEvents' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.InterfaceEvents', 
                [], [], 
                '''                Event counters
                ''',
                'interface_events',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-messages', REFERENCE_CLASS, 'InterfaceMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.InterfaceMessages', 
                [], [], 
                '''                Table of message counters
                ''',
                'interface_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.Issu', 
                [], [], 
                '''                Summary information for all RSVP ISSU counters
                ''',
                'issu',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('message-summary', REFERENCE_CLASS, 'MessageSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.MessageSummary', 
                [], [], 
                '''                Summary information for all RSVP message
                counters
                ''',
                'message_summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.Nsr', 
                [], [], 
                '''                Summary information for all RSVP NSR counters
                ''',
                'nsr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-resource', REFERENCE_CLASS, 'OutOfResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.OutOfResource', 
                [], [], 
                '''                Out of resource counters
                ''',
                'out_of_resource',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-filtering', REFERENCE_CLASS, 'PrefixFiltering' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters.PrefixFiltering', 
                [], [], 
                '''                Prefix filtering counters
                ''',
                'prefix_filtering',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.PreStandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.PreStandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-subpool-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_subpool_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-subpool-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in
                subpool
                ''',
                'max_subpool_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pre-standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.StandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.StandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc0-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC0 B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bc0_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc1-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC1 sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_bc1_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC0
                pool
                ''',
                'max_pool0_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC1
                pool
                ''',
                'max_pool1_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation',
            False, 
            [
            _MetaInfoClassMember('dste-mode', REFERENCE_ENUM_CLASS, 'RsvpMgmtDsteModesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtDsteModesEnum', 
                [], [], 
                '''                DSTEMode
                ''',
                'dste_mode',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pre-standard-dste-interface', REFERENCE_CLASS, 'PreStandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.PreStandardDsteInterface', 
                [], [], 
                '''                Prestandard DSTE interface information
                ''',
                'pre_standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('standard-dste-interface', REFERENCE_CLASS, 'StandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.StandardDsteInterface', 
                [], [], 
                '''                Standard DSTE interface information
                ''',
                'standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bandwidth-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.Flags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceDetaileds.InterfaceDetailed.Flags',
            False, 
            [
            _MetaInfoClassMember('is-backup-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                This is backup tunnel
                ''',
                'is_backup_tunnel',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-interface-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is created
                ''',
                'is_interface_created',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-interface-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is DOWN
                ''',
                'is_interface_down',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-message-bundling-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use bundling for outgoing RSVP messages.
                ''',
                'is_message_bundling_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-mpls-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS enabled on interface
                ''',
                'is_mpls_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-non-default-vrf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is defined in non-Default VRF
                ''',
                'is_non_default_vrf',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-pacing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Message pacing enabled
                ''',
                'is_pacing_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-refresh-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Refresh enabled
                ''',
                'is_refresh_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-refresh-reduction-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Refresh Reduction enabled
                ''',
                'is_refresh_reduction_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rel-s-refresh-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use reliable xmt for SRefresh
                ''',
                'is_rel_s_refresh_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rsvp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP explicitly configured
                ''',
                'is_rsvp_configured',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-s-refresh-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Summary Refresh enabled
                ''',
                'is_s_refresh_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray.ExpiryTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray.ExpiryTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'expiry-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray.NeighborMessageId' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray.NeighborMessageId',
            False, 
            [
            _MetaInfoClassMember('message-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message ID
                ''',
                'message_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'neighbor-message-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray',
            False, 
            [
            _MetaInfoClassMember('expiry-time', REFERENCE_CLASS, 'ExpiryTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray.ExpiryTime', 
                [], [], 
                '''                Expiry time
                ''',
                'expiry_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-neighbor-refresh-reduction-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is neighbor capable of Refresh Reduction
                ''',
                'is_neighbor_refresh_reduction_capable',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('message-ids', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of MessageIDs
                ''',
                'message_ids',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-message-id', REFERENCE_LIST, 'NeighborMessageId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray.NeighborMessageId', 
                [], [], 
                '''                List of Neighbor MessageIDs
                ''',
                'neighbor_message_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False, max_elements=6),
            _MetaInfoClassMember('outgoing-states', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of outgoing states to the neighbour
                ''',
                'outgoing_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'neighbor-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceDetaileds.InterfaceDetailed' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceDetaileds.InterfaceDetailed',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('ack-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ACK hold time in msec
                ''',
                'ack_hold_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ack-max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max size for ACK message
                ''',
                'ack_max_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bandwidth-information', REFERENCE_CLASS, 'BandwidthInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation', 
                [], [], 
                '''                Interface bandwidth information
                ''',
                'bandwidth_information',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle-message-max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max size in bytes of a single Bundle message
                ''',
                'bundle_message_max_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-drops-tolerated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of missed messages tolerated
                ''',
                'expiry_drops_tolerated',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-interval', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiry interval in msecs
                ''',
                'expiry_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-states', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of states for expiry check
                ''',
                'expiry_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                Expiry timer state
                ''',
                'expiry_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.Flags', 
                [], [], 
                '''                Interface flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('integrity-receive-password', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Integrity receive password
                ''',
                'integrity_receive_password',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('integrity-receive-password-optional', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Integrity recv password optional
                ''',
                'integrity_receive_password_optional',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('integrity-send-password', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Integrity send password
                ''',
                'integrity_send_password',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-array', REFERENCE_LIST, 'NeighborArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray', 
                [], [], 
                '''                Neighbor array
                ''',
                'neighbor_array',
                'Cisco-IOS-XR-ip-rsvp-oper', False, max_elements=6),
            _MetaInfoClassMember('out-of-band-expiry-drops-tolerated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of out-of-band missed messages tolerated
                ''',
                'out_of_band_expiry_drops_tolerated',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-band-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out-of-band Refresh interval in msecs
                ''',
                'out_of_band_refresh_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pacing interval in msecs
                ''',
                'pacing_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-message-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages per interval
                ''',
                'pacing_message_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-messages', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of messages deferred for pacing
                ''',
                'pacing_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                State of pacing timer
                ''',
                'pacing_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Refresh interval in msecs
                ''',
                'refresh_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('refresh-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                Refresh timer state
                ''',
                'refresh_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('retransmit-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmit time in msec
                ''',
                'retransmit_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('signalling-ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TOS (precedence/DSCP) to use in signalling
                messages
                ''',
                'signalling_ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary-refresh-max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max size in bytes of a single SRefresh
                ''',
                'summary_refresh_max_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary-refresh-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                Summary refresh timer state
                ''',
                'summary_refresh_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-detailed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceDetaileds' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceDetaileds',
            False, 
            [
            _MetaInfoClassMember('interface-detailed', REFERENCE_LIST, 'InterfaceDetailed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceDetaileds.InterfaceDetailed', 
                [], [], 
                '''                Detailed info about an RSVP-enabled interface
                ''',
                'interface_detailed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-detaileds',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GracefulRestart.RecoveryTimeLeft' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GracefulRestart.RecoveryTimeLeft',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'recovery-time-left',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GracefulRestart.RecoveryTimerExpTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GracefulRestart.RecoveryTimerExpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'recovery-timer-exp-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GracefulRestart.LocalNodeAddress' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GracefulRestart.LocalNodeAddress',
            False, 
            [
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGrAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGrAppEnum', 
                [], [], 
                '''                GR local node-id app type
                ''',
                'application_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-node-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local node address
                ''',
                'local_node_ip_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'local-node-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('global-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global neighbor count
                ''',
                'global_neighbors',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interval at which hello messages are sent
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-gr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether GR is enabled
                ''',
                'is_gr_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-recovery-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether recovery timer is running
                ''',
                'is_recovery_timer_running',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-node-address', REFERENCE_LIST, 'LocalNodeAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GracefulRestart.LocalNodeAddress', 
                [], [], 
                '''                Local node address
                ''',
                'local_node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('missed-hellos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Max number of hellos missed before hellos
                declared down
                ''',
                'missed_hellos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pending-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of pending states
                ''',
                'pending_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery time (milliseconds)
                ''',
                'recovery_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-time-left', REFERENCE_CLASS, 'RecoveryTimeLeft' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GracefulRestart.RecoveryTimeLeft', 
                [], [], 
                '''                How much recovery timer remains
                ''',
                'recovery_time_left',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-timer-exp-time', REFERENCE_CLASS, 'RecoveryTimerExpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GracefulRestart.RecoveryTimerExpTime', 
                [], [], 
                '''                Time at which recovery timer will expire
                ''',
                'recovery_timer_exp_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time (milliseconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInterfaceInstanceBriefs.HelloInterfaceInstanceBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInterfaceInstanceBriefs.HelloInterfaceInstanceBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface to use
                ''',
                'hello_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('instance-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceEnum', 
                [], [], 
                '''                Hello instance type
                ''',
                'instance_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-interface-instance-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInterfaceInstanceBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInterfaceInstanceBriefs',
            False, 
            [
            _MetaInfoClassMember('hello-interface-instance-brief', REFERENCE_LIST, 'HelloInterfaceInstanceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInterfaceInstanceBriefs.HelloInterfaceInstanceBrief', 
                [], [], 
                '''                Brief info for a single interface-based hello
                instance
                ''',
                'hello_interface_instance_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-interface-instance-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail.LastMessageSentTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail.LastMessageSentTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'last-message-sent-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Instance
                ''',
                'destination_instance',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-global-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global Neighbor ID
                ''',
                'hello_global_neighbor_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface to use
                ''',
                'hello_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of hello messages received
                ''',
                'hello_messages_received',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of hello messages sent
                ''',
                'hello_messages_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('instance-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceEnum', 
                [], [], 
                '''                Hello instance type
                ''',
                'instance_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('last-message-sent-time', REFERENCE_CLASS, 'LastMessageSentTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail.LastMessageSentTime', 
                [], [], 
                '''                Last Ack/msg sent time
                ''',
                'last_message_sent_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Instance
                ''',
                'source_instance',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-interface-instance-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInterfaceInstanceDetails' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInterfaceInstanceDetails',
            False, 
            [
            _MetaInfoClassMember('hello-interface-instance-detail', REFERENCE_LIST, 'HelloInterfaceInstanceDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail', 
                [], [], 
                '''                Detailed info for a single interface-based
                hello instance
                ''',
                'hello_interface_instance_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-interface-instance-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceNeighborDetails.InterfaceNeighborDetail.InterfaceNeighborListDetail' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceNeighborDetails.InterfaceNeighborDetail.InterfaceNeighborListDetail',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Neighbor address
                ''',
                'interface_neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Neighbor's RR enable
                ''',
                'is_rr_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-epoch', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's epoch value
                ''',
                'neighbor_epoch',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor's Interface handle
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-order-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of out of order msgs
                ''',
                'out_of_order_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('retransmitted-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmitted msgs
                ''',
                'retransmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-list-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceNeighborDetails.InterfaceNeighborDetail' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceNeighborDetails.InterfaceNeighborDetail',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of global neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('interface-neighbor-list-detail', REFERENCE_LIST, 'InterfaceNeighborListDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceNeighborDetails.InterfaceNeighborDetail.InterfaceNeighborListDetail', 
                [], [], 
                '''                Detail list of I/F Neighbors
                ''',
                'interface_neighbor_list_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor node address
                ''',
                'node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceNeighborDetails' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceNeighborDetails',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-detail', REFERENCE_LIST, 'InterfaceNeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceNeighborDetails.InterfaceNeighborDetail', 
                [], [], 
                '''                Detailed info for a single interface neighbor
                ''',
                'interface_neighbor_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Nsr.Status.IdtStatus' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Nsr.Status.IdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Nsr.Status.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Nsr.Status.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Nsr.Status' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Nsr.Status',
            False, 
            [
            _MetaInfoClassMember('idt-status', REFERENCE_CLASS, 'IdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Nsr.Status.IdtStatus', 
                [], [], 
                '''                IDT status
                ''',
                'idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Nsr.Status.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT status
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Nsr' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Nsr',
            False, 
            [
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Nsr.Status', 
                [], [], 
                '''                RSVP NSR status information
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Summary.IssuStatus.IdtStatus' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Summary.IssuStatus.IdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Summary.IssuStatus.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Summary.IssuStatus.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Summary.IssuStatus' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Summary.IssuStatus',
            False, 
            [
            _MetaInfoClassMember('idt-status', REFERENCE_CLASS, 'IdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Summary.IssuStatus.IdtStatus', 
                [], [], 
                '''                IDT status
                ''',
                'idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Summary.IssuStatus.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT status
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'issu-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Summary.NsrStatus.IdtStatus' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Summary.NsrStatus.IdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Summary.NsrStatus.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Summary.NsrStatus.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Summary.NsrStatus' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Summary.NsrStatus',
            False, 
            [
            _MetaInfoClassMember('idt-status', REFERENCE_CLASS, 'IdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Summary.NsrStatus.IdtStatus', 
                [], [], 
                '''                IDT status
                ''',
                'idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Summary.NsrStatus.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT status
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'nsr-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Summary.DatabaseCounters' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Summary.DatabaseCounters',
            False, 
            [
            _MetaInfoClassMember('incoming-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming path
                states
                ''',
                'incoming_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('incoming-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming
                reservation states
                ''',
                'incoming_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing path states
                ''',
                'outgoing_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing reservation states
                ''',
                'outgoing_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sessions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sessions
                ''',
                'sessions',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'database-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Summary' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Summary',
            False, 
            [
            _MetaInfoClassMember('database-counters', REFERENCE_CLASS, 'DatabaseCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Summary.DatabaseCounters', 
                [], [], 
                '''                All database counters
                ''',
                'database_counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('issu-status', REFERENCE_CLASS, 'IssuStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Summary.IssuStatus', 
                [], [], 
                '''                Issu status
                ''',
                'issu_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total LSPs
                ''',
                'ls_ps',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nsr-status', REFERENCE_CLASS, 'NsrStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Summary.NsrStatus', 
                [], [], 
                '''                NSR status
                ''',
                'nsr_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Frrs.Frr.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Frrs.Frr.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Frrs.Frr.Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Frrs.Frr.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Frrs.Frr.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Frrs.Frr.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Frrs.Frr.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Frrs.Frr' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Frrs.Frr',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-status', REFERENCE_ENUM_CLASS, 'RsvpMgmtFrrStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFrrStateEnumEnum', 
                [], [], 
                '''                RSVP FRR Path States
                ''',
                'path_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-status', REFERENCE_ENUM_CLASS, 'RsvpMgmtFrrStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFrrStateEnumEnum', 
                [], [], 
                '''                RSVP FRR Reservation States
                ''',
                'reservation_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Frrs.Frr.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Frrs.Frr.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'frr',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.Frrs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.Frrs',
            False, 
            [
            _MetaInfoClassMember('frr', REFERENCE_LIST, 'Frr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Frrs.Frr', 
                [], [], 
                '''                Detailed info for a single Fast Re-route state
                ''',
                'frr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'frrs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.FlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Filter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Filter',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief.Style' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief.Style',
            False, 
            [
            _MetaInfoClassMember('reservation-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtReservationTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtReservationTypeEnumEnum', 
                [], [], 
                '''                The Reservation Type: WF, SE or FF
                ''',
                'reservation_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'style',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs.RequestBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs.RequestBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Filter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.FlowSpec', 
                [], [], 
                '''                Flow Spec Information
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec Information
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output Interface
                ''',
                'output_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('style', REFERENCE_CLASS, 'Style' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief.Style', 
                [], [], 
                '''                RSVP Style
                ''',
                'style',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'request-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestBriefs',
            False, 
            [
            _MetaInfoClassMember('request-brief', REFERENCE_LIST, 'RequestBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs.RequestBrief', 
                [], [], 
                '''                Brief info for a request
                ''',
                'request_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'request-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.FlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Filter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Filter',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Style' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Style',
            False, 
            [
            _MetaInfoClassMember('reservation-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtReservationTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtReservationTypeEnumEnum', 
                [], [], 
                '''                The Reservation Type: WF, SE or FF
                ''',
                'reservation_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'style',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.ReqFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.ReqFlags',
            False, 
            [
            _MetaInfoClassMember('is-ack-outstanding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ACK message outstanding
                ''',
                'is_ack_outstanding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-label-request-in-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Path message contains Label Request
                ''',
                'is_label_request_in_path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-receiver', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Receiver
                ''',
                'is_local_receiver',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-merge-point', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node a Merge Point
                ''',
                'is_merge_point',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-message-id-allocated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MessageID allocated
                ''',
                'is_message_id_allocated',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-nack-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A NACK message was received
                ''',
                'is_nack_received',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-paced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Message is paced
                ''',
                'is_paced',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-record-label-in-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Session-Attr object with Record Labels
                set
                ''',
                'is_record_label_in_path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-refreshing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is neighbor refreshing
                ''',
                'is_refreshing',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-retransmit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retransmit the message
                ''',
                'is_retransmit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rro-in-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Path message contains RRO
                ''',
                'is_rro_in_path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-send-confirm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Confirm message
                ''',
                'is_send_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'req-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Hop' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Hop',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-logical-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor Logical Interface Name
                ''',
                'neighbor_logical_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.Header' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.Header',
            False, 
            [
            _MetaInfoClassMember('ip-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source Address
                ''',
                'ip_source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP Type of Service
                ''',
                'ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TTL
                ''',
                'ip_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Header Flags (defined in RFC2205 Section 3
                .1.1)
                ''',
                'rsvp_header_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-message-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Message Type
                ''',
                'rsvp_message_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP TTL
                ''',
                'rsvp_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Version
                ''',
                'rsvp_version',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.PolicySources' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.PolicySources',
            False, 
            [
            _MetaInfoClassMember('is-cable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Cable
                ''',
                'is_cable',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-cops', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is COPS
                ''',
                'is_cops',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Default
                ''',
                'is_default',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Local
                ''',
                'is_local',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-te-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is TE Link
                ''',
                'is_te_link',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.PolicyFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.PolicyFlags',
            False, 
            [
            _MetaInfoClassMember('is-accepted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accepted
                ''',
                'is_accepted',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-forwarding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Forwarding
                ''',
                'is_forwarding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Installed
                ''',
                'is_installed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.PolicyQueryFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.PolicyQueryFlags',
            False, 
            [
            _MetaInfoClassMember('is-bypass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bypass
                ''',
                'is_bypass',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-needed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Needed
                ''',
                'is_needed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-report-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Report Required
                ''',
                'is_report_required',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-resync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Resynchronization
                ''',
                'is_resync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-query-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.PsbKey' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.PsbKey',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port-or-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Port or Tunnel ID. For the LSP and
                OUNI session types this represents the Tunnel ID
                whereas for the UDP session type this represents
                the Destination Port
                ''',
                'destination_port_or_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protocol or Extended Tunnel ID. For the LSP and
                OUNI sesion types this represents the Extended
                Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point-to-multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol. UDP session type this represents the
                Protocol (UDP not supported at present)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                Session Type (e.g. LSP, OUNI or UDP)
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port-or-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Port or LSP_ID. For the LSP and OUNI
                session types this represents the LSP_ID whereas
                for the UDP session type this represents the
                SourcePort
                ''',
                'source_port_or_lsp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrfid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Signalling VRF ID
                ''',
                'vrfid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-key',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail.RsbKey' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail.RsbKey',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port-or-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Port or Tunnel ID. For the LSP and
                OUNI session types this represents the Tunnel ID
                whereas for the UDP session type this represents
                the Destination Port
                ''',
                'destination_port_or_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protocol or Extended Tunnel ID. For the LSP and
                OUNI sesion types this represents the Extended
                Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point-to-multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol. UDP session type this represents the
                Protocol (UDP not supported at present)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                Session Type (e.g. LSP, OUNI or UDP)
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port-or-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Port or LSP_ID. For the LSP and OUNI
                session types this represents the LSP_ID whereas
                for the UDP session type this represents the
                SourcePort
                ''',
                'source_port_or_lsp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrfid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Signalling VRF ID
                ''',
                'vrfid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-key',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails.RequestDetail' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails.RequestDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Filter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.FlowSpec', 
                [], [], 
                '''                Flow Spec Information
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec Information
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Header', 
                [], [], 
                '''                RSVP Header Information
                ''',
                'header',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_CLASS, 'Hop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Hop', 
                [], [], 
                '''                Hop Infomation
                ''',
                'hop',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output Interface
                ''',
                'output_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-flags', REFERENCE_CLASS, 'PolicyFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.PolicyFlags', 
                [], [], 
                '''                RSVP Policy Flags
                ''',
                'policy_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-query-flags', REFERENCE_CLASS, 'PolicyQueryFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.PolicyQueryFlags', 
                [], [], 
                '''                RSVP Query Flags
                ''',
                'policy_query_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-sources', REFERENCE_CLASS, 'PolicySources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.PolicySources', 
                [], [], 
                '''                RSVP Policy Sources
                ''',
                'policy_sources',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('psb-key', REFERENCE_LIST, 'PsbKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.PsbKey', 
                [], [], 
                '''                List of RSB keys
                ''',
                'psb_key',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('req-flags', REFERENCE_CLASS, 'ReqFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.ReqFlags', 
                [], [], 
                '''                Request flags
                ''',
                'req_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-key', REFERENCE_LIST, 'RsbKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.RsbKey', 
                [], [], 
                '''                List of RSB keys
                ''',
                'rsb_key',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('style', REFERENCE_CLASS, 'Style' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail.Style', 
                [], [], 
                '''                RSVP Style
                ''',
                'style',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'request-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.RequestDetails' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.RequestDetails',
            False, 
            [
            _MetaInfoClassMember('request-detail', REFERENCE_LIST, 'RequestDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails.RequestDetail', 
                [], [], 
                '''                Detail info for a request
                ''',
                'request_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'request-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation.PreStandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation.PreStandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-subpool-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_subpool_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-subpool-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in
                subpool
                ''',
                'max_subpool_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pre-standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation.StandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation.StandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc0-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC0 B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bc0_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc1-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC1 sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_bc1_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC0
                pool
                ''',
                'max_pool0_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC1
                pool
                ''',
                'max_pool1_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation',
            False, 
            [
            _MetaInfoClassMember('dste-mode', REFERENCE_ENUM_CLASS, 'RsvpMgmtDsteModesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtDsteModesEnum', 
                [], [], 
                '''                DSTEMode
                ''',
                'dste_mode',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pre-standard-dste-interface', REFERENCE_CLASS, 'PreStandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation.PreStandardDsteInterface', 
                [], [], 
                '''                Prestandard DSTE interface information
                ''',
                'pre_standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('standard-dste-interface', REFERENCE_CLASS, 'StandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation.StandardDsteInterface', 
                [], [], 
                '''                Standard DSTE interface information
                ''',
                'standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bandwidth-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceBriefs.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceBriefs.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('bandwidth-information', REFERENCE_CLASS, 'BandwidthInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation', 
                [], [], 
                '''                Interface bandwidth information
                ''',
                'bandwidth_information',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.InterfaceBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.InterfaceBriefs',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceBriefs.InterfaceBrief', 
                [], [], 
                '''                Brief info about an RSVP-enabled interface
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.Compact' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.Compact',
            False, 
            [
            _MetaInfoClassMember('detail-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of elements in detail list
                ''',
                'detail_list_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ps-bs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path state block states
                ''',
                'ps_bs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of request states
                ''',
                'requests',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rs-bs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of reservation state block states
                ''',
                'rs_bs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'compact',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-in-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.TrafficSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.TrafficSpec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.G709OtnTspec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.G709OtnTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Traffic Bit Rate
                ''',
                'traffic_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic Multiplier
                ''',
                'traffic_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic NVC
                ''',
                'traffic_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Traffic Signal Type (Refer G709 v3)
                ''',
                'traffic_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.IntsrvTspec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.IntsrvTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'intsrv-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec',
            False, 
            [
            _MetaInfoClassMember('g709otn-tspec', REFERENCE_CLASS, 'G709OtnTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.G709OtnTspec', 
                [], [], 
                '''                G709 OTN Sender Tspec
                ''',
                'g709otn_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('intsrv-tspec', REFERENCE_CLASS, 'IntsrvTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.IntsrvTspec', 
                [], [], 
                '''                Integrated Services Sender Tspec
                ''',
                'intsrv_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtTspecEnum', 
                [], [], 
                '''                TspecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv4',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association ID
                ''',
                'id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Association IPV4 Source Address
                ''',
                'source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type (RFC 4872)
                ''',
                'type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv6' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv6',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association ID
                ''',
                'id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Association IPV6 Source Address
                ''',
                'source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type (RFC 4872)
                ''',
                'type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv4',
            False, 
            [
            _MetaInfoClassMember('extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended Association ID
                ''',
                'extended_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Association Source
                ''',
                'global_source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association ID
                ''',
                'id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Association IPV4 Source Address
                ''',
                'source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type (RFC 4872)
                ''',
                'type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'extended-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv6' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv6',
            False, 
            [
            _MetaInfoClassMember('extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended Association ID
                ''',
                'extended_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Association Source
                ''',
                'global_source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association ID
                ''',
                'id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Association IPV6 Source Address
                ''',
                'source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type (RFC 4872)
                ''',
                'type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'extended-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association',
            False, 
            [
            _MetaInfoClassMember('association-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtAssociationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAssociationEnum', 
                [], [], 
                '''                AssociationType
                ''',
                'association_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-ipv4', REFERENCE_CLASS, 'ExtendedIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv4', 
                [], [], 
                '''                EXTENDED IPV4 ASSOCIATION Object
                ''',
                'extended_ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-ipv6', REFERENCE_CLASS, 'ExtendedIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv6', 
                [], [], 
                '''                EXTENDED IPV6 ASSOCIATION Object
                ''',
                'extended_ipv6',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv4', 
                [], [], 
                '''                IPV4 ASSOCIATION Object
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv6', 
                [], [], 
                '''                IPV6 ASSOCIATION Object
                ''',
                'ipv6',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LspFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LspFlags',
            False, 
            [
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'lsp-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LinkFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LinkFlags',
            False, 
            [
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reserved-bit1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reserved Bit 1
                ''',
                'reserved_bit1',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reserved-bit2', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reserved Bit 2
                ''',
                'reserved_bit2',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'unprotected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'link-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection',
            False, 
            [
            _MetaInfoClassMember('link-flags', REFERENCE_CLASS, 'LinkFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LinkFlags', 
                [], [], 
                '''                PROTECTION Object Link Flags
                ''',
                'link_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-flags', REFERENCE_CLASS, 'LspFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LspFlags', 
                [], [], 
                '''                PROTECTION Object LSP Flags
                ''',
                'lsp_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('n', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification Bit
                ''',
                'n',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('o', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational Bit
                ''',
                'o',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting Bit
                ''',
                'p',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary Bit
                ''',
                's',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.G709OtnTspec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.G709OtnTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Traffic Bit Rate
                ''',
                'traffic_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic Multiplier
                ''',
                'traffic_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic NVC
                ''',
                'traffic_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Traffic Signal Type (Refer G709 v3)
                ''',
                'traffic_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.IntsrvTspec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.IntsrvTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'intsrv-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec',
            False, 
            [
            _MetaInfoClassMember('g709otn-tspec', REFERENCE_CLASS, 'G709OtnTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.G709OtnTspec', 
                [], [], 
                '''                G709 OTN Sender Tspec
                ''',
                'g709otn_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('intsrv-tspec', REFERENCE_CLASS, 'IntsrvTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.IntsrvTspec', 
                [], [], 
                '''                Integrated Services Sender Tspec
                ''',
                'intsrv_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtTspecEnum', 
                [], [], 
                '''                TspecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ero',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.UnsupSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.UnsupSubObject',
            False, 
            [
            _MetaInfoClassMember('rsvp-mgmt-rev-lsp-unsupported-subobj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rsvp mgmt rev lsp unsupported subobj
                ''',
                'rsvp_mgmt_rev_lsp_unsupported_subobj',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unsup-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp',
            False, 
            [
            _MetaInfoClassMember('ero', REFERENCE_LIST, 'Ero' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero', 
                [], [], 
                '''                Explicit Route Sub Objects
                ''',
                'ero',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-traffic-spec', REFERENCE_CLASS, 'GenericTrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec', 
                [], [], 
                '''                Generic Traffic Spec object
                ''',
                'generic_traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unsup-sub-object', REFERENCE_LIST, 'UnsupSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.UnsupSubObject', 
                [], [], 
                '''                Unsupported REVERSE_LSP Sub Objects
                ''',
                'unsup_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'reverse-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ero',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rro',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association', 
                [], [], 
                '''                Association object
                ''',
                'association',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero', REFERENCE_LIST, 'Ero' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero', 
                [], [], 
                '''                Explicit Route Sub Objects
                ''',
                'ero',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-in-label', REFERENCE_CLASS, 'GenericInLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel', 
                [], [], 
                '''                Generic Label for inbound traffic
                ''',
                'generic_in_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-traffic-spec', REFERENCE_CLASS, 'GenericTrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec', 
                [], [], 
                '''                Generic Traffic Spec object
                ''',
                'generic_traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which inbound message was received
                ''',
                'in_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label for inbound traffic
                ''',
                'in_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('incoming-interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of Path's incoming interface
                ''',
                'incoming_interface_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-bad-address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address validity
                ''',
                'is_bad_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-ero-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO validity
                ''',
                'is_ero_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rro-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RRO validity
                ''',
                'is_rro_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-traffic-spec-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Traffic Spec validity
                ''',
                'is_traffic_spec_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry validity
                ''',
                'is_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Label
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection', 
                [], [], 
                '''                Protection object
                ''',
                'protection',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reverse-lsp', REFERENCE_CLASS, 'ReverseLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp', 
                [], [], 
                '''                Reverse LSP object
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro', REFERENCE_LIST, 'Rro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro', 
                [], [], 
                '''                Record Route Sub Objects
                ''',
                'rro',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-spec', REFERENCE_CLASS, 'TrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.TrafficSpec', 
                [], [], 
                '''                Traffic Spec object
                ''',
                'traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-out-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.FlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rro',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup tunnel interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('backup-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup label
                ''',
                'backup_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.FlowSpec', 
                [], [], 
                '''                Flow spec object
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec object
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-out-label', REFERENCE_CLASS, 'GenericOutLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel', 
                [], [], 
                '''                Generic Label for outbound traffic
                ''',
                'generic_out_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-flow-spec-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlowSpec validity
                ''',
                'is_flow_spec_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rro-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RRO validity
                ''',
                'is_rro_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry validity
                ''',
                'is_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which outbound message was sent
                ''',
                'out_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label for outbound traffic
                ''',
                'out_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro', REFERENCE_LIST, 'Rro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro', 
                [], [], 
                '''                Record route object
                ''',
                'rro',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo',
            False, 
            [
            _MetaInfoClassMember('psb-info', REFERENCE_LIST, 'PsbInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo', 
                [], [], 
                '''                Path Info
                ''',
                'psb_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-info', REFERENCE_LIST, 'RsbInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo', 
                [], [], 
                '''                Reservation Info
                ''',
                'rsb_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-rsb-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds.SessionDetailed' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds.SessionDetailed',
            False, 
            [
            _MetaInfoClassMember('compact', REFERENCE_CLASS, 'Compact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.Compact', 
                [], [], 
                '''                Compact session data
                ''',
                'compact',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('psb-rsb-info', REFERENCE_LIST, 'PsbRsbInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo', 
                [], [], 
                '''                Path and Reservation Info
                ''',
                'psb_rsb_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-detailed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.SessionDetaileds' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.SessionDetaileds',
            False, 
            [
            _MetaInfoClassMember('session-detailed', REFERENCE_LIST, 'SessionDetailed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds.SessionDetailed', 
                [], [], 
                '''                Detailed info about session
                ''',
                'session_detailed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-detaileds',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInstanceDetails.HelloInstanceDetail.UpTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInstanceDetails.HelloInstanceDetail.UpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInstanceDetails.HelloInstanceDetail.CommunicationLostTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInstanceDetails.HelloInstanceDetail.CommunicationLostTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'communication-lost-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInstanceDetails.HelloInstanceDetail' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInstanceDetails.HelloInstanceDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('communication-lost-hello-missed', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lost Comm. Hello missed count
                ''',
                'communication_lost_hello_missed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-interface-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of lost comm. due to interface down
                ''',
                'communication_lost_interface_down',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-neighbor-disabled-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of lost comm. due to nbor disabling Hellos
                ''',
                'communication_lost_neighbor_disabled_hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-reason', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloDownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloDownReasonEnum', 
                [], [], 
                '''                Reason why communication was lost
                ''',
                'communication_lost_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-time', REFERENCE_CLASS, 'CommunicationLostTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInstanceDetails.HelloInstanceDetail.CommunicationLostTime', 
                [], [], 
                '''                Time when communication was lost
                ''',
                'communication_lost_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-wrong-destination-inst', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of lost comm. due to wrong Destination
                Inst
                ''',
                'communication_lost_wrong_destination_inst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-wrong-source-inst', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of lost comm. due to wrong Source Inst
                ''',
                'communication_lost_wrong_source_inst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Instance
                ''',
                'destination_instance',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-instance-owner', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceOwnerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceOwnerEnum', 
                [], [], 
                '''                Hello instance owner
                ''',
                'hello_instance_owner',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface to use
                ''',
                'hello_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of hello messages received
                ''',
                'hello_messages_received',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of hello messages sent
                ''',
                'hello_messages_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-request-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Count of Hello Requests suppessed
                ''',
                'hello_request_suppressed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('instance-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceEnum', 
                [], [], 
                '''                Hello instance type
                ''',
                'instance_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('missed-acks-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of missed Hello allowed
                ''',
                'missed_acks_allowed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-hello-state', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloStateEnum', 
                [], [], 
                '''                Neighbor Hello state
                ''',
                'neighbor_hello_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Instance
                ''',
                'source_instance',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-communication-lost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of times communication got lost
                ''',
                'total_communication_lost',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('up-time', REFERENCE_CLASS, 'UpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInstanceDetails.HelloInstanceDetail.UpTime', 
                [], [], 
                '''                Hello up time
                ''',
                'up_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-instance-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.HelloInstanceDetails' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.HelloInstanceDetails',
            False, 
            [
            _MetaInfoClassMember('hello-instance-detail', REFERENCE_LIST, 'HelloInstanceDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInstanceDetails.HelloInstanceDetail', 
                [], [], 
                '''                Detailed info for a single hello instance
                ''',
                'hello_instance_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-instance-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.GlobalNeighborFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.GlobalNeighborFlags',
            False, 
            [
            _MetaInfoClassMember('is-application-mpls', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS Application
                ''',
                'is_application_mpls',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-application-ouni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OUNI Application
                ''',
                'is_application_ouni',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimeLeft' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimeLeft',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'restart-time-left',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimerExpiryTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimerExpiryTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'restart-timer-expiry-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimeLeft' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimeLeft',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'recovery-time-left',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimerExpTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimerExpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'recovery-timer-exp-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.UpTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.UpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.LostCommunicationTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.LostCommunicationTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'lost-communication-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of global neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('global-neighbor-flags', REFERENCE_CLASS, 'GlobalNeighborFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.GlobalNeighborFlags', 
                [], [], 
                '''                Global Neighbor Flags
                ''',
                'global_neighbor_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello Interval (milliseconds)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Neighbor List
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-gr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is GR enabled
                ''',
                'is_gr_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-recovery-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RSVP recovery timer running
                ''',
                'is_recovery_timer_running',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-restart-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is GR restart timer running
                ''',
                'is_restart_timer_running',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-node-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local node address
                ''',
                'local_node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-reason', REFERENCE_LEAFLIST, 'RsvpMgmtHelloDownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloDownReasonEnum', 
                [], [], 
                '''                Reason why communication was lost
                ''',
                'lost_communication_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-time', REFERENCE_LIST, 'LostCommunicationTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.LostCommunicationTime', 
                [], [], 
                '''                Time when communication was lost
                ''',
                'lost_communication_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-total', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of times communication got lost
                ''',
                'lost_communication_total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('missed-hellos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hello missed count
                ''',
                'missed_hellos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-hello-state', REFERENCE_LEAFLIST, 'RsvpMgmtHelloStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloStateEnum', 
                [], [], 
                '''                Neighbor's hello state
                ''',
                'neighbor_hello_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor node address
                ''',
                'node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pending-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of pending states for this neighbor
                ''',
                'pending_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GR Recovery Time (milliseconds)
                ''',
                'recovery_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-time-left', REFERENCE_CLASS, 'RecoveryTimeLeft' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimeLeft', 
                [], [], 
                '''                How much recovery timer remains
                ''',
                'recovery_time_left',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-timer-exp-time', REFERENCE_CLASS, 'RecoveryTimerExpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimerExpTime', 
                [], [], 
                '''                Time at which recovery timer will expire
                ''',
                'recovery_timer_exp_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-state', REFERENCE_ENUM_CLASS, 'RsvpMgmtRestartStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtRestartStateEnum', 
                [], [], 
                '''                Current restart state
                ''',
                'restart_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GR Restart Time (milliseconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-time-left', REFERENCE_CLASS, 'RestartTimeLeft' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimeLeft', 
                [], [], 
                '''                How much restart time remains
                ''',
                'restart_time_left',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-timer-expiry-time', REFERENCE_CLASS, 'RestartTimerExpiryTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimerExpiryTime', 
                [], [], 
                '''                When will restart timer expire
                ''',
                'restart_timer_expiry_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('up-time', REFERENCE_LIST, 'UpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.UpTime', 
                [], [], 
                '''                Hello up time
                ''',
                'up_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborDetails' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborDetails',
            False, 
            [
            _MetaInfoClassMember('global-neighbor-detail', REFERENCE_LIST, 'GlobalNeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail', 
                [], [], 
                '''                Detail info for a single global neighbor
                ''',
                'global_neighbor_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.Template' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.Template',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.SessionAttribute.SessAttributeFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.SessionAttribute.SessAttributeFlags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection
                ''',
                'is_local_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection
                ''',
                'is_node_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-record-labels', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Records Labels
                ''',
                'is_record_labels',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-shared-explicit-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Explicit Requested
                ''',
                'is_shared_explicit_requested',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'sess-attribute-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.SessionAttribute' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.SessionAttribute',
            False, 
            [
            _MetaInfoClassMember('reservation-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reservation Priority
                ''',
                'reservation_priority',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sess-attribute-flags', REFERENCE_CLASS, 'SessAttributeFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.SessionAttribute.SessAttributeFlags', 
                [], [], 
                '''                Session Attributes
                ''',
                'sess_attribute_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup Priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.TrafficSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.TrafficSpec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec.G709OtnTspec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec.G709OtnTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Traffic Bit Rate
                ''',
                'traffic_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic Multiplier
                ''',
                'traffic_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic NVC
                ''',
                'traffic_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Traffic Signal Type (Refer G709 v3)
                ''',
                'traffic_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec.IntsrvTspec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec.IntsrvTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'intsrv-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec',
            False, 
            [
            _MetaInfoClassMember('g709otn-tspec', REFERENCE_CLASS, 'G709OtnTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec.G709OtnTspec', 
                [], [], 
                '''                G709 OTN Sender Tspec
                ''',
                'g709otn_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('intsrv-tspec', REFERENCE_CLASS, 'IntsrvTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec.IntsrvTspec', 
                [], [], 
                '''                Integrated Services Sender Tspec
                ''',
                'intsrv_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtTspecEnum', 
                [], [], 
                '''                TspecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs.PsbBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs.PsbBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-traffic-spec', REFERENCE_CLASS, 'GenericTrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec', 
                [], [], 
                '''                RSVP Generic Traffic Spec Info
                ''',
                'generic_traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path Input Interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-attribute', REFERENCE_CLASS, 'SessionAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.SessionAttribute', 
                [], [], 
                '''                RSVP Session Attribute
                ''',
                'session_attribute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port 
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.Template', 
                [], [], 
                '''                RSVP Template
                ''',
                'template',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-spec', REFERENCE_CLASS, 'TrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief.TrafficSpec', 
                [], [], 
                '''                RSVP Traffic Spec Info
                ''',
                'traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.PsbBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.PsbBriefs',
            False, 
            [
            _MetaInfoClassMember('psb-brief', REFERENCE_LIST, 'PsbBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs.PsbBrief', 
                [], [], 
                '''                Brief info for a single path state block
                ''',
                'psb_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.GlobalNeighborFlags' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.GlobalNeighborFlags',
            False, 
            [
            _MetaInfoClassMember('is-application-mpls', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS Application
                ''',
                'is_application_mpls',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-application-ouni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OUNI Application
                ''',
                'is_application_ouni',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.UpTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.UpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.LostCommunicationTime' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.LostCommunicationTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'lost-communication-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of global neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('global-neighbor-flags', REFERENCE_CLASS, 'GlobalNeighborFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.GlobalNeighborFlags', 
                [], [], 
                '''                Global Neighbor Flags
                ''',
                'global_neighbor_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-gr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is GR enabled
                ''',
                'is_gr_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-node-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local node address
                ''',
                'local_node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-reason', REFERENCE_LEAFLIST, 'RsvpMgmtHelloDownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloDownReasonEnum', 
                [], [], 
                '''                Reason why communication was lost
                ''',
                'lost_communication_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-time', REFERENCE_LIST, 'LostCommunicationTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.LostCommunicationTime', 
                [], [], 
                '''                Time when communication was lost
                ''',
                'lost_communication_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-total', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of times communication got lost
                ''',
                'lost_communication_total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-hello-state', REFERENCE_LEAFLIST, 'RsvpMgmtHelloStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloStateEnum', 
                [], [], 
                '''                Neighbor Hello state
                ''',
                'neighbor_hello_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor node address
                ''',
                'node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-state', REFERENCE_ENUM_CLASS, 'RsvpMgmtRestartStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtRestartStateEnum', 
                [], [], 
                '''                Restart state
                ''',
                'restart_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('up-time', REFERENCE_LIST, 'UpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.UpTime', 
                [], [], 
                '''                Time hellos have been up
                ''',
                'up_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby.GlobalNeighborBriefs' : {
        'meta_info' : _MetaInfoClass('RsvpStandby.GlobalNeighborBriefs',
            False, 
            [
            _MetaInfoClassMember('global-neighbor-brief', REFERENCE_LIST, 'GlobalNeighborBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief', 
                [], [], 
                '''                Brief info for a single global neighbor
                ''',
                'global_neighbor_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'RsvpStandby' : {
        'meta_info' : _MetaInfoClass('RsvpStandby',
            False, 
            [
            _MetaInfoClassMember('authentication-briefs', REFERENCE_CLASS, 'AuthenticationBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationBriefs', 
                [], [], 
                '''                Table for Authentication related information
                ''',
                'authentication_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-details', REFERENCE_CLASS, 'AuthenticationDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.AuthenticationDetails', 
                [], [], 
                '''                Table for detailed authentication related
                information
                ''',
                'authentication_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Counters', 
                [], [], 
                '''                Counters
                ''',
                'counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('frr-summary', REFERENCE_CLASS, 'FrrSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.FrrSummary', 
                [], [], 
                '''                Fast Re-Route Summary State Information
                ''',
                'frr_summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('frrs', REFERENCE_CLASS, 'Frrs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Frrs', 
                [], [], 
                '''                Table of detailed info about Fast Re-route
                states
                ''',
                'frrs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('global-neighbor-briefs', REFERENCE_CLASS, 'GlobalNeighborBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborBriefs', 
                [], [], 
                '''                Table of brief info about global neighbors
                ''',
                'global_neighbor_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('global-neighbor-details', REFERENCE_CLASS, 'GlobalNeighborDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GlobalNeighborDetails', 
                [], [], 
                '''                Table of detailed info about global neighbors
                ''',
                'global_neighbor_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.GracefulRestart', 
                [], [], 
                '''                Info about graceful-restart
                ''',
                'graceful_restart',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-instance-briefs', REFERENCE_CLASS, 'HelloInstanceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInstanceBriefs', 
                [], [], 
                '''                Table of brief info about hello instances
                ''',
                'hello_instance_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-instance-details', REFERENCE_CLASS, 'HelloInstanceDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInstanceDetails', 
                [], [], 
                '''                Table of detailed info about hello instances
                ''',
                'hello_instance_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface-instance-briefs', REFERENCE_CLASS, 'HelloInterfaceInstanceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInterfaceInstanceBriefs', 
                [], [], 
                '''                Table of brief info about i/f-based hello
                instances
                ''',
                'hello_interface_instance_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface-instance-details', REFERENCE_CLASS, 'HelloInterfaceInstanceDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.HelloInterfaceInstanceDetails', 
                [], [], 
                '''                Table of detailed info about i/f-based hello
                instances
                ''',
                'hello_interface_instance_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-briefs', REFERENCE_CLASS, 'InterfaceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceBriefs', 
                [], [], 
                '''                Table of brief info about RSVP-enabled
                interfaces
                ''',
                'interface_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-detaileds', REFERENCE_CLASS, 'InterfaceDetaileds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceDetaileds', 
                [], [], 
                '''                Table of detailed info about RSVP-enabled
                interfaces
                ''',
                'interface_detaileds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-neighbor-briefs', REFERENCE_CLASS, 'InterfaceNeighborBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceNeighborBriefs', 
                [], [], 
                '''                Table of brief info about I/F neighbors
                ''',
                'interface_neighbor_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-neighbor-details', REFERENCE_CLASS, 'InterfaceNeighborDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceNeighborDetails', 
                [], [], 
                '''                Table of detailed info about I/F neighbors
                ''',
                'interface_neighbor_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-summaries', REFERENCE_CLASS, 'InterfaceSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.InterfaceSummaries', 
                [], [], 
                '''                Table of summary info about RSVP-enabled
                interfaces
                ''',
                'interface_summaries',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Nsr', 
                [], [], 
                '''                RSVP NSR information
                ''',
                'nsr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('open-config', REFERENCE_CLASS, 'OpenConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.OpenConfig', 
                [], [], 
                '''                OpenConfig info
                ''',
                'open_config',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('psb-briefs', REFERENCE_CLASS, 'PsbBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbBriefs', 
                [], [], 
                '''                Table of brief info about path state blocks
                ''',
                'psb_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('psb-detaileds', REFERENCE_CLASS, 'PsbDetaileds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.PsbDetaileds', 
                [], [], 
                '''                Table of detailed info about path state blocks
                ''',
                'psb_detaileds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('request-briefs', REFERENCE_CLASS, 'RequestBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestBriefs', 
                [], [], 
                '''                Table of brief info about requests
                ''',
                'request_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('request-details', REFERENCE_CLASS, 'RequestDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RequestDetails', 
                [], [], 
                '''                Table of detail info about requests
                ''',
                'request_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-briefs', REFERENCE_CLASS, 'RsbBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbBriefs', 
                [], [], 
                '''                Table of brief info about reservation state
                blocks
                ''',
                'rsb_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-detaileds', REFERENCE_CLASS, 'RsbDetaileds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.RsbDetaileds', 
                [], [], 
                '''                Table of detailed info about reservation state
                blocks
                ''',
                'rsb_detaileds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-briefs', REFERENCE_CLASS, 'SessionBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionBriefs', 
                [], [], 
                '''                Table of brief info about sessions
                ''',
                'session_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-detaileds', REFERENCE_CLASS, 'SessionDetaileds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.SessionDetaileds', 
                [], [], 
                '''                Table of detailed info about sessions
                ''',
                'session_detaileds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpStandby.Summary', 
                [], [], 
                '''                RSVP summary information
                ''',
                'summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation.PreStandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation.PreStandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-subpool-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_subpool_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-subpool-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in
                subpool
                ''',
                'max_subpool_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pre-standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation.StandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation.StandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc0-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC0 B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bc0_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc1-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC1 sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_bc1_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC0
                pool
                ''',
                'max_pool0_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC1
                pool
                ''',
                'max_pool1_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation',
            False, 
            [
            _MetaInfoClassMember('dste-mode', REFERENCE_ENUM_CLASS, 'RsvpMgmtDsteModesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtDsteModesEnum', 
                [], [], 
                '''                DSTEMode
                ''',
                'dste_mode',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pre-standard-dste-interface', REFERENCE_CLASS, 'PreStandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation.PreStandardDsteInterface', 
                [], [], 
                '''                Prestandard DSTE interface information
                ''',
                'pre_standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('standard-dste-interface', REFERENCE_CLASS, 'StandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation.StandardDsteInterface', 
                [], [], 
                '''                Standard DSTE interface information
                ''',
                'standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bandwidth-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerSummaries.ControllerSummary' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerSummaries.ControllerSummary',
            False, 
            [
            _MetaInfoClassMember('controller-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Controller Name
                ''',
                'controller_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('bandwidth-information', REFERENCE_CLASS, 'BandwidthInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation', 
                [], [], 
                '''                Interface bandwidth information
                ''',
                'bandwidth_information',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('paths-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming path
                states
                ''',
                'paths_in',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('paths-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing path states
                ''',
                'paths_out',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservations-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming
                reservation states
                ''',
                'reservations_in',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservations-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing reservation states
                ''',
                'reservations_out',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'controller-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerSummaries' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerSummaries',
            False, 
            [
            _MetaInfoClassMember('controller-summary', REFERENCE_LIST, 'ControllerSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerSummaries.ControllerSummary', 
                [], [], 
                '''                Summary info about an RSVP-enabled controller
                ''',
                'controller_summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'controller-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Issu.Status.IdtStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Issu.Status.IdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Issu.Status.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Issu.Status.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Issu.Status' : {
        'meta_info' : _MetaInfoClass('Rsvp.Issu.Status',
            False, 
            [
            _MetaInfoClassMember('idt-status', REFERENCE_CLASS, 'IdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Issu.Status.IdtStatus', 
                [], [], 
                '''                IDT status
                ''',
                'idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Issu.Status.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT status
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Issu' : {
        'meta_info' : _MetaInfoClass('Rsvp.Issu',
            False, 
            [
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Issu.Status', 
                [], [], 
                '''                RSVP ISSU status information
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation.PreStandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation.PreStandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-subpool-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_subpool_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-subpool-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in
                subpool
                ''',
                'max_subpool_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pre-standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation.StandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation.StandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc0-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC0 B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bc0_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc1-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC1 sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_bc1_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC0
                pool
                ''',
                'max_pool0_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC1
                pool
                ''',
                'max_pool1_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation',
            False, 
            [
            _MetaInfoClassMember('dste-mode', REFERENCE_ENUM_CLASS, 'RsvpMgmtDsteModesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtDsteModesEnum', 
                [], [], 
                '''                DSTEMode
                ''',
                'dste_mode',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pre-standard-dste-interface', REFERENCE_CLASS, 'PreStandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation.PreStandardDsteInterface', 
                [], [], 
                '''                Prestandard DSTE interface information
                ''',
                'pre_standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('standard-dste-interface', REFERENCE_CLASS, 'StandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation.StandardDsteInterface', 
                [], [], 
                '''                Standard DSTE interface information
                ''',
                'standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bandwidth-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerDetaileds.ControllerDetailed.Flags' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerDetaileds.ControllerDetailed.Flags',
            False, 
            [
            _MetaInfoClassMember('is-backup-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                This is backup tunnel
                ''',
                'is_backup_tunnel',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-interface-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is created
                ''',
                'is_interface_created',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-interface-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is DOWN
                ''',
                'is_interface_down',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-message-bundling-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use bundling for outgoing RSVP messages.
                ''',
                'is_message_bundling_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-mpls-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS enabled on interface
                ''',
                'is_mpls_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-non-default-vrf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is defined in non-Default VRF
                ''',
                'is_non_default_vrf',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-pacing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Message pacing enabled
                ''',
                'is_pacing_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-refresh-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Refresh enabled
                ''',
                'is_refresh_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-refresh-reduction-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Refresh Reduction enabled
                ''',
                'is_refresh_reduction_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rel-s-refresh-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use reliable xmt for SRefresh
                ''',
                'is_rel_s_refresh_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rsvp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP explicitly configured
                ''',
                'is_rsvp_configured',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-s-refresh-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Summary Refresh enabled
                ''',
                'is_s_refresh_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray.ExpiryTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray.ExpiryTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'expiry-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray.NeighborMessageId' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray.NeighborMessageId',
            False, 
            [
            _MetaInfoClassMember('message-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message ID
                ''',
                'message_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'neighbor-message-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray',
            False, 
            [
            _MetaInfoClassMember('expiry-time', REFERENCE_CLASS, 'ExpiryTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray.ExpiryTime', 
                [], [], 
                '''                Expiry time
                ''',
                'expiry_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-neighbor-refresh-reduction-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is neighbor capable of Refresh Reduction
                ''',
                'is_neighbor_refresh_reduction_capable',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('message-ids', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of MessageIDs
                ''',
                'message_ids',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-message-id', REFERENCE_LIST, 'NeighborMessageId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray.NeighborMessageId', 
                [], [], 
                '''                List of Neighbor MessageIDs
                ''',
                'neighbor_message_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False, max_elements=6),
            _MetaInfoClassMember('outgoing-states', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of outgoing states to the neighbour
                ''',
                'outgoing_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'neighbor-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerDetaileds.ControllerDetailed' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerDetaileds.ControllerDetailed',
            False, 
            [
            _MetaInfoClassMember('controller-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Controller Name
                ''',
                'controller_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('ack-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ACK hold time in msec
                ''',
                'ack_hold_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ack-max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max size for ACK message
                ''',
                'ack_max_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bandwidth-information', REFERENCE_CLASS, 'BandwidthInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation', 
                [], [], 
                '''                Interface bandwidth information
                ''',
                'bandwidth_information',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle-message-max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max size in bytes of a single Bundle message
                ''',
                'bundle_message_max_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-drops-tolerated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of missed messages tolerated
                ''',
                'expiry_drops_tolerated',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-interval', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiry interval in msecs
                ''',
                'expiry_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-states', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of states for expiry check
                ''',
                'expiry_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                Expiry timer state
                ''',
                'expiry_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerDetaileds.ControllerDetailed.Flags', 
                [], [], 
                '''                Interface flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('integrity-receive-password', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Integrity receive password
                ''',
                'integrity_receive_password',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('integrity-receive-password-optional', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Integrity recv password optional
                ''',
                'integrity_receive_password_optional',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('integrity-send-password', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Integrity send password
                ''',
                'integrity_send_password',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-array', REFERENCE_LIST, 'NeighborArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray', 
                [], [], 
                '''                Neighbor array
                ''',
                'neighbor_array',
                'Cisco-IOS-XR-ip-rsvp-oper', False, max_elements=6),
            _MetaInfoClassMember('out-of-band-expiry-drops-tolerated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of out-of-band missed messages tolerated
                ''',
                'out_of_band_expiry_drops_tolerated',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-band-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out-of-band Refresh interval in msecs
                ''',
                'out_of_band_refresh_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pacing interval in msecs
                ''',
                'pacing_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-message-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages per interval
                ''',
                'pacing_message_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-messages', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of messages deferred for pacing
                ''',
                'pacing_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                State of pacing timer
                ''',
                'pacing_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Refresh interval in msecs
                ''',
                'refresh_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('refresh-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                Refresh timer state
                ''',
                'refresh_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('retransmit-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmit time in msec
                ''',
                'retransmit_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('signalling-ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TOS (precedence/DSCP) to use in signalling
                messages
                ''',
                'signalling_ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary-refresh-max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max size in bytes of a single SRefresh
                ''',
                'summary_refresh_max_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary-refresh-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                Summary refresh timer state
                ''',
                'summary_refresh_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'controller-detailed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerDetaileds' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerDetaileds',
            False, 
            [
            _MetaInfoClassMember('controller-detailed', REFERENCE_LIST, 'ControllerDetailed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerDetaileds.ControllerDetailed', 
                [], [], 
                '''                Detailed info about an RSVP-enabled controller
                ''',
                'controller_detailed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'controller-detaileds',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.BwPoolInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.BwPoolInfo',
            False, 
            [
            _MetaInfoClassMember('bandwidth-configuration-model', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                Bandwith configuration model currently in use
                (MAM/RDM)
                ''',
                'bandwidth_configuration_model',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bc0-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BC0 I/F percent B/W
                ''',
                'bc0_percent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bc1-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BC1 I/F percent B/W
                ''',
                'bc1_percent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-bc0-percent-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BC0 default I/F percent configured
                ''',
                'is_bc0_percent_configured',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-bc1-percent-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BC1 default I/F percent configured
                ''',
                'is_bc1_percent_configured',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-res-pool-percent-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum reservable default I/F percent
                configured
                ''',
                'is_max_res_pool_percent_configured',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-res-pool-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maxium reservable I/F percent B/W
                ''',
                'max_res_pool_percent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bw-pool-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation.PreStandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation.PreStandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-subpool-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_subpool_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-subpool-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in
                subpool
                ''',
                'max_subpool_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pre-standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation.StandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation.StandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc0-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC0 B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bc0_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc1-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC1 sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_bc1_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC0
                pool
                ''',
                'max_pool0_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC1
                pool
                ''',
                'max_pool1_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation',
            False, 
            [
            _MetaInfoClassMember('dste-mode', REFERENCE_ENUM_CLASS, 'RsvpMgmtDsteModesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtDsteModesEnum', 
                [], [], 
                '''                DSTEMode
                ''',
                'dste_mode',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pre-standard-dste-interface', REFERENCE_CLASS, 'PreStandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation.PreStandardDsteInterface', 
                [], [], 
                '''                Prestandard DSTE interface information
                ''',
                'pre_standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('standard-dste-interface', REFERENCE_CLASS, 'StandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation.StandardDsteInterface', 
                [], [], 
                '''                Standard DSTE interface information
                ''',
                'standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bandwidth-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerBriefs.ControllerBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerBriefs.ControllerBrief',
            False, 
            [
            _MetaInfoClassMember('controller-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Controller Name
                ''',
                'controller_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('bandwidth-information', REFERENCE_CLASS, 'BandwidthInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation', 
                [], [], 
                '''                Interface bandwidth information
                ''',
                'bandwidth_information',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'controller-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.ControllerBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.ControllerBriefs',
            False, 
            [
            _MetaInfoClassMember('controller-brief', REFERENCE_LIST, 'ControllerBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerBriefs.ControllerBrief', 
                [], [], 
                '''                Brief info about an RSVP-enabled controller
                ''',
                'controller_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'controller-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Template' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Template',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.TrafficSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.TrafficSpec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec.G709OtnTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec.G709OtnTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Traffic Bit Rate
                ''',
                'traffic_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic Multiplier
                ''',
                'traffic_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic NVC
                ''',
                'traffic_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Traffic Signal Type (Refer G709 v3)
                ''',
                'traffic_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec.IntsrvTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec.IntsrvTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'intsrv-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec',
            False, 
            [
            _MetaInfoClassMember('g709otn-tspec', REFERENCE_CLASS, 'G709OtnTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec.G709OtnTspec', 
                [], [], 
                '''                G709 OTN Sender Tspec
                ''',
                'g709otn_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('intsrv-tspec', REFERENCE_CLASS, 'IntsrvTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec.IntsrvTspec', 
                [], [], 
                '''                Integrated Services Sender Tspec
                ''',
                'intsrv_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtTspecEnum', 
                [], [], 
                '''                TspecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.Hop' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.Hop',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-logical-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor Logical Interface Name
                ''',
                'neighbor_logical_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail.RsvpHeader' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail.RsvpHeader',
            False, 
            [
            _MetaInfoClassMember('ip-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source Address
                ''',
                'ip_source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP Type of Service
                ''',
                'ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TTL
                ''',
                'ip_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Header Flags (defined in RFC2205 Section 3
                .1.1)
                ''',
                'rsvp_header_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-message-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Message Type
                ''',
                'rsvp_message_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP TTL
                ''',
                'rsvp_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Version
                ''',
                'rsvp_version',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails.PxsbDetail' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails.PxsbDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('dynamic-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dynamic State Handle
                ''',
                'dynamic_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-traffic-spec', REFERENCE_CLASS, 'GenericTrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec', 
                [], [], 
                '''                RSVP Generic Traffic Spec Info
                ''',
                'generic_traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_CLASS, 'Hop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Hop', 
                [], [], 
                '''                Path Hop Info
                ''',
                'hop',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path Input Interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header', REFERENCE_CLASS, 'RsvpHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.RsvpHeader', 
                [], [], 
                '''                RSVP Header
                ''',
                'rsvp_header',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.Template', 
                [], [], 
                '''                RSVP Template
                ''',
                'template',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-spec', REFERENCE_CLASS, 'TrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail.TrafficSpec', 
                [], [], 
                '''                RSVP Traffic Spec Info
                ''',
                'traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pxsb-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PxsbDetails' : {
        'meta_info' : _MetaInfoClass('Rsvp.PxsbDetails',
            False, 
            [
            _MetaInfoClassMember('pxsb-detail', REFERENCE_LIST, 'PxsbDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails.PxsbDetail', 
                [], [], 
                '''                Detailed PXSB info
                ''',
                'pxsb_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pxsb-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Style' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Style',
            False, 
            [
            _MetaInfoClassMember('reservation-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtReservationTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtReservationTypeEnumEnum', 
                [], [], 
                '''                The Reservation Type: WF, SE or FF
                ''',
                'reservation_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'style',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Filter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Filter',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.FlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.Hop' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.Hop',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-logical-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor Logical Interface Name
                ''',
                'neighbor_logical_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail.RsvpHeader' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail.RsvpHeader',
            False, 
            [
            _MetaInfoClassMember('ip-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source Address
                ''',
                'ip_source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP Type of Service
                ''',
                'ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TTL
                ''',
                'ip_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Header Flags (defined in RFC2205 Section 3
                .1.1)
                ''',
                'rsvp_header_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-message-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Message Type
                ''',
                'rsvp_message_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP TTL
                ''',
                'rsvp_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Version
                ''',
                'rsvp_version',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails.RxsbDetail' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails.RxsbDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('dynamic-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dynamic State Handle
                ''',
                'dynamic_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Filter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.FlowSpec', 
                [], [], 
                '''                Flow Spec Information
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec Information
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_CLASS, 'Hop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Hop', 
                [], [], 
                '''                Path Hop Info
                ''',
                'hop',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path Input Interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header', REFERENCE_CLASS, 'RsvpHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.RsvpHeader', 
                [], [], 
                '''                RSVP Header
                ''',
                'rsvp_header',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('style', REFERENCE_CLASS, 'Style' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail.Style', 
                [], [], 
                '''                RSVP Style
                ''',
                'style',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rxsb-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RxsbDetails' : {
        'meta_info' : _MetaInfoClass('Rsvp.RxsbDetails',
            False, 
            [
            _MetaInfoClassMember('rxsb-detail', REFERENCE_LIST, 'RxsbDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails.RxsbDetail', 
                [], [], 
                '''                Detailed RXSB info
                ''',
                'rxsb_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rxsb-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceNeighborBriefs.InterfaceNeighborBrief.InterfaceNeighborListCompact' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceNeighborBriefs.InterfaceNeighborBrief.InterfaceNeighborListCompact',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Neighbor address
                ''',
                'interface_neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor's Interface handle
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-list-compact',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceNeighborBriefs.InterfaceNeighborBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceNeighborBriefs.InterfaceNeighborBrief',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of global neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('interface-neighbor-list-compact', REFERENCE_LIST, 'InterfaceNeighborListCompact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceNeighborBriefs.InterfaceNeighborBrief.InterfaceNeighborListCompact', 
                [], [], 
                '''                Compact list of I/F Neighbors
                ''',
                'interface_neighbor_list_compact',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor node address
                ''',
                'node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceNeighborBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceNeighborBriefs',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-brief', REFERENCE_LIST, 'InterfaceNeighborBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceNeighborBriefs.InterfaceNeighborBrief', 
                [], [], 
                '''                Brief info for a single interface neighbor
                ''',
                'interface_neighbor_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationBriefs.AuthenticationBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationBriefs.AuthenticationBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('mode-id', REFERENCE_ENUM_CLASS, 'RsvpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpModeEnum', 
                [], [], 
                '''                Mode (Tx or Rx)
                ''',
                'mode_id',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthDirectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthDirectionEnum', 
                [], [], 
                '''                Direction
                ''',
                'direction',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Key ID
                ''',
                'key_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-id-valid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Key validity
                ''',
                'key_id_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Key source
                ''',
                'key_source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthKiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthKiEnum', 
                [], [], 
                '''                Key type
                ''',
                'key_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'authentication-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationBriefs',
            False, 
            [
            _MetaInfoClassMember('authentication-brief', REFERENCE_LIST, 'AuthenticationBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationBriefs.AuthenticationBrief', 
                [], [], 
                '''                Brief Authentication information
                ''',
                'authentication_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'authentication-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionBriefs.SessionBrief.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionBriefs.SessionBrief.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionBriefs.SessionBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionBriefs.SessionBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('detail-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of elements in detail list
                ''',
                'detail_list_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ps-bs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path state block states
                ''',
                'ps_bs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of request states
                ''',
                'requests',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rs-bs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of reservation state block states
                ''',
                'rs_bs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionBriefs.SessionBrief.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionBriefs',
            False, 
            [
            _MetaInfoClassMember('session-brief', REFERENCE_LIST, 'SessionBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionBriefs.SessionBrief', 
                [], [], 
                '''                Brief info about session
                ''',
                'session_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Template' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Template',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.SessionAttribute.SessAttributeFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.SessionAttribute.SessAttributeFlags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection
                ''',
                'is_local_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection
                ''',
                'is_node_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-record-labels', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Records Labels
                ''',
                'is_record_labels',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-shared-explicit-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Explicit Requested
                ''',
                'is_shared_explicit_requested',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'sess-attribute-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.SessionAttribute' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.SessionAttribute',
            False, 
            [
            _MetaInfoClassMember('reservation-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reservation Priority
                ''',
                'reservation_priority',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sess-attribute-flags', REFERENCE_CLASS, 'SessAttributeFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.SessionAttribute.SessAttributeFlags', 
                [], [], 
                '''                Session Attributes
                ''',
                'sess_attribute_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup Priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.TrafficSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.TrafficSpec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec.G709OtnTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec.G709OtnTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Traffic Bit Rate
                ''',
                'traffic_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic Multiplier
                ''',
                'traffic_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic NVC
                ''',
                'traffic_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Traffic Signal Type (Refer G709 v3)
                ''',
                'traffic_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec.IntsrvTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec.IntsrvTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'intsrv-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec',
            False, 
            [
            _MetaInfoClassMember('g709otn-tspec', REFERENCE_CLASS, 'G709OtnTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec.G709OtnTspec', 
                [], [], 
                '''                G709 OTN Sender Tspec
                ''',
                'g709otn_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('intsrv-tspec', REFERENCE_CLASS, 'IntsrvTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec.IntsrvTspec', 
                [], [], 
                '''                Integrated Services Sender Tspec
                ''',
                'intsrv_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtTspecEnum', 
                [], [], 
                '''                TspecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.PathFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.PathFlags',
            False, 
            [
            _MetaInfoClassMember('is-bidirectional', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidirectional
                ''',
                'is_bidirectional',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-repair', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouted
                ''',
                'is_local_repair',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-sender', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Sender
                ''',
                'is_local_sender',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Locked Out
                ''',
                'is_lockout',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-message-id-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MessageID Valid
                ''',
                'is_message_id_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-non-rsvp-hop-upstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Non-RSVP Hop Upstream
                ''',
                'is_non_rsvp_hop_upstream',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'path-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Hop' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Hop',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-logical-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor Logical Interface Name
                ''',
                'neighbor_logical_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.PolicySourceInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.PolicySourceInfo',
            False, 
            [
            _MetaInfoClassMember('is-cable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Cable
                ''',
                'is_cable',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-cops', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is COPS
                ''',
                'is_cops',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Default
                ''',
                'is_default',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Local
                ''',
                'is_local',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-te-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is TE Link
                ''',
                'is_te_link',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-source-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Header' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Header',
            False, 
            [
            _MetaInfoClassMember('ip-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source Address
                ''',
                'ip_source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP Type of Service
                ''',
                'ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TTL
                ''',
                'ip_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Header Flags (defined in RFC2205 Section 3
                .1.1)
                ''',
                'rsvp_header_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-message-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Message Type
                ''',
                'rsvp_message_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP TTL
                ''',
                'rsvp_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Version
                ''',
                'rsvp_version',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.ExpiryTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.ExpiryTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'expiry-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.PolicyFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.PolicyFlags',
            False, 
            [
            _MetaInfoClassMember('is-accepted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accepted
                ''',
                'is_accepted',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-forwarding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Forwarding
                ''',
                'is_forwarding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Installed
                ''',
                'is_installed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.PolicyQueryFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.PolicyQueryFlags',
            False, 
            [
            _MetaInfoClassMember('is-bypass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bypass
                ''',
                'is_bypass',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-needed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Needed
                ''',
                'is_needed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-report-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Report Required
                ''',
                'is_report_required',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-resync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Resynchronization
                ''',
                'is_resync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-query-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-local-downstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-outgoing-downstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-merge-point-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-outgoing-upstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-local-upstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-recovery-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.LabelInfo',
            False, 
            [
            _MetaInfoClassMember('generic-local-downstream-label', REFERENCE_CLASS, 'GenericLocalDownstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel', 
                [], [], 
                '''                Generic Local Downstream Label
                ''',
                'generic_local_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-local-upstream-label', REFERENCE_CLASS, 'GenericLocalUpstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel', 
                [], [], 
                '''                Generic Local Upstream Label
                ''',
                'generic_local_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-merge-point-label', REFERENCE_CLASS, 'GenericMergePointLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel', 
                [], [], 
                '''                Generic MergePoint Label
                ''',
                'generic_merge_point_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-outgoing-downstream-label', REFERENCE_CLASS, 'GenericOutgoingDownstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel', 
                [], [], 
                '''                Generic Outgoing Downstream Label
                ''',
                'generic_outgoing_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-outgoing-upstream-label', REFERENCE_CLASS, 'GenericOutgoingUpstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel', 
                [], [], 
                '''                Generic Outgoing Upstream Label
                ''',
                'generic_outgoing_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-recovery-label', REFERENCE_CLASS, 'GenericRecoveryLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel', 
                [], [], 
                '''                Generic Recovery Label
                ''',
                'generic_recovery_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the label information valid
                ''',
                'is_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-downstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Downstream Label
                ''',
                'local_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-upstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Upstream Label
                ''',
                'local_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Label
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MergePoint Label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-downstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Downstream Label
                ''',
                'outgoing_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-upstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Upstream Label
                ''',
                'outgoing_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Label
                ''',
                'recovery_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'label-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.ClassType' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.ClassType',
            False, 
            [
            _MetaInfoClassMember('class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DS-TE Class-Type
                ''',
                'class_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-class-type-info-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the Class-Type information valid
                ''',
                'is_class_type_info_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'class-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Pfc.PolicyFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Pfc.PolicyFlags',
            False, 
            [
            _MetaInfoClassMember('is-accepted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accepted
                ''',
                'is_accepted',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-forwarding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Forwarding
                ''',
                'is_forwarding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Installed
                ''',
                'is_installed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Pfc.PolicyQueryFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Pfc.PolicyQueryFlags',
            False, 
            [
            _MetaInfoClassMember('is-bypass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bypass
                ''',
                'is_bypass',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-needed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Needed
                ''',
                'is_needed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-report-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Report Required
                ''',
                'is_report_required',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-resync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Resynchronization
                ''',
                'is_resync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-query-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.Pfc' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.Pfc',
            False, 
            [
            _MetaInfoClassMember('output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface
                ''',
                'output_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-flags', REFERENCE_CLASS, 'PolicyFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Pfc.PolicyFlags', 
                [], [], 
                '''                Policy Flags
                ''',
                'policy_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-query-flags', REFERENCE_CLASS, 'PolicyQueryFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Pfc.PolicyQueryFlags', 
                [], [], 
                '''                Policy Query Flags
                ''',
                'policy_query_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.InEro' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed.OutEro' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds.PsbDetailed' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds.PsbDetailed',
            False, 
            [
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path Backup Tunnel
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('class-type', REFERENCE_CLASS, 'ClassType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.ClassType', 
                [], [], 
                '''                DS-TE Class-Type
                ''',
                'class_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-time', REFERENCE_CLASS, 'ExpiryTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.ExpiryTime', 
                [], [], 
                '''                Expiry Time
                ''',
                'expiry_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-traffic-spec', REFERENCE_CLASS, 'GenericTrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec', 
                [], [], 
                '''                RSVP Generic Traffic Spec Info
                ''',
                'generic_traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Header', 
                [], [], 
                '''                RSVP Header Info
                ''',
                'header',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_CLASS, 'Hop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Hop', 
                [], [], 
                '''                Path Hop Info
                ''',
                'hop',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.InEro', 
                [], [], 
                '''                Incoming Explicit Route Sub Objects
                ''',
                'in_ero',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path Input Interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-in-ero-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Incoming ERO validity
                ''',
                'is_in_ero_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-out-ero-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Outgoing ERO validity
                ''',
                'is_out_ero_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label-info', REFERENCE_CLASS, 'LabelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.LabelInfo', 
                [], [], 
                '''                Label Information
                ''',
                'label_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.OutEro', 
                [], [], 
                '''                Outgoing Explicit Route Sub Objects
                ''',
                'out_ero',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-flags', REFERENCE_CLASS, 'PathFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.PathFlags', 
                [], [], 
                '''                Path Flags
                ''',
                'path_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_LIST, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Pfc', 
                [], [], 
                '''                Path Forwarding Contexts
                ''',
                'pfc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-flags', REFERENCE_CLASS, 'PolicyFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.PolicyFlags', 
                [], [], 
                '''                Policy Flags
                ''',
                'policy_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-query-flags', REFERENCE_CLASS, 'PolicyQueryFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.PolicyQueryFlags', 
                [], [], 
                '''                Policy Query Flags
                ''',
                'policy_query_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-source-info', REFERENCE_CLASS, 'PolicySourceInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.PolicySourceInfo', 
                [], [], 
                '''                Policy Sources Info
                ''',
                'policy_source_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-attribute', REFERENCE_CLASS, 'SessionAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.SessionAttribute', 
                [], [], 
                '''                RSVP Session Attribute
                ''',
                'session_attribute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port 
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.Template', 
                [], [], 
                '''                RSVP Template
                ''',
                'template',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-spec', REFERENCE_CLASS, 'TrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed.TrafficSpec', 
                [], [], 
                '''                RSVP Traffic Spec Info
                ''',
                'traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-detailed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbDetaileds' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbDetaileds',
            False, 
            [
            _MetaInfoClassMember('psb-detailed', REFERENCE_LIST, 'PsbDetailed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds.PsbDetailed', 
                [], [], 
                '''                Detailed info for a single path state block
                ''',
                'psb_detailed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-detaileds',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.FrrSummary.PathStates' : {
        'meta_info' : _MetaInfoClass('Rsvp.FrrSummary.PathStates',
            False, 
            [
            _MetaInfoClassMember('active-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active instances of this state
                ''',
                'active_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('active-wait-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of instances of this state awaiting Path
                messages to be sent out or Resv messages to be
                received
                ''',
                'active_wait_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ready-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of ready instances of this state
                ''',
                'ready_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of instances of this state
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'path-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.FrrSummary.ReservationStates' : {
        'meta_info' : _MetaInfoClass('Rsvp.FrrSummary.ReservationStates',
            False, 
            [
            _MetaInfoClassMember('active-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active instances of this state
                ''',
                'active_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('active-wait-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of instances of this state awaiting Path
                messages to be sent out or Resv messages to be
                received
                ''',
                'active_wait_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ready-instances', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of ready instances of this state
                ''',
                'ready_instances',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of instances of this state
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'reservation-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.FrrSummary' : {
        'meta_info' : _MetaInfoClass('Rsvp.FrrSummary',
            False, 
            [
            _MetaInfoClassMember('path-states', REFERENCE_CLASS, 'PathStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.FrrSummary.PathStates', 
                [], [], 
                '''                Path state counters
                ''',
                'path_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-states', REFERENCE_CLASS, 'ReservationStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.FrrSummary.ReservationStates', 
                [], [], 
                '''                Rerservation state counters
                ''',
                'reservation_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'frr-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.FlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Style' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Style',
            False, 
            [
            _MetaInfoClassMember('reservation-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtReservationTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtReservationTypeEnumEnum', 
                [], [], 
                '''                The Reservation Type: WF, SE or FF
                ''',
                'reservation_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'style',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Filter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Filter',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.RsbFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.RsbFlags',
            False, 
            [
            _MetaInfoClassMember('is-local-receiver', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Receiver
                ''',
                'is_local_receiver',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-repair', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouted
                ''',
                'is_local_repair',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Locked Out
                ''',
                'is_lockout',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-merge-point', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node a Merge Point
                ''',
                'is_merge_point',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-message-id-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MessageID Valid
                ''',
                'is_message_id_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Hop' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Hop',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-logical-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor Logical Interface Name
                ''',
                'neighbor_logical_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.PolicySources' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.PolicySources',
            False, 
            [
            _MetaInfoClassMember('is-cable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Cable
                ''',
                'is_cable',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-cops', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is COPS
                ''',
                'is_cops',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Default
                ''',
                'is_default',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Local
                ''',
                'is_local',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-te-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is TE Link
                ''',
                'is_te_link',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.Header' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.Header',
            False, 
            [
            _MetaInfoClassMember('ip-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source Address
                ''',
                'ip_source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP Type of Service
                ''',
                'ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TTL
                ''',
                'ip_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Header Flags (defined in RFC2205 Section 3
                .1.1)
                ''',
                'rsvp_header_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-message-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Message Type
                ''',
                'rsvp_message_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP TTL
                ''',
                'rsvp_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Version
                ''',
                'rsvp_version',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.PolicyFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.PolicyFlags',
            False, 
            [
            _MetaInfoClassMember('is-accepted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accepted
                ''',
                'is_accepted',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-forwarding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Forwarding
                ''',
                'is_forwarding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Installed
                ''',
                'is_installed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.ExpiryTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.ExpiryTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'expiry-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.PolicyQueryFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.PolicyQueryFlags',
            False, 
            [
            _MetaInfoClassMember('is-bypass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bypass
                ''',
                'is_bypass',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-needed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Needed
                ''',
                'is_needed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-report-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Report Required
                ''',
                'is_report_required',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-resync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Resynchronization
                ''',
                'is_resync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-query-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-local-downstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-outgoing-downstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-merge-point-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-outgoing-upstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-local-upstream-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-recovery-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed.LabelInfo',
            False, 
            [
            _MetaInfoClassMember('generic-local-downstream-label', REFERENCE_CLASS, 'GenericLocalDownstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel', 
                [], [], 
                '''                Generic Local Downstream Label
                ''',
                'generic_local_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-local-upstream-label', REFERENCE_CLASS, 'GenericLocalUpstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel', 
                [], [], 
                '''                Generic Local Upstream Label
                ''',
                'generic_local_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-merge-point-label', REFERENCE_CLASS, 'GenericMergePointLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel', 
                [], [], 
                '''                Generic MergePoint Label
                ''',
                'generic_merge_point_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-outgoing-downstream-label', REFERENCE_CLASS, 'GenericOutgoingDownstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel', 
                [], [], 
                '''                Generic Outgoing Downstream Label
                ''',
                'generic_outgoing_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-outgoing-upstream-label', REFERENCE_CLASS, 'GenericOutgoingUpstreamLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel', 
                [], [], 
                '''                Generic Outgoing Upstream Label
                ''',
                'generic_outgoing_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-recovery-label', REFERENCE_CLASS, 'GenericRecoveryLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel', 
                [], [], 
                '''                Generic Recovery Label
                ''',
                'generic_recovery_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the label information valid
                ''',
                'is_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-downstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Downstream Label
                ''',
                'local_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-upstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Upstream Label
                ''',
                'local_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Label
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MergePoint Label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-downstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Downstream Label
                ''',
                'outgoing_downstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-upstream-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Upstream Label
                ''',
                'outgoing_upstream_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery Label
                ''',
                'recovery_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'label-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds.RsbDetailed' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds.RsbDetailed',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-time', REFERENCE_CLASS, 'ExpiryTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.ExpiryTime', 
                [], [], 
                '''                Expiry Time
                ''',
                'expiry_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Filter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.FlowSpec', 
                [], [], 
                '''                Flow Spec Information
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec Information
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Header', 
                [], [], 
                '''                RSVP Header Information
                ''',
                'header',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_CLASS, 'Hop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Hop', 
                [], [], 
                '''                Hop Infomation
                ''',
                'hop',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-adjusted-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input Adjusted Interface
                ''',
                'input_adjusted_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-physical-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input Physical Interface
                ''',
                'input_physical_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label-info', REFERENCE_CLASS, 'LabelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.LabelInfo', 
                [], [], 
                '''                Label Information
                ''',
                'label_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-flags', REFERENCE_CLASS, 'PolicyFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.PolicyFlags', 
                [], [], 
                '''                RSVP Policy Flags
                ''',
                'policy_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-query-flags', REFERENCE_CLASS, 'PolicyQueryFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.PolicyQueryFlags', 
                [], [], 
                '''                RSVP Query Flags
                ''',
                'policy_query_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-sources', REFERENCE_CLASS, 'PolicySources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.PolicySources', 
                [], [], 
                '''                RSVP Policy Sources
                ''',
                'policy_sources',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-flags', REFERENCE_CLASS, 'RsbFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.RsbFlags', 
                [], [], 
                '''                Reservation State Block Flags
                ''',
                'rsb_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port 
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('style', REFERENCE_CLASS, 'Style' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed.Style', 
                [], [], 
                '''                RSVP Style
                ''',
                'style',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-detailed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbDetaileds' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbDetaileds',
            False, 
            [
            _MetaInfoClassMember('rsb-detailed', REFERENCE_LIST, 'RsbDetailed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds.RsbDetailed', 
                [], [], 
                '''                Detailed info for a single reservation state
                block
                ''',
                'rsb_detailed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-detaileds',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation.PreStandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation.PreStandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-subpool-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_subpool_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-subpool-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in
                subpool
                ''',
                'max_subpool_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pre-standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation.StandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation.StandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc0-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC0 B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bc0_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc1-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC1 sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_bc1_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC0
                pool
                ''',
                'max_pool0_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC1
                pool
                ''',
                'max_pool1_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation',
            False, 
            [
            _MetaInfoClassMember('dste-mode', REFERENCE_ENUM_CLASS, 'RsvpMgmtDsteModesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtDsteModesEnum', 
                [], [], 
                '''                DSTEMode
                ''',
                'dste_mode',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pre-standard-dste-interface', REFERENCE_CLASS, 'PreStandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation.PreStandardDsteInterface', 
                [], [], 
                '''                Prestandard DSTE interface information
                ''',
                'pre_standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('standard-dste-interface', REFERENCE_CLASS, 'StandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation.StandardDsteInterface', 
                [], [], 
                '''                Standard DSTE interface information
                ''',
                'standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bandwidth-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceSummaries.InterfaceSummary' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceSummaries.InterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('bandwidth-information', REFERENCE_CLASS, 'BandwidthInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation', 
                [], [], 
                '''                Interface bandwidth information
                ''',
                'bandwidth_information',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('paths-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming path
                states
                ''',
                'paths_in',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('paths-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing path states
                ''',
                'paths_out',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservations-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming
                reservation states
                ''',
                'reservations_in',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservations-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing reservation states
                ''',
                'reservations_out',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceSummaries' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceSummaries',
            False, 
            [
            _MetaInfoClassMember('interface-summary', REFERENCE_LIST, 'InterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceSummaries.InterfaceSummary', 
                [], [], 
                '''                Summary info about an RSVP-enabled interface
                ''',
                'interface_summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInstanceBriefs.HelloInstanceBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInstanceBriefs.HelloInstanceBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface to use
                ''',
                'hello_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('instance-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceEnum', 
                [], [], 
                '''                Hello instance type
                ''',
                'instance_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of times communication got lost
                ''',
                'lost_communication_total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-hello-state', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloStateEnum', 
                [], [], 
                '''                Neighbor Hello state
                ''',
                'neighbor_hello_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-instance-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInstanceBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInstanceBriefs',
            False, 
            [
            _MetaInfoClassMember('hello-instance-brief', REFERENCE_LIST, 'HelloInstanceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInstanceBriefs.HelloInstanceBrief', 
                [], [], 
                '''                Brief info for a single hello instance
                ''',
                'hello_instance_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-instance-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationDetails.AuthenticationDetail.AuthCompact' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationDetails.AuthenticationDetail.AuthCompact',
            False, 
            [
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('direction', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthDirectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthDirectionEnum', 
                [], [], 
                '''                Direction
                ''',
                'direction',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Key ID
                ''',
                'key_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-id-valid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Key validity
                ''',
                'key_id_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-source', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Key source
                ''',
                'key_source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthKiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthKiEnum', 
                [], [], 
                '''                Key type
                ''',
                'key_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'auth-compact',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo.Counters' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo.Counters',
            False, 
            [
            _MetaInfoClassMember('authentication-challenge-responses-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenge responses sent
                ''',
                'authentication_challenge_responses_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures
                ''',
                'authentication_failures',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-send-challenges-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenges received
                ''',
                'authentication_send_challenges_received',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Messages sent
                ''',
                'authentication_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo',
            False, 
            [
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo.Counters', 
                [], [], 
                '''                Counters
                ''',
                'counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sequence number
                ''',
                'sequence',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'send-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo.Counters' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo.Counters',
            False, 
            [
            _MetaInfoClassMember('authentication-received-bad-digest', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with bad digest
                ''',
                'authentication_received_bad_digest',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-bad-message-format', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with bad mesage format
                ''',
                'authentication_received_bad_message_format',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenge-response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenge responses received
                ''',
                'authentication_received_challenge_response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenge-timeouts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenge timeouts
                ''',
                'authentication_received_challenge_timeouts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenges-resent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenges resent
                ''',
                'authentication_received_challenges_resent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenges-response-duplicate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duplicate challenge responses received
                ''',
                'authentication_received_challenges_response_duplicate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-challenges-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenges sent
                ''',
                'authentication_received_challenges_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-during-challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received during challenge
                ''',
                'authentication_received_during_challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-incomplete', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received incomplete
                ''',
                'authentication_received_incomplete',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-no-integrity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with no integrity
                ''',
                'authentication_received_no_integrity',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-response-late', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Challenge responses received late
                ''',
                'authentication_received_response_late',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-sequence-number-duplicate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with duplicate sequence
                number
                ''',
                'authentication_received_sequence_number_duplicate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-sequence-number-outof-range', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with sequence number out
                of range
                ''',
                'authentication_received_sequence_number_outof_range',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-valid-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Valid messages
                ''',
                'authentication_received_valid_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-wrong-challenges-response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incorect challenge responses received
                ''',
                'authentication_received_wrong_challenges_response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-received-wrong-digest-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Authentication received with wrong digest type
                ''',
                'authentication_received_wrong_digest_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo',
            False, 
            [
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo.Counters', 
                [], [], 
                '''                Counters
                ''',
                'counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sequence', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sequence number
                ''',
                'sequence',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sequence-window', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sequence window
                ''',
                'sequence_window',
                'Cisco-IOS-XR-ip-rsvp-oper', False, max_elements=64),
            _MetaInfoClassMember('sequence-window-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sequence window count
                ''',
                'sequence_window_count',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sequence-window-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sequence window size
                ''',
                'sequence_window_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'receive-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo',
            False, 
            [
            _MetaInfoClassMember('auth-direction', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthDirectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthDirectionEnum', 
                [], [], 
                '''                AuthDirection
                ''',
                'auth_direction',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('receive-info', REFERENCE_CLASS, 'ReceiveInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo', 
                [], [], 
                '''                receive info
                ''',
                'receive_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('send-info', REFERENCE_CLASS, 'SendInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo', 
                [], [], 
                '''                send info
                ''',
                'send_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'direction-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationDetails.AuthenticationDetail' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationDetails.AuthenticationDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('mode-id', REFERENCE_ENUM_CLASS, 'RsvpModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpModeEnum', 
                [], [], 
                '''                Mode (Tx or Rx)
                ''',
                'mode_id',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('auth-compact', REFERENCE_CLASS, 'AuthCompact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationDetails.AuthenticationDetail.AuthCompact', 
                [], [], 
                '''                Basic authentication data
                ''',
                'auth_compact',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge-status', REFERENCE_ENUM_CLASS, 'RsvpMgmtAuthChallengeStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAuthChallengeStatusEnum', 
                [], [], 
                '''                Challenge status
                ''',
                'challenge_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('direction-info', REFERENCE_CLASS, 'DirectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo', 
                [], [], 
                '''                direction info
                ''',
                'direction_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-digest-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Direction
                ''',
                'key_digest_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('key-status', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Key status
                ''',
                'key_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lifetime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lifetime (seconds)
                ''',
                'lifetime',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lifetime-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining lifetime (seconds)
                ''',
                'lifetime_left',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'authentication-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.AuthenticationDetails' : {
        'meta_info' : _MetaInfoClass('Rsvp.AuthenticationDetails',
            False, 
            [
            _MetaInfoClassMember('authentication-detail', REFERENCE_LIST, 'AuthenticationDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationDetails.AuthenticationDetail', 
                [], [], 
                '''                Brief Authentication information
                ''',
                'authentication_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'authentication-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.FlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Style' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Style',
            False, 
            [
            _MetaInfoClassMember('reservation-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtReservationTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtReservationTypeEnumEnum', 
                [], [], 
                '''                The Reservation Type: WF, SE or FF
                ''',
                'reservation_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'style',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief.Filter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief.Filter',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs.RsbBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs.RsbBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Filter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.FlowSpec', 
                [], [], 
                '''                Flow Spec Information
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec Info
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reservation Input Interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port 
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('style', REFERENCE_CLASS, 'Style' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief.Style', 
                [], [], 
                '''                RSVP Style
                ''',
                'style',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RsbBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.RsbBriefs',
            False, 
            [
            _MetaInfoClassMember('rsb-brief', REFERENCE_LIST, 'RsbBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs.RsbBrief', 
                [], [], 
                '''                Brief info for a single reservation state block
                ''',
                'rsb_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.OpenConfig.GlobalCounters' : {
        'meta_info' : _MetaInfoClass('Rsvp.OpenConfig.GlobalCounters',
            False, 
            [
            _MetaInfoClassMember('in-ack-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of ack messages received
                ''',
                'in_ack_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-hello-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of hello messages received
                ''',
                'in_hello_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path error messages received
                ''',
                'in_path_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path messages received
                ''',
                'in_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path tear messages received
                ''',
                'in_path_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation error messages
                received
                ''',
                'in_reservation_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation messages received
                ''',
                'in_reservation_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation tear messages
                received
                ''',
                'in_reservation_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-srefresh-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of srefresh messages received
                ''',
                'in_srefresh_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-ack-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of ack messages send
                ''',
                'out_ack_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-hello-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of hello messages send
                ''',
                'out_hello_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path error messages send
                ''',
                'out_path_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path messages send
                ''',
                'out_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of path tear messages send
                ''',
                'out_path_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation error messages send
                ''',
                'out_reservation_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation messages send
                ''',
                'out_reservation_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation tear messages send
                ''',
                'out_reservation_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-srefresh-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of srefresh messages send
                ''',
                'out_srefresh_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-timeouts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of Path Timeouts
                ''',
                'path_timeouts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rate-limited-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of rate limited messages
                ''',
                'rate_limited_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-timeouts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Global count of reservation timeouts
                ''',
                'reservation_timeouts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.OpenConfig.InterfaceCounters.InterfaceCounter' : {
        'meta_info' : _MetaInfoClass('Rsvp.OpenConfig.InterfaceCounters.InterfaceCounter',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('in-ack-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of ack messages received
                ''',
                'in_ack_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-hello-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of hello messages received
                ''',
                'in_hello_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path error messages
                received
                ''',
                'in_path_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path messages received
                ''',
                'in_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-path-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path tear messages
                received
                ''',
                'in_path_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation error
                messages received
                ''',
                'in_reservation_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation messages
                received
                ''',
                'in_reservation_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-reservation-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation tear messages
                received
                ''',
                'in_reservation_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-srefresh-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of srefresh messages
                received
                ''',
                'in_srefresh_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-ack-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of ack messages send
                ''',
                'out_ack_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-hello-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of hello messages send
                ''',
                'out_hello_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path error messages send
                ''',
                'out_path_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path messages send
                ''',
                'out_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-path-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of path tear messages send
                ''',
                'out_path_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-error-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation error
                messages send
                ''',
                'out_reservation_error_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation messages send
                ''',
                'out_reservation_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-reservation-tear-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of reservation tear messages
                send
                ''',
                'out_reservation_tear_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-srefresh-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Per interface count of srefresh messages send
                ''',
                'out_srefresh_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.OpenConfig.InterfaceCounters' : {
        'meta_info' : _MetaInfoClass('Rsvp.OpenConfig.InterfaceCounters',
            False, 
            [
            _MetaInfoClassMember('interface-counter', REFERENCE_LIST, 'InterfaceCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.OpenConfig.InterfaceCounters.InterfaceCounter', 
                [], [], 
                '''                Info about an RSVP-enabled interface counters
                ''',
                'interface_counter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.OpenConfig' : {
        'meta_info' : _MetaInfoClass('Rsvp.OpenConfig',
            False, 
            [
            _MetaInfoClassMember('global-counters', REFERENCE_CLASS, 'GlobalCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.OpenConfig.GlobalCounters', 
                [], [], 
                '''                Platform wide RSVP statistics and counters
                ''',
                'global_counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-counters', REFERENCE_CLASS, 'InterfaceCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.OpenConfig.InterfaceCounters', 
                [], [], 
                '''                Table of info about RSVP-enabled interface
                counters for OpenConfig
                ''',
                'interface_counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'open-config',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.InterfaceMessages.InterfaceMessage.ReceivedMessages' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.InterfaceMessages.InterfaceMessage.ReceivedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'received-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.InterfaceMessages.InterfaceMessage.TransmittedMessages' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.InterfaceMessages.InterfaceMessage.TransmittedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'transmitted-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.InterfaceMessages.InterfaceMessage.BundleReceivedMessages' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.InterfaceMessages.InterfaceMessage.BundleReceivedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bundle-received-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.InterfaceMessages.InterfaceMessage.BundleTransmittedMessages' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.InterfaceMessages.InterfaceMessage.BundleTransmittedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bundle-transmitted-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.InterfaceMessages.InterfaceMessage' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.InterfaceMessages.InterfaceMessage',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name. 'None' is used internally
                where the true interface is unknown (e.g. for
                routed packets)
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('bundle-received-messages', REFERENCE_CLASS, 'BundleReceivedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.InterfaceMessages.InterfaceMessage.BundleReceivedMessages', 
                [], [], 
                '''                Count of Bundle messages received
                ''',
                'bundle_received_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle-transmitted-messages', REFERENCE_CLASS, 'BundleTransmittedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.InterfaceMessages.InterfaceMessage.BundleTransmittedMessages', 
                [], [], 
                '''                Count of Bundle messages transmitted
                ''',
                'bundle_transmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-order-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Out of Order messages
                ''',
                'out_of_order_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rate-limited-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Rate Limited messages
                ''',
                'rate_limited_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('received-messages', REFERENCE_CLASS, 'ReceivedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.InterfaceMessages.InterfaceMessage.ReceivedMessages', 
                [], [], 
                '''                Count of messages received
                ''',
                'received_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('retransmitted-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of messages retransmitted
                ''',
                'retransmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('transmitted-messages', REFERENCE_CLASS, 'TransmittedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.InterfaceMessages.InterfaceMessage.TransmittedMessages', 
                [], [], 
                '''                Count of messages transmitted
                ''',
                'transmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-message',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.InterfaceMessages' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.InterfaceMessages',
            False, 
            [
            _MetaInfoClassMember('interface-message', REFERENCE_LIST, 'InterfaceMessage' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.InterfaceMessages.InterfaceMessage', 
                [], [], 
                '''                Interface message counters
                ''',
                'interface_message',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.MessageSummary.ReceivedMessages' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.MessageSummary.ReceivedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'received-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.MessageSummary.TransmittedMessages' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.MessageSummary.TransmittedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'transmitted-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.MessageSummary.BundleReceivedMessages' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.MessageSummary.BundleReceivedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bundle-received-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.MessageSummary.BundleTransmittedMessages' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.MessageSummary.BundleTransmittedMessages',
            False, 
            [
            _MetaInfoClassMember('ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ACK messages
                ''',
                'ack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Bundle messages
                ''',
                'bundle',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('challenge', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Challenge messages
                ''',
                'challenge',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Hello messages
                ''',
                'hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathError messages
                ''',
                'path_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Reservation messages
                ''',
                'reservation',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationError messages
                ''',
                'reservation_error',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationTear messages
                ''',
                'reservation_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('response', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Integrity Response messages
                ''',
                'response',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srefresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Srefresh messages
                ''',
                'srefresh',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bundle-transmitted-messages',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.MessageSummary' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.MessageSummary',
            False, 
            [
            _MetaInfoClassMember('bundle-received-messages', REFERENCE_CLASS, 'BundleReceivedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.MessageSummary.BundleReceivedMessages', 
                [], [], 
                '''                Count of Bundle messages received
                ''',
                'bundle_received_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle-transmitted-messages', REFERENCE_CLASS, 'BundleTransmittedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.MessageSummary.BundleTransmittedMessages', 
                [], [], 
                '''                Count of Bundle messages transmitted
                ''',
                'bundle_transmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-order-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Out of Order messages
                ''',
                'out_of_order_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rate-limited-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Rate Limited messages
                ''',
                'rate_limited_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('received-messages', REFERENCE_CLASS, 'ReceivedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.MessageSummary.ReceivedMessages', 
                [], [], 
                '''                Count of messages received
                ''',
                'received_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('retransmitted-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of messages retransmitted
                ''',
                'retransmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('transmitted-messages', REFERENCE_CLASS, 'TransmittedMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.MessageSummary.TransmittedMessages', 
                [], [], 
                '''                Count of messages transmitted
                ''',
                'transmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'message-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Accesses.Access.Forwarded' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Accesses.Access.Forwarded',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'forwarded',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Accesses.Access.LocallyDestined' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Accesses.Access.LocallyDestined',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'locally-destined',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Accesses.Access.Dropped' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Accesses.Access.Dropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Accesses.Access.Total' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Accesses.Access.Total',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Accesses.Access' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Accesses.Access',
            False, 
            [
            _MetaInfoClassMember('access-list-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 65)], [], 
                '''                AccessList Name
                ''',
                'access_list_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('dropped', REFERENCE_CLASS, 'Dropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Accesses.Access.Dropped', 
                [], [], 
                '''                Count of messages dropped
                ''',
                'dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('forwarded', REFERENCE_CLASS, 'Forwarded' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Accesses.Access.Forwarded', 
                [], [], 
                '''                Count of messages which got forwarded
                ''',
                'forwarded',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('locally-destined', REFERENCE_CLASS, 'LocallyDestined' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Accesses.Access.LocallyDestined', 
                [], [], 
                '''                Count of locally destined messages
                ''',
                'locally_destined',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Accesses.Access.Total', 
                [], [], 
                '''                Count of total messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'access',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Accesses' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Accesses',
            False, 
            [
            _MetaInfoClassMember('access', REFERENCE_LIST, 'Access' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Accesses.Access', 
                [], [], 
                '''                Prefix filtering counters for a specific
                AccessList
                ''',
                'access',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'accesses',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Forwarded' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Forwarded',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'forwarded',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.LocallyDestined' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Summary.LocallyDestined',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'locally-destined',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Dropped' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Dropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionDropped' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionDropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'default-action-dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionProcessed' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionProcessed',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'default-action-processed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Total' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Total',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Summary' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Summary',
            False, 
            [
            _MetaInfoClassMember('default-action-dropped', REFERENCE_CLASS, 'DefaultActionDropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionDropped', 
                [], [], 
                '''                Count of messages which got dropped due to
                default ACL action
                ''',
                'default_action_dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('default-action-processed', REFERENCE_CLASS, 'DefaultActionProcessed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionProcessed', 
                [], [], 
                '''                Count of messages which were processed due to
                default ACL action
                ''',
                'default_action_processed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('dropped', REFERENCE_CLASS, 'Dropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Dropped', 
                [], [], 
                '''                Count of messages dropped
                ''',
                'dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('forwarded', REFERENCE_CLASS, 'Forwarded' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Forwarded', 
                [], [], 
                '''                Count of messages which got forwarded
                ''',
                'forwarded',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('locally-destined', REFERENCE_CLASS, 'LocallyDestined' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.LocallyDestined', 
                [], [], 
                '''                Count of locally destined messages
                ''',
                'locally_destined',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Total', 
                [], [], 
                '''                Count of total messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Forwarded' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Forwarded',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'forwarded',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.LocallyDestined' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.LocallyDestined',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'locally-destined',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Dropped' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Dropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionDropped' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionDropped',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'default-action-dropped',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionProcessed' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionProcessed',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'default-action-processed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Total' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Total',
            False, 
            [
            _MetaInfoClassMember('path', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages
                ''',
                'path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-tear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of PathTear messages
                ''',
                'path_tear',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-confirm', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of ReservationConfirm messages
                ''',
                'reservation_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count of messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'total',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Interface Name. 'None' is used internally
                where the true interface is unknown (e.g.
                for routed packets)
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('default-action-dropped', REFERENCE_CLASS, 'DefaultActionDropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionDropped', 
                [], [], 
                '''                Count of messages which got dropped due to
                default ACL action
                ''',
                'default_action_dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('default-action-processed', REFERENCE_CLASS, 'DefaultActionProcessed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionProcessed', 
                [], [], 
                '''                Count of messages which were processed due to
                default ACL action
                ''',
                'default_action_processed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('dropped', REFERENCE_CLASS, 'Dropped' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Dropped', 
                [], [], 
                '''                Count of messages dropped
                ''',
                'dropped',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('forwarded', REFERENCE_CLASS, 'Forwarded' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Forwarded', 
                [], [], 
                '''                Count of messages which got forwarded
                ''',
                'forwarded',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('locally-destined', REFERENCE_CLASS, 'LocallyDestined' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.LocallyDestined', 
                [], [], 
                '''                Count of locally destined messages
                ''',
                'locally_destined',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total', REFERENCE_CLASS, 'Total' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Total', 
                [], [], 
                '''                Count of total messages
                ''',
                'total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface', 
                [], [], 
                '''                Prefix filtering counters for a specific
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering.Interfaces' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_', 
                [], [], 
                '''                Table of interface specific prefix filtering
                counters
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces.Summary', 
                [], [], 
                '''                Summary of prefix filtering counts for all
                interfaces
                ''',
                'summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.PrefixFiltering' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.PrefixFiltering',
            False, 
            [
            _MetaInfoClassMember('accesses', REFERENCE_CLASS, 'Accesses' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Accesses', 
                [], [], 
                '''                AccessList specific prefix filtering counters
                ''',
                'accesses',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering.Interfaces', 
                [], [], 
                '''                Interface specific prefix filtering counters
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'prefix-filtering',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.OutOfResource.Interfaces.Summary' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.OutOfResource.Interfaces.Summary',
            False, 
            [
            _MetaInfoClassMember('dropped-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages dropped due to an out of
                resource condition
                ''',
                'dropped_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.OutOfResource.Interfaces.Interfaces_.Interface' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.OutOfResource.Interfaces.Interfaces_.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Interface Name. 'None' is used internally
                where the true interface is unknown (e.g.
                for routed packets)
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('dropped-path-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Path messages dropped due to an out of
                resource condition
                ''',
                'dropped_path_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.OutOfResource.Interfaces.Interfaces_' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.OutOfResource.Interfaces.Interfaces_',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.OutOfResource.Interfaces.Interfaces_.Interface', 
                [], [], 
                '''                Out of resource counters for a specific
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.OutOfResource.Interfaces' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.OutOfResource.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.OutOfResource.Interfaces.Interfaces_', 
                [], [], 
                '''                Table of interface specific out of resource
                counters
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.OutOfResource.Interfaces.Summary', 
                [], [], 
                '''                Summary of out of resource counts for all
                interfaces
                ''',
                'summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.OutOfResource' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.OutOfResource',
            False, 
            [
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.OutOfResource.Interfaces', 
                [], [], 
                '''                Interface specific out of resource counters
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'out-of-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.InterfaceEvents.InterfaceEvent' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.InterfaceEvents.InterfaceEvent',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name. 'None' is used internally
                where the true interface is unknown (e.g. for
                routed packets)
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('expired-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for Expired Path states
                ''',
                'expired_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expired-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for Expired Reservation states
                ''',
                'expired_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nac-ks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for NACKs received
                ''',
                'nac_ks',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-event',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.InterfaceEvents' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.InterfaceEvents',
            False, 
            [
            _MetaInfoClassMember('interface-event', REFERENCE_LIST, 'InterfaceEvent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.InterfaceEvents.InterfaceEvent', 
                [], [], 
                '''                Event counters for an interface
                ''',
                'interface_event',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-events',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.Nsr' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.Nsr',
            False, 
            [
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp, in seconds, when these statistics
                are cleared              since 00:00:00 UTC,
                January 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('last-idt-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last IDT number of states
                ''',
                'last_idt_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-process-role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'rsvp_process_role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-deletions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of deletions
                ''',
                'total_deletions',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-id-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IDTs
                ''',
                'total_id_ts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-nacks', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total number of NACKs
                ''',
                'total_nacks',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of states
                ''',
                'total_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.Issu' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.Issu',
            False, 
            [
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp, in seconds, when these statistics
                are cleared              since 00:00:00 UTC,
                January 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('last-idt-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last IDT number of states
                ''',
                'last_idt_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-process-role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'rsvp_process_role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-deletions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of deletions
                ''',
                'total_deletions',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-id-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IDTs
                ''',
                'total_id_ts',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-nacks', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total number of NACKs
                ''',
                'total_nacks',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of states
                ''',
                'total_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.Database' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.Database',
            False, 
            [
            _MetaInfoClassMember('incoming-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming path
                states
                ''',
                'incoming_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('incoming-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming
                reservation states
                ''',
                'incoming_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing path states
                ''',
                'outgoing_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing reservation states
                ''',
                'outgoing_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sessions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sessions
                ''',
                'sessions',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.EventSyncs.EventSync' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.EventSyncs.EventSync',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('expired-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for Expired Path states
                ''',
                'expired_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expired-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for Expired Reservation states
                ''',
                'expired_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nac-ks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter for NACKs received
                ''',
                'nac_ks',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'event-sync',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters.EventSyncs' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters.EventSyncs',
            False, 
            [
            _MetaInfoClassMember('event-sync', REFERENCE_LIST, 'EventSync' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.EventSyncs.EventSync', 
                [], [], 
                '''                Event sync counters
                ''',
                'event_sync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'event-syncs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Counters' : {
        'meta_info' : _MetaInfoClass('Rsvp.Counters',
            False, 
            [
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.Database', 
                [], [], 
                '''                Summary information for all RSVP database
                counters
                ''',
                'database',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('event-syncs', REFERENCE_CLASS, 'EventSyncs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.EventSyncs', 
                [], [], 
                '''                Table containing event sync counters
                ''',
                'event_syncs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-events', REFERENCE_CLASS, 'InterfaceEvents' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.InterfaceEvents', 
                [], [], 
                '''                Event counters
                ''',
                'interface_events',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-messages', REFERENCE_CLASS, 'InterfaceMessages' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.InterfaceMessages', 
                [], [], 
                '''                Table of message counters
                ''',
                'interface_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.Issu', 
                [], [], 
                '''                Summary information for all RSVP ISSU counters
                ''',
                'issu',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('message-summary', REFERENCE_CLASS, 'MessageSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.MessageSummary', 
                [], [], 
                '''                Summary information for all RSVP message
                counters
                ''',
                'message_summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.Nsr', 
                [], [], 
                '''                Summary information for all RSVP NSR counters
                ''',
                'nsr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-resource', REFERENCE_CLASS, 'OutOfResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.OutOfResource', 
                [], [], 
                '''                Out of resource counters
                ''',
                'out_of_resource',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-filtering', REFERENCE_CLASS, 'PrefixFiltering' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters.PrefixFiltering', 
                [], [], 
                '''                Prefix filtering counters
                ''',
                'prefix_filtering',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.PreStandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.PreStandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-subpool-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_subpool_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-subpool-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in
                subpool
                ''',
                'max_subpool_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pre-standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.StandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.StandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc0-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC0 B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bc0_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc1-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC1 sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_bc1_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC0
                pool
                ''',
                'max_pool0_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC1
                pool
                ''',
                'max_pool1_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation',
            False, 
            [
            _MetaInfoClassMember('dste-mode', REFERENCE_ENUM_CLASS, 'RsvpMgmtDsteModesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtDsteModesEnum', 
                [], [], 
                '''                DSTEMode
                ''',
                'dste_mode',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pre-standard-dste-interface', REFERENCE_CLASS, 'PreStandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.PreStandardDsteInterface', 
                [], [], 
                '''                Prestandard DSTE interface information
                ''',
                'pre_standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('standard-dste-interface', REFERENCE_CLASS, 'StandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.StandardDsteInterface', 
                [], [], 
                '''                Standard DSTE interface information
                ''',
                'standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bandwidth-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceDetaileds.InterfaceDetailed.Flags' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceDetaileds.InterfaceDetailed.Flags',
            False, 
            [
            _MetaInfoClassMember('is-backup-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                This is backup tunnel
                ''',
                'is_backup_tunnel',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-interface-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is created
                ''',
                'is_interface_created',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-interface-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is DOWN
                ''',
                'is_interface_down',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-message-bundling-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use bundling for outgoing RSVP messages.
                ''',
                'is_message_bundling_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-mpls-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS enabled on interface
                ''',
                'is_mpls_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-non-default-vrf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is defined in non-Default VRF
                ''',
                'is_non_default_vrf',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-pacing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Message pacing enabled
                ''',
                'is_pacing_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-refresh-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Refresh enabled
                ''',
                'is_refresh_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-refresh-reduction-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Refresh Reduction enabled
                ''',
                'is_refresh_reduction_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rel-s-refresh-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Use reliable xmt for SRefresh
                ''',
                'is_rel_s_refresh_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rsvp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP explicitly configured
                ''',
                'is_rsvp_configured',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-s-refresh-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Summary Refresh enabled
                ''',
                'is_s_refresh_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray.ExpiryTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray.ExpiryTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'expiry-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray.NeighborMessageId' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray.NeighborMessageId',
            False, 
            [
            _MetaInfoClassMember('message-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Message ID
                ''',
                'message_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'neighbor-message-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray',
            False, 
            [
            _MetaInfoClassMember('expiry-time', REFERENCE_CLASS, 'ExpiryTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray.ExpiryTime', 
                [], [], 
                '''                Expiry time
                ''',
                'expiry_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-neighbor-refresh-reduction-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is neighbor capable of Refresh Reduction
                ''',
                'is_neighbor_refresh_reduction_capable',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('message-ids', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of MessageIDs
                ''',
                'message_ids',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-message-id', REFERENCE_LIST, 'NeighborMessageId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray.NeighborMessageId', 
                [], [], 
                '''                List of Neighbor MessageIDs
                ''',
                'neighbor_message_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False, max_elements=6),
            _MetaInfoClassMember('outgoing-states', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of outgoing states to the neighbour
                ''',
                'outgoing_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'neighbor-array',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceDetaileds.InterfaceDetailed' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceDetaileds.InterfaceDetailed',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('ack-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ACK hold time in msec
                ''',
                'ack_hold_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ack-max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max size for ACK message
                ''',
                'ack_max_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bandwidth-information', REFERENCE_CLASS, 'BandwidthInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation', 
                [], [], 
                '''                Interface bandwidth information
                ''',
                'bandwidth_information',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bundle-message-max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max size in bytes of a single Bundle message
                ''',
                'bundle_message_max_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-drops-tolerated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of missed messages tolerated
                ''',
                'expiry_drops_tolerated',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-interval', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiry interval in msecs
                ''',
                'expiry_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-states', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of states for expiry check
                ''',
                'expiry_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('expiry-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                Expiry timer state
                ''',
                'expiry_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceDetaileds.InterfaceDetailed.Flags', 
                [], [], 
                '''                Interface flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('integrity-receive-password', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Integrity receive password
                ''',
                'integrity_receive_password',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('integrity-receive-password-optional', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Integrity recv password optional
                ''',
                'integrity_receive_password_optional',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('integrity-send-password', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Integrity send password
                ''',
                'integrity_send_password',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-array', REFERENCE_LIST, 'NeighborArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray', 
                [], [], 
                '''                Neighbor array
                ''',
                'neighbor_array',
                'Cisco-IOS-XR-ip-rsvp-oper', False, max_elements=6),
            _MetaInfoClassMember('out-of-band-expiry-drops-tolerated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of out-of-band missed messages tolerated
                ''',
                'out_of_band_expiry_drops_tolerated',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-band-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out-of-band Refresh interval in msecs
                ''',
                'out_of_band_refresh_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pacing interval in msecs
                ''',
                'pacing_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-message-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of messages per interval
                ''',
                'pacing_message_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-messages', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of messages deferred for pacing
                ''',
                'pacing_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pacing-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                State of pacing timer
                ''',
                'pacing_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Refresh interval in msecs
                ''',
                'refresh_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('refresh-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                Refresh timer state
                ''',
                'refresh_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('retransmit-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmit time in msec
                ''',
                'retransmit_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('signalling-ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TOS (precedence/DSCP) to use in signalling
                messages
                ''',
                'signalling_ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary-refresh-max-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max size in bytes of a single SRefresh
                ''',
                'summary_refresh_max_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary-refresh-timer-state', REFERENCE_ENUM_CLASS, 'RsvpTimerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpTimerStateEnum', 
                [], [], 
                '''                Summary refresh timer state
                ''',
                'summary_refresh_timer_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-detailed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceDetaileds' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceDetaileds',
            False, 
            [
            _MetaInfoClassMember('interface-detailed', REFERENCE_LIST, 'InterfaceDetailed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceDetaileds.InterfaceDetailed', 
                [], [], 
                '''                Detailed info about an RSVP-enabled interface
                ''',
                'interface_detailed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-detaileds',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GracefulRestart.RecoveryTimeLeft' : {
        'meta_info' : _MetaInfoClass('Rsvp.GracefulRestart.RecoveryTimeLeft',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'recovery-time-left',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GracefulRestart.RecoveryTimerExpTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.GracefulRestart.RecoveryTimerExpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'recovery-timer-exp-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GracefulRestart.LocalNodeAddress' : {
        'meta_info' : _MetaInfoClass('Rsvp.GracefulRestart.LocalNodeAddress',
            False, 
            [
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGrAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGrAppEnum', 
                [], [], 
                '''                GR local node-id app type
                ''',
                'application_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-node-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local node address
                ''',
                'local_node_ip_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'local-node-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GracefulRestart' : {
        'meta_info' : _MetaInfoClass('Rsvp.GracefulRestart',
            False, 
            [
            _MetaInfoClassMember('global-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global neighbor count
                ''',
                'global_neighbors',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interval at which hello messages are sent
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-gr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether GR is enabled
                ''',
                'is_gr_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-recovery-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether recovery timer is running
                ''',
                'is_recovery_timer_running',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-node-address', REFERENCE_LIST, 'LocalNodeAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GracefulRestart.LocalNodeAddress', 
                [], [], 
                '''                Local node address
                ''',
                'local_node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('missed-hellos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Max number of hellos missed before hellos
                declared down
                ''',
                'missed_hellos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pending-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of pending states
                ''',
                'pending_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery time (milliseconds)
                ''',
                'recovery_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-time-left', REFERENCE_CLASS, 'RecoveryTimeLeft' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GracefulRestart.RecoveryTimeLeft', 
                [], [], 
                '''                How much recovery timer remains
                ''',
                'recovery_time_left',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-timer-exp-time', REFERENCE_CLASS, 'RecoveryTimerExpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GracefulRestart.RecoveryTimerExpTime', 
                [], [], 
                '''                Time at which recovery timer will expire
                ''',
                'recovery_timer_exp_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Restart time (milliseconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'graceful-restart',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInterfaceInstanceBriefs.HelloInterfaceInstanceBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInterfaceInstanceBriefs.HelloInterfaceInstanceBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface to use
                ''',
                'hello_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('instance-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceEnum', 
                [], [], 
                '''                Hello instance type
                ''',
                'instance_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-interface-instance-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInterfaceInstanceBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInterfaceInstanceBriefs',
            False, 
            [
            _MetaInfoClassMember('hello-interface-instance-brief', REFERENCE_LIST, 'HelloInterfaceInstanceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInterfaceInstanceBriefs.HelloInterfaceInstanceBrief', 
                [], [], 
                '''                Brief info for a single interface-based hello
                instance
                ''',
                'hello_interface_instance_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-interface-instance-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail.LastMessageSentTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail.LastMessageSentTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'last-message-sent-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Instance
                ''',
                'destination_instance',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-global-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global Neighbor ID
                ''',
                'hello_global_neighbor_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface to use
                ''',
                'hello_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of hello messages received
                ''',
                'hello_messages_received',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of hello messages sent
                ''',
                'hello_messages_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('instance-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceEnum', 
                [], [], 
                '''                Hello instance type
                ''',
                'instance_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('last-message-sent-time', REFERENCE_CLASS, 'LastMessageSentTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail.LastMessageSentTime', 
                [], [], 
                '''                Last Ack/msg sent time
                ''',
                'last_message_sent_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Instance
                ''',
                'source_instance',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-interface-instance-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInterfaceInstanceDetails' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInterfaceInstanceDetails',
            False, 
            [
            _MetaInfoClassMember('hello-interface-instance-detail', REFERENCE_LIST, 'HelloInterfaceInstanceDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail', 
                [], [], 
                '''                Detailed info for a single interface-based
                hello instance
                ''',
                'hello_interface_instance_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-interface-instance-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceNeighborDetails.InterfaceNeighborDetail.InterfaceNeighborListDetail' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceNeighborDetails.InterfaceNeighborDetail.InterfaceNeighborListDetail',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Neighbor address
                ''',
                'interface_neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Neighbor's RR enable
                ''',
                'is_rr_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-epoch', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's epoch value
                ''',
                'neighbor_epoch',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor's Interface handle
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-of-order-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of out of order msgs
                ''',
                'out_of_order_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('retransmitted-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmitted msgs
                ''',
                'retransmitted_messages',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-list-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceNeighborDetails.InterfaceNeighborDetail' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceNeighborDetails.InterfaceNeighborDetail',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of global neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('interface-neighbor-list-detail', REFERENCE_LIST, 'InterfaceNeighborListDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceNeighborDetails.InterfaceNeighborDetail.InterfaceNeighborListDetail', 
                [], [], 
                '''                Detail list of I/F Neighbors
                ''',
                'interface_neighbor_list_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor node address
                ''',
                'node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceNeighborDetails' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceNeighborDetails',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-detail', REFERENCE_LIST, 'InterfaceNeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceNeighborDetails.InterfaceNeighborDetail', 
                [], [], 
                '''                Detailed info for a single interface neighbor
                ''',
                'interface_neighbor_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-neighbor-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Nsr.Status.IdtStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Nsr.Status.IdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Nsr.Status.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Nsr.Status.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Nsr.Status' : {
        'meta_info' : _MetaInfoClass('Rsvp.Nsr.Status',
            False, 
            [
            _MetaInfoClassMember('idt-status', REFERENCE_CLASS, 'IdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Nsr.Status.IdtStatus', 
                [], [], 
                '''                IDT status
                ''',
                'idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Nsr.Status.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT status
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Nsr' : {
        'meta_info' : _MetaInfoClass('Rsvp.Nsr',
            False, 
            [
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Nsr.Status', 
                [], [], 
                '''                RSVP NSR status information
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Summary.IssuStatus.IdtStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Summary.IssuStatus.IdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Summary.IssuStatus.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Summary.IssuStatus.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Summary.IssuStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Summary.IssuStatus',
            False, 
            [
            _MetaInfoClassMember('idt-status', REFERENCE_CLASS, 'IdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Summary.IssuStatus.IdtStatus', 
                [], [], 
                '''                IDT status
                ''',
                'idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Summary.IssuStatus.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT status
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'issu-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Summary.NsrStatus.IdtStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Summary.NsrStatus.IdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Summary.NsrStatus.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Summary.NsrStatus.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestamp in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestamp in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestamp in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('not-ready-reason', REFERENCE_ENUM_CLASS, 'RsvpProcNsrNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcNsrNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'not_ready_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sync-status', REFERENCE_ENUM_CLASS, 'RsvpSyncStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSyncStatusEnum', 
                [], [], 
                '''                Sync status
                ''',
                'sync_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestamp in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Summary.NsrStatus' : {
        'meta_info' : _MetaInfoClass('Rsvp.Summary.NsrStatus',
            False, 
            [
            _MetaInfoClassMember('idt-status', REFERENCE_CLASS, 'IdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Summary.NsrStatus.IdtStatus', 
                [], [], 
                '''                IDT status
                ''',
                'idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Summary.NsrStatus.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT status
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'RsvpProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'nsr-status',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Summary.DatabaseCounters' : {
        'meta_info' : _MetaInfoClass('Rsvp.Summary.DatabaseCounters',
            False, 
            [
            _MetaInfoClassMember('incoming-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming path
                states
                ''',
                'incoming_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('incoming-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of locally created and incoming
                reservation states
                ''',
                'incoming_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing path states
                ''',
                'outgoing_paths',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('outgoing-reservations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of outgoing reservation states
                ''',
                'outgoing_reservations',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sessions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of sessions
                ''',
                'sessions',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'database-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Summary' : {
        'meta_info' : _MetaInfoClass('Rsvp.Summary',
            False, 
            [
            _MetaInfoClassMember('database-counters', REFERENCE_CLASS, 'DatabaseCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Summary.DatabaseCounters', 
                [], [], 
                '''                All database counters
                ''',
                'database_counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('issu-status', REFERENCE_CLASS, 'IssuStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Summary.IssuStatus', 
                [], [], 
                '''                Issu status
                ''',
                'issu_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total LSPs
                ''',
                'ls_ps',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nsr-status', REFERENCE_CLASS, 'NsrStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Summary.NsrStatus', 
                [], [], 
                '''                NSR status
                ''',
                'nsr_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Frrs.Frr.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.Frrs.Frr.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Frrs.Frr.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.Frrs.Frr.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Frrs.Frr.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Frrs.Frr.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.Frrs.Frr.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Frrs.Frr' : {
        'meta_info' : _MetaInfoClass('Rsvp.Frrs.Frr',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('path-status', REFERENCE_ENUM_CLASS, 'RsvpMgmtFrrStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFrrStateEnumEnum', 
                [], [], 
                '''                RSVP FRR Path States
                ''',
                'path_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reservation-status', REFERENCE_ENUM_CLASS, 'RsvpMgmtFrrStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFrrStateEnumEnum', 
                [], [], 
                '''                RSVP FRR Reservation States
                ''',
                'reservation_status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Frrs.Frr.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Frrs.Frr.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'frr',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.Frrs' : {
        'meta_info' : _MetaInfoClass('Rsvp.Frrs',
            False, 
            [
            _MetaInfoClassMember('frr', REFERENCE_LIST, 'Frr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Frrs.Frr', 
                [], [], 
                '''                Detailed info for a single Fast Re-route state
                ''',
                'frr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'frrs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.FlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Filter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Filter',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief.Style' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief.Style',
            False, 
            [
            _MetaInfoClassMember('reservation-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtReservationTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtReservationTypeEnumEnum', 
                [], [], 
                '''                The Reservation Type: WF, SE or FF
                ''',
                'reservation_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'style',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs.RequestBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs.RequestBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Filter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.FlowSpec', 
                [], [], 
                '''                Flow Spec Information
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec Information
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output Interface
                ''',
                'output_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('style', REFERENCE_CLASS, 'Style' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief.Style', 
                [], [], 
                '''                RSVP Style
                ''',
                'style',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'request-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestBriefs',
            False, 
            [
            _MetaInfoClassMember('request-brief', REFERENCE_LIST, 'RequestBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs.RequestBrief', 
                [], [], 
                '''                Brief info for a request
                ''',
                'request_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'request-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.FlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Filter' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Filter',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Style' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Style',
            False, 
            [
            _MetaInfoClassMember('reservation-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtReservationTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtReservationTypeEnumEnum', 
                [], [], 
                '''                The Reservation Type: WF, SE or FF
                ''',
                'reservation_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'style',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.ReqFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.ReqFlags',
            False, 
            [
            _MetaInfoClassMember('is-ack-outstanding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ACK message outstanding
                ''',
                'is_ack_outstanding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-label-request-in-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Path message contains Label Request
                ''',
                'is_label_request_in_path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-receiver', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Receiver
                ''',
                'is_local_receiver',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-merge-point', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node a Merge Point
                ''',
                'is_merge_point',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-message-id-allocated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MessageID allocated
                ''',
                'is_message_id_allocated',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-nack-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A NACK message was received
                ''',
                'is_nack_received',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-paced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Message is paced
                ''',
                'is_paced',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-record-label-in-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path has Session-Attr object with Record Labels
                set
                ''',
                'is_record_label_in_path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-refreshing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is neighbor refreshing
                ''',
                'is_refreshing',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-retransmit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Retransmit the message
                ''',
                'is_retransmit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rro-in-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Path message contains RRO
                ''',
                'is_rro_in_path',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-send-confirm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send Confirm message
                ''',
                'is_send_confirm',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'req-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Hop' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Hop',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of the neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-logical-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Neighbor Logical Interface Name
                ''',
                'neighbor_logical_interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.Header' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.Header',
            False, 
            [
            _MetaInfoClassMember('ip-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP Source Address
                ''',
                'ip_source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP Type of Service
                ''',
                'ip_tos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ip-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IP TTL
                ''',
                'ip_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-header-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Header Flags (defined in RFC2205 Section 3
                .1.1)
                ''',
                'rsvp_header_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-message-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Message Type
                ''',
                'rsvp_message_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP TTL
                ''',
                'rsvp_ttl',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsvp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                RSVP Version
                ''',
                'rsvp_version',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'header',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.PolicySources' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.PolicySources',
            False, 
            [
            _MetaInfoClassMember('is-cable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Cable
                ''',
                'is_cable',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-cops', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is COPS
                ''',
                'is_cops',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Default
                ''',
                'is_default',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is Local
                ''',
                'is_local',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-te-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Source is TE Link
                ''',
                'is_te_link',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.PolicyFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.PolicyFlags',
            False, 
            [
            _MetaInfoClassMember('is-accepted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Accepted
                ''',
                'is_accepted',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-forwarding', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Forwarding
                ''',
                'is_forwarding',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Installed
                ''',
                'is_installed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.PolicyQueryFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.PolicyQueryFlags',
            False, 
            [
            _MetaInfoClassMember('is-bypass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bypass
                ''',
                'is_bypass',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-needed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Needed
                ''',
                'is_needed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-report-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Report Required
                ''',
                'is_report_required',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-resync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Resynchronization
                ''',
                'is_resync',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'policy-query-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.PsbKey' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.PsbKey',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port-or-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Port or Tunnel ID. For the LSP and
                OUNI session types this represents the Tunnel ID
                whereas for the UDP session type this represents
                the Destination Port
                ''',
                'destination_port_or_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protocol or Extended Tunnel ID. For the LSP and
                OUNI sesion types this represents the Extended
                Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point-to-multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol. UDP session type this represents the
                Protocol (UDP not supported at present)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                Session Type (e.g. LSP, OUNI or UDP)
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port-or-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Port or LSP_ID. For the LSP and OUNI
                session types this represents the LSP_ID whereas
                for the UDP session type this represents the
                SourcePort
                ''',
                'source_port_or_lsp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrfid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Signalling VRF ID
                ''',
                'vrfid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-key',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail.RsbKey' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail.RsbKey',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port-or-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Port or Tunnel ID. For the LSP and
                OUNI session types this represents the Tunnel ID
                whereas for the UDP session type this represents
                the Destination Port
                ''',
                'destination_port_or_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protocol or Extended Tunnel ID. For the LSP and
                OUNI sesion types this represents the Extended
                Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point-to-multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Protocol. UDP session type this represents the
                Protocol (UDP not supported at present)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                Session Type (e.g. LSP, OUNI or UDP)
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port-or-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Port or LSP_ID. For the LSP and OUNI
                session types this represents the LSP_ID whereas
                for the UDP session type this represents the
                SourcePort
                ''',
                'source_port_or_lsp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrfid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Signalling VRF ID
                ''',
                'vrfid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-key',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails.RequestDetail' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails.RequestDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('filter', REFERENCE_CLASS, 'Filter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Filter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.FlowSpec', 
                [], [], 
                '''                Flow Spec Information
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec Information
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('header', REFERENCE_CLASS, 'Header' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Header', 
                [], [], 
                '''                RSVP Header Information
                ''',
                'header',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_CLASS, 'Hop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Hop', 
                [], [], 
                '''                Hop Infomation
                ''',
                'hop',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output Interface
                ''',
                'output_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-flags', REFERENCE_CLASS, 'PolicyFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.PolicyFlags', 
                [], [], 
                '''                RSVP Policy Flags
                ''',
                'policy_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-query-flags', REFERENCE_CLASS, 'PolicyQueryFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.PolicyQueryFlags', 
                [], [], 
                '''                RSVP Query Flags
                ''',
                'policy_query_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('policy-sources', REFERENCE_CLASS, 'PolicySources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.PolicySources', 
                [], [], 
                '''                RSVP Policy Sources
                ''',
                'policy_sources',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('psb-key', REFERENCE_LIST, 'PsbKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.PsbKey', 
                [], [], 
                '''                List of RSB keys
                ''',
                'psb_key',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('req-flags', REFERENCE_CLASS, 'ReqFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.ReqFlags', 
                [], [], 
                '''                Request flags
                ''',
                'req_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-key', REFERENCE_LIST, 'RsbKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.RsbKey', 
                [], [], 
                '''                List of RSB keys
                ''',
                'rsb_key',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('style', REFERENCE_CLASS, 'Style' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail.Style', 
                [], [], 
                '''                RSVP Style
                ''',
                'style',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'request-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.RequestDetails' : {
        'meta_info' : _MetaInfoClass('Rsvp.RequestDetails',
            False, 
            [
            _MetaInfoClassMember('request-detail', REFERENCE_LIST, 'RequestDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails.RequestDetail', 
                [], [], 
                '''                Detail info for a request
                ''',
                'request_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'request-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation.PreStandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation.PreStandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-subpool-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_subpool_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-subpool-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in
                subpool
                ''',
                'max_subpool_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'pre-standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation.StandardDsteInterface' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation.StandardDsteInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bandwidth (bits per second) now allocated
                ''',
                'allocated_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc0-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC0 B/W is an absolute value and
                false if its a percentage
                ''',
                'is_max_bc0_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-max-bc1-bandwidth-absolute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Max BC1 sub-pool B/W is an absolute
                value and false if its a percentage
                ''',
                'is_max_bc1_bandwidth_absolute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-flow-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed per flow
                ''',
                'max_flow_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC0
                pool
                ''',
                'max_pool0_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('max-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max bandwidth (bits per second) allowed in BC1
                pool
                ''',
                'max_pool1_bandwidth',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'standard-dste-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation',
            False, 
            [
            _MetaInfoClassMember('dste-mode', REFERENCE_ENUM_CLASS, 'RsvpMgmtDsteModesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtDsteModesEnum', 
                [], [], 
                '''                DSTEMode
                ''',
                'dste_mode',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pre-standard-dste-interface', REFERENCE_CLASS, 'PreStandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation.PreStandardDsteInterface', 
                [], [], 
                '''                Prestandard DSTE interface information
                ''',
                'pre_standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('standard-dste-interface', REFERENCE_CLASS, 'StandardDsteInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation.StandardDsteInterface', 
                [], [], 
                '''                Standard DSTE interface information
                ''',
                'standard_dste_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'bandwidth-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceBriefs.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceBriefs.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('bandwidth-information', REFERENCE_CLASS, 'BandwidthInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation', 
                [], [], 
                '''                Interface bandwidth information
                ''',
                'bandwidth_information',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.InterfaceBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.InterfaceBriefs',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceBriefs.InterfaceBrief', 
                [], [], 
                '''                Brief info about an RSVP-enabled interface
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'interface-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.Compact.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.Compact' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.Compact',
            False, 
            [
            _MetaInfoClassMember('detail-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of elements in detail list
                ''',
                'detail_list_size',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ps-bs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of path state block states
                ''',
                'ps_bs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of request states
                ''',
                'requests',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rs-bs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of reservation state block states
                ''',
                'rs_bs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.Compact.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'compact',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-in-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.TrafficSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.TrafficSpec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.G709OtnTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.G709OtnTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Traffic Bit Rate
                ''',
                'traffic_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic Multiplier
                ''',
                'traffic_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic NVC
                ''',
                'traffic_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Traffic Signal Type (Refer G709 v3)
                ''',
                'traffic_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.IntsrvTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.IntsrvTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'intsrv-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec',
            False, 
            [
            _MetaInfoClassMember('g709otn-tspec', REFERENCE_CLASS, 'G709OtnTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.G709OtnTspec', 
                [], [], 
                '''                G709 OTN Sender Tspec
                ''',
                'g709otn_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('intsrv-tspec', REFERENCE_CLASS, 'IntsrvTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.IntsrvTspec', 
                [], [], 
                '''                Integrated Services Sender Tspec
                ''',
                'intsrv_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtTspecEnum', 
                [], [], 
                '''                TspecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv4',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association ID
                ''',
                'id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Association IPV4 Source Address
                ''',
                'source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type (RFC 4872)
                ''',
                'type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv6' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv6',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association ID
                ''',
                'id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Association IPV6 Source Address
                ''',
                'source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type (RFC 4872)
                ''',
                'type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv4',
            False, 
            [
            _MetaInfoClassMember('extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended Association ID
                ''',
                'extended_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Association Source
                ''',
                'global_source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association ID
                ''',
                'id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Association IPV4 Source Address
                ''',
                'source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type (RFC 4872)
                ''',
                'type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'extended-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv6' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv6',
            False, 
            [
            _MetaInfoClassMember('extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended Association ID
                ''',
                'extended_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Association Source
                ''',
                'global_source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association ID
                ''',
                'id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Association IPV6 Source Address
                ''',
                'source',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type (RFC 4872)
                ''',
                'type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'extended-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association',
            False, 
            [
            _MetaInfoClassMember('association-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtAssociationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtAssociationEnum', 
                [], [], 
                '''                AssociationType
                ''',
                'association_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-ipv4', REFERENCE_CLASS, 'ExtendedIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv4', 
                [], [], 
                '''                EXTENDED IPV4 ASSOCIATION Object
                ''',
                'extended_ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-ipv6', REFERENCE_CLASS, 'ExtendedIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv6', 
                [], [], 
                '''                EXTENDED IPV6 ASSOCIATION Object
                ''',
                'extended_ipv6',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv4', 
                [], [], 
                '''                IPV4 ASSOCIATION Object
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv6', REFERENCE_CLASS, 'Ipv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv6', 
                [], [], 
                '''                IPV6 ASSOCIATION Object
                ''',
                'ipv6',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LspFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LspFlags',
            False, 
            [
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'lsp-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LinkFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LinkFlags',
            False, 
            [
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reserved-bit1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reserved Bit 1
                ''',
                'reserved_bit1',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reserved-bit2', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reserved Bit 2
                ''',
                'reserved_bit2',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'unprotected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'link-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection',
            False, 
            [
            _MetaInfoClassMember('link-flags', REFERENCE_CLASS, 'LinkFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LinkFlags', 
                [], [], 
                '''                PROTECTION Object Link Flags
                ''',
                'link_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-flags', REFERENCE_CLASS, 'LspFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LspFlags', 
                [], [], 
                '''                PROTECTION Object LSP Flags
                ''',
                'lsp_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('n', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification Bit
                ''',
                'n',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('o', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational Bit
                ''',
                'o',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting Bit
                ''',
                'p',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary Bit
                ''',
                's',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.G709OtnTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.G709OtnTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Traffic Bit Rate
                ''',
                'traffic_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic Multiplier
                ''',
                'traffic_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic NVC
                ''',
                'traffic_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Traffic Signal Type (Refer G709 v3)
                ''',
                'traffic_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.IntsrvTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.IntsrvTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'intsrv-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec',
            False, 
            [
            _MetaInfoClassMember('g709otn-tspec', REFERENCE_CLASS, 'G709OtnTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.G709OtnTspec', 
                [], [], 
                '''                G709 OTN Sender Tspec
                ''',
                'g709otn_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('intsrv-tspec', REFERENCE_CLASS, 'IntsrvTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.IntsrvTspec', 
                [], [], 
                '''                Integrated Services Sender Tspec
                ''',
                'intsrv_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtTspecEnum', 
                [], [], 
                '''                TspecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ero',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.UnsupSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.UnsupSubObject',
            False, 
            [
            _MetaInfoClassMember('rsvp-mgmt-rev-lsp-unsupported-subobj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                rsvp mgmt rev lsp unsupported subobj
                ''',
                'rsvp_mgmt_rev_lsp_unsupported_subobj',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unsup-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp',
            False, 
            [
            _MetaInfoClassMember('ero', REFERENCE_LIST, 'Ero' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero', 
                [], [], 
                '''                Explicit Route Sub Objects
                ''',
                'ero',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-traffic-spec', REFERENCE_CLASS, 'GenericTrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec', 
                [], [], 
                '''                Generic Traffic Spec object
                ''',
                'generic_traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unsup-sub-object', REFERENCE_LIST, 'UnsupSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.UnsupSubObject', 
                [], [], 
                '''                Unsupported REVERSE_LSP Sub Objects
                ''',
                'unsup_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'reverse-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ero',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rro',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association', 
                [], [], 
                '''                Association object
                ''',
                'association',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ero', REFERENCE_LIST, 'Ero' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero', 
                [], [], 
                '''                Explicit Route Sub Objects
                ''',
                'ero',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-in-label', REFERENCE_CLASS, 'GenericInLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel', 
                [], [], 
                '''                Generic Label for inbound traffic
                ''',
                'generic_in_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-traffic-spec', REFERENCE_CLASS, 'GenericTrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec', 
                [], [], 
                '''                Generic Traffic Spec object
                ''',
                'generic_traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which inbound message was received
                ''',
                'in_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label for inbound traffic
                ''',
                'in_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('incoming-interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of Path's incoming interface
                ''',
                'incoming_interface_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-bad-address', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Address validity
                ''',
                'is_bad_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-ero-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO validity
                ''',
                'is_ero_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rro-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RRO validity
                ''',
                'is_rro_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-traffic-spec-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Traffic Spec validity
                ''',
                'is_traffic_spec_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry validity
                ''',
                'is_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Label
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection', 
                [], [], 
                '''                Protection object
                ''',
                'protection',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('reverse-lsp', REFERENCE_CLASS, 'ReverseLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp', 
                [], [], 
                '''                Reverse LSP object
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro', REFERENCE_LIST, 'Rro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro', 
                [], [], 
                '''                Record Route Sub Objects
                ''',
                'rro',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-spec', REFERENCE_CLASS, 'TrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.TrafficSpec', 
                [], [], 
                '''                Traffic Spec object
                ''',
                'traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel.GeneralizedLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel.GeneralizedLabel',
            False, 
            [
            _MetaInfoClassMember('value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generalized Label Value
                ''',
                'value',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generalized-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel',
            False, 
            [
            _MetaInfoClassMember('generalized-label', REFERENCE_CLASS, 'GeneralizedLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel.GeneralizedLabel', 
                [], [], 
                '''                Generalized Label
                ''',
                'generalized_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-label-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtGenericLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtGenericLabelEnum', 
                [], [], 
                '''                GenericLabelType
                ''',
                'generic_label_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-out-label',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.FlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.FlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Average Rate in bytes per second
                ''',
                'flow_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Maximum Burst
                ''',
                'flow_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Maximum Unit
                ''',
                'flow_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Minimum Unit
                ''',
                'flow_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Peak Rate in bytes per second
                ''',
                'flow_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-qos', REFERENCE_ENUM_CLASS, 'RsvpMgmtQosServiceEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtQosServiceEnumEnum', 
                [], [], 
                '''                The Flow Quality of Service
                ''',
                'flow_qos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-requested-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The Flow Requested Rate in bytes per second
                ''',
                'flow_requested_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-slack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Flow Slack
                ''',
                'flow_slack',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec.G709OtnFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec.G709OtnFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Flow Bit Rate
                ''',
                'flow_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow Multiplier
                ''',
                'flow_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Flow NVC
                ''',
                'flow_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Flow Signal Type (Refer G709 v3)
                ''',
                'flow_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec',
            False, 
            [
            _MetaInfoClassMember('flow-spec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFlowSpecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFlowSpecEnum', 
                [], [], 
                '''                FlowSpecType
                ''',
                'flow_spec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('g709otn-flow-spec', REFERENCE_CLASS, 'G709OtnFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec.G709OtnFlowSpec', 
                [], [], 
                '''                G709 OTN FlowSpec
                ''',
                'g709otn_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-flow-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rro',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup tunnel interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('backup-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup label
                ''',
                'backup_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('flow-spec', REFERENCE_CLASS, 'FlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.FlowSpec', 
                [], [], 
                '''                Flow spec object
                ''',
                'flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-flow-spec', REFERENCE_CLASS, 'GenericFlowSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec', 
                [], [], 
                '''                Generic Flow Spec object
                ''',
                'generic_flow_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-out-label', REFERENCE_CLASS, 'GenericOutLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel', 
                [], [], 
                '''                Generic Label for outbound traffic
                ''',
                'generic_out_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-flow-spec-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlowSpec validity
                ''',
                'is_flow_spec_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-rro-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RRO validity
                ''',
                'is_rro_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Entry validity
                ''',
                'is_valid',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which outbound message was sent
                ''',
                'out_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label for outbound traffic
                ''',
                'out_label',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rro', REFERENCE_LIST, 'Rro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro', 
                [], [], 
                '''                Record route object
                ''',
                'rro',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsb-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo',
            False, 
            [
            _MetaInfoClassMember('psb-info', REFERENCE_LIST, 'PsbInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo', 
                [], [], 
                '''                Path Info
                ''',
                'psb_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-info', REFERENCE_LIST, 'RsbInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo', 
                [], [], 
                '''                Reservation Info
                ''',
                'rsb_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-rsb-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds.SessionDetailed' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds.SessionDetailed',
            False, 
            [
            _MetaInfoClassMember('compact', REFERENCE_CLASS, 'Compact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.Compact', 
                [], [], 
                '''                Compact session data
                ''',
                'compact',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('psb-rsb-info', REFERENCE_LIST, 'PsbRsbInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo', 
                [], [], 
                '''                Path and Reservation Info
                ''',
                'psb_rsb_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-detailed',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.SessionDetaileds' : {
        'meta_info' : _MetaInfoClass('Rsvp.SessionDetaileds',
            False, 
            [
            _MetaInfoClassMember('session-detailed', REFERENCE_LIST, 'SessionDetailed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds.SessionDetailed', 
                [], [], 
                '''                Detailed info about session
                ''',
                'session_detailed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-detaileds',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInstanceDetails.HelloInstanceDetail.UpTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInstanceDetails.HelloInstanceDetail.UpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInstanceDetails.HelloInstanceDetail.CommunicationLostTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInstanceDetails.HelloInstanceDetail.CommunicationLostTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'communication-lost-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInstanceDetails.HelloInstanceDetail' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInstanceDetails.HelloInstanceDetail',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('communication-lost-hello-missed', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lost Comm. Hello missed count
                ''',
                'communication_lost_hello_missed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-interface-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of lost comm. due to interface down
                ''',
                'communication_lost_interface_down',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-neighbor-disabled-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of lost comm. due to nbor disabling Hellos
                ''',
                'communication_lost_neighbor_disabled_hello',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-reason', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloDownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloDownReasonEnum', 
                [], [], 
                '''                Reason why communication was lost
                ''',
                'communication_lost_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-time', REFERENCE_CLASS, 'CommunicationLostTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInstanceDetails.HelloInstanceDetail.CommunicationLostTime', 
                [], [], 
                '''                Time when communication was lost
                ''',
                'communication_lost_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-wrong-destination-inst', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of lost comm. due to wrong Destination
                Inst
                ''',
                'communication_lost_wrong_destination_inst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('communication-lost-wrong-source-inst', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Count of lost comm. due to wrong Source Inst
                ''',
                'communication_lost_wrong_source_inst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Instance
                ''',
                'destination_instance',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-instance-owner', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceOwnerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceOwnerEnum', 
                [], [], 
                '''                Hello instance owner
                ''',
                'hello_instance_owner',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface to use
                ''',
                'hello_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-messages-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of hello messages received
                ''',
                'hello_messages_received',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-messages-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of hello messages sent
                ''',
                'hello_messages_sent',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-request-suppressed', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Count of Hello Requests suppessed
                ''',
                'hello_request_suppressed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('instance-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloInstanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloInstanceEnum', 
                [], [], 
                '''                Hello instance type
                ''',
                'instance_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('missed-acks-allowed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of missed Hello allowed
                ''',
                'missed_acks_allowed',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-hello-state', REFERENCE_ENUM_CLASS, 'RsvpMgmtHelloStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloStateEnum', 
                [], [], 
                '''                Neighbor Hello state
                ''',
                'neighbor_hello_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Instance
                ''',
                'source_instance',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('total-communication-lost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of times communication got lost
                ''',
                'total_communication_lost',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('up-time', REFERENCE_CLASS, 'UpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInstanceDetails.HelloInstanceDetail.UpTime', 
                [], [], 
                '''                Hello up time
                ''',
                'up_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-instance-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.HelloInstanceDetails' : {
        'meta_info' : _MetaInfoClass('Rsvp.HelloInstanceDetails',
            False, 
            [
            _MetaInfoClassMember('hello-instance-detail', REFERENCE_LIST, 'HelloInstanceDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInstanceDetails.HelloInstanceDetail', 
                [], [], 
                '''                Detailed info for a single hello instance
                ''',
                'hello_instance_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'hello-instance-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.GlobalNeighborFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.GlobalNeighborFlags',
            False, 
            [
            _MetaInfoClassMember('is-application-mpls', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS Application
                ''',
                'is_application_mpls',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-application-ouni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OUNI Application
                ''',
                'is_application_ouni',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimeLeft' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimeLeft',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'restart-time-left',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimerExpiryTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimerExpiryTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'restart-timer-expiry-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimeLeft' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimeLeft',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'recovery-time-left',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimerExpTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimerExpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'recovery-timer-exp-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.UpTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.UpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.LostCommunicationTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.LostCommunicationTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'lost-communication-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborDetails.GlobalNeighborDetail',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of global neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('global-neighbor-flags', REFERENCE_CLASS, 'GlobalNeighborFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.GlobalNeighborFlags', 
                [], [], 
                '''                Global Neighbor Flags
                ''',
                'global_neighbor_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello Interval (milliseconds)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Neighbor List
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-gr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is GR enabled
                ''',
                'is_gr_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-recovery-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RSVP recovery timer running
                ''',
                'is_recovery_timer_running',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-restart-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is GR restart timer running
                ''',
                'is_restart_timer_running',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-node-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local node address
                ''',
                'local_node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-reason', REFERENCE_LEAFLIST, 'RsvpMgmtHelloDownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloDownReasonEnum', 
                [], [], 
                '''                Reason why communication was lost
                ''',
                'lost_communication_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-time', REFERENCE_LIST, 'LostCommunicationTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.LostCommunicationTime', 
                [], [], 
                '''                Time when communication was lost
                ''',
                'lost_communication_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-total', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of times communication got lost
                ''',
                'lost_communication_total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('missed-hellos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hello missed count
                ''',
                'missed_hellos',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-hello-state', REFERENCE_LEAFLIST, 'RsvpMgmtHelloStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloStateEnum', 
                [], [], 
                '''                Neighbor's hello state
                ''',
                'neighbor_hello_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor node address
                ''',
                'node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pending-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of pending states for this neighbor
                ''',
                'pending_states',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GR Recovery Time (milliseconds)
                ''',
                'recovery_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-time-left', REFERENCE_CLASS, 'RecoveryTimeLeft' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimeLeft', 
                [], [], 
                '''                How much recovery timer remains
                ''',
                'recovery_time_left',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('recovery-timer-exp-time', REFERENCE_CLASS, 'RecoveryTimerExpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimerExpTime', 
                [], [], 
                '''                Time at which recovery timer will expire
                ''',
                'recovery_timer_exp_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-state', REFERENCE_ENUM_CLASS, 'RsvpMgmtRestartStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtRestartStateEnum', 
                [], [], 
                '''                Current restart state
                ''',
                'restart_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GR Restart Time (milliseconds)
                ''',
                'restart_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-time-left', REFERENCE_CLASS, 'RestartTimeLeft' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimeLeft', 
                [], [], 
                '''                How much restart time remains
                ''',
                'restart_time_left',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-timer-expiry-time', REFERENCE_CLASS, 'RestartTimerExpiryTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimerExpiryTime', 
                [], [], 
                '''                When will restart timer expire
                ''',
                'restart_timer_expiry_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('up-time', REFERENCE_LIST, 'UpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.UpTime', 
                [], [], 
                '''                Hello up time
                ''',
                'up_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborDetails' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborDetails',
            False, 
            [
            _MetaInfoClassMember('global-neighbor-detail', REFERENCE_LIST, 'GlobalNeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborDetails.GlobalNeighborDetail', 
                [], [], 
                '''                Detail info for a single global neighbor
                ''',
                'global_neighbor_detail',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type (originally defined in RFC 790,
                further values in subsequent RFCs)
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4LspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4LspSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4UniSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4UniSession',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Address
                ''',
                'extended_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-uni-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4P2MpLspSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4P2MpLspSession',
            False, 
            [
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Session Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Point to Multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The Session Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'ipv4-p2mp-lsp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession',
            False, 
            [
            _MetaInfoClassMember('ipv4', REFERENCE_CLASS, 'Ipv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4', 
                [], [], 
                '''                UDP IPv4 session
                ''',
                'ipv4',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-lsp-session', REFERENCE_CLASS, 'Ipv4LspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4LspSession', 
                [], [], 
                '''                IPv4 LSP session
                ''',
                'ipv4_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-p2mp-lsp-session', REFERENCE_CLASS, 'Ipv4P2MpLspSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4P2MpLspSession', 
                [], [], 
                '''                IPv4 P2MP LSP session
                ''',
                'ipv4_p2mp_lsp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('ipv4-uni-session', REFERENCE_CLASS, 'Ipv4UniSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4UniSession', 
                [], [], 
                '''                IPv4 UNI session
                ''',
                'ipv4_uni_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtSessionEnum', 
                [], [], 
                '''                SessionType
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Session',
            False, 
            [
            _MetaInfoClassMember('rsvp-session', REFERENCE_CLASS, 'RsvpSession' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession', 
                [], [], 
                '''                RSVP Session
                ''',
                'rsvp_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.S2LSubLsp' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.S2LSubLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-LSP Destination Address
                ''',
                's2l_destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            's2l-sub-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter.UdpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter.UdpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'udp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter.P2MpIpv4Session' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter.P2MpIpv4Session',
            False, 
            [
            _MetaInfoClassMember('p2mp-sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Point to Multipoint SubGroup Origin
                ''',
                'p2mp_sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Source Port
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Point to Multipoint Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'p2mp-ipv4-session',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter',
            False, 
            [
            _MetaInfoClassMember('filter-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtFilterEnum', 
                [], [], 
                '''                FilterType
                ''',
                'filter_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-ipv4-session', REFERENCE_CLASS, 'P2MpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter.P2MpIpv4Session', 
                [], [], 
                '''                IPv4 P2MP LSP FilterSpec
                ''',
                'p2mp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('udp-ipv4-session', REFERENCE_CLASS, 'UdpIpv4Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter.UdpIpv4Session', 
                [], [], 
                '''                UDP IPV4 FilterSpec
                ''',
                'udp_ipv4_session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.Template' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.Template',
            False, 
            [
            _MetaInfoClassMember('rsvp-filter', REFERENCE_CLASS, 'RsvpFilter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter', 
                [], [], 
                '''                RSVP Filter
                ''',
                'rsvp_filter',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'template',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.SessionAttribute.SessAttributeFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.SessionAttribute.SessAttributeFlags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-local-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection
                ''',
                'is_local_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection
                ''',
                'is_node_protect',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-record-labels', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Records Labels
                ''',
                'is_record_labels',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-shared-explicit-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Explicit Requested
                ''',
                'is_shared_explicit_requested',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'sess-attribute-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.SessionAttribute' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.SessionAttribute',
            False, 
            [
            _MetaInfoClassMember('reservation-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reservation Priority
                ''',
                'reservation_priority',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sess-attribute-flags', REFERENCE_CLASS, 'SessAttributeFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.SessionAttribute.SessAttributeFlags', 
                [], [], 
                '''                Session Attributes
                ''',
                'sess_attribute_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup Priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'session-attribute',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.TrafficSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.TrafficSpec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec.G709OtnTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec.G709OtnTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                G709 OTN Traffic Bit Rate
                ''',
                'traffic_bit_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic Multiplier
                ''',
                'traffic_multiplier',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                G709 OTN Traffic NVC
                ''',
                'traffic_nvc',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                G709 OTN Traffic Signal Type (Refer G709 v3)
                ''',
                'traffic_signal_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'g709otn-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec.IntsrvTspec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec.IntsrvTspec',
            False, 
            [
            _MetaInfoClassMember('traffic-average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Average Rate in bytes per second
                ''',
                'traffic_average_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Maximum Burst
                ''',
                'traffic_max_burst',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-max-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Maximum Unit
                ''',
                'traffic_max_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-min-unit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Minimum Unit
                ''',
                'traffic_min_unit',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Traffic Peak Rate in bytes per second
                ''',
                'traffic_peak_rate',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'intsrv-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec',
            False, 
            [
            _MetaInfoClassMember('g709otn-tspec', REFERENCE_CLASS, 'G709OtnTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec.G709OtnTspec', 
                [], [], 
                '''                G709 OTN Sender Tspec
                ''',
                'g709otn_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('intsrv-tspec', REFERENCE_CLASS, 'IntsrvTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec.IntsrvTspec', 
                [], [], 
                '''                Integrated Services Sender Tspec
                ''',
                'intsrv_tspec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtTspecEnum', 
                [], [], 
                '''                TspecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'generic-traffic-spec',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs.PsbBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs.PsbBrief',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Destination Port
                ''',
                'destination_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('generic-traffic-spec', REFERENCE_CLASS, 'GenericTrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec', 
                [], [], 
                '''                RSVP Generic Traffic Spec Info
                ''',
                'generic_traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path Input Interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('protocol', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('s2l-sub-lsp', REFERENCE_CLASS, 'S2LSubLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.S2LSubLsp', 
                [], [], 
                '''                RSVP S2L Sub-LSP information
                ''',
                's2l_sub_lsp',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session', REFERENCE_CLASS, 'Session' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Session', 
                [], [], 
                '''                RSVP Session Information
                ''',
                'session',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-attribute', REFERENCE_CLASS, 'SessionAttribute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.SessionAttribute', 
                [], [], 
                '''                RSVP Session Attribute
                ''',
                'session_attribute',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'RsvpSessionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpSessionEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source Port 
                ''',
                'source_port',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('sub-group-origin', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Origin
                ''',
                'sub_group_origin',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('template', REFERENCE_CLASS, 'Template' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.Template', 
                [], [], 
                '''                RSVP Template
                ''',
                'template',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('traffic-spec', REFERENCE_CLASS, 'TrafficSpec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief.TrafficSpec', 
                [], [], 
                '''                RSVP Traffic Spec Info
                ''',
                'traffic_spec',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.PsbBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.PsbBriefs',
            False, 
            [
            _MetaInfoClassMember('psb-brief', REFERENCE_LIST, 'PsbBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs.PsbBrief', 
                [], [], 
                '''                Brief info for a single path state block
                ''',
                'psb_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'psb-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.GlobalNeighborFlags' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.GlobalNeighborFlags',
            False, 
            [
            _MetaInfoClassMember('is-application-mpls', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS Application
                ''',
                'is_application_mpls',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-application-ouni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OUNI Application
                ''',
                'is_application_ouni',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.UpTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.UpTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'up-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.LostCommunicationTime' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.LostCommunicationTime',
            False, 
            [
            _MetaInfoClassMember('nanoseconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Nano-seconds
                ''',
                'nanoseconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('seconds', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Time Value in Seconds
                ''',
                'seconds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'lost-communication-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief',
            False, 
            [
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of global neighbor
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ip-rsvp-oper', True),
            _MetaInfoClassMember('global-neighbor-flags', REFERENCE_CLASS, 'GlobalNeighborFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.GlobalNeighborFlags', 
                [], [], 
                '''                Global Neighbor Flags
                ''',
                'global_neighbor_flags',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('is-gr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is GR enabled
                ''',
                'is_gr_enabled',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('local-node-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local node address
                ''',
                'local_node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-reason', REFERENCE_LEAFLIST, 'RsvpMgmtHelloDownReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloDownReasonEnum', 
                [], [], 
                '''                Reason why communication was lost
                ''',
                'lost_communication_reason',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-time', REFERENCE_LIST, 'LostCommunicationTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.LostCommunicationTime', 
                [], [], 
                '''                Time when communication was lost
                ''',
                'lost_communication_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('lost-communication-total', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of times communication got lost
                ''',
                'lost_communication_total',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('neighbor-hello-state', REFERENCE_LEAFLIST, 'RsvpMgmtHelloStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtHelloStateEnum', 
                [], [], 
                '''                Neighbor Hello state
                ''',
                'neighbor_hello_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('node-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor node address
                ''',
                'node_address',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('restart-state', REFERENCE_ENUM_CLASS, 'RsvpMgmtRestartStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'RsvpMgmtRestartStateEnum', 
                [], [], 
                '''                Restart state
                ''',
                'restart_state',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('up-time', REFERENCE_LIST, 'UpTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.UpTime', 
                [], [], 
                '''                Time hellos have been up
                ''',
                'up_time',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp.GlobalNeighborBriefs' : {
        'meta_info' : _MetaInfoClass('Rsvp.GlobalNeighborBriefs',
            False, 
            [
            _MetaInfoClassMember('global-neighbor-brief', REFERENCE_LIST, 'GlobalNeighborBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief', 
                [], [], 
                '''                Brief info for a single global neighbor
                ''',
                'global_neighbor_brief',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'global-neighbor-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
    'Rsvp' : {
        'meta_info' : _MetaInfoClass('Rsvp',
            False, 
            [
            _MetaInfoClassMember('authentication-briefs', REFERENCE_CLASS, 'AuthenticationBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationBriefs', 
                [], [], 
                '''                Table for Authentication related information
                ''',
                'authentication_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('authentication-details', REFERENCE_CLASS, 'AuthenticationDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.AuthenticationDetails', 
                [], [], 
                '''                Table for detailed authentication related
                information
                ''',
                'authentication_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('bw-pool-info', REFERENCE_CLASS, 'BwPoolInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.BwPoolInfo', 
                [], [], 
                '''                All B/W Pool info
                ''',
                'bw_pool_info',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('controller-briefs', REFERENCE_CLASS, 'ControllerBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerBriefs', 
                [], [], 
                '''                Table of brief info about RSVP-enabled
                controller
                ''',
                'controller_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('controller-detaileds', REFERENCE_CLASS, 'ControllerDetaileds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerDetaileds', 
                [], [], 
                '''                Table of detailed info about RSVP-enabled
                controllers
                ''',
                'controller_detaileds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('controller-summaries', REFERENCE_CLASS, 'ControllerSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.ControllerSummaries', 
                [], [], 
                '''                Table of summary info about RSVP-enabled
                controllers
                ''',
                'controller_summaries',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Counters', 
                [], [], 
                '''                Counters
                ''',
                'counters',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('frr-summary', REFERENCE_CLASS, 'FrrSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.FrrSummary', 
                [], [], 
                '''                Fast Re-Route Summary State Information
                ''',
                'frr_summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('frrs', REFERENCE_CLASS, 'Frrs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Frrs', 
                [], [], 
                '''                Table of detailed info about Fast Re-route
                states
                ''',
                'frrs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('global-neighbor-briefs', REFERENCE_CLASS, 'GlobalNeighborBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborBriefs', 
                [], [], 
                '''                Table of brief info about global neighbors
                ''',
                'global_neighbor_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('global-neighbor-details', REFERENCE_CLASS, 'GlobalNeighborDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GlobalNeighborDetails', 
                [], [], 
                '''                Table of detailed info about global neighbors
                ''',
                'global_neighbor_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('graceful-restart', REFERENCE_CLASS, 'GracefulRestart' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.GracefulRestart', 
                [], [], 
                '''                Info about graceful-restart
                ''',
                'graceful_restart',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-instance-briefs', REFERENCE_CLASS, 'HelloInstanceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInstanceBriefs', 
                [], [], 
                '''                Table of brief info about hello instances
                ''',
                'hello_instance_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-instance-details', REFERENCE_CLASS, 'HelloInstanceDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInstanceDetails', 
                [], [], 
                '''                Table of detailed info about hello instances
                ''',
                'hello_instance_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface-instance-briefs', REFERENCE_CLASS, 'HelloInterfaceInstanceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInterfaceInstanceBriefs', 
                [], [], 
                '''                Table of brief info about i/f-based hello
                instances
                ''',
                'hello_interface_instance_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('hello-interface-instance-details', REFERENCE_CLASS, 'HelloInterfaceInstanceDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.HelloInterfaceInstanceDetails', 
                [], [], 
                '''                Table of detailed info about i/f-based hello
                instances
                ''',
                'hello_interface_instance_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-briefs', REFERENCE_CLASS, 'InterfaceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceBriefs', 
                [], [], 
                '''                Table of brief info about RSVP-enabled
                interfaces
                ''',
                'interface_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-detaileds', REFERENCE_CLASS, 'InterfaceDetaileds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceDetaileds', 
                [], [], 
                '''                Table of detailed info about RSVP-enabled
                interfaces
                ''',
                'interface_detaileds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-neighbor-briefs', REFERENCE_CLASS, 'InterfaceNeighborBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceNeighborBriefs', 
                [], [], 
                '''                Table of brief info about I/F neighbors
                ''',
                'interface_neighbor_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-neighbor-details', REFERENCE_CLASS, 'InterfaceNeighborDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceNeighborDetails', 
                [], [], 
                '''                Table of detailed info about I/F neighbors
                ''',
                'interface_neighbor_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('interface-summaries', REFERENCE_CLASS, 'InterfaceSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.InterfaceSummaries', 
                [], [], 
                '''                Table of summary info about RSVP-enabled
                interfaces
                ''',
                'interface_summaries',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Issu', 
                [], [], 
                '''                RSVP ISSU information
                ''',
                'issu',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Nsr', 
                [], [], 
                '''                RSVP NSR information
                ''',
                'nsr',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('open-config', REFERENCE_CLASS, 'OpenConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.OpenConfig', 
                [], [], 
                '''                OpenConfig info
                ''',
                'open_config',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('psb-briefs', REFERENCE_CLASS, 'PsbBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbBriefs', 
                [], [], 
                '''                Table of brief info about path state blocks
                ''',
                'psb_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('psb-detaileds', REFERENCE_CLASS, 'PsbDetaileds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PsbDetaileds', 
                [], [], 
                '''                Table of detailed info about path state blocks
                ''',
                'psb_detaileds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('pxsb-details', REFERENCE_CLASS, 'PxsbDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.PxsbDetails', 
                [], [], 
                '''                Table of detailed PXSB info
                ''',
                'pxsb_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('request-briefs', REFERENCE_CLASS, 'RequestBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestBriefs', 
                [], [], 
                '''                Table of brief info about requests
                ''',
                'request_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('request-details', REFERENCE_CLASS, 'RequestDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RequestDetails', 
                [], [], 
                '''                Table of detail info about requests
                ''',
                'request_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-briefs', REFERENCE_CLASS, 'RsbBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbBriefs', 
                [], [], 
                '''                Table of brief info about reservation state
                blocks
                ''',
                'rsb_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rsb-detaileds', REFERENCE_CLASS, 'RsbDetaileds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RsbDetaileds', 
                [], [], 
                '''                Table of detailed info about reservation state
                blocks
                ''',
                'rsb_detaileds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('rxsb-details', REFERENCE_CLASS, 'RxsbDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.RxsbDetails', 
                [], [], 
                '''                Table of detailed RXSB info
                ''',
                'rxsb_details',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-briefs', REFERENCE_CLASS, 'SessionBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionBriefs', 
                [], [], 
                '''                Table of brief info about sessions
                ''',
                'session_briefs',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('session-detaileds', REFERENCE_CLASS, 'SessionDetaileds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.SessionDetaileds', 
                [], [], 
                '''                Table of detailed info about sessions
                ''',
                'session_detaileds',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper', 'Rsvp.Summary', 
                [], [], 
                '''                RSVP summary information
                ''',
                'summary',
                'Cisco-IOS-XR-ip-rsvp-oper', False),
            ],
            'Cisco-IOS-XR-ip-rsvp-oper',
            'rsvp',
            _yang_ns._namespaces['Cisco-IOS-XR-ip-rsvp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ip_rsvp_oper'
        ),
    },
}
_meta_table['RsvpStandby.InterfaceNeighborBriefs.InterfaceNeighborBrief.InterfaceNeighborListCompact']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceNeighborBriefs.InterfaceNeighborBrief']['meta_info']
_meta_table['RsvpStandby.InterfaceNeighborBriefs.InterfaceNeighborBrief']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceNeighborBriefs']['meta_info']
_meta_table['RsvpStandby.AuthenticationBriefs.AuthenticationBrief']['meta_info'].parent =_meta_table['RsvpStandby.AuthenticationBriefs']['meta_info']
_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info'].parent =_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session']['meta_info']
_meta_table['RsvpStandby.SessionBriefs.SessionBrief.Session']['meta_info'].parent =_meta_table['RsvpStandby.SessionBriefs.SessionBrief']['meta_info']
_meta_table['RsvpStandby.SessionBriefs.SessionBrief']['meta_info'].parent =_meta_table['RsvpStandby.SessionBriefs']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Template.RsvpFilter']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Template']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.SessionAttribute.SessAttributeFlags']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.SessionAttribute']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec.G709OtnTspec']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec.IntsrvTspec']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Pfc.PolicyFlags']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Pfc']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Pfc.PolicyQueryFlags']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Pfc']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.InEro']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.InEro']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.OutEro']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.OutEro']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Session']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.S2LSubLsp']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Template']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.SessionAttribute']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.TrafficSpec']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.GenericTrafficSpec']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.PathFlags']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Hop']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.PolicySourceInfo']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Header']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.ExpiryTime']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.PolicyFlags']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.PolicyQueryFlags']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.ClassType']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.Pfc']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.InEro']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed.OutEro']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds.PsbDetailed']['meta_info'].parent =_meta_table['RsvpStandby.PsbDetaileds']['meta_info']
_meta_table['RsvpStandby.FrrSummary.PathStates']['meta_info'].parent =_meta_table['RsvpStandby.FrrSummary']['meta_info']
_meta_table['RsvpStandby.FrrSummary.ReservationStates']['meta_info'].parent =_meta_table['RsvpStandby.FrrSummary']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.GenericFlowSpec']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Filter.RsvpFilter']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Filter']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.FlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.GenericFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Session']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.S2LSubLsp']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Style']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Filter']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.RsbFlags']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Hop']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.PolicySources']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.Header']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.PolicyFlags']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.ExpiryTime']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.PolicyQueryFlags']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds.RsbDetailed']['meta_info'].parent =_meta_table['RsvpStandby.RsbDetaileds']['meta_info']
_meta_table['RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation.PreStandardDsteInterface']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation']['meta_info']
_meta_table['RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation.StandardDsteInterface']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation']['meta_info']
_meta_table['RsvpStandby.InterfaceSummaries.InterfaceSummary.BandwidthInformation']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceSummaries.InterfaceSummary']['meta_info']
_meta_table['RsvpStandby.InterfaceSummaries.InterfaceSummary']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceSummaries']['meta_info']
_meta_table['RsvpStandby.HelloInstanceBriefs.HelloInstanceBrief']['meta_info'].parent =_meta_table['RsvpStandby.HelloInstanceBriefs']['meta_info']
_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo.Counters']['meta_info'].parent =_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo']['meta_info']
_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo.Counters']['meta_info'].parent =_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo']['meta_info']
_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo']['meta_info'].parent =_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo']['meta_info']
_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo']['meta_info'].parent =_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo']['meta_info']
_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.AuthCompact']['meta_info'].parent =_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail']['meta_info']
_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail.DirectionInfo']['meta_info'].parent =_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail']['meta_info']
_meta_table['RsvpStandby.AuthenticationDetails.AuthenticationDetail']['meta_info'].parent =_meta_table['RsvpStandby.AuthenticationDetails']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief.GenericFlowSpec']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Filter.RsvpFilter']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Filter']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Session']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.S2LSubLsp']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.FlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.GenericFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Style']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief.Filter']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs.RsbBrief']['meta_info']
_meta_table['RsvpStandby.RsbBriefs.RsbBrief']['meta_info'].parent =_meta_table['RsvpStandby.RsbBriefs']['meta_info']
_meta_table['RsvpStandby.OpenConfig.InterfaceCounters.InterfaceCounter']['meta_info'].parent =_meta_table['RsvpStandby.OpenConfig.InterfaceCounters']['meta_info']
_meta_table['RsvpStandby.OpenConfig.GlobalCounters']['meta_info'].parent =_meta_table['RsvpStandby.OpenConfig']['meta_info']
_meta_table['RsvpStandby.OpenConfig.InterfaceCounters']['meta_info'].parent =_meta_table['RsvpStandby.OpenConfig']['meta_info']
_meta_table['RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.ReceivedMessages']['meta_info'].parent =_meta_table['RsvpStandby.Counters.InterfaceMessages.InterfaceMessage']['meta_info']
_meta_table['RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.TransmittedMessages']['meta_info'].parent =_meta_table['RsvpStandby.Counters.InterfaceMessages.InterfaceMessage']['meta_info']
_meta_table['RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.BundleReceivedMessages']['meta_info'].parent =_meta_table['RsvpStandby.Counters.InterfaceMessages.InterfaceMessage']['meta_info']
_meta_table['RsvpStandby.Counters.InterfaceMessages.InterfaceMessage.BundleTransmittedMessages']['meta_info'].parent =_meta_table['RsvpStandby.Counters.InterfaceMessages.InterfaceMessage']['meta_info']
_meta_table['RsvpStandby.Counters.InterfaceMessages.InterfaceMessage']['meta_info'].parent =_meta_table['RsvpStandby.Counters.InterfaceMessages']['meta_info']
_meta_table['RsvpStandby.Counters.MessageSummary.ReceivedMessages']['meta_info'].parent =_meta_table['RsvpStandby.Counters.MessageSummary']['meta_info']
_meta_table['RsvpStandby.Counters.MessageSummary.TransmittedMessages']['meta_info'].parent =_meta_table['RsvpStandby.Counters.MessageSummary']['meta_info']
_meta_table['RsvpStandby.Counters.MessageSummary.BundleReceivedMessages']['meta_info'].parent =_meta_table['RsvpStandby.Counters.MessageSummary']['meta_info']
_meta_table['RsvpStandby.Counters.MessageSummary.BundleTransmittedMessages']['meta_info'].parent =_meta_table['RsvpStandby.Counters.MessageSummary']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Forwarded']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses.Access']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses.Access.LocallyDestined']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses.Access']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Dropped']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses.Access']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses.Access.Total']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses.Access']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses.Access']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Forwarded']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.LocallyDestined']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Dropped']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionDropped']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionProcessed']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary.Total']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Forwarded']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.LocallyDestined']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Dropped']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionDropped']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionProcessed']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Total']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Summary']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces.Interfaces_']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Accesses']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering.Interfaces']['meta_info'].parent =_meta_table['RsvpStandby.Counters.PrefixFiltering']['meta_info']
_meta_table['RsvpStandby.Counters.OutOfResource.Interfaces.Interfaces_.Interface']['meta_info'].parent =_meta_table['RsvpStandby.Counters.OutOfResource.Interfaces.Interfaces_']['meta_info']
_meta_table['RsvpStandby.Counters.OutOfResource.Interfaces.Summary']['meta_info'].parent =_meta_table['RsvpStandby.Counters.OutOfResource.Interfaces']['meta_info']
_meta_table['RsvpStandby.Counters.OutOfResource.Interfaces.Interfaces_']['meta_info'].parent =_meta_table['RsvpStandby.Counters.OutOfResource.Interfaces']['meta_info']
_meta_table['RsvpStandby.Counters.OutOfResource.Interfaces']['meta_info'].parent =_meta_table['RsvpStandby.Counters.OutOfResource']['meta_info']
_meta_table['RsvpStandby.Counters.InterfaceEvents.InterfaceEvent']['meta_info'].parent =_meta_table['RsvpStandby.Counters.InterfaceEvents']['meta_info']
_meta_table['RsvpStandby.Counters.EventSyncs.EventSync']['meta_info'].parent =_meta_table['RsvpStandby.Counters.EventSyncs']['meta_info']
_meta_table['RsvpStandby.Counters.InterfaceMessages']['meta_info'].parent =_meta_table['RsvpStandby.Counters']['meta_info']
_meta_table['RsvpStandby.Counters.MessageSummary']['meta_info'].parent =_meta_table['RsvpStandby.Counters']['meta_info']
_meta_table['RsvpStandby.Counters.PrefixFiltering']['meta_info'].parent =_meta_table['RsvpStandby.Counters']['meta_info']
_meta_table['RsvpStandby.Counters.OutOfResource']['meta_info'].parent =_meta_table['RsvpStandby.Counters']['meta_info']
_meta_table['RsvpStandby.Counters.InterfaceEvents']['meta_info'].parent =_meta_table['RsvpStandby.Counters']['meta_info']
_meta_table['RsvpStandby.Counters.Nsr']['meta_info'].parent =_meta_table['RsvpStandby.Counters']['meta_info']
_meta_table['RsvpStandby.Counters.Issu']['meta_info'].parent =_meta_table['RsvpStandby.Counters']['meta_info']
_meta_table['RsvpStandby.Counters.Database']['meta_info'].parent =_meta_table['RsvpStandby.Counters']['meta_info']
_meta_table['RsvpStandby.Counters.EventSyncs']['meta_info'].parent =_meta_table['RsvpStandby.Counters']['meta_info']
_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.PreStandardDsteInterface']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation']['meta_info']
_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.StandardDsteInterface']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation']['meta_info']
_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray.ExpiryTime']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray']['meta_info']
_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray.NeighborMessageId']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray']['meta_info']
_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed']['meta_info']
_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.Flags']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed']['meta_info']
_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed.NeighborArray']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed']['meta_info']
_meta_table['RsvpStandby.InterfaceDetaileds.InterfaceDetailed']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceDetaileds']['meta_info']
_meta_table['RsvpStandby.GracefulRestart.RecoveryTimeLeft']['meta_info'].parent =_meta_table['RsvpStandby.GracefulRestart']['meta_info']
_meta_table['RsvpStandby.GracefulRestart.RecoveryTimerExpTime']['meta_info'].parent =_meta_table['RsvpStandby.GracefulRestart']['meta_info']
_meta_table['RsvpStandby.GracefulRestart.LocalNodeAddress']['meta_info'].parent =_meta_table['RsvpStandby.GracefulRestart']['meta_info']
_meta_table['RsvpStandby.HelloInterfaceInstanceBriefs.HelloInterfaceInstanceBrief']['meta_info'].parent =_meta_table['RsvpStandby.HelloInterfaceInstanceBriefs']['meta_info']
_meta_table['RsvpStandby.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail.LastMessageSentTime']['meta_info'].parent =_meta_table['RsvpStandby.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail']['meta_info']
_meta_table['RsvpStandby.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail']['meta_info'].parent =_meta_table['RsvpStandby.HelloInterfaceInstanceDetails']['meta_info']
_meta_table['RsvpStandby.InterfaceNeighborDetails.InterfaceNeighborDetail.InterfaceNeighborListDetail']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceNeighborDetails.InterfaceNeighborDetail']['meta_info']
_meta_table['RsvpStandby.InterfaceNeighborDetails.InterfaceNeighborDetail']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceNeighborDetails']['meta_info']
_meta_table['RsvpStandby.Nsr.Status.IdtStatus']['meta_info'].parent =_meta_table['RsvpStandby.Nsr.Status']['meta_info']
_meta_table['RsvpStandby.Nsr.Status.PreviousIdtStatus']['meta_info'].parent =_meta_table['RsvpStandby.Nsr.Status']['meta_info']
_meta_table['RsvpStandby.Nsr.Status']['meta_info'].parent =_meta_table['RsvpStandby.Nsr']['meta_info']
_meta_table['RsvpStandby.Summary.IssuStatus.IdtStatus']['meta_info'].parent =_meta_table['RsvpStandby.Summary.IssuStatus']['meta_info']
_meta_table['RsvpStandby.Summary.IssuStatus.PreviousIdtStatus']['meta_info'].parent =_meta_table['RsvpStandby.Summary.IssuStatus']['meta_info']
_meta_table['RsvpStandby.Summary.NsrStatus.IdtStatus']['meta_info'].parent =_meta_table['RsvpStandby.Summary.NsrStatus']['meta_info']
_meta_table['RsvpStandby.Summary.NsrStatus.PreviousIdtStatus']['meta_info'].parent =_meta_table['RsvpStandby.Summary.NsrStatus']['meta_info']
_meta_table['RsvpStandby.Summary.IssuStatus']['meta_info'].parent =_meta_table['RsvpStandby.Summary']['meta_info']
_meta_table['RsvpStandby.Summary.NsrStatus']['meta_info'].parent =_meta_table['RsvpStandby.Summary']['meta_info']
_meta_table['RsvpStandby.Summary.DatabaseCounters']['meta_info'].parent =_meta_table['RsvpStandby.Summary']['meta_info']
_meta_table['RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.Frrs.Frr.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['RsvpStandby.Frrs.Frr.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['RsvpStandby.Frrs.Frr.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.Frrs.Frr.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['RsvpStandby.Frrs.Frr.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.Frrs.Frr.Session.RsvpSession']['meta_info'].parent =_meta_table['RsvpStandby.Frrs.Frr.Session']['meta_info']
_meta_table['RsvpStandby.Frrs.Frr.Session']['meta_info'].parent =_meta_table['RsvpStandby.Frrs.Frr']['meta_info']
_meta_table['RsvpStandby.Frrs.Frr.S2LSubLsp']['meta_info'].parent =_meta_table['RsvpStandby.Frrs.Frr']['meta_info']
_meta_table['RsvpStandby.Frrs.Frr']['meta_info'].parent =_meta_table['RsvpStandby.Frrs']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief.GenericFlowSpec']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Filter.RsvpFilter']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Filter']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Session']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.S2LSubLsp']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.FlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.GenericFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Filter']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief.Style']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs.RequestBrief']['meta_info']
_meta_table['RsvpStandby.RequestBriefs.RequestBrief']['meta_info'].parent =_meta_table['RsvpStandby.RequestBriefs']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail.GenericFlowSpec']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Filter.RsvpFilter']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail.Filter']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Session']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.S2LSubLsp']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.FlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.GenericFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Filter']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Style']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.ReqFlags']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Hop']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.Header']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.PolicySources']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.PolicyFlags']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.PolicyQueryFlags']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.PsbKey']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail.RsbKey']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info']
_meta_table['RsvpStandby.RequestDetails.RequestDetail']['meta_info'].parent =_meta_table['RsvpStandby.RequestDetails']['meta_info']
_meta_table['RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation.PreStandardDsteInterface']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation']['meta_info']
_meta_table['RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation.StandardDsteInterface']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation']['meta_info']
_meta_table['RsvpStandby.InterfaceBriefs.InterfaceBrief.BandwidthInformation']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceBriefs.InterfaceBrief']['meta_info']
_meta_table['RsvpStandby.InterfaceBriefs.InterfaceBrief']['meta_info'].parent =_meta_table['RsvpStandby.InterfaceBriefs']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact.Session']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.G709OtnTspec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.IntsrvTspec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv6']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv4']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv6']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LspFlags']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LinkFlags']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.G709OtnTspec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.IntsrvTspec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.Ipv4EroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.UnsupSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.Ipv4EroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.SrlgRroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.TrafficSpec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.SrlgRroSubObject']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.FlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.Compact']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.S2LSubLsp']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed.PsbRsbInfo']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds.SessionDetailed']['meta_info'].parent =_meta_table['RsvpStandby.SessionDetaileds']['meta_info']
_meta_table['RsvpStandby.HelloInstanceDetails.HelloInstanceDetail.UpTime']['meta_info'].parent =_meta_table['RsvpStandby.HelloInstanceDetails.HelloInstanceDetail']['meta_info']
_meta_table['RsvpStandby.HelloInstanceDetails.HelloInstanceDetail.CommunicationLostTime']['meta_info'].parent =_meta_table['RsvpStandby.HelloInstanceDetails.HelloInstanceDetail']['meta_info']
_meta_table['RsvpStandby.HelloInstanceDetails.HelloInstanceDetail']['meta_info'].parent =_meta_table['RsvpStandby.HelloInstanceDetails']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.GlobalNeighborFlags']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimeLeft']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimerExpiryTime']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimeLeft']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimerExpTime']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.UpTime']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail.LostCommunicationTime']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborDetails']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Template.RsvpFilter']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Template']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.SessionAttribute.SessAttributeFlags']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.SessionAttribute']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec.G709OtnTspec']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec.IntsrvTspec']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Session']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.S2LSubLsp']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.Template']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.SessionAttribute']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.TrafficSpec']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief.GenericTrafficSpec']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs.PsbBrief']['meta_info']
_meta_table['RsvpStandby.PsbBriefs.PsbBrief']['meta_info'].parent =_meta_table['RsvpStandby.PsbBriefs']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.GlobalNeighborFlags']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.UpTime']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief.LostCommunicationTime']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborBriefs.GlobalNeighborBrief']['meta_info'].parent =_meta_table['RsvpStandby.GlobalNeighborBriefs']['meta_info']
_meta_table['RsvpStandby.InterfaceNeighborBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.AuthenticationBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.SessionBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.PsbDetaileds']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.FrrSummary']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.RsbDetaileds']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.InterfaceSummaries']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.HelloInstanceBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.AuthenticationDetails']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.RsbBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.OpenConfig']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.Counters']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.InterfaceDetaileds']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.GracefulRestart']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.HelloInterfaceInstanceBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.HelloInterfaceInstanceDetails']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.InterfaceNeighborDetails']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.Nsr']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.Summary']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.Frrs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.RequestBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.RequestDetails']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.InterfaceBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.SessionDetaileds']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.HelloInstanceDetails']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborDetails']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.PsbBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['RsvpStandby.GlobalNeighborBriefs']['meta_info'].parent =_meta_table['RsvpStandby']['meta_info']
_meta_table['Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation.PreStandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation']['meta_info']
_meta_table['Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation.StandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation']['meta_info']
_meta_table['Rsvp.ControllerSummaries.ControllerSummary.BandwidthInformation']['meta_info'].parent =_meta_table['Rsvp.ControllerSummaries.ControllerSummary']['meta_info']
_meta_table['Rsvp.ControllerSummaries.ControllerSummary']['meta_info'].parent =_meta_table['Rsvp.ControllerSummaries']['meta_info']
_meta_table['Rsvp.Issu.Status.IdtStatus']['meta_info'].parent =_meta_table['Rsvp.Issu.Status']['meta_info']
_meta_table['Rsvp.Issu.Status.PreviousIdtStatus']['meta_info'].parent =_meta_table['Rsvp.Issu.Status']['meta_info']
_meta_table['Rsvp.Issu.Status']['meta_info'].parent =_meta_table['Rsvp.Issu']['meta_info']
_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation.PreStandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation']['meta_info']
_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation.StandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation']['meta_info']
_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray.ExpiryTime']['meta_info'].parent =_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray']['meta_info']
_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray.NeighborMessageId']['meta_info'].parent =_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray']['meta_info']
_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.BandwidthInformation']['meta_info'].parent =_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed']['meta_info']
_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.Flags']['meta_info'].parent =_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed']['meta_info']
_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed.NeighborArray']['meta_info'].parent =_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed']['meta_info']
_meta_table['Rsvp.ControllerDetaileds.ControllerDetailed']['meta_info'].parent =_meta_table['Rsvp.ControllerDetaileds']['meta_info']
_meta_table['Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation.PreStandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation']['meta_info']
_meta_table['Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation.StandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation']['meta_info']
_meta_table['Rsvp.ControllerBriefs.ControllerBrief.BandwidthInformation']['meta_info'].parent =_meta_table['Rsvp.ControllerBriefs.ControllerBrief']['meta_info']
_meta_table['Rsvp.ControllerBriefs.ControllerBrief']['meta_info'].parent =_meta_table['Rsvp.ControllerBriefs']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Template.RsvpFilter']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.Template']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec.G709OtnTspec']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec.IntsrvTspec']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Session']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Template']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.TrafficSpec']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.GenericTrafficSpec']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.Hop']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail.RsvpHeader']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails.PxsbDetail']['meta_info']
_meta_table['Rsvp.PxsbDetails.PxsbDetail']['meta_info'].parent =_meta_table['Rsvp.PxsbDetails']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Filter.RsvpFilter']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail.Filter']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail.GenericFlowSpec']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Session']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Style']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Filter']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.FlowSpec']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.GenericFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.Hop']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail.RsvpHeader']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails.RxsbDetail']['meta_info']
_meta_table['Rsvp.RxsbDetails.RxsbDetail']['meta_info'].parent =_meta_table['Rsvp.RxsbDetails']['meta_info']
_meta_table['Rsvp.InterfaceNeighborBriefs.InterfaceNeighborBrief.InterfaceNeighborListCompact']['meta_info'].parent =_meta_table['Rsvp.InterfaceNeighborBriefs.InterfaceNeighborBrief']['meta_info']
_meta_table['Rsvp.InterfaceNeighborBriefs.InterfaceNeighborBrief']['meta_info'].parent =_meta_table['Rsvp.InterfaceNeighborBriefs']['meta_info']
_meta_table['Rsvp.AuthenticationBriefs.AuthenticationBrief']['meta_info'].parent =_meta_table['Rsvp.AuthenticationBriefs']['meta_info']
_meta_table['Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.SessionBriefs.SessionBrief.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.SessionBriefs.SessionBrief.Session']['meta_info']
_meta_table['Rsvp.SessionBriefs.SessionBrief.Session']['meta_info'].parent =_meta_table['Rsvp.SessionBriefs.SessionBrief']['meta_info']
_meta_table['Rsvp.SessionBriefs.SessionBrief']['meta_info'].parent =_meta_table['Rsvp.SessionBriefs']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Template.RsvpFilter']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Template']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.SessionAttribute.SessAttributeFlags']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.SessionAttribute']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec.G709OtnTspec']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec.IntsrvTspec']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalDownstreamLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericMergePointLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericLocalUpstreamLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo.GenericRecoveryLabel']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Pfc.PolicyFlags']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Pfc']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Pfc.PolicyQueryFlags']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Pfc']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.InEro']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.InEro']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.OutEro']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed.OutEro']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Session']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Template']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.SessionAttribute']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.TrafficSpec']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.GenericTrafficSpec']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.PathFlags']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Hop']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.PolicySourceInfo']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Header']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.ExpiryTime']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.PolicyFlags']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.PolicyQueryFlags']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.LabelInfo']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.ClassType']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.Pfc']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.InEro']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed.OutEro']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info']
_meta_table['Rsvp.PsbDetaileds.PsbDetailed']['meta_info'].parent =_meta_table['Rsvp.PsbDetaileds']['meta_info']
_meta_table['Rsvp.FrrSummary.PathStates']['meta_info'].parent =_meta_table['Rsvp.FrrSummary']['meta_info']
_meta_table['Rsvp.FrrSummary.ReservationStates']['meta_info'].parent =_meta_table['Rsvp.FrrSummary']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.GenericFlowSpec']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Filter.RsvpFilter']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Filter']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalDownstreamLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingDownstreamLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericMergePointLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericOutgoingUpstreamLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericLocalUpstreamLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo.GenericRecoveryLabel']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.FlowSpec']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.GenericFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Session']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Style']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Filter']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.RsbFlags']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Hop']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.PolicySources']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.Header']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.PolicyFlags']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.ExpiryTime']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.PolicyQueryFlags']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed.LabelInfo']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info']
_meta_table['Rsvp.RsbDetaileds.RsbDetailed']['meta_info'].parent =_meta_table['Rsvp.RsbDetaileds']['meta_info']
_meta_table['Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation.PreStandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation']['meta_info']
_meta_table['Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation.StandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation']['meta_info']
_meta_table['Rsvp.InterfaceSummaries.InterfaceSummary.BandwidthInformation']['meta_info'].parent =_meta_table['Rsvp.InterfaceSummaries.InterfaceSummary']['meta_info']
_meta_table['Rsvp.InterfaceSummaries.InterfaceSummary']['meta_info'].parent =_meta_table['Rsvp.InterfaceSummaries']['meta_info']
_meta_table['Rsvp.HelloInstanceBriefs.HelloInstanceBrief']['meta_info'].parent =_meta_table['Rsvp.HelloInstanceBriefs']['meta_info']
_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo.Counters']['meta_info'].parent =_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo']['meta_info']
_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo.Counters']['meta_info'].parent =_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo']['meta_info']
_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.SendInfo']['meta_info'].parent =_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo']['meta_info']
_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo.ReceiveInfo']['meta_info'].parent =_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo']['meta_info']
_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.AuthCompact']['meta_info'].parent =_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail']['meta_info']
_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail.DirectionInfo']['meta_info'].parent =_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail']['meta_info']
_meta_table['Rsvp.AuthenticationDetails.AuthenticationDetail']['meta_info'].parent =_meta_table['Rsvp.AuthenticationDetails']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief.Session']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief.GenericFlowSpec']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Filter.RsvpFilter']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief.Filter']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Session']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.FlowSpec']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.GenericFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Style']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief.Filter']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs.RsbBrief']['meta_info']
_meta_table['Rsvp.RsbBriefs.RsbBrief']['meta_info'].parent =_meta_table['Rsvp.RsbBriefs']['meta_info']
_meta_table['Rsvp.OpenConfig.InterfaceCounters.InterfaceCounter']['meta_info'].parent =_meta_table['Rsvp.OpenConfig.InterfaceCounters']['meta_info']
_meta_table['Rsvp.OpenConfig.GlobalCounters']['meta_info'].parent =_meta_table['Rsvp.OpenConfig']['meta_info']
_meta_table['Rsvp.OpenConfig.InterfaceCounters']['meta_info'].parent =_meta_table['Rsvp.OpenConfig']['meta_info']
_meta_table['Rsvp.Counters.InterfaceMessages.InterfaceMessage.ReceivedMessages']['meta_info'].parent =_meta_table['Rsvp.Counters.InterfaceMessages.InterfaceMessage']['meta_info']
_meta_table['Rsvp.Counters.InterfaceMessages.InterfaceMessage.TransmittedMessages']['meta_info'].parent =_meta_table['Rsvp.Counters.InterfaceMessages.InterfaceMessage']['meta_info']
_meta_table['Rsvp.Counters.InterfaceMessages.InterfaceMessage.BundleReceivedMessages']['meta_info'].parent =_meta_table['Rsvp.Counters.InterfaceMessages.InterfaceMessage']['meta_info']
_meta_table['Rsvp.Counters.InterfaceMessages.InterfaceMessage.BundleTransmittedMessages']['meta_info'].parent =_meta_table['Rsvp.Counters.InterfaceMessages.InterfaceMessage']['meta_info']
_meta_table['Rsvp.Counters.InterfaceMessages.InterfaceMessage']['meta_info'].parent =_meta_table['Rsvp.Counters.InterfaceMessages']['meta_info']
_meta_table['Rsvp.Counters.MessageSummary.ReceivedMessages']['meta_info'].parent =_meta_table['Rsvp.Counters.MessageSummary']['meta_info']
_meta_table['Rsvp.Counters.MessageSummary.TransmittedMessages']['meta_info'].parent =_meta_table['Rsvp.Counters.MessageSummary']['meta_info']
_meta_table['Rsvp.Counters.MessageSummary.BundleReceivedMessages']['meta_info'].parent =_meta_table['Rsvp.Counters.MessageSummary']['meta_info']
_meta_table['Rsvp.Counters.MessageSummary.BundleTransmittedMessages']['meta_info'].parent =_meta_table['Rsvp.Counters.MessageSummary']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Accesses.Access.Forwarded']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Accesses.Access']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Accesses.Access.LocallyDestined']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Accesses.Access']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Accesses.Access.Dropped']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Accesses.Access']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Accesses.Access.Total']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Accesses.Access']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Accesses.Access']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Accesses']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Forwarded']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary.LocallyDestined']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Dropped']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionDropped']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary.DefaultActionProcessed']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary.Total']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Forwarded']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.LocallyDestined']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Dropped']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionDropped']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.DefaultActionProcessed']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface.Total']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_.Interface']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Summary']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces.Interfaces_']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Accesses']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering.Interfaces']['meta_info'].parent =_meta_table['Rsvp.Counters.PrefixFiltering']['meta_info']
_meta_table['Rsvp.Counters.OutOfResource.Interfaces.Interfaces_.Interface']['meta_info'].parent =_meta_table['Rsvp.Counters.OutOfResource.Interfaces.Interfaces_']['meta_info']
_meta_table['Rsvp.Counters.OutOfResource.Interfaces.Summary']['meta_info'].parent =_meta_table['Rsvp.Counters.OutOfResource.Interfaces']['meta_info']
_meta_table['Rsvp.Counters.OutOfResource.Interfaces.Interfaces_']['meta_info'].parent =_meta_table['Rsvp.Counters.OutOfResource.Interfaces']['meta_info']
_meta_table['Rsvp.Counters.OutOfResource.Interfaces']['meta_info'].parent =_meta_table['Rsvp.Counters.OutOfResource']['meta_info']
_meta_table['Rsvp.Counters.InterfaceEvents.InterfaceEvent']['meta_info'].parent =_meta_table['Rsvp.Counters.InterfaceEvents']['meta_info']
_meta_table['Rsvp.Counters.EventSyncs.EventSync']['meta_info'].parent =_meta_table['Rsvp.Counters.EventSyncs']['meta_info']
_meta_table['Rsvp.Counters.InterfaceMessages']['meta_info'].parent =_meta_table['Rsvp.Counters']['meta_info']
_meta_table['Rsvp.Counters.MessageSummary']['meta_info'].parent =_meta_table['Rsvp.Counters']['meta_info']
_meta_table['Rsvp.Counters.PrefixFiltering']['meta_info'].parent =_meta_table['Rsvp.Counters']['meta_info']
_meta_table['Rsvp.Counters.OutOfResource']['meta_info'].parent =_meta_table['Rsvp.Counters']['meta_info']
_meta_table['Rsvp.Counters.InterfaceEvents']['meta_info'].parent =_meta_table['Rsvp.Counters']['meta_info']
_meta_table['Rsvp.Counters.Nsr']['meta_info'].parent =_meta_table['Rsvp.Counters']['meta_info']
_meta_table['Rsvp.Counters.Issu']['meta_info'].parent =_meta_table['Rsvp.Counters']['meta_info']
_meta_table['Rsvp.Counters.Database']['meta_info'].parent =_meta_table['Rsvp.Counters']['meta_info']
_meta_table['Rsvp.Counters.EventSyncs']['meta_info'].parent =_meta_table['Rsvp.Counters']['meta_info']
_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.PreStandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation']['meta_info']
_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation.StandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation']['meta_info']
_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray.ExpiryTime']['meta_info'].parent =_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray']['meta_info']
_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray.NeighborMessageId']['meta_info'].parent =_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray']['meta_info']
_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.BandwidthInformation']['meta_info'].parent =_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed']['meta_info']
_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.Flags']['meta_info'].parent =_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed']['meta_info']
_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed.NeighborArray']['meta_info'].parent =_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed']['meta_info']
_meta_table['Rsvp.InterfaceDetaileds.InterfaceDetailed']['meta_info'].parent =_meta_table['Rsvp.InterfaceDetaileds']['meta_info']
_meta_table['Rsvp.GracefulRestart.RecoveryTimeLeft']['meta_info'].parent =_meta_table['Rsvp.GracefulRestart']['meta_info']
_meta_table['Rsvp.GracefulRestart.RecoveryTimerExpTime']['meta_info'].parent =_meta_table['Rsvp.GracefulRestart']['meta_info']
_meta_table['Rsvp.GracefulRestart.LocalNodeAddress']['meta_info'].parent =_meta_table['Rsvp.GracefulRestart']['meta_info']
_meta_table['Rsvp.HelloInterfaceInstanceBriefs.HelloInterfaceInstanceBrief']['meta_info'].parent =_meta_table['Rsvp.HelloInterfaceInstanceBriefs']['meta_info']
_meta_table['Rsvp.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail.LastMessageSentTime']['meta_info'].parent =_meta_table['Rsvp.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail']['meta_info']
_meta_table['Rsvp.HelloInterfaceInstanceDetails.HelloInterfaceInstanceDetail']['meta_info'].parent =_meta_table['Rsvp.HelloInterfaceInstanceDetails']['meta_info']
_meta_table['Rsvp.InterfaceNeighborDetails.InterfaceNeighborDetail.InterfaceNeighborListDetail']['meta_info'].parent =_meta_table['Rsvp.InterfaceNeighborDetails.InterfaceNeighborDetail']['meta_info']
_meta_table['Rsvp.InterfaceNeighborDetails.InterfaceNeighborDetail']['meta_info'].parent =_meta_table['Rsvp.InterfaceNeighborDetails']['meta_info']
_meta_table['Rsvp.Nsr.Status.IdtStatus']['meta_info'].parent =_meta_table['Rsvp.Nsr.Status']['meta_info']
_meta_table['Rsvp.Nsr.Status.PreviousIdtStatus']['meta_info'].parent =_meta_table['Rsvp.Nsr.Status']['meta_info']
_meta_table['Rsvp.Nsr.Status']['meta_info'].parent =_meta_table['Rsvp.Nsr']['meta_info']
_meta_table['Rsvp.Summary.IssuStatus.IdtStatus']['meta_info'].parent =_meta_table['Rsvp.Summary.IssuStatus']['meta_info']
_meta_table['Rsvp.Summary.IssuStatus.PreviousIdtStatus']['meta_info'].parent =_meta_table['Rsvp.Summary.IssuStatus']['meta_info']
_meta_table['Rsvp.Summary.NsrStatus.IdtStatus']['meta_info'].parent =_meta_table['Rsvp.Summary.NsrStatus']['meta_info']
_meta_table['Rsvp.Summary.NsrStatus.PreviousIdtStatus']['meta_info'].parent =_meta_table['Rsvp.Summary.NsrStatus']['meta_info']
_meta_table['Rsvp.Summary.IssuStatus']['meta_info'].parent =_meta_table['Rsvp.Summary']['meta_info']
_meta_table['Rsvp.Summary.NsrStatus']['meta_info'].parent =_meta_table['Rsvp.Summary']['meta_info']
_meta_table['Rsvp.Summary.DatabaseCounters']['meta_info'].parent =_meta_table['Rsvp.Summary']['meta_info']
_meta_table['Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.Frrs.Frr.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.Frrs.Frr.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.Frrs.Frr.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.Frrs.Frr.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.Frrs.Frr.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.Frrs.Frr.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.Frrs.Frr.Session']['meta_info']
_meta_table['Rsvp.Frrs.Frr.Session']['meta_info'].parent =_meta_table['Rsvp.Frrs.Frr']['meta_info']
_meta_table['Rsvp.Frrs.Frr.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.Frrs.Frr']['meta_info']
_meta_table['Rsvp.Frrs.Frr']['meta_info'].parent =_meta_table['Rsvp.Frrs']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief.Session']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief.GenericFlowSpec']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Filter.RsvpFilter']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief.Filter']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Session']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.FlowSpec']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.GenericFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Filter']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief.Style']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs.RequestBrief']['meta_info']
_meta_table['Rsvp.RequestBriefs.RequestBrief']['meta_info'].parent =_meta_table['Rsvp.RequestBriefs']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail.Session']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail.GenericFlowSpec']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Filter.RsvpFilter']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail.Filter']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Session']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.FlowSpec']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.GenericFlowSpec']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Filter']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Style']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.ReqFlags']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Hop']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.Header']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.PolicySources']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.PolicyFlags']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.PolicyQueryFlags']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.PsbKey']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail.RsbKey']['meta_info'].parent =_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info']
_meta_table['Rsvp.RequestDetails.RequestDetail']['meta_info'].parent =_meta_table['Rsvp.RequestDetails']['meta_info']
_meta_table['Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation.PreStandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation']['meta_info']
_meta_table['Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation.StandardDsteInterface']['meta_info'].parent =_meta_table['Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation']['meta_info']
_meta_table['Rsvp.InterfaceBriefs.InterfaceBrief.BandwidthInformation']['meta_info'].parent =_meta_table['Rsvp.InterfaceBriefs.InterfaceBrief']['meta_info']
_meta_table['Rsvp.InterfaceBriefs.InterfaceBrief']['meta_info'].parent =_meta_table['Rsvp.InterfaceBriefs']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact.Session']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.G709OtnTspec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec.IntsrvTspec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv4']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.Ipv6']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv4']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association.ExtendedIpv6']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LspFlags']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection.LinkFlags']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.G709OtnTspec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec.IntsrvTspec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.Ipv4EroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.GenericTrafficSpec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.Ero']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp.UnsupSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.Ipv4EroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.LabelRroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro.SrlgRroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericInLabel']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.TrafficSpec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.GenericTrafficSpec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Association']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Protection']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.ReverseLsp']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Ero']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo.Rro']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel.GeneralizedLabel']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec.G709OtnFlowSpec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.LabelRroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro.SrlgRroSubObject']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericOutLabel']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.FlowSpec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.GenericFlowSpec']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo.Rro']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.PsbInfo']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo.RsbInfo']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.Compact']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed.PsbRsbInfo']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds.SessionDetailed']['meta_info']
_meta_table['Rsvp.SessionDetaileds.SessionDetailed']['meta_info'].parent =_meta_table['Rsvp.SessionDetaileds']['meta_info']
_meta_table['Rsvp.HelloInstanceDetails.HelloInstanceDetail.UpTime']['meta_info'].parent =_meta_table['Rsvp.HelloInstanceDetails.HelloInstanceDetail']['meta_info']
_meta_table['Rsvp.HelloInstanceDetails.HelloInstanceDetail.CommunicationLostTime']['meta_info'].parent =_meta_table['Rsvp.HelloInstanceDetails.HelloInstanceDetail']['meta_info']
_meta_table['Rsvp.HelloInstanceDetails.HelloInstanceDetail']['meta_info'].parent =_meta_table['Rsvp.HelloInstanceDetails']['meta_info']
_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.GlobalNeighborFlags']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimeLeft']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RestartTimerExpiryTime']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimeLeft']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.RecoveryTimerExpTime']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.UpTime']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail.LostCommunicationTime']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info']
_meta_table['Rsvp.GlobalNeighborDetails.GlobalNeighborDetail']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborDetails']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4LspSession']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4UniSession']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession.Ipv4P2MpLspSession']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Session.RsvpSession']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.Session']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter.UdpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter.P2MpIpv4Session']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Template.RsvpFilter']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.Template']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.SessionAttribute.SessAttributeFlags']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.SessionAttribute']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec.G709OtnTspec']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec.IntsrvTspec']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Session']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.S2LSubLsp']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.Template']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.SessionAttribute']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.TrafficSpec']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief.GenericTrafficSpec']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs.PsbBrief']['meta_info']
_meta_table['Rsvp.PsbBriefs.PsbBrief']['meta_info'].parent =_meta_table['Rsvp.PsbBriefs']['meta_info']
_meta_table['Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.GlobalNeighborFlags']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief']['meta_info']
_meta_table['Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.UpTime']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief']['meta_info']
_meta_table['Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief.LostCommunicationTime']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief']['meta_info']
_meta_table['Rsvp.GlobalNeighborBriefs.GlobalNeighborBrief']['meta_info'].parent =_meta_table['Rsvp.GlobalNeighborBriefs']['meta_info']
_meta_table['Rsvp.ControllerSummaries']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.Issu']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.ControllerDetaileds']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.BwPoolInfo']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.ControllerBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.PxsbDetails']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.RxsbDetails']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.InterfaceNeighborBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.AuthenticationBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.SessionBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.PsbDetaileds']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.FrrSummary']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.RsbDetaileds']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.InterfaceSummaries']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.HelloInstanceBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.AuthenticationDetails']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.RsbBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.OpenConfig']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.Counters']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.InterfaceDetaileds']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.GracefulRestart']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.HelloInterfaceInstanceBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.HelloInterfaceInstanceDetails']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.InterfaceNeighborDetails']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.Nsr']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.Summary']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.Frrs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.RequestBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.RequestDetails']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.InterfaceBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.SessionDetaileds']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.HelloInstanceDetails']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.GlobalNeighborDetails']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.PsbBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
_meta_table['Rsvp.GlobalNeighborBriefs']['meta_info'].parent =_meta_table['Rsvp']['meta_info']
